// GENERATED CODE - DO NOT EDIT

// Copyright 2019 The Flutter team. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'dart:ui' as ui;
import 'package:flutter/material.dart';
import '../google_fonts_base.dart';
import '../google_fonts_descriptor.dart';
import '../google_fonts_variant.dart';

/// Methods for fonts starting with 'D'.
class PartD {
  /// Applies the DM Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Mono
  static TextStyle dmMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ff334baf94fa64c73ee943b528b734656c98dfaee175025a796a21066dfb6a0',
        28092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '72d9ace813762218c3d761058169bb89da3755116610523ad455fba80d838b32',
        29252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b99c005612081b9d6aab1d23679a2a20c304b46e963201d315c06c28ca25eadc',
        28128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '104a4afc4b0a5e735734312132abffb54a40b2f78e7302cc9fd5201cd0943bb2',
        29264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f83244fb95aa75e3aec6465372381691aae04a3ac26b308a8357449a8a34567e',
        27964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd9484b55dc0127df05769db899c40cd6afcdb390fb899ba3f4ddfbc3be86e1b1',
        29284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Mono
  static TextTheme dmMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dmMono(textStyle: textTheme.displayLarge),
      displayMedium: dmMono(textStyle: textTheme.displayMedium),
      displaySmall: dmMono(textStyle: textTheme.displaySmall),
      headlineLarge: dmMono(textStyle: textTheme.headlineLarge),
      headlineMedium: dmMono(textStyle: textTheme.headlineMedium),
      headlineSmall: dmMono(textStyle: textTheme.headlineSmall),
      titleLarge: dmMono(textStyle: textTheme.titleLarge),
      titleMedium: dmMono(textStyle: textTheme.titleMedium),
      titleSmall: dmMono(textStyle: textTheme.titleSmall),
      bodyLarge: dmMono(textStyle: textTheme.bodyLarge),
      bodyMedium: dmMono(textStyle: textTheme.bodyMedium),
      bodySmall: dmMono(textStyle: textTheme.bodySmall),
      labelLarge: dmMono(textStyle: textTheme.labelLarge),
      labelMedium: dmMono(textStyle: textTheme.labelMedium),
      labelSmall: dmMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DM Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Sans
  static TextStyle dmSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea3fd780db622f06615984cd688b2d14c0234e15b41bee8c0ac27e33cac1dfe1',
        44044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b9975f59c66d0c81b7716f9dfe947cf32054779734fe7f7eca6aae959cd74090',
        45136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65de9b8be43567592244a60aa4c520cc067dbf93baa9b6a7bd441613df8d2ee6',
        43836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0d0eacd2fd27d882a7dd669efca810ebea9c827c7d03f1255e8e611b10611a51',
        44996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '733aea02d16ad4148545e2c0c75be17b5bf810400482f7f958e2fa7690c15622',
        43760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '128de4fb106cfb5faf93f202681c0256d96c415f8ae75ec2894b24251e4427ca',
        44932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Sans
  static TextTheme dmSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dmSans(textStyle: textTheme.displayLarge),
      displayMedium: dmSans(textStyle: textTheme.displayMedium),
      displaySmall: dmSans(textStyle: textTheme.displaySmall),
      headlineLarge: dmSans(textStyle: textTheme.headlineLarge),
      headlineMedium: dmSans(textStyle: textTheme.headlineMedium),
      headlineSmall: dmSans(textStyle: textTheme.headlineSmall),
      titleLarge: dmSans(textStyle: textTheme.titleLarge),
      titleMedium: dmSans(textStyle: textTheme.titleMedium),
      titleSmall: dmSans(textStyle: textTheme.titleSmall),
      bodyLarge: dmSans(textStyle: textTheme.bodyLarge),
      bodyMedium: dmSans(textStyle: textTheme.bodyMedium),
      bodySmall: dmSans(textStyle: textTheme.bodySmall),
      labelLarge: dmSans(textStyle: textTheme.labelLarge),
      labelMedium: dmSans(textStyle: textTheme.labelMedium),
      labelSmall: dmSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DM Serif Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Display
  static TextStyle dmSerifDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc1fbdc15a55aed5cd062b1714e00fc5273739476643f0b1f16b567f491660ba',
        52644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fe24375d0d73b90fae5e0a7785b66f8ddd2bcdcde9c158d3a18e2474a3247dfc',
        50608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMSerifDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Serif Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Display
  static TextTheme dmSerifDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dmSerifDisplay(textStyle: textTheme.displayLarge),
      displayMedium: dmSerifDisplay(textStyle: textTheme.displayMedium),
      displaySmall: dmSerifDisplay(textStyle: textTheme.displaySmall),
      headlineLarge: dmSerifDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium: dmSerifDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall: dmSerifDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: dmSerifDisplay(textStyle: textTheme.titleLarge),
      titleMedium: dmSerifDisplay(textStyle: textTheme.titleMedium),
      titleSmall: dmSerifDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: dmSerifDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: dmSerifDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: dmSerifDisplay(textStyle: textTheme.bodySmall),
      labelLarge: dmSerifDisplay(textStyle: textTheme.labelLarge),
      labelMedium: dmSerifDisplay(textStyle: textTheme.labelMedium),
      labelSmall: dmSerifDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DM Serif Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Text
  static TextStyle dmSerifText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1cb8113b59d3123e9b88873758b7287d076f20e8f0a643ee32853aaaa498ed9',
        52688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ca8e3bda889c19ab008b6a3da757e4ab64a31664792d4975df42bc823f028025',
        50420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMSerifText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Serif Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Text
  static TextTheme dmSerifTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dmSerifText(textStyle: textTheme.displayLarge),
      displayMedium: dmSerifText(textStyle: textTheme.displayMedium),
      displaySmall: dmSerifText(textStyle: textTheme.displaySmall),
      headlineLarge: dmSerifText(textStyle: textTheme.headlineLarge),
      headlineMedium: dmSerifText(textStyle: textTheme.headlineMedium),
      headlineSmall: dmSerifText(textStyle: textTheme.headlineSmall),
      titleLarge: dmSerifText(textStyle: textTheme.titleLarge),
      titleMedium: dmSerifText(textStyle: textTheme.titleMedium),
      titleSmall: dmSerifText(textStyle: textTheme.titleSmall),
      bodyLarge: dmSerifText(textStyle: textTheme.bodyLarge),
      bodyMedium: dmSerifText(textStyle: textTheme.bodyMedium),
      bodySmall: dmSerifText(textStyle: textTheme.bodySmall),
      labelLarge: dmSerifText(textStyle: textTheme.labelLarge),
      labelMedium: dmSerifText(textStyle: textTheme.labelMedium),
      labelSmall: dmSerifText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Damion font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Damion
  static TextStyle damion({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d625c14324a2a339caf3816f5e3ce355702b16814eb59349eeb0e9058975479',
        35916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Damion',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Damion font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Damion
  static TextTheme damionTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: damion(textStyle: textTheme.displayLarge),
      displayMedium: damion(textStyle: textTheme.displayMedium),
      displaySmall: damion(textStyle: textTheme.displaySmall),
      headlineLarge: damion(textStyle: textTheme.headlineLarge),
      headlineMedium: damion(textStyle: textTheme.headlineMedium),
      headlineSmall: damion(textStyle: textTheme.headlineSmall),
      titleLarge: damion(textStyle: textTheme.titleLarge),
      titleMedium: damion(textStyle: textTheme.titleMedium),
      titleSmall: damion(textStyle: textTheme.titleSmall),
      bodyLarge: damion(textStyle: textTheme.bodyLarge),
      bodyMedium: damion(textStyle: textTheme.bodyMedium),
      bodySmall: damion(textStyle: textTheme.bodySmall),
      labelLarge: damion(textStyle: textTheme.labelLarge),
      labelMedium: damion(textStyle: textTheme.labelMedium),
      labelSmall: damion(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dancing Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dancing+Script
  static TextStyle dancingScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27e93f8e8adcc5d22686950b80006cb51bba52c04c1fe8d557897f9a52021b13',
        76316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3add8f13167436c263ca0f4c25e772e5470a2fc1a37ccafeee63d81956647894',
        76648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fbe7ef035be86813577ae0035cc84ddc2d67cb0f1c3aebaa0dd0d54da29f4c6',
        76640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35fa1edc074227f29e36b91546fde7efd9e51005da8b6ed383f403ea4c5a5efe',
        76568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DancingScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dancing Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dancing+Script
  static TextTheme dancingScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dancingScript(textStyle: textTheme.displayLarge),
      displayMedium: dancingScript(textStyle: textTheme.displayMedium),
      displaySmall: dancingScript(textStyle: textTheme.displaySmall),
      headlineLarge: dancingScript(textStyle: textTheme.headlineLarge),
      headlineMedium: dancingScript(textStyle: textTheme.headlineMedium),
      headlineSmall: dancingScript(textStyle: textTheme.headlineSmall),
      titleLarge: dancingScript(textStyle: textTheme.titleLarge),
      titleMedium: dancingScript(textStyle: textTheme.titleMedium),
      titleSmall: dancingScript(textStyle: textTheme.titleSmall),
      bodyLarge: dancingScript(textStyle: textTheme.bodyLarge),
      bodyMedium: dancingScript(textStyle: textTheme.bodyMedium),
      bodySmall: dancingScript(textStyle: textTheme.bodySmall),
      labelLarge: dancingScript(textStyle: textTheme.labelLarge),
      labelMedium: dancingScript(textStyle: textTheme.labelMedium),
      labelSmall: dancingScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dangrek font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dangrek
  static TextStyle dangrek({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d8649a4f694afb937d30c0c8e5854361aa7ea71c89b7326994d57f9ff36fc4f',
        38952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dangrek',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dangrek font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dangrek
  static TextTheme dangrekTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dangrek(textStyle: textTheme.displayLarge),
      displayMedium: dangrek(textStyle: textTheme.displayMedium),
      displaySmall: dangrek(textStyle: textTheme.displaySmall),
      headlineLarge: dangrek(textStyle: textTheme.headlineLarge),
      headlineMedium: dangrek(textStyle: textTheme.headlineMedium),
      headlineSmall: dangrek(textStyle: textTheme.headlineSmall),
      titleLarge: dangrek(textStyle: textTheme.titleLarge),
      titleMedium: dangrek(textStyle: textTheme.titleMedium),
      titleSmall: dangrek(textStyle: textTheme.titleSmall),
      bodyLarge: dangrek(textStyle: textTheme.bodyLarge),
      bodyMedium: dangrek(textStyle: textTheme.bodyMedium),
      bodySmall: dangrek(textStyle: textTheme.bodySmall),
      labelLarge: dangrek(textStyle: textTheme.labelLarge),
      labelMedium: dangrek(textStyle: textTheme.labelMedium),
      labelSmall: dangrek(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Darker Grotesque font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Darker+Grotesque
  static TextStyle darkerGrotesque({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b77be34dcbe44e74db98e340ef8caf0189d20f735519b794683a197ffd1f3cea',
        40352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8e748d9075557b75f20df2fe666e5b928f97a3b74dc0357af5d3b1657b1f130',
        42704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1955078f8fe1df50dcc44abd377812b8791d3efa969646b7f508672f32ebd793',
        42568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9cadbe222526117fc2747b9628ac625ee58c345a4c9ae2285b54884f964826e8',
        42552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd096966fd82b2cecb37d84639126c67d7adaffc7ebb063a3ecbed467c2548575',
        42600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a355011940681fa0ee27eb21be7cc6bea530cb999d971d8226bdd7dbaa10a289',
        42632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea395ac409487f4029a97e026dfffb5b7f57d58dd0ed945c9224216974e87f5b',
        42032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DarkerGrotesque',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Darker Grotesque font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Darker+Grotesque
  static TextTheme darkerGrotesqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: darkerGrotesque(textStyle: textTheme.displayLarge),
      displayMedium: darkerGrotesque(textStyle: textTheme.displayMedium),
      displaySmall: darkerGrotesque(textStyle: textTheme.displaySmall),
      headlineLarge: darkerGrotesque(textStyle: textTheme.headlineLarge),
      headlineMedium: darkerGrotesque(textStyle: textTheme.headlineMedium),
      headlineSmall: darkerGrotesque(textStyle: textTheme.headlineSmall),
      titleLarge: darkerGrotesque(textStyle: textTheme.titleLarge),
      titleMedium: darkerGrotesque(textStyle: textTheme.titleMedium),
      titleSmall: darkerGrotesque(textStyle: textTheme.titleSmall),
      bodyLarge: darkerGrotesque(textStyle: textTheme.bodyLarge),
      bodyMedium: darkerGrotesque(textStyle: textTheme.bodyMedium),
      bodySmall: darkerGrotesque(textStyle: textTheme.bodySmall),
      labelLarge: darkerGrotesque(textStyle: textTheme.labelLarge),
      labelMedium: darkerGrotesque(textStyle: textTheme.labelMedium),
      labelSmall: darkerGrotesque(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Darumadrop One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Darumadrop+One
  static TextStyle darumadropOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '570b43588bf4d733c28f7a0e7d7f1feeb34a4575e239116740b7c525442a3118',
        358396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DarumadropOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Darumadrop One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Darumadrop+One
  static TextTheme darumadropOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: darumadropOne(textStyle: textTheme.displayLarge),
      displayMedium: darumadropOne(textStyle: textTheme.displayMedium),
      displaySmall: darumadropOne(textStyle: textTheme.displaySmall),
      headlineLarge: darumadropOne(textStyle: textTheme.headlineLarge),
      headlineMedium: darumadropOne(textStyle: textTheme.headlineMedium),
      headlineSmall: darumadropOne(textStyle: textTheme.headlineSmall),
      titleLarge: darumadropOne(textStyle: textTheme.titleLarge),
      titleMedium: darumadropOne(textStyle: textTheme.titleMedium),
      titleSmall: darumadropOne(textStyle: textTheme.titleSmall),
      bodyLarge: darumadropOne(textStyle: textTheme.bodyLarge),
      bodyMedium: darumadropOne(textStyle: textTheme.bodyMedium),
      bodySmall: darumadropOne(textStyle: textTheme.bodySmall),
      labelLarge: darumadropOne(textStyle: textTheme.labelLarge),
      labelMedium: darumadropOne(textStyle: textTheme.labelMedium),
      labelSmall: darumadropOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the David Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/David+Libre
  static TextStyle davidLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e153f5e8f6fff8c254d7733b84d18a6ccd117f9f0cfee49fe461dd20841d043c',
        85096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60bb0c7e7e67600b3af4e8b238c3c1e9234e98c0194594a39794db1dac7b56cf',
        85472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5682ff7de5c0f7baba5d5b05b12987b0dc8e8b7ac861a7d88f8cf603b951581a',
        86424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DavidLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the David Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/David+Libre
  static TextTheme davidLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: davidLibre(textStyle: textTheme.displayLarge),
      displayMedium: davidLibre(textStyle: textTheme.displayMedium),
      displaySmall: davidLibre(textStyle: textTheme.displaySmall),
      headlineLarge: davidLibre(textStyle: textTheme.headlineLarge),
      headlineMedium: davidLibre(textStyle: textTheme.headlineMedium),
      headlineSmall: davidLibre(textStyle: textTheme.headlineSmall),
      titleLarge: davidLibre(textStyle: textTheme.titleLarge),
      titleMedium: davidLibre(textStyle: textTheme.titleMedium),
      titleSmall: davidLibre(textStyle: textTheme.titleSmall),
      bodyLarge: davidLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: davidLibre(textStyle: textTheme.bodyMedium),
      bodySmall: davidLibre(textStyle: textTheme.bodySmall),
      labelLarge: davidLibre(textStyle: textTheme.labelLarge),
      labelMedium: davidLibre(textStyle: textTheme.labelMedium),
      labelSmall: davidLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dawning of a New Day font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dawning+of+a+New+Day
  static TextStyle dawningOfANewDay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db188b33d83036a8b4aba5312fb49f7e6e7e0e4d053cdd4c3a693a8df962791a',
        50148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DawningofaNewDay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dawning of a New Day font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dawning+of+a+New+Day
  static TextTheme dawningOfANewDayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dawningOfANewDay(textStyle: textTheme.displayLarge),
      displayMedium: dawningOfANewDay(textStyle: textTheme.displayMedium),
      displaySmall: dawningOfANewDay(textStyle: textTheme.displaySmall),
      headlineLarge: dawningOfANewDay(textStyle: textTheme.headlineLarge),
      headlineMedium: dawningOfANewDay(textStyle: textTheme.headlineMedium),
      headlineSmall: dawningOfANewDay(textStyle: textTheme.headlineSmall),
      titleLarge: dawningOfANewDay(textStyle: textTheme.titleLarge),
      titleMedium: dawningOfANewDay(textStyle: textTheme.titleMedium),
      titleSmall: dawningOfANewDay(textStyle: textTheme.titleSmall),
      bodyLarge: dawningOfANewDay(textStyle: textTheme.bodyLarge),
      bodyMedium: dawningOfANewDay(textStyle: textTheme.bodyMedium),
      bodySmall: dawningOfANewDay(textStyle: textTheme.bodySmall),
      labelLarge: dawningOfANewDay(textStyle: textTheme.labelLarge),
      labelMedium: dawningOfANewDay(textStyle: textTheme.labelMedium),
      labelSmall: dawningOfANewDay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Days One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Days+One
  static TextStyle daysOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5de557d3d318c030d2f860d11801169344e04990a38a409b0329cea03be26984',
        62680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DaysOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Days One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Days+One
  static TextTheme daysOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: daysOne(textStyle: textTheme.displayLarge),
      displayMedium: daysOne(textStyle: textTheme.displayMedium),
      displaySmall: daysOne(textStyle: textTheme.displaySmall),
      headlineLarge: daysOne(textStyle: textTheme.headlineLarge),
      headlineMedium: daysOne(textStyle: textTheme.headlineMedium),
      headlineSmall: daysOne(textStyle: textTheme.headlineSmall),
      titleLarge: daysOne(textStyle: textTheme.titleLarge),
      titleMedium: daysOne(textStyle: textTheme.titleMedium),
      titleSmall: daysOne(textStyle: textTheme.titleSmall),
      bodyLarge: daysOne(textStyle: textTheme.bodyLarge),
      bodyMedium: daysOne(textStyle: textTheme.bodyMedium),
      bodySmall: daysOne(textStyle: textTheme.bodySmall),
      labelLarge: daysOne(textStyle: textTheme.labelLarge),
      labelMedium: daysOne(textStyle: textTheme.labelMedium),
      labelSmall: daysOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dekko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dekko
  static TextStyle dekko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dd7e8769ff375e9ffe10f5e46001511a988171bcbc0fa9c46a6f96ce9e4b137',
        204816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dekko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dekko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dekko
  static TextTheme dekkoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dekko(textStyle: textTheme.displayLarge),
      displayMedium: dekko(textStyle: textTheme.displayMedium),
      displaySmall: dekko(textStyle: textTheme.displaySmall),
      headlineLarge: dekko(textStyle: textTheme.headlineLarge),
      headlineMedium: dekko(textStyle: textTheme.headlineMedium),
      headlineSmall: dekko(textStyle: textTheme.headlineSmall),
      titleLarge: dekko(textStyle: textTheme.titleLarge),
      titleMedium: dekko(textStyle: textTheme.titleMedium),
      titleSmall: dekko(textStyle: textTheme.titleSmall),
      bodyLarge: dekko(textStyle: textTheme.bodyLarge),
      bodyMedium: dekko(textStyle: textTheme.bodyMedium),
      bodySmall: dekko(textStyle: textTheme.bodySmall),
      labelLarge: dekko(textStyle: textTheme.labelLarge),
      labelMedium: dekko(textStyle: textTheme.labelMedium),
      labelSmall: dekko(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dela Gothic One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dela+Gothic+One
  static TextStyle delaGothicOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7927335a56f8fd3b616713d4e06ee226ad7fecfd8668381a2c136887d3d69b91',
        2477252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DelaGothicOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dela Gothic One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dela+Gothic+One
  static TextTheme delaGothicOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: delaGothicOne(textStyle: textTheme.displayLarge),
      displayMedium: delaGothicOne(textStyle: textTheme.displayMedium),
      displaySmall: delaGothicOne(textStyle: textTheme.displaySmall),
      headlineLarge: delaGothicOne(textStyle: textTheme.headlineLarge),
      headlineMedium: delaGothicOne(textStyle: textTheme.headlineMedium),
      headlineSmall: delaGothicOne(textStyle: textTheme.headlineSmall),
      titleLarge: delaGothicOne(textStyle: textTheme.titleLarge),
      titleMedium: delaGothicOne(textStyle: textTheme.titleMedium),
      titleSmall: delaGothicOne(textStyle: textTheme.titleSmall),
      bodyLarge: delaGothicOne(textStyle: textTheme.bodyLarge),
      bodyMedium: delaGothicOne(textStyle: textTheme.bodyMedium),
      bodySmall: delaGothicOne(textStyle: textTheme.bodySmall),
      labelLarge: delaGothicOne(textStyle: textTheme.labelLarge),
      labelMedium: delaGothicOne(textStyle: textTheme.labelMedium),
      labelSmall: delaGothicOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Delicious Handrawn font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delicious+Handrawn
  static TextStyle deliciousHandrawn({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7acfa4144e782e6d0ef721f8c64dfd2815606849b837427be442b8d0c789ba3b',
        61064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DeliciousHandrawn',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delicious Handrawn font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delicious+Handrawn
  static TextTheme deliciousHandrawnTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: deliciousHandrawn(textStyle: textTheme.displayLarge),
      displayMedium: deliciousHandrawn(textStyle: textTheme.displayMedium),
      displaySmall: deliciousHandrawn(textStyle: textTheme.displaySmall),
      headlineLarge: deliciousHandrawn(textStyle: textTheme.headlineLarge),
      headlineMedium: deliciousHandrawn(textStyle: textTheme.headlineMedium),
      headlineSmall: deliciousHandrawn(textStyle: textTheme.headlineSmall),
      titleLarge: deliciousHandrawn(textStyle: textTheme.titleLarge),
      titleMedium: deliciousHandrawn(textStyle: textTheme.titleMedium),
      titleSmall: deliciousHandrawn(textStyle: textTheme.titleSmall),
      bodyLarge: deliciousHandrawn(textStyle: textTheme.bodyLarge),
      bodyMedium: deliciousHandrawn(textStyle: textTheme.bodyMedium),
      bodySmall: deliciousHandrawn(textStyle: textTheme.bodySmall),
      labelLarge: deliciousHandrawn(textStyle: textTheme.labelLarge),
      labelMedium: deliciousHandrawn(textStyle: textTheme.labelMedium),
      labelSmall: deliciousHandrawn(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Delius font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius
  static TextStyle delius({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '833636b4bfb740ea6d20bb13c01931ebe7da28b4898ad288ddf4c194cd46d30c',
        58232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Delius',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delius font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius
  static TextTheme deliusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: delius(textStyle: textTheme.displayLarge),
      displayMedium: delius(textStyle: textTheme.displayMedium),
      displaySmall: delius(textStyle: textTheme.displaySmall),
      headlineLarge: delius(textStyle: textTheme.headlineLarge),
      headlineMedium: delius(textStyle: textTheme.headlineMedium),
      headlineSmall: delius(textStyle: textTheme.headlineSmall),
      titleLarge: delius(textStyle: textTheme.titleLarge),
      titleMedium: delius(textStyle: textTheme.titleMedium),
      titleSmall: delius(textStyle: textTheme.titleSmall),
      bodyLarge: delius(textStyle: textTheme.bodyLarge),
      bodyMedium: delius(textStyle: textTheme.bodyMedium),
      bodySmall: delius(textStyle: textTheme.bodySmall),
      labelLarge: delius(textStyle: textTheme.labelLarge),
      labelMedium: delius(textStyle: textTheme.labelMedium),
      labelSmall: delius(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Delius Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Swash+Caps
  static TextStyle deliusSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30ef563e0298b997ac35ffce41de618cdbd0bc9f6b1ba191ede7054ef7f5af60',
        60024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DeliusSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delius Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Swash+Caps
  static TextTheme deliusSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: deliusSwashCaps(textStyle: textTheme.displayLarge),
      displayMedium: deliusSwashCaps(textStyle: textTheme.displayMedium),
      displaySmall: deliusSwashCaps(textStyle: textTheme.displaySmall),
      headlineLarge: deliusSwashCaps(textStyle: textTheme.headlineLarge),
      headlineMedium: deliusSwashCaps(textStyle: textTheme.headlineMedium),
      headlineSmall: deliusSwashCaps(textStyle: textTheme.headlineSmall),
      titleLarge: deliusSwashCaps(textStyle: textTheme.titleLarge),
      titleMedium: deliusSwashCaps(textStyle: textTheme.titleMedium),
      titleSmall: deliusSwashCaps(textStyle: textTheme.titleSmall),
      bodyLarge: deliusSwashCaps(textStyle: textTheme.bodyLarge),
      bodyMedium: deliusSwashCaps(textStyle: textTheme.bodyMedium),
      bodySmall: deliusSwashCaps(textStyle: textTheme.bodySmall),
      labelLarge: deliusSwashCaps(textStyle: textTheme.labelLarge),
      labelMedium: deliusSwashCaps(textStyle: textTheme.labelMedium),
      labelSmall: deliusSwashCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Delius Unicase font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Unicase
  static TextStyle deliusUnicase({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00cd6d90b4a74bbb116fddb53571bf25f06676ed66d1a38cd4c0c5fba99f7f6b',
        31020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cba1afde6fa5d11731f11e07f2f12e1ec035a73f529ad2691dbf2d70018b53ae',
        34376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DeliusUnicase',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delius Unicase font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Unicase
  static TextTheme deliusUnicaseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: deliusUnicase(textStyle: textTheme.displayLarge),
      displayMedium: deliusUnicase(textStyle: textTheme.displayMedium),
      displaySmall: deliusUnicase(textStyle: textTheme.displaySmall),
      headlineLarge: deliusUnicase(textStyle: textTheme.headlineLarge),
      headlineMedium: deliusUnicase(textStyle: textTheme.headlineMedium),
      headlineSmall: deliusUnicase(textStyle: textTheme.headlineSmall),
      titleLarge: deliusUnicase(textStyle: textTheme.titleLarge),
      titleMedium: deliusUnicase(textStyle: textTheme.titleMedium),
      titleSmall: deliusUnicase(textStyle: textTheme.titleSmall),
      bodyLarge: deliusUnicase(textStyle: textTheme.bodyLarge),
      bodyMedium: deliusUnicase(textStyle: textTheme.bodyMedium),
      bodySmall: deliusUnicase(textStyle: textTheme.bodySmall),
      labelLarge: deliusUnicase(textStyle: textTheme.labelLarge),
      labelMedium: deliusUnicase(textStyle: textTheme.labelMedium),
      labelSmall: deliusUnicase(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Della Respira font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Della+Respira
  static TextStyle dellaRespira({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00d7e4d30cad47dce8c7f95a871334aff01cec71e66531f353292917c9d6a198',
        48160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DellaRespira',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Della Respira font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Della+Respira
  static TextTheme dellaRespiraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dellaRespira(textStyle: textTheme.displayLarge),
      displayMedium: dellaRespira(textStyle: textTheme.displayMedium),
      displaySmall: dellaRespira(textStyle: textTheme.displaySmall),
      headlineLarge: dellaRespira(textStyle: textTheme.headlineLarge),
      headlineMedium: dellaRespira(textStyle: textTheme.headlineMedium),
      headlineSmall: dellaRespira(textStyle: textTheme.headlineSmall),
      titleLarge: dellaRespira(textStyle: textTheme.titleLarge),
      titleMedium: dellaRespira(textStyle: textTheme.titleMedium),
      titleSmall: dellaRespira(textStyle: textTheme.titleSmall),
      bodyLarge: dellaRespira(textStyle: textTheme.bodyLarge),
      bodyMedium: dellaRespira(textStyle: textTheme.bodyMedium),
      bodySmall: dellaRespira(textStyle: textTheme.bodySmall),
      labelLarge: dellaRespira(textStyle: textTheme.labelLarge),
      labelMedium: dellaRespira(textStyle: textTheme.labelMedium),
      labelSmall: dellaRespira(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Denk One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Denk+One
  static TextStyle denkOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6260ab475bea2b433c6cb88cd50b47f6ef7fee263be2d3417ea36f58e839fd2d',
        273520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DenkOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Denk One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Denk+One
  static TextTheme denkOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: denkOne(textStyle: textTheme.displayLarge),
      displayMedium: denkOne(textStyle: textTheme.displayMedium),
      displaySmall: denkOne(textStyle: textTheme.displaySmall),
      headlineLarge: denkOne(textStyle: textTheme.headlineLarge),
      headlineMedium: denkOne(textStyle: textTheme.headlineMedium),
      headlineSmall: denkOne(textStyle: textTheme.headlineSmall),
      titleLarge: denkOne(textStyle: textTheme.titleLarge),
      titleMedium: denkOne(textStyle: textTheme.titleMedium),
      titleSmall: denkOne(textStyle: textTheme.titleSmall),
      bodyLarge: denkOne(textStyle: textTheme.bodyLarge),
      bodyMedium: denkOne(textStyle: textTheme.bodyMedium),
      bodySmall: denkOne(textStyle: textTheme.bodySmall),
      labelLarge: denkOne(textStyle: textTheme.labelLarge),
      labelMedium: denkOne(textStyle: textTheme.labelMedium),
      labelSmall: denkOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Devonshire font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Devonshire
  static TextStyle devonshire({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '010b72e1a4a538d1cd0f5cc3102047f9ea65c50b6349a2f811b3bd800ffe5512',
        64116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Devonshire',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Devonshire font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Devonshire
  static TextTheme devonshireTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: devonshire(textStyle: textTheme.displayLarge),
      displayMedium: devonshire(textStyle: textTheme.displayMedium),
      displaySmall: devonshire(textStyle: textTheme.displaySmall),
      headlineLarge: devonshire(textStyle: textTheme.headlineLarge),
      headlineMedium: devonshire(textStyle: textTheme.headlineMedium),
      headlineSmall: devonshire(textStyle: textTheme.headlineSmall),
      titleLarge: devonshire(textStyle: textTheme.titleLarge),
      titleMedium: devonshire(textStyle: textTheme.titleMedium),
      titleSmall: devonshire(textStyle: textTheme.titleSmall),
      bodyLarge: devonshire(textStyle: textTheme.bodyLarge),
      bodyMedium: devonshire(textStyle: textTheme.bodyMedium),
      bodySmall: devonshire(textStyle: textTheme.bodySmall),
      labelLarge: devonshire(textStyle: textTheme.labelLarge),
      labelMedium: devonshire(textStyle: textTheme.labelMedium),
      labelSmall: devonshire(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dhurjati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dhurjati
  static TextStyle dhurjati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e06b9c1c36e73d9d4d5cb7c7d2eb51c8b029d00facc23005f4717beaac614ef',
        534564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dhurjati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dhurjati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dhurjati
  static TextTheme dhurjatiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dhurjati(textStyle: textTheme.displayLarge),
      displayMedium: dhurjati(textStyle: textTheme.displayMedium),
      displaySmall: dhurjati(textStyle: textTheme.displaySmall),
      headlineLarge: dhurjati(textStyle: textTheme.headlineLarge),
      headlineMedium: dhurjati(textStyle: textTheme.headlineMedium),
      headlineSmall: dhurjati(textStyle: textTheme.headlineSmall),
      titleLarge: dhurjati(textStyle: textTheme.titleLarge),
      titleMedium: dhurjati(textStyle: textTheme.titleMedium),
      titleSmall: dhurjati(textStyle: textTheme.titleSmall),
      bodyLarge: dhurjati(textStyle: textTheme.bodyLarge),
      bodyMedium: dhurjati(textStyle: textTheme.bodyMedium),
      bodySmall: dhurjati(textStyle: textTheme.bodySmall),
      labelLarge: dhurjati(textStyle: textTheme.labelLarge),
      labelMedium: dhurjati(textStyle: textTheme.labelMedium),
      labelSmall: dhurjati(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Didact Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Didact+Gothic
  static TextStyle didactGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84399f52701c9c84b662cc9e1fd84306753a5c127af35c8acec6f6db6f9adde4',
        117800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DidactGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Didact Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Didact+Gothic
  static TextTheme didactGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: didactGothic(textStyle: textTheme.displayLarge),
      displayMedium: didactGothic(textStyle: textTheme.displayMedium),
      displaySmall: didactGothic(textStyle: textTheme.displaySmall),
      headlineLarge: didactGothic(textStyle: textTheme.headlineLarge),
      headlineMedium: didactGothic(textStyle: textTheme.headlineMedium),
      headlineSmall: didactGothic(textStyle: textTheme.headlineSmall),
      titleLarge: didactGothic(textStyle: textTheme.titleLarge),
      titleMedium: didactGothic(textStyle: textTheme.titleMedium),
      titleSmall: didactGothic(textStyle: textTheme.titleSmall),
      bodyLarge: didactGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: didactGothic(textStyle: textTheme.bodyMedium),
      bodySmall: didactGothic(textStyle: textTheme.bodySmall),
      labelLarge: didactGothic(textStyle: textTheme.labelLarge),
      labelMedium: didactGothic(textStyle: textTheme.labelMedium),
      labelSmall: didactGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Diplomata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata
  static TextStyle diplomata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd885b981023b4adda3127a3a65160ab2c8c6926eca8cc9cc58d0f3a1350f791',
        52556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Diplomata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Diplomata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata
  static TextTheme diplomataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: diplomata(textStyle: textTheme.displayLarge),
      displayMedium: diplomata(textStyle: textTheme.displayMedium),
      displaySmall: diplomata(textStyle: textTheme.displaySmall),
      headlineLarge: diplomata(textStyle: textTheme.headlineLarge),
      headlineMedium: diplomata(textStyle: textTheme.headlineMedium),
      headlineSmall: diplomata(textStyle: textTheme.headlineSmall),
      titleLarge: diplomata(textStyle: textTheme.titleLarge),
      titleMedium: diplomata(textStyle: textTheme.titleMedium),
      titleSmall: diplomata(textStyle: textTheme.titleSmall),
      bodyLarge: diplomata(textStyle: textTheme.bodyLarge),
      bodyMedium: diplomata(textStyle: textTheme.bodyMedium),
      bodySmall: diplomata(textStyle: textTheme.bodySmall),
      labelLarge: diplomata(textStyle: textTheme.labelLarge),
      labelMedium: diplomata(textStyle: textTheme.labelMedium),
      labelSmall: diplomata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Diplomata SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata+SC
  static TextStyle diplomataSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '285bb4217ff88e268cf1d4956fb9053bef807aa519261e177990eaf00b654d24',
        51392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DiplomataSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Diplomata SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata+SC
  static TextTheme diplomataScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: diplomataSc(textStyle: textTheme.displayLarge),
      displayMedium: diplomataSc(textStyle: textTheme.displayMedium),
      displaySmall: diplomataSc(textStyle: textTheme.displaySmall),
      headlineLarge: diplomataSc(textStyle: textTheme.headlineLarge),
      headlineMedium: diplomataSc(textStyle: textTheme.headlineMedium),
      headlineSmall: diplomataSc(textStyle: textTheme.headlineSmall),
      titleLarge: diplomataSc(textStyle: textTheme.titleLarge),
      titleMedium: diplomataSc(textStyle: textTheme.titleMedium),
      titleSmall: diplomataSc(textStyle: textTheme.titleSmall),
      bodyLarge: diplomataSc(textStyle: textTheme.bodyLarge),
      bodyMedium: diplomataSc(textStyle: textTheme.bodyMedium),
      bodySmall: diplomataSc(textStyle: textTheme.bodySmall),
      labelLarge: diplomataSc(textStyle: textTheme.labelLarge),
      labelMedium: diplomataSc(textStyle: textTheme.labelMedium),
      labelSmall: diplomataSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Do Hyeon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Do+Hyeon
  static TextStyle doHyeon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26bf1c3b4d19228a42f6df99401f14e5ee705f55c4336075b3d8d706967f141b',
        408348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DoHyeon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Do Hyeon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Do+Hyeon
  static TextTheme doHyeonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: doHyeon(textStyle: textTheme.displayLarge),
      displayMedium: doHyeon(textStyle: textTheme.displayMedium),
      displaySmall: doHyeon(textStyle: textTheme.displaySmall),
      headlineLarge: doHyeon(textStyle: textTheme.headlineLarge),
      headlineMedium: doHyeon(textStyle: textTheme.headlineMedium),
      headlineSmall: doHyeon(textStyle: textTheme.headlineSmall),
      titleLarge: doHyeon(textStyle: textTheme.titleLarge),
      titleMedium: doHyeon(textStyle: textTheme.titleMedium),
      titleSmall: doHyeon(textStyle: textTheme.titleSmall),
      bodyLarge: doHyeon(textStyle: textTheme.bodyLarge),
      bodyMedium: doHyeon(textStyle: textTheme.bodyMedium),
      bodySmall: doHyeon(textStyle: textTheme.bodySmall),
      labelLarge: doHyeon(textStyle: textTheme.labelLarge),
      labelMedium: doHyeon(textStyle: textTheme.labelMedium),
      labelSmall: doHyeon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dokdo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dokdo
  static TextStyle dokdo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b826664b7ebec5b83d786d3aa47c345158ef861e1e6b2fe91d250bcb6bdc9b5',
        1385692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dokdo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dokdo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dokdo
  static TextTheme dokdoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dokdo(textStyle: textTheme.displayLarge),
      displayMedium: dokdo(textStyle: textTheme.displayMedium),
      displaySmall: dokdo(textStyle: textTheme.displaySmall),
      headlineLarge: dokdo(textStyle: textTheme.headlineLarge),
      headlineMedium: dokdo(textStyle: textTheme.headlineMedium),
      headlineSmall: dokdo(textStyle: textTheme.headlineSmall),
      titleLarge: dokdo(textStyle: textTheme.titleLarge),
      titleMedium: dokdo(textStyle: textTheme.titleMedium),
      titleSmall: dokdo(textStyle: textTheme.titleSmall),
      bodyLarge: dokdo(textStyle: textTheme.bodyLarge),
      bodyMedium: dokdo(textStyle: textTheme.bodyMedium),
      bodySmall: dokdo(textStyle: textTheme.bodySmall),
      labelLarge: dokdo(textStyle: textTheme.labelLarge),
      labelMedium: dokdo(textStyle: textTheme.labelMedium),
      labelSmall: dokdo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Domine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Domine
  static TextStyle domine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46d7874196f766f51948f261916e3eca65ccd98c5427a84c678b2099d3bab5e0',
        64464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6f826c4056482add6da48619d00eeaa72929570251084f62fab6f71fe67e610',
        64636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e051d0c2bbb43e2b920bdf71c560e7dfa1dff2b50f590e33182b03b3219ecd6',
        64604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c18819376337ea3042faccd64f85ef1a687e49535fede7ccc8c84ed421c6ed0',
        64548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Domine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Domine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Domine
  static TextTheme domineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: domine(textStyle: textTheme.displayLarge),
      displayMedium: domine(textStyle: textTheme.displayMedium),
      displaySmall: domine(textStyle: textTheme.displaySmall),
      headlineLarge: domine(textStyle: textTheme.headlineLarge),
      headlineMedium: domine(textStyle: textTheme.headlineMedium),
      headlineSmall: domine(textStyle: textTheme.headlineSmall),
      titleLarge: domine(textStyle: textTheme.titleLarge),
      titleMedium: domine(textStyle: textTheme.titleMedium),
      titleSmall: domine(textStyle: textTheme.titleSmall),
      bodyLarge: domine(textStyle: textTheme.bodyLarge),
      bodyMedium: domine(textStyle: textTheme.bodyMedium),
      bodySmall: domine(textStyle: textTheme.bodySmall),
      labelLarge: domine(textStyle: textTheme.labelLarge),
      labelMedium: domine(textStyle: textTheme.labelMedium),
      labelSmall: domine(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Donegal One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Donegal+One
  static TextStyle donegalOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b15d824bb9e23c5dd2c4a795f2207f17ec2fc78f294dcb0c445b6dc2b0be9e2d',
        41384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DonegalOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Donegal One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Donegal+One
  static TextTheme donegalOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: donegalOne(textStyle: textTheme.displayLarge),
      displayMedium: donegalOne(textStyle: textTheme.displayMedium),
      displaySmall: donegalOne(textStyle: textTheme.displaySmall),
      headlineLarge: donegalOne(textStyle: textTheme.headlineLarge),
      headlineMedium: donegalOne(textStyle: textTheme.headlineMedium),
      headlineSmall: donegalOne(textStyle: textTheme.headlineSmall),
      titleLarge: donegalOne(textStyle: textTheme.titleLarge),
      titleMedium: donegalOne(textStyle: textTheme.titleMedium),
      titleSmall: donegalOne(textStyle: textTheme.titleSmall),
      bodyLarge: donegalOne(textStyle: textTheme.bodyLarge),
      bodyMedium: donegalOne(textStyle: textTheme.bodyMedium),
      bodySmall: donegalOne(textStyle: textTheme.bodySmall),
      labelLarge: donegalOne(textStyle: textTheme.labelLarge),
      labelMedium: donegalOne(textStyle: textTheme.labelMedium),
      labelSmall: donegalOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dongle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dongle
  static TextStyle dongle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52b8b275e5f187f63f0796d48347fd91361efae7f8620fde46b2bdc40445a0b3',
        4386532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e18c2125d7fff84a358208bfee9cec403a5ad43cc5307df066844fe61eb1fde',
        4456124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98f28ab68f53725135d76abcdf3024700600ec4f7057ff963a7803b364dc6a50',
        4474064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dongle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dongle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dongle
  static TextTheme dongleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dongle(textStyle: textTheme.displayLarge),
      displayMedium: dongle(textStyle: textTheme.displayMedium),
      displaySmall: dongle(textStyle: textTheme.displaySmall),
      headlineLarge: dongle(textStyle: textTheme.headlineLarge),
      headlineMedium: dongle(textStyle: textTheme.headlineMedium),
      headlineSmall: dongle(textStyle: textTheme.headlineSmall),
      titleLarge: dongle(textStyle: textTheme.titleLarge),
      titleMedium: dongle(textStyle: textTheme.titleMedium),
      titleSmall: dongle(textStyle: textTheme.titleSmall),
      bodyLarge: dongle(textStyle: textTheme.bodyLarge),
      bodyMedium: dongle(textStyle: textTheme.bodyMedium),
      bodySmall: dongle(textStyle: textTheme.bodySmall),
      labelLarge: dongle(textStyle: textTheme.labelLarge),
      labelMedium: dongle(textStyle: textTheme.labelMedium),
      labelSmall: dongle(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Doppio One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Doppio+One
  static TextStyle doppioOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2eb94a5087c2e3c58fb5ece423e485a52abbc036bb14d81515e2402ba4bc36ee',
        33196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DoppioOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Doppio One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Doppio+One
  static TextTheme doppioOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: doppioOne(textStyle: textTheme.displayLarge),
      displayMedium: doppioOne(textStyle: textTheme.displayMedium),
      displaySmall: doppioOne(textStyle: textTheme.displaySmall),
      headlineLarge: doppioOne(textStyle: textTheme.headlineLarge),
      headlineMedium: doppioOne(textStyle: textTheme.headlineMedium),
      headlineSmall: doppioOne(textStyle: textTheme.headlineSmall),
      titleLarge: doppioOne(textStyle: textTheme.titleLarge),
      titleMedium: doppioOne(textStyle: textTheme.titleMedium),
      titleSmall: doppioOne(textStyle: textTheme.titleSmall),
      bodyLarge: doppioOne(textStyle: textTheme.bodyLarge),
      bodyMedium: doppioOne(textStyle: textTheme.bodyMedium),
      bodySmall: doppioOne(textStyle: textTheme.bodySmall),
      labelLarge: doppioOne(textStyle: textTheme.labelLarge),
      labelMedium: doppioOne(textStyle: textTheme.labelMedium),
      labelSmall: doppioOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dorsa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dorsa
  static TextStyle dorsa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a472c28962bd1dda53e24cffef93e5dcac5fc01470e9907e5d2b263a36170b73',
        19104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dorsa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dorsa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dorsa
  static TextTheme dorsaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dorsa(textStyle: textTheme.displayLarge),
      displayMedium: dorsa(textStyle: textTheme.displayMedium),
      displaySmall: dorsa(textStyle: textTheme.displaySmall),
      headlineLarge: dorsa(textStyle: textTheme.headlineLarge),
      headlineMedium: dorsa(textStyle: textTheme.headlineMedium),
      headlineSmall: dorsa(textStyle: textTheme.headlineSmall),
      titleLarge: dorsa(textStyle: textTheme.titleLarge),
      titleMedium: dorsa(textStyle: textTheme.titleMedium),
      titleSmall: dorsa(textStyle: textTheme.titleSmall),
      bodyLarge: dorsa(textStyle: textTheme.bodyLarge),
      bodyMedium: dorsa(textStyle: textTheme.bodyMedium),
      bodySmall: dorsa(textStyle: textTheme.bodySmall),
      labelLarge: dorsa(textStyle: textTheme.labelLarge),
      labelMedium: dorsa(textStyle: textTheme.labelMedium),
      labelSmall: dorsa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dosis font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dosis
  static TextStyle dosis({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a2cb17cabd7cfc2009496afc21bc96331b93a5fc4d8b12de460222b6df4c2db',
        69040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26fffd331a655af19126888f6c2f4f57f1aab851cb9b1809d2ab6385851ac9a3',
        69196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9da858c28792a40846fb95ef228d39dc35862f3edfb2bd0f7cb2d772760d0c68',
        69296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20511c732f7539b0f5adb9536636b25e172858e79473b4df10cb60468e0d6a45',
        69212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee096e8f9bceff30e737fe8084a45267ba175ec57719abb6575be7adc69b42cf',
        69236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db417531455190f73d7e9324544442fdf7e53393dcbcb378a3226d9e6cc7a2e0',
        69140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0c69f9044b39ff7a2a138ac059f9d64cf0efd8fe135977efeb487c7875d1c95',
        69132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dosis',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dosis font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dosis
  static TextTheme dosisTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dosis(textStyle: textTheme.displayLarge),
      displayMedium: dosis(textStyle: textTheme.displayMedium),
      displaySmall: dosis(textStyle: textTheme.displaySmall),
      headlineLarge: dosis(textStyle: textTheme.headlineLarge),
      headlineMedium: dosis(textStyle: textTheme.headlineMedium),
      headlineSmall: dosis(textStyle: textTheme.headlineSmall),
      titleLarge: dosis(textStyle: textTheme.titleLarge),
      titleMedium: dosis(textStyle: textTheme.titleMedium),
      titleSmall: dosis(textStyle: textTheme.titleSmall),
      bodyLarge: dosis(textStyle: textTheme.bodyLarge),
      bodyMedium: dosis(textStyle: textTheme.bodyMedium),
      bodySmall: dosis(textStyle: textTheme.bodySmall),
      labelLarge: dosis(textStyle: textTheme.labelLarge),
      labelMedium: dosis(textStyle: textTheme.labelMedium),
      labelSmall: dosis(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DotGothic16 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DotGothic16
  static TextStyle dotGothic16({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40377466cb907fabce0e94191ddeba5fa81a3dc0cd7620446c5781c965bfb4a1',
        1903464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DotGothic16',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DotGothic16 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DotGothic16
  static TextTheme dotGothic16TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dotGothic16(textStyle: textTheme.displayLarge),
      displayMedium: dotGothic16(textStyle: textTheme.displayMedium),
      displaySmall: dotGothic16(textStyle: textTheme.displaySmall),
      headlineLarge: dotGothic16(textStyle: textTheme.headlineLarge),
      headlineMedium: dotGothic16(textStyle: textTheme.headlineMedium),
      headlineSmall: dotGothic16(textStyle: textTheme.headlineSmall),
      titleLarge: dotGothic16(textStyle: textTheme.titleLarge),
      titleMedium: dotGothic16(textStyle: textTheme.titleMedium),
      titleSmall: dotGothic16(textStyle: textTheme.titleSmall),
      bodyLarge: dotGothic16(textStyle: textTheme.bodyLarge),
      bodyMedium: dotGothic16(textStyle: textTheme.bodyMedium),
      bodySmall: dotGothic16(textStyle: textTheme.bodySmall),
      labelLarge: dotGothic16(textStyle: textTheme.labelLarge),
      labelMedium: dotGothic16(textStyle: textTheme.labelMedium),
      labelSmall: dotGothic16(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dr Sugiyama font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dr+Sugiyama
  static TextStyle drSugiyama({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1fb2979359fa0db24d07995444bc13f3efd562f3b8740b8f365c25acb1cb2424',
        38004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DrSugiyama',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dr Sugiyama font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dr+Sugiyama
  static TextTheme drSugiyamaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: drSugiyama(textStyle: textTheme.displayLarge),
      displayMedium: drSugiyama(textStyle: textTheme.displayMedium),
      displaySmall: drSugiyama(textStyle: textTheme.displaySmall),
      headlineLarge: drSugiyama(textStyle: textTheme.headlineLarge),
      headlineMedium: drSugiyama(textStyle: textTheme.headlineMedium),
      headlineSmall: drSugiyama(textStyle: textTheme.headlineSmall),
      titleLarge: drSugiyama(textStyle: textTheme.titleLarge),
      titleMedium: drSugiyama(textStyle: textTheme.titleMedium),
      titleSmall: drSugiyama(textStyle: textTheme.titleSmall),
      bodyLarge: drSugiyama(textStyle: textTheme.bodyLarge),
      bodyMedium: drSugiyama(textStyle: textTheme.bodyMedium),
      bodySmall: drSugiyama(textStyle: textTheme.bodySmall),
      labelLarge: drSugiyama(textStyle: textTheme.labelLarge),
      labelMedium: drSugiyama(textStyle: textTheme.labelMedium),
      labelSmall: drSugiyama(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Duru Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Duru+Sans
  static TextStyle duruSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '626d4fd7f859fbfa0ba5a8db35e636bf031dcd3542141a0496026b90e2b9d2cc',
        47188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DuruSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Duru Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Duru+Sans
  static TextTheme duruSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: duruSans(textStyle: textTheme.displayLarge),
      displayMedium: duruSans(textStyle: textTheme.displayMedium),
      displaySmall: duruSans(textStyle: textTheme.displaySmall),
      headlineLarge: duruSans(textStyle: textTheme.headlineLarge),
      headlineMedium: duruSans(textStyle: textTheme.headlineMedium),
      headlineSmall: duruSans(textStyle: textTheme.headlineSmall),
      titleLarge: duruSans(textStyle: textTheme.titleLarge),
      titleMedium: duruSans(textStyle: textTheme.titleMedium),
      titleSmall: duruSans(textStyle: textTheme.titleSmall),
      bodyLarge: duruSans(textStyle: textTheme.bodyLarge),
      bodyMedium: duruSans(textStyle: textTheme.bodyMedium),
      bodySmall: duruSans(textStyle: textTheme.bodySmall),
      labelLarge: duruSans(textStyle: textTheme.labelLarge),
      labelMedium: duruSans(textStyle: textTheme.labelMedium),
      labelSmall: duruSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DynaPuff font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DynaPuff
  static TextStyle dynaPuff({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '530885e77a6fee60d04b92ba2c3527fd6bd15cfecd3a886d157650a6d75ff728',
        87836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59ee240e077e12323d6c4453508480b5b94d3798b84821244f3e35a04d65ba04',
        87932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a588d62c97ce442e7b1f1a313273e94d30aac3c539d2b14cb1364e7a84d756e',
        87956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4314ea94ec4741add9168a2776bf1c075daf243583c4c37a061bf885541adb98',
        87836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DynaPuff',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DynaPuff font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DynaPuff
  static TextTheme dynaPuffTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dynaPuff(textStyle: textTheme.displayLarge),
      displayMedium: dynaPuff(textStyle: textTheme.displayMedium),
      displaySmall: dynaPuff(textStyle: textTheme.displaySmall),
      headlineLarge: dynaPuff(textStyle: textTheme.headlineLarge),
      headlineMedium: dynaPuff(textStyle: textTheme.headlineMedium),
      headlineSmall: dynaPuff(textStyle: textTheme.headlineSmall),
      titleLarge: dynaPuff(textStyle: textTheme.titleLarge),
      titleMedium: dynaPuff(textStyle: textTheme.titleMedium),
      titleSmall: dynaPuff(textStyle: textTheme.titleSmall),
      bodyLarge: dynaPuff(textStyle: textTheme.bodyLarge),
      bodyMedium: dynaPuff(textStyle: textTheme.bodyMedium),
      bodySmall: dynaPuff(textStyle: textTheme.bodySmall),
      labelLarge: dynaPuff(textStyle: textTheme.labelLarge),
      labelMedium: dynaPuff(textStyle: textTheme.labelMedium),
      labelSmall: dynaPuff(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dynalight font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dynalight
  static TextStyle dynalight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d656427840124a6f17324cd1c01727ebaca1e150440feaa0ee0f293f449c2f0',
        49684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dynalight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dynalight font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dynalight
  static TextTheme dynalightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: dynalight(textStyle: textTheme.displayLarge),
      displayMedium: dynalight(textStyle: textTheme.displayMedium),
      displaySmall: dynalight(textStyle: textTheme.displaySmall),
      headlineLarge: dynalight(textStyle: textTheme.headlineLarge),
      headlineMedium: dynalight(textStyle: textTheme.headlineMedium),
      headlineSmall: dynalight(textStyle: textTheme.headlineSmall),
      titleLarge: dynalight(textStyle: textTheme.titleLarge),
      titleMedium: dynalight(textStyle: textTheme.titleMedium),
      titleSmall: dynalight(textStyle: textTheme.titleSmall),
      bodyLarge: dynalight(textStyle: textTheme.bodyLarge),
      bodyMedium: dynalight(textStyle: textTheme.bodyMedium),
      bodySmall: dynalight(textStyle: textTheme.bodySmall),
      labelLarge: dynalight(textStyle: textTheme.labelLarge),
      labelMedium: dynalight(textStyle: textTheme.labelMedium),
      labelSmall: dynalight(textStyle: textTheme.labelSmall),
    );
  }
}
