// GENERATED CODE - DO NOT EDIT

// Copyright 2019 The Flutter team. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'dart:ui' as ui;
import 'package:flutter/material.dart';
import '../google_fonts_base.dart';
import '../google_fonts_descriptor.dart';
import '../google_fonts_variant.dart';

/// Methods for fonts starting with 'T'.
class PartT {
  /// Applies the Tai Heritage Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tai+Heritage+Pro
  static TextStyle taiHeritagePro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4cb28ee1f62d20533dda12607c7f5eddf2df77696704b2adcad40d7d76e1b95',
        106972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9a0873f28d7f3ff6d3423fe46b929e89a2d736d5fcf5541b594d49680fa9e5a',
        103692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TaiHeritagePro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tai Heritage Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tai+Heritage+Pro
  static TextTheme taiHeritageProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: taiHeritagePro(textStyle: textTheme.displayLarge),
      displayMedium: taiHeritagePro(textStyle: textTheme.displayMedium),
      displaySmall: taiHeritagePro(textStyle: textTheme.displaySmall),
      headlineLarge: taiHeritagePro(textStyle: textTheme.headlineLarge),
      headlineMedium: taiHeritagePro(textStyle: textTheme.headlineMedium),
      headlineSmall: taiHeritagePro(textStyle: textTheme.headlineSmall),
      titleLarge: taiHeritagePro(textStyle: textTheme.titleLarge),
      titleMedium: taiHeritagePro(textStyle: textTheme.titleMedium),
      titleSmall: taiHeritagePro(textStyle: textTheme.titleSmall),
      bodyLarge: taiHeritagePro(textStyle: textTheme.bodyLarge),
      bodyMedium: taiHeritagePro(textStyle: textTheme.bodyMedium),
      bodySmall: taiHeritagePro(textStyle: textTheme.bodySmall),
      labelLarge: taiHeritagePro(textStyle: textTheme.labelLarge),
      labelMedium: taiHeritagePro(textStyle: textTheme.labelMedium),
      labelSmall: taiHeritagePro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tajawal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tajawal
  static TextStyle tajawal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d7f723168513d81f59a1499ecf308578b59e77e6352b416ab5c8bc87c7891bd',
        51368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a696e9a0a4864794db9ebca8d28075143ab4d7a64320f0509683e649edc5bb05',
        56216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eddd8791604c4f2b6d5cf01b9a50e1259fe9bd4f2db37e58f3f197a67de4d08c',
        55044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'decd29a8bbbb3f40ba753413d3c76993f0b74a7e71de4b56991c6556037785dc',
        56256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8ef3bfb6783a3609db9bf5b3da46388819ba20c4f94d08fcbba0aabd74b1179',
        55492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '143897c5ad37d074cd75d336ee13d04e52020e1652d10eabe663ff704a4f1617',
        55216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ba0894d1ad1143701d2ea8b40af86c2da1615804a2820d080b485873a5b8857',
        54644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tajawal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tajawal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tajawal
  static TextTheme tajawalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tajawal(textStyle: textTheme.displayLarge),
      displayMedium: tajawal(textStyle: textTheme.displayMedium),
      displaySmall: tajawal(textStyle: textTheme.displaySmall),
      headlineLarge: tajawal(textStyle: textTheme.headlineLarge),
      headlineMedium: tajawal(textStyle: textTheme.headlineMedium),
      headlineSmall: tajawal(textStyle: textTheme.headlineSmall),
      titleLarge: tajawal(textStyle: textTheme.titleLarge),
      titleMedium: tajawal(textStyle: textTheme.titleMedium),
      titleSmall: tajawal(textStyle: textTheme.titleSmall),
      bodyLarge: tajawal(textStyle: textTheme.bodyLarge),
      bodyMedium: tajawal(textStyle: textTheme.bodyMedium),
      bodySmall: tajawal(textStyle: textTheme.bodySmall),
      labelLarge: tajawal(textStyle: textTheme.labelLarge),
      labelMedium: tajawal(textStyle: textTheme.labelMedium),
      labelSmall: tajawal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tangerine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tangerine
  static TextStyle tangerine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a3626f76f155e7e69250a64efb24a12a43745fd229898a9400f1b23421feb0f',
        38832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93f92f8d2b9ef4f2e186003fbae8ae8682a8a7c5006428de453595e1f0143d93',
        38720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tangerine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tangerine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tangerine
  static TextTheme tangerineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tangerine(textStyle: textTheme.displayLarge),
      displayMedium: tangerine(textStyle: textTheme.displayMedium),
      displaySmall: tangerine(textStyle: textTheme.displaySmall),
      headlineLarge: tangerine(textStyle: textTheme.headlineLarge),
      headlineMedium: tangerine(textStyle: textTheme.headlineMedium),
      headlineSmall: tangerine(textStyle: textTheme.headlineSmall),
      titleLarge: tangerine(textStyle: textTheme.titleLarge),
      titleMedium: tangerine(textStyle: textTheme.titleMedium),
      titleSmall: tangerine(textStyle: textTheme.titleSmall),
      bodyLarge: tangerine(textStyle: textTheme.bodyLarge),
      bodyMedium: tangerine(textStyle: textTheme.bodyMedium),
      bodySmall: tangerine(textStyle: textTheme.bodySmall),
      labelLarge: tangerine(textStyle: textTheme.labelLarge),
      labelMedium: tangerine(textStyle: textTheme.labelMedium),
      labelSmall: tangerine(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tapestry font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tapestry
  static TextStyle tapestry({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a06aef2df716ee4102dea28d165726c1a2690c744e9f3c87816e71f6cfe0477',
        93052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tapestry',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tapestry font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tapestry
  static TextTheme tapestryTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tapestry(textStyle: textTheme.displayLarge),
      displayMedium: tapestry(textStyle: textTheme.displayMedium),
      displaySmall: tapestry(textStyle: textTheme.displaySmall),
      headlineLarge: tapestry(textStyle: textTheme.headlineLarge),
      headlineMedium: tapestry(textStyle: textTheme.headlineMedium),
      headlineSmall: tapestry(textStyle: textTheme.headlineSmall),
      titleLarge: tapestry(textStyle: textTheme.titleLarge),
      titleMedium: tapestry(textStyle: textTheme.titleMedium),
      titleSmall: tapestry(textStyle: textTheme.titleSmall),
      bodyLarge: tapestry(textStyle: textTheme.bodyLarge),
      bodyMedium: tapestry(textStyle: textTheme.bodyMedium),
      bodySmall: tapestry(textStyle: textTheme.bodySmall),
      labelLarge: tapestry(textStyle: textTheme.labelLarge),
      labelMedium: tapestry(textStyle: textTheme.labelMedium),
      labelSmall: tapestry(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Taprom font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taprom
  static TextStyle taprom({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7669af092c80eddc5def893028e28acc2a3b9d110d9b7b4ba7dff16180e09a9b',
        152892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Taprom',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Taprom font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taprom
  static TextTheme tapromTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: taprom(textStyle: textTheme.displayLarge),
      displayMedium: taprom(textStyle: textTheme.displayMedium),
      displaySmall: taprom(textStyle: textTheme.displaySmall),
      headlineLarge: taprom(textStyle: textTheme.headlineLarge),
      headlineMedium: taprom(textStyle: textTheme.headlineMedium),
      headlineSmall: taprom(textStyle: textTheme.headlineSmall),
      titleLarge: taprom(textStyle: textTheme.titleLarge),
      titleMedium: taprom(textStyle: textTheme.titleMedium),
      titleSmall: taprom(textStyle: textTheme.titleSmall),
      bodyLarge: taprom(textStyle: textTheme.bodyLarge),
      bodyMedium: taprom(textStyle: textTheme.bodyMedium),
      bodySmall: taprom(textStyle: textTheme.bodySmall),
      labelLarge: taprom(textStyle: textTheme.labelLarge),
      labelMedium: taprom(textStyle: textTheme.labelMedium),
      labelSmall: taprom(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tauri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tauri
  static TextStyle tauri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bc44f28438c8cb05e71545534deecf4012b8947f0a9ec41ff1cd7ce971f1698',
        22384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tauri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tauri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tauri
  static TextTheme tauriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tauri(textStyle: textTheme.displayLarge),
      displayMedium: tauri(textStyle: textTheme.displayMedium),
      displaySmall: tauri(textStyle: textTheme.displaySmall),
      headlineLarge: tauri(textStyle: textTheme.headlineLarge),
      headlineMedium: tauri(textStyle: textTheme.headlineMedium),
      headlineSmall: tauri(textStyle: textTheme.headlineSmall),
      titleLarge: tauri(textStyle: textTheme.titleLarge),
      titleMedium: tauri(textStyle: textTheme.titleMedium),
      titleSmall: tauri(textStyle: textTheme.titleSmall),
      bodyLarge: tauri(textStyle: textTheme.bodyLarge),
      bodyMedium: tauri(textStyle: textTheme.bodyMedium),
      bodySmall: tauri(textStyle: textTheme.bodySmall),
      labelLarge: tauri(textStyle: textTheme.labelLarge),
      labelMedium: tauri(textStyle: textTheme.labelMedium),
      labelSmall: tauri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Taviraj font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taviraj
  static TextStyle taviraj({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6509616a6331565ae511d2abd7c6c50c25e7c584b15a858f5444d77ed6c451dd',
        121120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '971651f04c7c25aa7ecb04e006ea64c16b738968a86d391f0c5a9290135f39c0',
        134768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e50f00be6043a477c7462208b1346502e71967e52e6bc9ddaa09fbfe763761b3',
        121048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7ca6fd4bc96be6d0bd4df1f1c6e3d406bb6e780dc551f6eb08a7ec5956068eb0',
        135428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12833a181318408b66fa9687fdeeba0a41d3818603aa909c4a00a85cafb6481e',
        120532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8aad082d1b234e7483e26b9081d2c95fbc778304a066c47b9dac898d7858e986',
        135464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f364febeca23e97031db2342d4c58ceb04a4d5babee864ae4f2482482891bb2b',
        121308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3dc3bda6cc5d571412446b9053b460d89c8440c596a45e09994aa9866c28d3fd',
        135232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4d884d9d543e94bda0d2e659163c4f1962d351995234f4be40d36e09dd62b24',
        120460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '56d57f1a35373660a96fb32ffda225722566a3ebc1d8f8bc780ab1655e157d01',
        136224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89aa381d33d04364440f9643f40026ac69f15ea7ab77c1b085f56bfd0dbcb517',
        120184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b7fc92dd6057a58b01a446b026312e4616ad9e7ac8b266b8c5ad9cc86074ce2',
        134776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15e73e6b696247902645cf1c5b9a07ef34c14b68461b5709f9d4d4cacc43f4f5',
        119372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c303d90503526f2a8c576415eb7ad60dcfbd85c70a4d0f7516bf477d171811ad',
        134564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed3dbb109822c9054a9d4113edbf523a8804098beafa0ccca6fc1de10c0e2a77',
        119284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f1735dc04afd66e4d1a8ddeb667a293fe582d608bd2853f84569cb23744f50c',
        133664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0402a63853855c10d6ee39942caf785116d2cbb4ba0bc0bca9403439eb6d0a35',
        118736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f5d2815958c4bb0a0e7dc77d21436f291262aa97b23c3c8caf35ed06be0d6688',
        129244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Taviraj',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Taviraj font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taviraj
  static TextTheme tavirajTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: taviraj(textStyle: textTheme.displayLarge),
      displayMedium: taviraj(textStyle: textTheme.displayMedium),
      displaySmall: taviraj(textStyle: textTheme.displaySmall),
      headlineLarge: taviraj(textStyle: textTheme.headlineLarge),
      headlineMedium: taviraj(textStyle: textTheme.headlineMedium),
      headlineSmall: taviraj(textStyle: textTheme.headlineSmall),
      titleLarge: taviraj(textStyle: textTheme.titleLarge),
      titleMedium: taviraj(textStyle: textTheme.titleMedium),
      titleSmall: taviraj(textStyle: textTheme.titleSmall),
      bodyLarge: taviraj(textStyle: textTheme.bodyLarge),
      bodyMedium: taviraj(textStyle: textTheme.bodyMedium),
      bodySmall: taviraj(textStyle: textTheme.bodySmall),
      labelLarge: taviraj(textStyle: textTheme.labelLarge),
      labelMedium: taviraj(textStyle: textTheme.labelMedium),
      labelSmall: taviraj(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Teko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Teko
  static TextStyle teko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9568357ebc72bf58d4beb0f4519e1513a0e2d93ca2dad42de87a351f37ff123a',
        166884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72bcd5d81fd820b558477015bd29d1db649dfda1ed373a0dfe68f37d163360fa',
        173328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd875485ab0a5fac7c8497081d4bfc06193da186b4bd1db61d78acc6d749a40af',
        174748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '896465663c99260a74bc102ab2117be9f0b55f0ed504018a995c225287433cfc',
        174108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd40050a8acc3a7bf9a053c66efe1e42a9c23742084ff910044a333346db6d7b8',
        161840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Teko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Teko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Teko
  static TextTheme tekoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: teko(textStyle: textTheme.displayLarge),
      displayMedium: teko(textStyle: textTheme.displayMedium),
      displaySmall: teko(textStyle: textTheme.displaySmall),
      headlineLarge: teko(textStyle: textTheme.headlineLarge),
      headlineMedium: teko(textStyle: textTheme.headlineMedium),
      headlineSmall: teko(textStyle: textTheme.headlineSmall),
      titleLarge: teko(textStyle: textTheme.titleLarge),
      titleMedium: teko(textStyle: textTheme.titleMedium),
      titleSmall: teko(textStyle: textTheme.titleSmall),
      bodyLarge: teko(textStyle: textTheme.bodyLarge),
      bodyMedium: teko(textStyle: textTheme.bodyMedium),
      bodySmall: teko(textStyle: textTheme.bodySmall),
      labelLarge: teko(textStyle: textTheme.labelLarge),
      labelMedium: teko(textStyle: textTheme.labelMedium),
      labelSmall: teko(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Telex font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Telex
  static TextStyle telex({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00b4deea7be43b3ce0e29a1561eb6a0e17b1a24de612edb06ba810d2183eaad0',
        22916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Telex',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Telex font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Telex
  static TextTheme telexTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: telex(textStyle: textTheme.displayLarge),
      displayMedium: telex(textStyle: textTheme.displayMedium),
      displaySmall: telex(textStyle: textTheme.displaySmall),
      headlineLarge: telex(textStyle: textTheme.headlineLarge),
      headlineMedium: telex(textStyle: textTheme.headlineMedium),
      headlineSmall: telex(textStyle: textTheme.headlineSmall),
      titleLarge: telex(textStyle: textTheme.titleLarge),
      titleMedium: telex(textStyle: textTheme.titleMedium),
      titleSmall: telex(textStyle: textTheme.titleSmall),
      bodyLarge: telex(textStyle: textTheme.bodyLarge),
      bodyMedium: telex(textStyle: textTheme.bodyMedium),
      bodySmall: telex(textStyle: textTheme.bodySmall),
      labelLarge: telex(textStyle: textTheme.labelLarge),
      labelMedium: telex(textStyle: textTheme.labelMedium),
      labelSmall: telex(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tenali Ramakrishna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenali+Ramakrishna
  static TextStyle tenaliRamakrishna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f5f65a4a935911d6091fa2fed08c184001fe00461d9c2417cb4b55652166b95',
        431736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TenaliRamakrishna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tenali Ramakrishna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenali+Ramakrishna
  static TextTheme tenaliRamakrishnaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tenaliRamakrishna(textStyle: textTheme.displayLarge),
      displayMedium: tenaliRamakrishna(textStyle: textTheme.displayMedium),
      displaySmall: tenaliRamakrishna(textStyle: textTheme.displaySmall),
      headlineLarge: tenaliRamakrishna(textStyle: textTheme.headlineLarge),
      headlineMedium: tenaliRamakrishna(textStyle: textTheme.headlineMedium),
      headlineSmall: tenaliRamakrishna(textStyle: textTheme.headlineSmall),
      titleLarge: tenaliRamakrishna(textStyle: textTheme.titleLarge),
      titleMedium: tenaliRamakrishna(textStyle: textTheme.titleMedium),
      titleSmall: tenaliRamakrishna(textStyle: textTheme.titleSmall),
      bodyLarge: tenaliRamakrishna(textStyle: textTheme.bodyLarge),
      bodyMedium: tenaliRamakrishna(textStyle: textTheme.bodyMedium),
      bodySmall: tenaliRamakrishna(textStyle: textTheme.bodySmall),
      labelLarge: tenaliRamakrishna(textStyle: textTheme.labelLarge),
      labelMedium: tenaliRamakrishna(textStyle: textTheme.labelMedium),
      labelSmall: tenaliRamakrishna(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tenor Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenor+Sans
  static TextStyle tenorSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a90594ee7b823ae5e9cf6cbb2638add42e666223af9be097941df085e60b4d0e',
        58944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TenorSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tenor Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenor+Sans
  static TextTheme tenorSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tenorSans(textStyle: textTheme.displayLarge),
      displayMedium: tenorSans(textStyle: textTheme.displayMedium),
      displaySmall: tenorSans(textStyle: textTheme.displaySmall),
      headlineLarge: tenorSans(textStyle: textTheme.headlineLarge),
      headlineMedium: tenorSans(textStyle: textTheme.headlineMedium),
      headlineSmall: tenorSans(textStyle: textTheme.headlineSmall),
      titleLarge: tenorSans(textStyle: textTheme.titleLarge),
      titleMedium: tenorSans(textStyle: textTheme.titleMedium),
      titleSmall: tenorSans(textStyle: textTheme.titleSmall),
      bodyLarge: tenorSans(textStyle: textTheme.bodyLarge),
      bodyMedium: tenorSans(textStyle: textTheme.bodyMedium),
      bodySmall: tenorSans(textStyle: textTheme.bodySmall),
      labelLarge: tenorSans(textStyle: textTheme.labelLarge),
      labelMedium: tenorSans(textStyle: textTheme.labelMedium),
      labelSmall: tenorSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Text Me One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Text+Me+One
  static TextStyle textMeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '959812e0a8f25a959c4520fe3c6870c2c3363b025c019a5f22dd8eff445194a5',
        35128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TextMeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Text Me One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Text+Me+One
  static TextTheme textMeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: textMeOne(textStyle: textTheme.displayLarge),
      displayMedium: textMeOne(textStyle: textTheme.displayMedium),
      displaySmall: textMeOne(textStyle: textTheme.displaySmall),
      headlineLarge: textMeOne(textStyle: textTheme.headlineLarge),
      headlineMedium: textMeOne(textStyle: textTheme.headlineMedium),
      headlineSmall: textMeOne(textStyle: textTheme.headlineSmall),
      titleLarge: textMeOne(textStyle: textTheme.titleLarge),
      titleMedium: textMeOne(textStyle: textTheme.titleMedium),
      titleSmall: textMeOne(textStyle: textTheme.titleSmall),
      bodyLarge: textMeOne(textStyle: textTheme.bodyLarge),
      bodyMedium: textMeOne(textStyle: textTheme.bodyMedium),
      bodySmall: textMeOne(textStyle: textTheme.bodySmall),
      labelLarge: textMeOne(textStyle: textTheme.labelLarge),
      labelMedium: textMeOne(textStyle: textTheme.labelMedium),
      labelSmall: textMeOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Texturina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Texturina
  static TextStyle texturina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61495cc700cfd8a0d524fe0463063f9d8d0b0126092bce85c6de8f1f68297735',
        83628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33854847582666dfbffa8f9ff29b4d173d16519c984c36d778431ccf837f2399',
        83712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85e0991c6e6b79564ec066270e6880c43ced684c5018a91bf1454ee1fedb4bc7',
        83660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '49b1aaee802706f363d0802cb9f886c6f7da857c38abfd9b19f0a4e9ee77a54d',
        83636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b7d12c1f286cd6164c3b21949e9d96f6503bffa56c0b0f7da9112044054ee69',
        83668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea4081035f9ae841fd96cdefe98629c36e296aa0b36822f3cdab6ca1db89c3be',
        83584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e23bfb5580052ee666662ff6fd0cd62080129e4fe2a85f62625c57322f280866',
        83596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '570d7994ba06c962e12e1724d2ca58c3b6b9e69883f14bb96284cc9f3d6564a4',
        83552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6651890efbf8089d027860fe8298dc04ea82ca491fcbf084a0fc90111c5c00ef',
        83532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b10773ac8ade360d6c9fcb70e4da8d96b04ec5447f638579161f063da0c5cb41',
        84192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f4f11274f0be176deef8d3cc33628fde7e4d7cb6ceec21193ddc8d1f2f32e99c',
        84244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '20bff09b893637820029e4890c614ff09a2c53defdc6357b9beddb173d19a7e6',
        84108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3970c8183a32e6ce021aca2baf6d31f4e2bcc9d7a813aef115e8d8e37bafa8b7',
        84020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '65636eaba0f0462cec16bef05f315fab3242e2ad52014b740cdbe0c19c5fa791',
        84128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8734b9097550fe7def85052af4c5b2e74922528bb5baa3f93968505f7b39e86',
        84176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e3e37730146baae9263343217f947dbc5cd74b13fc848f5874b48869a36ab1d3',
        84148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3f6b10840239fb4fd9047a7f5b708cd2364e3ac8952dd4f3438f03617a6935c9',
        84216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '350de765201e27ee27ede82429a5bae18af5a602d959885049dcaa16e26bfe97',
        84244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Texturina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Texturina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Texturina
  static TextTheme texturinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: texturina(textStyle: textTheme.displayLarge),
      displayMedium: texturina(textStyle: textTheme.displayMedium),
      displaySmall: texturina(textStyle: textTheme.displaySmall),
      headlineLarge: texturina(textStyle: textTheme.headlineLarge),
      headlineMedium: texturina(textStyle: textTheme.headlineMedium),
      headlineSmall: texturina(textStyle: textTheme.headlineSmall),
      titleLarge: texturina(textStyle: textTheme.titleLarge),
      titleMedium: texturina(textStyle: textTheme.titleMedium),
      titleSmall: texturina(textStyle: textTheme.titleSmall),
      bodyLarge: texturina(textStyle: textTheme.bodyLarge),
      bodyMedium: texturina(textStyle: textTheme.bodyMedium),
      bodySmall: texturina(textStyle: textTheme.bodySmall),
      labelLarge: texturina(textStyle: textTheme.labelLarge),
      labelMedium: texturina(textStyle: textTheme.labelMedium),
      labelSmall: texturina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Thasadith font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Thasadith
  static TextStyle thasadith({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '270140e7e1d89ed4e736df35c9b8bd5b75ea3362517333a433ca078459eb9323',
        86212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7ada4a235e09bae13e7f77cc8bdf1a343d94135afb109c6947faf8b09f941cd2',
        89192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be833b1150bfbacf67fa3ec12e7b7d96e4ef4f3511cc4566faf20d945e2417fb',
        86580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2cca1f53203ccce2d78ce9573669fa970878bf7015bd2dfc0fd7ce04f41b79d6',
        89588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Thasadith',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Thasadith font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Thasadith
  static TextTheme thasadithTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: thasadith(textStyle: textTheme.displayLarge),
      displayMedium: thasadith(textStyle: textTheme.displayMedium),
      displaySmall: thasadith(textStyle: textTheme.displaySmall),
      headlineLarge: thasadith(textStyle: textTheme.headlineLarge),
      headlineMedium: thasadith(textStyle: textTheme.headlineMedium),
      headlineSmall: thasadith(textStyle: textTheme.headlineSmall),
      titleLarge: thasadith(textStyle: textTheme.titleLarge),
      titleMedium: thasadith(textStyle: textTheme.titleMedium),
      titleSmall: thasadith(textStyle: textTheme.titleSmall),
      bodyLarge: thasadith(textStyle: textTheme.bodyLarge),
      bodyMedium: thasadith(textStyle: textTheme.bodyMedium),
      bodySmall: thasadith(textStyle: textTheme.bodySmall),
      labelLarge: thasadith(textStyle: textTheme.labelLarge),
      labelMedium: thasadith(textStyle: textTheme.labelMedium),
      labelSmall: thasadith(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the The Girl Next Door font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Girl+Next+Door
  static TextStyle theGirlNextDoor({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77183c34d8c3d854c5f30ac3a3bc6a1c61abbc21706f38504a205d0a3ff08601',
        41860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TheGirlNextDoor',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the The Girl Next Door font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Girl+Next+Door
  static TextTheme theGirlNextDoorTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: theGirlNextDoor(textStyle: textTheme.displayLarge),
      displayMedium: theGirlNextDoor(textStyle: textTheme.displayMedium),
      displaySmall: theGirlNextDoor(textStyle: textTheme.displaySmall),
      headlineLarge: theGirlNextDoor(textStyle: textTheme.headlineLarge),
      headlineMedium: theGirlNextDoor(textStyle: textTheme.headlineMedium),
      headlineSmall: theGirlNextDoor(textStyle: textTheme.headlineSmall),
      titleLarge: theGirlNextDoor(textStyle: textTheme.titleLarge),
      titleMedium: theGirlNextDoor(textStyle: textTheme.titleMedium),
      titleSmall: theGirlNextDoor(textStyle: textTheme.titleSmall),
      bodyLarge: theGirlNextDoor(textStyle: textTheme.bodyLarge),
      bodyMedium: theGirlNextDoor(textStyle: textTheme.bodyMedium),
      bodySmall: theGirlNextDoor(textStyle: textTheme.bodySmall),
      labelLarge: theGirlNextDoor(textStyle: textTheme.labelLarge),
      labelMedium: theGirlNextDoor(textStyle: textTheme.labelMedium),
      labelSmall: theGirlNextDoor(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the The Nautigal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Nautigal
  static TextStyle theNautigal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3b78b9c0d16707a9202be4c24e7fe36fb8dce5d50cb456ca6a8b4de4b544131',
        108556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee1f32a71ad54dd10774dc409c533ae70d6cd5a5e49f365ad3c53a7ee3e2f991',
        108028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TheNautigal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the The Nautigal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Nautigal
  static TextTheme theNautigalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: theNautigal(textStyle: textTheme.displayLarge),
      displayMedium: theNautigal(textStyle: textTheme.displayMedium),
      displaySmall: theNautigal(textStyle: textTheme.displaySmall),
      headlineLarge: theNautigal(textStyle: textTheme.headlineLarge),
      headlineMedium: theNautigal(textStyle: textTheme.headlineMedium),
      headlineSmall: theNautigal(textStyle: textTheme.headlineSmall),
      titleLarge: theNautigal(textStyle: textTheme.titleLarge),
      titleMedium: theNautigal(textStyle: textTheme.titleMedium),
      titleSmall: theNautigal(textStyle: textTheme.titleSmall),
      bodyLarge: theNautigal(textStyle: textTheme.bodyLarge),
      bodyMedium: theNautigal(textStyle: textTheme.bodyMedium),
      bodySmall: theNautigal(textStyle: textTheme.bodySmall),
      labelLarge: theNautigal(textStyle: textTheme.labelLarge),
      labelMedium: theNautigal(textStyle: textTheme.labelMedium),
      labelSmall: theNautigal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tienne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tienne
  static TextStyle tienne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd464bae8fe9ec18f0b6c2092699eda523f5bd8efd853a074218a87897986267d',
        39320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '127b3ca5d9108ab427bf14c814de07ed3947de3e38cb3fd3bb9ca330dd0af260',
        37372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f3bfee1d66a1d333e8d4d7bc617c8aeb1396048315adfdcb3b3364a81871a95',
        33700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tienne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tienne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tienne
  static TextTheme tienneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tienne(textStyle: textTheme.displayLarge),
      displayMedium: tienne(textStyle: textTheme.displayMedium),
      displaySmall: tienne(textStyle: textTheme.displaySmall),
      headlineLarge: tienne(textStyle: textTheme.headlineLarge),
      headlineMedium: tienne(textStyle: textTheme.headlineMedium),
      headlineSmall: tienne(textStyle: textTheme.headlineSmall),
      titleLarge: tienne(textStyle: textTheme.titleLarge),
      titleMedium: tienne(textStyle: textTheme.titleMedium),
      titleSmall: tienne(textStyle: textTheme.titleSmall),
      bodyLarge: tienne(textStyle: textTheme.bodyLarge),
      bodyMedium: tienne(textStyle: textTheme.bodyMedium),
      bodySmall: tienne(textStyle: textTheme.bodySmall),
      labelLarge: tienne(textStyle: textTheme.labelLarge),
      labelMedium: tienne(textStyle: textTheme.labelMedium),
      labelSmall: tienne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tillana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tillana
  static TextStyle tillana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a19a2df2750e5ed83064b1f7a67f418e7dcd4bd31f7018a1880e940a310cb92',
        216284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9eb0a5a3b8a551c351bf25f37dda3fbbd9d9d0497752d50bd079849c931bbb3',
        220652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bcd0ea40bb7a7741d243a67b44dd4018837d3bec75f596750143fc427707cf5c',
        221392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c90fa25b9f7097597de0823b0d1112af121a0875bac0f9f9ce98aab5948bf63',
        220924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98b43554a1fb85013b2e348325c5a9c5cd8e66bb942a3df923c2585c71fee3a2',
        221112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tillana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tillana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tillana
  static TextTheme tillanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tillana(textStyle: textTheme.displayLarge),
      displayMedium: tillana(textStyle: textTheme.displayMedium),
      displaySmall: tillana(textStyle: textTheme.displaySmall),
      headlineLarge: tillana(textStyle: textTheme.headlineLarge),
      headlineMedium: tillana(textStyle: textTheme.headlineMedium),
      headlineSmall: tillana(textStyle: textTheme.headlineSmall),
      titleLarge: tillana(textStyle: textTheme.titleLarge),
      titleMedium: tillana(textStyle: textTheme.titleMedium),
      titleSmall: tillana(textStyle: textTheme.titleSmall),
      bodyLarge: tillana(textStyle: textTheme.bodyLarge),
      bodyMedium: tillana(textStyle: textTheme.bodyMedium),
      bodySmall: tillana(textStyle: textTheme.bodySmall),
      labelLarge: tillana(textStyle: textTheme.labelLarge),
      labelMedium: tillana(textStyle: textTheme.labelMedium),
      labelSmall: tillana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tilt Neon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tilt+Neon
  static TextStyle tiltNeon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bcb605cb7f771b18ceadf974ee0574ee1de6a12d464126637cd7135b053a27f',
        89348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiltNeon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tilt Neon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tilt+Neon
  static TextTheme tiltNeonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tiltNeon(textStyle: textTheme.displayLarge),
      displayMedium: tiltNeon(textStyle: textTheme.displayMedium),
      displaySmall: tiltNeon(textStyle: textTheme.displaySmall),
      headlineLarge: tiltNeon(textStyle: textTheme.headlineLarge),
      headlineMedium: tiltNeon(textStyle: textTheme.headlineMedium),
      headlineSmall: tiltNeon(textStyle: textTheme.headlineSmall),
      titleLarge: tiltNeon(textStyle: textTheme.titleLarge),
      titleMedium: tiltNeon(textStyle: textTheme.titleMedium),
      titleSmall: tiltNeon(textStyle: textTheme.titleSmall),
      bodyLarge: tiltNeon(textStyle: textTheme.bodyLarge),
      bodyMedium: tiltNeon(textStyle: textTheme.bodyMedium),
      bodySmall: tiltNeon(textStyle: textTheme.bodySmall),
      labelLarge: tiltNeon(textStyle: textTheme.labelLarge),
      labelMedium: tiltNeon(textStyle: textTheme.labelMedium),
      labelSmall: tiltNeon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tilt Prism font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tilt+Prism
  static TextStyle tiltPrism({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '816c05603fa0ca374d0d748d0a1c029c7d5b8fa7f3068d858440b0e4755f968a',
        174756,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiltPrism',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tilt Prism font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tilt+Prism
  static TextTheme tiltPrismTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tiltPrism(textStyle: textTheme.displayLarge),
      displayMedium: tiltPrism(textStyle: textTheme.displayMedium),
      displaySmall: tiltPrism(textStyle: textTheme.displaySmall),
      headlineLarge: tiltPrism(textStyle: textTheme.headlineLarge),
      headlineMedium: tiltPrism(textStyle: textTheme.headlineMedium),
      headlineSmall: tiltPrism(textStyle: textTheme.headlineSmall),
      titleLarge: tiltPrism(textStyle: textTheme.titleLarge),
      titleMedium: tiltPrism(textStyle: textTheme.titleMedium),
      titleSmall: tiltPrism(textStyle: textTheme.titleSmall),
      bodyLarge: tiltPrism(textStyle: textTheme.bodyLarge),
      bodyMedium: tiltPrism(textStyle: textTheme.bodyMedium),
      bodySmall: tiltPrism(textStyle: textTheme.bodySmall),
      labelLarge: tiltPrism(textStyle: textTheme.labelLarge),
      labelMedium: tiltPrism(textStyle: textTheme.labelMedium),
      labelSmall: tiltPrism(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tilt Warp font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tilt+Warp
  static TextStyle tiltWarp({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ecf1622fb5236d16feb943641f704377337d346f1c19bfab88babe2bc76a618',
        59624,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiltWarp',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tilt Warp font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tilt+Warp
  static TextTheme tiltWarpTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tiltWarp(textStyle: textTheme.displayLarge),
      displayMedium: tiltWarp(textStyle: textTheme.displayMedium),
      displaySmall: tiltWarp(textStyle: textTheme.displaySmall),
      headlineLarge: tiltWarp(textStyle: textTheme.headlineLarge),
      headlineMedium: tiltWarp(textStyle: textTheme.headlineMedium),
      headlineSmall: tiltWarp(textStyle: textTheme.headlineSmall),
      titleLarge: tiltWarp(textStyle: textTheme.titleLarge),
      titleMedium: tiltWarp(textStyle: textTheme.titleMedium),
      titleSmall: tiltWarp(textStyle: textTheme.titleSmall),
      bodyLarge: tiltWarp(textStyle: textTheme.bodyLarge),
      bodyMedium: tiltWarp(textStyle: textTheme.bodyMedium),
      bodySmall: tiltWarp(textStyle: textTheme.bodySmall),
      labelLarge: tiltWarp(textStyle: textTheme.labelLarge),
      labelMedium: tiltWarp(textStyle: textTheme.labelMedium),
      labelSmall: tiltWarp(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Timmana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Timmana
  static TextStyle timmana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0123471088f58816de3b9e9331ed8e46a447570e0eb5c817e3927db8124196b2',
        431972,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Timmana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Timmana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Timmana
  static TextTheme timmanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: timmana(textStyle: textTheme.displayLarge),
      displayMedium: timmana(textStyle: textTheme.displayMedium),
      displaySmall: timmana(textStyle: textTheme.displaySmall),
      headlineLarge: timmana(textStyle: textTheme.headlineLarge),
      headlineMedium: timmana(textStyle: textTheme.headlineMedium),
      headlineSmall: timmana(textStyle: textTheme.headlineSmall),
      titleLarge: timmana(textStyle: textTheme.titleLarge),
      titleMedium: timmana(textStyle: textTheme.titleMedium),
      titleSmall: timmana(textStyle: textTheme.titleSmall),
      bodyLarge: timmana(textStyle: textTheme.bodyLarge),
      bodyMedium: timmana(textStyle: textTheme.bodyMedium),
      bodySmall: timmana(textStyle: textTheme.bodySmall),
      labelLarge: timmana(textStyle: textTheme.labelLarge),
      labelMedium: timmana(textStyle: textTheme.labelMedium),
      labelSmall: timmana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tinos font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tinos
  static TextStyle tinos({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23e68bc98222339eb30959aade856a732c4f3ea04e5c229e00cede6c5378c2ed',
        246568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1751ba26644fb09379dcddda6f5c0065988cf041859f8027ef182b99ba145c22',
        248184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1072711f4d2e7b23ff31277fde58d4b1dfd846d0a31410102b39aa8a95943b84',
        240620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b951c5c411f9fb34b0f43af03345658f01741e07d1f73b23bf1e4b68e278729c',
        246184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tinos',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tinos font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tinos
  static TextTheme tinosTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tinos(textStyle: textTheme.displayLarge),
      displayMedium: tinos(textStyle: textTheme.displayMedium),
      displaySmall: tinos(textStyle: textTheme.displaySmall),
      headlineLarge: tinos(textStyle: textTheme.headlineLarge),
      headlineMedium: tinos(textStyle: textTheme.headlineMedium),
      headlineSmall: tinos(textStyle: textTheme.headlineSmall),
      titleLarge: tinos(textStyle: textTheme.titleLarge),
      titleMedium: tinos(textStyle: textTheme.titleMedium),
      titleSmall: tinos(textStyle: textTheme.titleSmall),
      bodyLarge: tinos(textStyle: textTheme.bodyLarge),
      bodyMedium: tinos(textStyle: textTheme.bodyMedium),
      bodySmall: tinos(textStyle: textTheme.bodySmall),
      labelLarge: tinos(textStyle: textTheme.labelLarge),
      labelMedium: tinos(textStyle: textTheme.labelMedium),
      labelSmall: tinos(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Bangla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Bangla
  static TextStyle tiroBangla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bb112fe0b99f59a55ea20409d2a2139151881033562ccfa9ebb12cc8c09970a',
        193128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '85c804ae6757832bb60c86dddb0ea08524558dc077631a0a60443be724d238f8',
        197520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroBangla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Bangla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Bangla
  static TextTheme tiroBanglaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tiroBangla(textStyle: textTheme.displayLarge),
      displayMedium: tiroBangla(textStyle: textTheme.displayMedium),
      displaySmall: tiroBangla(textStyle: textTheme.displaySmall),
      headlineLarge: tiroBangla(textStyle: textTheme.headlineLarge),
      headlineMedium: tiroBangla(textStyle: textTheme.headlineMedium),
      headlineSmall: tiroBangla(textStyle: textTheme.headlineSmall),
      titleLarge: tiroBangla(textStyle: textTheme.titleLarge),
      titleMedium: tiroBangla(textStyle: textTheme.titleMedium),
      titleSmall: tiroBangla(textStyle: textTheme.titleSmall),
      bodyLarge: tiroBangla(textStyle: textTheme.bodyLarge),
      bodyMedium: tiroBangla(textStyle: textTheme.bodyMedium),
      bodySmall: tiroBangla(textStyle: textTheme.bodySmall),
      labelLarge: tiroBangla(textStyle: textTheme.labelLarge),
      labelMedium: tiroBangla(textStyle: textTheme.labelMedium),
      labelSmall: tiroBangla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Devanagari Hindi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Hindi
  static TextStyle tiroDevanagariHindi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79f9b78b96c3d89b3f45803facad00dc5cf7a958e433f03aa0b2dc34dfa1846d',
        250692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0504e39af7e5ed18179046973556aa791a247ba24f0851a26da501144dcaf4f0',
        253924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroDevanagariHindi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Devanagari Hindi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Hindi
  static TextTheme tiroDevanagariHindiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tiroDevanagariHindi(textStyle: textTheme.displayLarge),
      displayMedium: tiroDevanagariHindi(textStyle: textTheme.displayMedium),
      displaySmall: tiroDevanagariHindi(textStyle: textTheme.displaySmall),
      headlineLarge: tiroDevanagariHindi(textStyle: textTheme.headlineLarge),
      headlineMedium: tiroDevanagariHindi(textStyle: textTheme.headlineMedium),
      headlineSmall: tiroDevanagariHindi(textStyle: textTheme.headlineSmall),
      titleLarge: tiroDevanagariHindi(textStyle: textTheme.titleLarge),
      titleMedium: tiroDevanagariHindi(textStyle: textTheme.titleMedium),
      titleSmall: tiroDevanagariHindi(textStyle: textTheme.titleSmall),
      bodyLarge: tiroDevanagariHindi(textStyle: textTheme.bodyLarge),
      bodyMedium: tiroDevanagariHindi(textStyle: textTheme.bodyMedium),
      bodySmall: tiroDevanagariHindi(textStyle: textTheme.bodySmall),
      labelLarge: tiroDevanagariHindi(textStyle: textTheme.labelLarge),
      labelMedium: tiroDevanagariHindi(textStyle: textTheme.labelMedium),
      labelSmall: tiroDevanagariHindi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Devanagari Marathi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Marathi
  static TextStyle tiroDevanagariMarathi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a0c2ac07584ef3e1bd3b08a3f609e89e64a9eec24307e69df956c2024312262',
        249320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e047c3da37621e0d6f74d12aad194f6ae81741ef61c3db9a9a587348c099412a',
        252588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroDevanagariMarathi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Devanagari Marathi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Marathi
  static TextTheme tiroDevanagariMarathiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tiroDevanagariMarathi(textStyle: textTheme.displayLarge),
      displayMedium: tiroDevanagariMarathi(textStyle: textTheme.displayMedium),
      displaySmall: tiroDevanagariMarathi(textStyle: textTheme.displaySmall),
      headlineLarge: tiroDevanagariMarathi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          tiroDevanagariMarathi(textStyle: textTheme.headlineMedium),
      headlineSmall: tiroDevanagariMarathi(textStyle: textTheme.headlineSmall),
      titleLarge: tiroDevanagariMarathi(textStyle: textTheme.titleLarge),
      titleMedium: tiroDevanagariMarathi(textStyle: textTheme.titleMedium),
      titleSmall: tiroDevanagariMarathi(textStyle: textTheme.titleSmall),
      bodyLarge: tiroDevanagariMarathi(textStyle: textTheme.bodyLarge),
      bodyMedium: tiroDevanagariMarathi(textStyle: textTheme.bodyMedium),
      bodySmall: tiroDevanagariMarathi(textStyle: textTheme.bodySmall),
      labelLarge: tiroDevanagariMarathi(textStyle: textTheme.labelLarge),
      labelMedium: tiroDevanagariMarathi(textStyle: textTheme.labelMedium),
      labelSmall: tiroDevanagariMarathi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Devanagari Sanskrit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Sanskrit
  static TextStyle tiroDevanagariSanskrit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '052519e5e106e8076839f1f9a188de11e0b651456882c00287124a36fb453327',
        429356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e2f99cde582e8da3ee4d3d868c8c2bda946b80cac43d29bff8d5d6a9790f82f9',
        434360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroDevanagariSanskrit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Devanagari Sanskrit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Sanskrit
  static TextTheme tiroDevanagariSanskritTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tiroDevanagariSanskrit(textStyle: textTheme.displayLarge),
      displayMedium: tiroDevanagariSanskrit(textStyle: textTheme.displayMedium),
      displaySmall: tiroDevanagariSanskrit(textStyle: textTheme.displaySmall),
      headlineLarge: tiroDevanagariSanskrit(textStyle: textTheme.headlineLarge),
      headlineMedium:
          tiroDevanagariSanskrit(textStyle: textTheme.headlineMedium),
      headlineSmall: tiroDevanagariSanskrit(textStyle: textTheme.headlineSmall),
      titleLarge: tiroDevanagariSanskrit(textStyle: textTheme.titleLarge),
      titleMedium: tiroDevanagariSanskrit(textStyle: textTheme.titleMedium),
      titleSmall: tiroDevanagariSanskrit(textStyle: textTheme.titleSmall),
      bodyLarge: tiroDevanagariSanskrit(textStyle: textTheme.bodyLarge),
      bodyMedium: tiroDevanagariSanskrit(textStyle: textTheme.bodyMedium),
      bodySmall: tiroDevanagariSanskrit(textStyle: textTheme.bodySmall),
      labelLarge: tiroDevanagariSanskrit(textStyle: textTheme.labelLarge),
      labelMedium: tiroDevanagariSanskrit(textStyle: textTheme.labelMedium),
      labelSmall: tiroDevanagariSanskrit(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Gurmukhi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Gurmukhi
  static TextStyle tiroGurmukhi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '530b5e3b59e5e96f1eb00dd80f3c721ec7b7bc86410e84111d6751b2ca49e9f2',
        86168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8921dc96a6f8f39787c4b2fa08c9fa414785e0732f88f7385a4005c85abae73a',
        87292,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroGurmukhi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Gurmukhi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Gurmukhi
  static TextTheme tiroGurmukhiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tiroGurmukhi(textStyle: textTheme.displayLarge),
      displayMedium: tiroGurmukhi(textStyle: textTheme.displayMedium),
      displaySmall: tiroGurmukhi(textStyle: textTheme.displaySmall),
      headlineLarge: tiroGurmukhi(textStyle: textTheme.headlineLarge),
      headlineMedium: tiroGurmukhi(textStyle: textTheme.headlineMedium),
      headlineSmall: tiroGurmukhi(textStyle: textTheme.headlineSmall),
      titleLarge: tiroGurmukhi(textStyle: textTheme.titleLarge),
      titleMedium: tiroGurmukhi(textStyle: textTheme.titleMedium),
      titleSmall: tiroGurmukhi(textStyle: textTheme.titleSmall),
      bodyLarge: tiroGurmukhi(textStyle: textTheme.bodyLarge),
      bodyMedium: tiroGurmukhi(textStyle: textTheme.bodyMedium),
      bodySmall: tiroGurmukhi(textStyle: textTheme.bodySmall),
      labelLarge: tiroGurmukhi(textStyle: textTheme.labelLarge),
      labelMedium: tiroGurmukhi(textStyle: textTheme.labelMedium),
      labelSmall: tiroGurmukhi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Kannada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Kannada
  static TextStyle tiroKannada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5b4a800e61db5c515c013e87667fdf5b612fa26efe1d5d3a82a8d92dd0e304e',
        278956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'da7d1a133cb1067623fe388dd7618834d4725ce9b2bc067b556ab48e67fee713',
        281068,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroKannada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Kannada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Kannada
  static TextTheme tiroKannadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tiroKannada(textStyle: textTheme.displayLarge),
      displayMedium: tiroKannada(textStyle: textTheme.displayMedium),
      displaySmall: tiroKannada(textStyle: textTheme.displaySmall),
      headlineLarge: tiroKannada(textStyle: textTheme.headlineLarge),
      headlineMedium: tiroKannada(textStyle: textTheme.headlineMedium),
      headlineSmall: tiroKannada(textStyle: textTheme.headlineSmall),
      titleLarge: tiroKannada(textStyle: textTheme.titleLarge),
      titleMedium: tiroKannada(textStyle: textTheme.titleMedium),
      titleSmall: tiroKannada(textStyle: textTheme.titleSmall),
      bodyLarge: tiroKannada(textStyle: textTheme.bodyLarge),
      bodyMedium: tiroKannada(textStyle: textTheme.bodyMedium),
      bodySmall: tiroKannada(textStyle: textTheme.bodySmall),
      labelLarge: tiroKannada(textStyle: textTheme.labelLarge),
      labelMedium: tiroKannada(textStyle: textTheme.labelMedium),
      labelSmall: tiroKannada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Tamil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Tamil
  static TextStyle tiroTamil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8c1bd98a0dd7710c57cf37f8982c5d7c93e9b432d42397ae45d3ab30d2ad9c1',
        106120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ecdd0ac7d54528cacf5fdad74de5a1818c5a77931691b816621c935649675169',
        107380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroTamil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Tamil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Tamil
  static TextTheme tiroTamilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tiroTamil(textStyle: textTheme.displayLarge),
      displayMedium: tiroTamil(textStyle: textTheme.displayMedium),
      displaySmall: tiroTamil(textStyle: textTheme.displaySmall),
      headlineLarge: tiroTamil(textStyle: textTheme.headlineLarge),
      headlineMedium: tiroTamil(textStyle: textTheme.headlineMedium),
      headlineSmall: tiroTamil(textStyle: textTheme.headlineSmall),
      titleLarge: tiroTamil(textStyle: textTheme.titleLarge),
      titleMedium: tiroTamil(textStyle: textTheme.titleMedium),
      titleSmall: tiroTamil(textStyle: textTheme.titleSmall),
      bodyLarge: tiroTamil(textStyle: textTheme.bodyLarge),
      bodyMedium: tiroTamil(textStyle: textTheme.bodyMedium),
      bodySmall: tiroTamil(textStyle: textTheme.bodySmall),
      labelLarge: tiroTamil(textStyle: textTheme.labelLarge),
      labelMedium: tiroTamil(textStyle: textTheme.labelMedium),
      labelSmall: tiroTamil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Telugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Telugu
  static TextStyle tiroTelugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9aeb5fe6b5d101a3f2480e8097d0431b134f1502385bd0f648b3564b4a3ef4c6',
        395380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '70ed1c0fe4f8b128b26bda89ad0c94f13ff87f15180904d5c43505770d88b937',
        392340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroTelugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Telugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Telugu
  static TextTheme tiroTeluguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tiroTelugu(textStyle: textTheme.displayLarge),
      displayMedium: tiroTelugu(textStyle: textTheme.displayMedium),
      displaySmall: tiroTelugu(textStyle: textTheme.displaySmall),
      headlineLarge: tiroTelugu(textStyle: textTheme.headlineLarge),
      headlineMedium: tiroTelugu(textStyle: textTheme.headlineMedium),
      headlineSmall: tiroTelugu(textStyle: textTheme.headlineSmall),
      titleLarge: tiroTelugu(textStyle: textTheme.titleLarge),
      titleMedium: tiroTelugu(textStyle: textTheme.titleMedium),
      titleSmall: tiroTelugu(textStyle: textTheme.titleSmall),
      bodyLarge: tiroTelugu(textStyle: textTheme.bodyLarge),
      bodyMedium: tiroTelugu(textStyle: textTheme.bodyMedium),
      bodySmall: tiroTelugu(textStyle: textTheme.bodySmall),
      labelLarge: tiroTelugu(textStyle: textTheme.labelLarge),
      labelMedium: tiroTelugu(textStyle: textTheme.labelMedium),
      labelSmall: tiroTelugu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Titan One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titan+One
  static TextStyle titanOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc56c15aa1df450667660510bcbf78be7d79aa2c6baa92cc09c1e5a715b3df3b',
        52164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TitanOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Titan One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titan+One
  static TextTheme titanOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: titanOne(textStyle: textTheme.displayLarge),
      displayMedium: titanOne(textStyle: textTheme.displayMedium),
      displaySmall: titanOne(textStyle: textTheme.displaySmall),
      headlineLarge: titanOne(textStyle: textTheme.headlineLarge),
      headlineMedium: titanOne(textStyle: textTheme.headlineMedium),
      headlineSmall: titanOne(textStyle: textTheme.headlineSmall),
      titleLarge: titanOne(textStyle: textTheme.titleLarge),
      titleMedium: titanOne(textStyle: textTheme.titleMedium),
      titleSmall: titanOne(textStyle: textTheme.titleSmall),
      bodyLarge: titanOne(textStyle: textTheme.bodyLarge),
      bodyMedium: titanOne(textStyle: textTheme.bodyMedium),
      bodySmall: titanOne(textStyle: textTheme.bodySmall),
      labelLarge: titanOne(textStyle: textTheme.labelLarge),
      labelMedium: titanOne(textStyle: textTheme.labelMedium),
      labelSmall: titanOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Titillium Web font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titillium+Web
  static TextStyle titilliumWeb({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66fcc18bb0eed2a11b259d4b563301f5304f6a4a33212b12297784f76da716b4',
        53388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc466f513e5942757bb8b8dd68a85cc1187bea91b71e348745039bde3138f94b',
        57408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90b92cf2b88bd8a39a354c6de10a23b69fd0d9ffc6948a7fdfb5bc30b25be7e0',
        54196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2809d7a2139916867089a91e03178d3f2064f5666d3cee743b65bc7507620b1b',
        60640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82e1e5dc2e10e02cf451358b8979b49da6648646407c7df2c77319c5bb23535f',
        53956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4a373e84f0f61333fc2f9b881fe8afed4fdb496b2653e5772eb273509dde4570',
        61348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c43fe9e52fdd252279f52156429f1924d344076634e3b924ec835e046f90a7d7',
        53224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'acc13d4a166f449f3e72fb3f2566cacc3d64f74ba147a49c93b8f8cc301facbf',
        60880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e97ca3e2e4bee48dafb653d0a983c978573f21fe9f231f805716632539b0267',
        51392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fa12f4c6e2e9a2341b01779259eedc153b79dbecd7bfd7969d1a3419248365b9',
        59216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35ae1c36fea4e51c627d38747c43f4abb864f1f3a4d6fb431b98eb1d10b23ca0',
        41708,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TitilliumWeb',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Titillium Web font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titillium+Web
  static TextTheme titilliumWebTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: titilliumWeb(textStyle: textTheme.displayLarge),
      displayMedium: titilliumWeb(textStyle: textTheme.displayMedium),
      displaySmall: titilliumWeb(textStyle: textTheme.displaySmall),
      headlineLarge: titilliumWeb(textStyle: textTheme.headlineLarge),
      headlineMedium: titilliumWeb(textStyle: textTheme.headlineMedium),
      headlineSmall: titilliumWeb(textStyle: textTheme.headlineSmall),
      titleLarge: titilliumWeb(textStyle: textTheme.titleLarge),
      titleMedium: titilliumWeb(textStyle: textTheme.titleMedium),
      titleSmall: titilliumWeb(textStyle: textTheme.titleSmall),
      bodyLarge: titilliumWeb(textStyle: textTheme.bodyLarge),
      bodyMedium: titilliumWeb(textStyle: textTheme.bodyMedium),
      bodySmall: titilliumWeb(textStyle: textTheme.bodySmall),
      labelLarge: titilliumWeb(textStyle: textTheme.labelLarge),
      labelMedium: titilliumWeb(textStyle: textTheme.labelMedium),
      labelSmall: titilliumWeb(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tomorrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tomorrow
  static TextStyle tomorrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '080f99d103faadc82c695a76be2ca32871d4c85d8c21289aaf4c1690edb04551',
        54872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '86e5cbcb354f6213bbd5e84938e077a926d0b1d120de5ff5e0941f757b09ceb2',
        58008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dddb19f7f441ff5ccb8cfd026392ce5c341cce831ab853fcfc913a049f021e70',
        56872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '397031ba312efa113c38db902bd1c61e477a6647ada7141a7882cb8ca0945b17',
        58892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7523c7205bb169a2bd1b534e94e5c7b23b06f3a52a254d27f3a7f93f604b6e27',
        56908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9914cad59f50b0711a01fca7561de378c6981ba04a76a6b4619d94bce66a43d0',
        58928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5772788b55e5b0c9bdd119d61271a63e3fde377ae65d4537aa64428473cbc715',
        56716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c0bbfb9ddbd0fff4ccd9588169d57a038b7bd83919cc9b449cad784c840c6d46',
        58568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '554d3f3f3ce56d2b7eecd39497c89e8e3d633c7f7fd46501bddab4ed7c05da04',
        56172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3394f9521765d3f64c473e5c2028f4943bbc4f9157a9041b4a24e9ce051a75cd',
        58112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '089b644d3b56da6f022b6f02df0a33a33e0fdebe9d6f335c228cd00554527852',
        56784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc0ba7c251af83c6c414cad86da892409468dafb5ce6a92345ecba2980bca140',
        59016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38b6331b802279a4ca468f8f7d1c47ce6c9123f6d3b4c22fd9e369e3d5065c41',
        55956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '60e5c8a0707ee50cf0716c508f6b60f435a00a6378bd6ba6aa1b0ce8807e63de',
        58964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d74be4e616a66f913c1759ecc239890ce8d4487a2c60cc984d8a91d466a091e',
        56584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f69efbd837e542de6e8eaa0e4ef42308b72d4c5ca3f8672dfe62e180b4356e0',
        59704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e837b171eef6720b2d46e0a1855bd89e69ba9c837ec064f35dcedb26dbf5c64',
        52332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '002c1d542fbbbeb3443244e5ff3abdf70964770ad31bc6b26514999396f8c45d',
        55780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tomorrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tomorrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tomorrow
  static TextTheme tomorrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tomorrow(textStyle: textTheme.displayLarge),
      displayMedium: tomorrow(textStyle: textTheme.displayMedium),
      displaySmall: tomorrow(textStyle: textTheme.displaySmall),
      headlineLarge: tomorrow(textStyle: textTheme.headlineLarge),
      headlineMedium: tomorrow(textStyle: textTheme.headlineMedium),
      headlineSmall: tomorrow(textStyle: textTheme.headlineSmall),
      titleLarge: tomorrow(textStyle: textTheme.titleLarge),
      titleMedium: tomorrow(textStyle: textTheme.titleMedium),
      titleSmall: tomorrow(textStyle: textTheme.titleSmall),
      bodyLarge: tomorrow(textStyle: textTheme.bodyLarge),
      bodyMedium: tomorrow(textStyle: textTheme.bodyMedium),
      bodySmall: tomorrow(textStyle: textTheme.bodySmall),
      labelLarge: tomorrow(textStyle: textTheme.labelLarge),
      labelMedium: tomorrow(textStyle: textTheme.labelMedium),
      labelSmall: tomorrow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tourney font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tourney
  static TextStyle tourney({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47b30251344f5f93137bcf964fe20a943ca9634a57e20752f3e18328dc5ed8a7',
        61996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8919f59e39e1c61577612c4997099b41744c302189fd902fd7c4982fb048d78a',
        61996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05c09db091c5d7aed999ab3a7d2fbb9b50b85d615139a41046dd9e7f13d81dae',
        61976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17da8b076f0652f6a10cdc074c79cf2bd45b662e02f46044c1324a0851684c6d',
        61984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43d8defaadf14ceff1fd930e1c64fbf5f633245beb8bdae31273edd39e36d18a',
        62000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '080c1888f1e69a9a81444ee76daa78b61d3e3540720b36d5541990c4f0ea8fa6',
        62020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '743b950df5d95a7418b33b4a8491a621f7afe1eee5f5052d2b451418da2bfe01',
        61972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce933021a3c9a7ddaf1f579b90624413281e1022962ad685b1711d84dca3303d',
        62100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf7a5d75e79bc62013d192a698931a1279065084d6a36be26a8f902380ec8821',
        61640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '26668e8e4ef69533a03b5562c988ae81f0f2d0112e136b373611a69af3925bee',
        64620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f32131f36f3b4501b00a9de3e00e898daaf5d72ca34de17f1fc50c1fff34c2e7',
        64716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0772f043a940f5ab570bdc0f4f29667b153ac0034fb088ddbd91ce1ca2726eb7',
        64652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3fecd81fb1182916acf480c4adf937db1a4acc20836a2c495efeb2621bc9cd7e',
        64576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4edd05b2ac1a6868fed87ba9f10ce33529bd196b3e6c93e0e50342c9189e9d7b',
        64676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd87b6c0b7d67cdd62e5d2e39f05770cd2e743fc229614fe6b58a711e74ecff90',
        64692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '47903071b69fab5ce58def6663aa95554b5c94fbb6a6ae7907def0a99d0523b8',
        64620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cef929ad43d71e9e9b11eb725972ea6c207a599d108cdbb81746ed0c6c3b56b9',
        64748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '31dae0e7024e52980c0fa0bc3428fcdf54703f8fe5798e103defa90255de6d91',
        64112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tourney',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tourney font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tourney
  static TextTheme tourneyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tourney(textStyle: textTheme.displayLarge),
      displayMedium: tourney(textStyle: textTheme.displayMedium),
      displaySmall: tourney(textStyle: textTheme.displaySmall),
      headlineLarge: tourney(textStyle: textTheme.headlineLarge),
      headlineMedium: tourney(textStyle: textTheme.headlineMedium),
      headlineSmall: tourney(textStyle: textTheme.headlineSmall),
      titleLarge: tourney(textStyle: textTheme.titleLarge),
      titleMedium: tourney(textStyle: textTheme.titleMedium),
      titleSmall: tourney(textStyle: textTheme.titleSmall),
      bodyLarge: tourney(textStyle: textTheme.bodyLarge),
      bodyMedium: tourney(textStyle: textTheme.bodyMedium),
      bodySmall: tourney(textStyle: textTheme.bodySmall),
      labelLarge: tourney(textStyle: textTheme.labelLarge),
      labelMedium: tourney(textStyle: textTheme.labelMedium),
      labelSmall: tourney(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trade Winds font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trade+Winds
  static TextStyle tradeWinds({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '252a872a37c49baa2b7f08491686adcb3d8ffa241e45e9346bb526a69672fccf',
        83508,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TradeWinds',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trade Winds font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trade+Winds
  static TextTheme tradeWindsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tradeWinds(textStyle: textTheme.displayLarge),
      displayMedium: tradeWinds(textStyle: textTheme.displayMedium),
      displaySmall: tradeWinds(textStyle: textTheme.displaySmall),
      headlineLarge: tradeWinds(textStyle: textTheme.headlineLarge),
      headlineMedium: tradeWinds(textStyle: textTheme.headlineMedium),
      headlineSmall: tradeWinds(textStyle: textTheme.headlineSmall),
      titleLarge: tradeWinds(textStyle: textTheme.titleLarge),
      titleMedium: tradeWinds(textStyle: textTheme.titleMedium),
      titleSmall: tradeWinds(textStyle: textTheme.titleSmall),
      bodyLarge: tradeWinds(textStyle: textTheme.bodyLarge),
      bodyMedium: tradeWinds(textStyle: textTheme.bodyMedium),
      bodySmall: tradeWinds(textStyle: textTheme.bodySmall),
      labelLarge: tradeWinds(textStyle: textTheme.labelLarge),
      labelMedium: tradeWinds(textStyle: textTheme.labelMedium),
      labelSmall: tradeWinds(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Train One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Train+One
  static TextStyle trainOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02805e668ac3b32000486d0fb0c5e15a0830eee2a5693ec8cd16a7260f5eac4f',
        1945180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TrainOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Train One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Train+One
  static TextTheme trainOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: trainOne(textStyle: textTheme.displayLarge),
      displayMedium: trainOne(textStyle: textTheme.displayMedium),
      displaySmall: trainOne(textStyle: textTheme.displaySmall),
      headlineLarge: trainOne(textStyle: textTheme.headlineLarge),
      headlineMedium: trainOne(textStyle: textTheme.headlineMedium),
      headlineSmall: trainOne(textStyle: textTheme.headlineSmall),
      titleLarge: trainOne(textStyle: textTheme.titleLarge),
      titleMedium: trainOne(textStyle: textTheme.titleMedium),
      titleSmall: trainOne(textStyle: textTheme.titleSmall),
      bodyLarge: trainOne(textStyle: textTheme.bodyLarge),
      bodyMedium: trainOne(textStyle: textTheme.bodyMedium),
      bodySmall: trainOne(textStyle: textTheme.bodySmall),
      labelLarge: trainOne(textStyle: textTheme.labelLarge),
      labelMedium: trainOne(textStyle: textTheme.labelMedium),
      labelSmall: trainOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trirong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trirong
  static TextStyle trirong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b70c497193f211aeaa449c0f8e88b91389ac33dc5c30d61d961426e2333ccfd6',
        114784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ef4d3745bea259cb738a06d439e2cbb7b44138516dc07470b2731c18b93c26bd',
        129296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fd71235d4d5cbfaaf9769081f251787193b1f6fcf7cf9a460f82b66eb65bae3',
        114832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '75424f3630a8bbd6276c6868e3de00e80d9d0074c5fe592f7229f8c9ed61b2cb',
        130660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03b8619acb82ad072a0dd64921d3992a2b6be44d1825c06b2c572cf70567b83b',
        115836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b635783e3b733d7928b473e369278d4eede7ebc7e0dcf66a33c1a8878d54276a',
        130640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec0188813e5eb57d4ddfd0fb0f7308a0d2d6ec78cd28129384cf95a378ebd6b9',
        116096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3ab8f99425589bbb96043d4dccbf0cf2f6f6f8545a4bea4525e192148fe0331f',
        132696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ddb7f49d41e1e912b0fd25de00887f7fdd91d478fd6f770c4b6bfaca0d36a4fa',
        116388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '37a646c814469f85e077ea3c0b97a81f13d4257350c3bf9173583dce61413703',
        129380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8c07945b6b3a893482cb80fb7af2692708571ee011b2e89c77192181ca110e6',
        116124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8c4404912d4ba11cc99dd7194c2388c0cba32a87e36cfec97b626a827bbcee67',
        129528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '906a2f9bf7f58a4d796d11d69b5665021748b14755bc6fa5139da5125abb6a6b',
        116276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd1bceb1de3d844afa043c58bb97779582398eee6e8a88714ece49a2eb9a69135',
        133164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d76a0f4f823729fc9abc94656338cb285cb8d1f5532f6a0ef867ac78a6fbcfe',
        116140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0f350248e73418bc4ab4705611a3b5cb25415485c42d422ab41609a63172affe',
        132628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50937be8e1637589ed595eaa698f43a1191201adfd8e2707c2ec34214e32d54c',
        116124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '521b80e200a756bae2db43e394c8c394872b995c7a422050999a79fb309d09b9',
        132888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trirong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trirong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trirong
  static TextTheme trirongTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: trirong(textStyle: textTheme.displayLarge),
      displayMedium: trirong(textStyle: textTheme.displayMedium),
      displaySmall: trirong(textStyle: textTheme.displaySmall),
      headlineLarge: trirong(textStyle: textTheme.headlineLarge),
      headlineMedium: trirong(textStyle: textTheme.headlineMedium),
      headlineSmall: trirong(textStyle: textTheme.headlineSmall),
      titleLarge: trirong(textStyle: textTheme.titleLarge),
      titleMedium: trirong(textStyle: textTheme.titleMedium),
      titleSmall: trirong(textStyle: textTheme.titleSmall),
      bodyLarge: trirong(textStyle: textTheme.bodyLarge),
      bodyMedium: trirong(textStyle: textTheme.bodyMedium),
      bodySmall: trirong(textStyle: textTheme.bodySmall),
      labelLarge: trirong(textStyle: textTheme.labelLarge),
      labelMedium: trirong(textStyle: textTheme.labelMedium),
      labelSmall: trirong(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trispace font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trispace
  static TextStyle trispace({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '882cfe76eedeb3a81d58595e430a26a176c7f75be826b41c78d6fcccfd69e815',
        59608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45749eb562b5c001b78b92e2b6633a8c114c1d51a51f44a2e906c62842a284c4',
        59764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3745a311ce4a0e34046a84e5aff0666f84eaa1a323655ef5d62d9c2ea77d25c4',
        59764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '368fb4e90257422b15835622d87398f037221575b7701255a9c04c85a36ae05a',
        59728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '678cf96bda4b38db1c9909070d1e7e0d74f0357917d707d5c7497374bf4b5424',
        59808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef3c3a7bcc47544d6af05719c955a534a8c761fbec89a28129e0666c0ff38d79',
        59992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9e2943c697783382293c806cd3188530dc43787a80f13dd85f2ef15c8771171',
        60084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02813fad86496a0371a95d4f334d86e4593f5af31de13b12dc07a82774ff6ea7',
        60344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trispace',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trispace font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trispace
  static TextTheme trispaceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: trispace(textStyle: textTheme.displayLarge),
      displayMedium: trispace(textStyle: textTheme.displayMedium),
      displaySmall: trispace(textStyle: textTheme.displaySmall),
      headlineLarge: trispace(textStyle: textTheme.headlineLarge),
      headlineMedium: trispace(textStyle: textTheme.headlineMedium),
      headlineSmall: trispace(textStyle: textTheme.headlineSmall),
      titleLarge: trispace(textStyle: textTheme.titleLarge),
      titleMedium: trispace(textStyle: textTheme.titleMedium),
      titleSmall: trispace(textStyle: textTheme.titleSmall),
      bodyLarge: trispace(textStyle: textTheme.bodyLarge),
      bodyMedium: trispace(textStyle: textTheme.bodyMedium),
      bodySmall: trispace(textStyle: textTheme.bodySmall),
      labelLarge: trispace(textStyle: textTheme.labelLarge),
      labelMedium: trispace(textStyle: textTheme.labelMedium),
      labelSmall: trispace(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trocchi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trocchi
  static TextStyle trocchi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c85c761f448064c4c6d75277f0386ec20c593b42ffa8ef471c85009b1f4fadb',
        41408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trocchi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trocchi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trocchi
  static TextTheme trocchiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: trocchi(textStyle: textTheme.displayLarge),
      displayMedium: trocchi(textStyle: textTheme.displayMedium),
      displaySmall: trocchi(textStyle: textTheme.displaySmall),
      headlineLarge: trocchi(textStyle: textTheme.headlineLarge),
      headlineMedium: trocchi(textStyle: textTheme.headlineMedium),
      headlineSmall: trocchi(textStyle: textTheme.headlineSmall),
      titleLarge: trocchi(textStyle: textTheme.titleLarge),
      titleMedium: trocchi(textStyle: textTheme.titleMedium),
      titleSmall: trocchi(textStyle: textTheme.titleSmall),
      bodyLarge: trocchi(textStyle: textTheme.bodyLarge),
      bodyMedium: trocchi(textStyle: textTheme.bodyMedium),
      bodySmall: trocchi(textStyle: textTheme.bodySmall),
      labelLarge: trocchi(textStyle: textTheme.labelLarge),
      labelMedium: trocchi(textStyle: textTheme.labelMedium),
      labelSmall: trocchi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trochut font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trochut
  static TextStyle trochut({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '994b31ddcc5e04b33ab1e9f2a0f91b23eed88d22e33f80adc26c299ad3195818',
        23156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7077e81d46c1ee8b4aad564aa9bfb3c7342de82a9f0fd51fe4cb23cbfa240991',
        25740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '958b749469e1628226ca18f165313831ee9f96bdee4f5410cf61bfa73cef5b83',
        23104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trochut',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trochut font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trochut
  static TextTheme trochutTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: trochut(textStyle: textTheme.displayLarge),
      displayMedium: trochut(textStyle: textTheme.displayMedium),
      displaySmall: trochut(textStyle: textTheme.displaySmall),
      headlineLarge: trochut(textStyle: textTheme.headlineLarge),
      headlineMedium: trochut(textStyle: textTheme.headlineMedium),
      headlineSmall: trochut(textStyle: textTheme.headlineSmall),
      titleLarge: trochut(textStyle: textTheme.titleLarge),
      titleMedium: trochut(textStyle: textTheme.titleMedium),
      titleSmall: trochut(textStyle: textTheme.titleSmall),
      bodyLarge: trochut(textStyle: textTheme.bodyLarge),
      bodyMedium: trochut(textStyle: textTheme.bodyMedium),
      bodySmall: trochut(textStyle: textTheme.bodySmall),
      labelLarge: trochut(textStyle: textTheme.labelLarge),
      labelMedium: trochut(textStyle: textTheme.labelMedium),
      labelSmall: trochut(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Truculenta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Truculenta
  static TextStyle truculenta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3e8c98a055dc1f9fbec6d712b405c59af41a28bd7dc68f707d418080dc86d6b',
        126276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ab4a4eb2918fc064f40dd33ad31c0ffb0bb5962a401740122fef4c1c2b02b1d',
        126508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b03b5ce089e7c9d9944d1f8b53cf7d507de00a64ced3c05513669f600022516d',
        126520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e11c1a88d2a596b3c589437b0be73bb1c35fa9542c7ffa596b96f358c368037a',
        126000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7168d884a00b585afc65b705c6ad80ab7684b91d7573376df8e4c79c70bd631c',
        126720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a83600123b802e6cae5a9bfd2ee3af346ec2ed7fca3713e0da5e1643ed53199',
        130444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a84bd388b6f35bcf4ee75f2af151d8c3a2b26eb7873bb64f34c65ad92724aaf8',
        130428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '920f17b546fbf0a49d0593481bfab329a4f7fd55be0516afc0c6ec379e227844',
        130596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82fd9964fb2ecaf5aa2c076bb46a100546a29f21bcedd469aeb58903bc91292c',
        130556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Truculenta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Truculenta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Truculenta
  static TextTheme truculentaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: truculenta(textStyle: textTheme.displayLarge),
      displayMedium: truculenta(textStyle: textTheme.displayMedium),
      displaySmall: truculenta(textStyle: textTheme.displaySmall),
      headlineLarge: truculenta(textStyle: textTheme.headlineLarge),
      headlineMedium: truculenta(textStyle: textTheme.headlineMedium),
      headlineSmall: truculenta(textStyle: textTheme.headlineSmall),
      titleLarge: truculenta(textStyle: textTheme.titleLarge),
      titleMedium: truculenta(textStyle: textTheme.titleMedium),
      titleSmall: truculenta(textStyle: textTheme.titleSmall),
      bodyLarge: truculenta(textStyle: textTheme.bodyLarge),
      bodyMedium: truculenta(textStyle: textTheme.bodyMedium),
      bodySmall: truculenta(textStyle: textTheme.bodySmall),
      labelLarge: truculenta(textStyle: textTheme.labelLarge),
      labelMedium: truculenta(textStyle: textTheme.labelMedium),
      labelSmall: truculenta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trykker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trykker
  static TextStyle trykker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca7a70bd53438d7f42a2d42c02d3f5e43ca3cb69aef552de5383d678537109f6',
        35444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trykker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trykker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trykker
  static TextTheme trykkerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: trykker(textStyle: textTheme.displayLarge),
      displayMedium: trykker(textStyle: textTheme.displayMedium),
      displaySmall: trykker(textStyle: textTheme.displaySmall),
      headlineLarge: trykker(textStyle: textTheme.headlineLarge),
      headlineMedium: trykker(textStyle: textTheme.headlineMedium),
      headlineSmall: trykker(textStyle: textTheme.headlineSmall),
      titleLarge: trykker(textStyle: textTheme.titleLarge),
      titleMedium: trykker(textStyle: textTheme.titleMedium),
      titleSmall: trykker(textStyle: textTheme.titleSmall),
      bodyLarge: trykker(textStyle: textTheme.bodyLarge),
      bodyMedium: trykker(textStyle: textTheme.bodyMedium),
      bodySmall: trykker(textStyle: textTheme.bodySmall),
      labelLarge: trykker(textStyle: textTheme.labelLarge),
      labelMedium: trykker(textStyle: textTheme.labelMedium),
      labelSmall: trykker(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tulpen One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tulpen+One
  static TextStyle tulpenOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2ff4ce783b928b53d9f2a420d3fa0c3283190ff1c3d675e6f7ea40a25f7b8d7',
        33392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TulpenOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tulpen One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tulpen+One
  static TextTheme tulpenOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: tulpenOne(textStyle: textTheme.displayLarge),
      displayMedium: tulpenOne(textStyle: textTheme.displayMedium),
      displaySmall: tulpenOne(textStyle: textTheme.displaySmall),
      headlineLarge: tulpenOne(textStyle: textTheme.headlineLarge),
      headlineMedium: tulpenOne(textStyle: textTheme.headlineMedium),
      headlineSmall: tulpenOne(textStyle: textTheme.headlineSmall),
      titleLarge: tulpenOne(textStyle: textTheme.titleLarge),
      titleMedium: tulpenOne(textStyle: textTheme.titleMedium),
      titleSmall: tulpenOne(textStyle: textTheme.titleSmall),
      bodyLarge: tulpenOne(textStyle: textTheme.bodyLarge),
      bodyMedium: tulpenOne(textStyle: textTheme.bodyMedium),
      bodySmall: tulpenOne(textStyle: textTheme.bodySmall),
      labelLarge: tulpenOne(textStyle: textTheme.labelLarge),
      labelMedium: tulpenOne(textStyle: textTheme.labelMedium),
      labelSmall: tulpenOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Turret Road font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Turret+Road
  static TextStyle turretRoad({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ed9c264a975efe9997c3ffc7cbd67d9fffcc8978564cfbf1ef95d4d67e198f3',
        31752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8b708bf755f50880e49f302e7c36489b433f2f2c1987084c3802bcd09aed291',
        31504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f41f2dd77dc975face1d57da2cb318e241f76e3d33a5c78fef8a86e3dbd3208',
        31648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0e98a692fcfb687021aa315ae66516f1a7ad0c23574e3c2d5fe9352edaa3662',
        31556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93826ba43402ca21b703487e42f0fe1efd1833586ee5546d5197e8d99103a521',
        30868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3ab0504a9bc5f3f44854ab7584d3cab77bd77bf472ffab8ddc52f16348c2a9e',
        31516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TurretRoad',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Turret Road font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Turret+Road
  static TextTheme turretRoadTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: turretRoad(textStyle: textTheme.displayLarge),
      displayMedium: turretRoad(textStyle: textTheme.displayMedium),
      displaySmall: turretRoad(textStyle: textTheme.displaySmall),
      headlineLarge: turretRoad(textStyle: textTheme.headlineLarge),
      headlineMedium: turretRoad(textStyle: textTheme.headlineMedium),
      headlineSmall: turretRoad(textStyle: textTheme.headlineSmall),
      titleLarge: turretRoad(textStyle: textTheme.titleLarge),
      titleMedium: turretRoad(textStyle: textTheme.titleMedium),
      titleSmall: turretRoad(textStyle: textTheme.titleSmall),
      bodyLarge: turretRoad(textStyle: textTheme.bodyLarge),
      bodyMedium: turretRoad(textStyle: textTheme.bodyMedium),
      bodySmall: turretRoad(textStyle: textTheme.bodySmall),
      labelLarge: turretRoad(textStyle: textTheme.labelLarge),
      labelMedium: turretRoad(textStyle: textTheme.labelMedium),
      labelSmall: turretRoad(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Twinkle Star font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Twinkle+Star
  static TextStyle twinkleStar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8381f0773503cd88de31d43619c618bbc44a45b5fd1032a7c6db1ba0987c17c3',
        120584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TwinkleStar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Twinkle Star font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Twinkle+Star
  static TextTheme twinkleStarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: twinkleStar(textStyle: textTheme.displayLarge),
      displayMedium: twinkleStar(textStyle: textTheme.displayMedium),
      displaySmall: twinkleStar(textStyle: textTheme.displaySmall),
      headlineLarge: twinkleStar(textStyle: textTheme.headlineLarge),
      headlineMedium: twinkleStar(textStyle: textTheme.headlineMedium),
      headlineSmall: twinkleStar(textStyle: textTheme.headlineSmall),
      titleLarge: twinkleStar(textStyle: textTheme.titleLarge),
      titleMedium: twinkleStar(textStyle: textTheme.titleMedium),
      titleSmall: twinkleStar(textStyle: textTheme.titleSmall),
      bodyLarge: twinkleStar(textStyle: textTheme.bodyLarge),
      bodyMedium: twinkleStar(textStyle: textTheme.bodyMedium),
      bodySmall: twinkleStar(textStyle: textTheme.bodySmall),
      labelLarge: twinkleStar(textStyle: textTheme.labelLarge),
      labelMedium: twinkleStar(textStyle: textTheme.labelMedium),
      labelSmall: twinkleStar(textStyle: textTheme.labelSmall),
    );
  }
}
