// GENERATED CODE - DO NOT EDIT

// Copyright 2019 The Flutter team. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'dart:ui' as ui;
import 'package:flutter/material.dart';
import '../google_fonts_base.dart';
import '../google_fonts_descriptor.dart';
import '../google_fonts_variant.dart';

/// Methods for fonts starting with 'U'.
class PartU {
  /// Applies the Ubuntu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu
  static TextStyle ubuntu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a47c8ef66f4571dfde5f8bae62263d581a3cb43b414574219145cfe0bbc6087a',
        145972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd060388a26470af6e9866b24636cea1a2353ad593308cd1f1fd62cd46dd6d458',
        162240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c6760f323ee57525ee9fec23bf7c14af2667970250d0931f33a7f195e7ac11b',
        154420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '81e4ac216d2e6324a7690639b25e32d9a9b7cafa59bab76c03b6a59b10ca031b',
        158020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff4f5b6a457d5a8f672b09ca8968ec29dac69de860566d18d2cac669f1149470',
        153712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2f405a0141171fb36ee2b9db0ec65a172ad42ecd904b5ff4dcee4d59ce9bdba6',
        159400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b2505ebc304cfd0570e37d34f5d067de5fbddd54ce0908f41f217b4d1a4996b',
        153588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '88774d4ad39da2b059fa471515c1ad7eec8268be06a10fcedba3658c940dc9a6',
        169232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ubuntu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ubuntu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu
  static TextTheme ubuntuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: ubuntu(textStyle: textTheme.displayLarge),
      displayMedium: ubuntu(textStyle: textTheme.displayMedium),
      displaySmall: ubuntu(textStyle: textTheme.displaySmall),
      headlineLarge: ubuntu(textStyle: textTheme.headlineLarge),
      headlineMedium: ubuntu(textStyle: textTheme.headlineMedium),
      headlineSmall: ubuntu(textStyle: textTheme.headlineSmall),
      titleLarge: ubuntu(textStyle: textTheme.titleLarge),
      titleMedium: ubuntu(textStyle: textTheme.titleMedium),
      titleSmall: ubuntu(textStyle: textTheme.titleSmall),
      bodyLarge: ubuntu(textStyle: textTheme.bodyLarge),
      bodyMedium: ubuntu(textStyle: textTheme.bodyMedium),
      bodySmall: ubuntu(textStyle: textTheme.bodySmall),
      labelLarge: ubuntu(textStyle: textTheme.labelLarge),
      labelMedium: ubuntu(textStyle: textTheme.labelMedium),
      labelSmall: ubuntu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ubuntu Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Condensed
  static TextStyle ubuntuCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '173b8f0c3210383802a1d8c4208a8b46e0b877cbb4753d50f445b9620050566a',
        164556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UbuntuCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ubuntu Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Condensed
  static TextTheme ubuntuCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: ubuntuCondensed(textStyle: textTheme.displayLarge),
      displayMedium: ubuntuCondensed(textStyle: textTheme.displayMedium),
      displaySmall: ubuntuCondensed(textStyle: textTheme.displaySmall),
      headlineLarge: ubuntuCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium: ubuntuCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall: ubuntuCondensed(textStyle: textTheme.headlineSmall),
      titleLarge: ubuntuCondensed(textStyle: textTheme.titleLarge),
      titleMedium: ubuntuCondensed(textStyle: textTheme.titleMedium),
      titleSmall: ubuntuCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: ubuntuCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium: ubuntuCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: ubuntuCondensed(textStyle: textTheme.bodySmall),
      labelLarge: ubuntuCondensed(textStyle: textTheme.labelLarge),
      labelMedium: ubuntuCondensed(textStyle: textTheme.labelMedium),
      labelSmall: ubuntuCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ubuntu Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Mono
  static TextStyle ubuntuMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef8cd8ab550b2ac95d8a6afa037afeb9ead1630ed8e135a374d171f9d4e03698',
        97980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01f30a2e1e6f2b3854b3319ce6d706e1160186649cce8aa089e865db82468c73',
        102780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d75371c8840ea6ea45ff541a2545de7b45bd90c280a0febb4adc15858e9406c',
        96860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '03abb6786289973fffb7dfc450dc1f4e337cbce645eeaca89f5dd518ca1e0c1e',
        102128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UbuntuMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ubuntu Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Mono
  static TextTheme ubuntuMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: ubuntuMono(textStyle: textTheme.displayLarge),
      displayMedium: ubuntuMono(textStyle: textTheme.displayMedium),
      displaySmall: ubuntuMono(textStyle: textTheme.displaySmall),
      headlineLarge: ubuntuMono(textStyle: textTheme.headlineLarge),
      headlineMedium: ubuntuMono(textStyle: textTheme.headlineMedium),
      headlineSmall: ubuntuMono(textStyle: textTheme.headlineSmall),
      titleLarge: ubuntuMono(textStyle: textTheme.titleLarge),
      titleMedium: ubuntuMono(textStyle: textTheme.titleMedium),
      titleSmall: ubuntuMono(textStyle: textTheme.titleSmall),
      bodyLarge: ubuntuMono(textStyle: textTheme.bodyLarge),
      bodyMedium: ubuntuMono(textStyle: textTheme.bodyMedium),
      bodySmall: ubuntuMono(textStyle: textTheme.bodySmall),
      labelLarge: ubuntuMono(textStyle: textTheme.labelLarge),
      labelMedium: ubuntuMono(textStyle: textTheme.labelMedium),
      labelSmall: ubuntuMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Uchen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uchen
  static TextStyle uchen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc26e05fc952d41b442ad00b78f88d5ad00335aa1d1ecf7a849ea618c6b92269',
        800808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Uchen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Uchen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uchen
  static TextTheme uchenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: uchen(textStyle: textTheme.displayLarge),
      displayMedium: uchen(textStyle: textTheme.displayMedium),
      displaySmall: uchen(textStyle: textTheme.displaySmall),
      headlineLarge: uchen(textStyle: textTheme.headlineLarge),
      headlineMedium: uchen(textStyle: textTheme.headlineMedium),
      headlineSmall: uchen(textStyle: textTheme.headlineSmall),
      titleLarge: uchen(textStyle: textTheme.titleLarge),
      titleMedium: uchen(textStyle: textTheme.titleMedium),
      titleSmall: uchen(textStyle: textTheme.titleSmall),
      bodyLarge: uchen(textStyle: textTheme.bodyLarge),
      bodyMedium: uchen(textStyle: textTheme.bodyMedium),
      bodySmall: uchen(textStyle: textTheme.bodySmall),
      labelLarge: uchen(textStyle: textTheme.labelLarge),
      labelMedium: uchen(textStyle: textTheme.labelMedium),
      labelSmall: uchen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ultra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ultra
  static TextStyle ultra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ab1d6dcad80a60014e7fcbd71e90d4d52cb1cc0a0d4dd4ab9802bd8c55efb0d',
        50316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ultra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ultra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ultra
  static TextTheme ultraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: ultra(textStyle: textTheme.displayLarge),
      displayMedium: ultra(textStyle: textTheme.displayMedium),
      displaySmall: ultra(textStyle: textTheme.displaySmall),
      headlineLarge: ultra(textStyle: textTheme.headlineLarge),
      headlineMedium: ultra(textStyle: textTheme.headlineMedium),
      headlineSmall: ultra(textStyle: textTheme.headlineSmall),
      titleLarge: ultra(textStyle: textTheme.titleLarge),
      titleMedium: ultra(textStyle: textTheme.titleMedium),
      titleSmall: ultra(textStyle: textTheme.titleSmall),
      bodyLarge: ultra(textStyle: textTheme.bodyLarge),
      bodyMedium: ultra(textStyle: textTheme.bodyMedium),
      bodySmall: ultra(textStyle: textTheme.bodySmall),
      labelLarge: ultra(textStyle: textTheme.labelLarge),
      labelMedium: ultra(textStyle: textTheme.labelMedium),
      labelSmall: ultra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unbounded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unbounded
  static TextStyle unbounded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4614e983311b7110ca80f8986e0ab4c17ada0e36de2ba630e8b16024821e3ad7',
        342020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab43d06cc409d7311d68e475bef2ee80c34863cd6d02ed17d67f8128c524e353',
        344636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b7ac4d609bf9a247e57b6a739b5c9086c4bc390267be9be379a999359144473',
        343580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8008be4a3b38a8fe449b1fff36360a8db2fffe5f35e8b65ccd010d7d03ada767',
        347324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40a6b67885008b4b512fa5f0ad310f707b6bf3196b7bda1a04d459c66d5cd82e',
        348084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ace2d8e99cb69f55bfe89ad06fc72389ff796f51abd2806b316694d63083ef7',
        349224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '168528c3393339e692150a07842c3760668e99c52aa1cad1f02b54d64297259a',
        399752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acadebb563a84b50bb8f7293b2b9629f7f476de35daa0ba0891f29e21ef5a95f',
        395768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unbounded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unbounded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unbounded
  static TextTheme unboundedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: unbounded(textStyle: textTheme.displayLarge),
      displayMedium: unbounded(textStyle: textTheme.displayMedium),
      displaySmall: unbounded(textStyle: textTheme.displaySmall),
      headlineLarge: unbounded(textStyle: textTheme.headlineLarge),
      headlineMedium: unbounded(textStyle: textTheme.headlineMedium),
      headlineSmall: unbounded(textStyle: textTheme.headlineSmall),
      titleLarge: unbounded(textStyle: textTheme.titleLarge),
      titleMedium: unbounded(textStyle: textTheme.titleMedium),
      titleSmall: unbounded(textStyle: textTheme.titleSmall),
      bodyLarge: unbounded(textStyle: textTheme.bodyLarge),
      bodyMedium: unbounded(textStyle: textTheme.bodyMedium),
      bodySmall: unbounded(textStyle: textTheme.bodySmall),
      labelLarge: unbounded(textStyle: textTheme.labelLarge),
      labelMedium: unbounded(textStyle: textTheme.labelMedium),
      labelSmall: unbounded(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Uncial Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uncial+Antiqua
  static TextStyle uncialAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41728ed55d0e54aec51750112ed99f922b217d7dfe8d6909dc0830913e43e5ef',
        60616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UncialAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Uncial Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uncial+Antiqua
  static TextTheme uncialAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: uncialAntiqua(textStyle: textTheme.displayLarge),
      displayMedium: uncialAntiqua(textStyle: textTheme.displayMedium),
      displaySmall: uncialAntiqua(textStyle: textTheme.displaySmall),
      headlineLarge: uncialAntiqua(textStyle: textTheme.headlineLarge),
      headlineMedium: uncialAntiqua(textStyle: textTheme.headlineMedium),
      headlineSmall: uncialAntiqua(textStyle: textTheme.headlineSmall),
      titleLarge: uncialAntiqua(textStyle: textTheme.titleLarge),
      titleMedium: uncialAntiqua(textStyle: textTheme.titleMedium),
      titleSmall: uncialAntiqua(textStyle: textTheme.titleSmall),
      bodyLarge: uncialAntiqua(textStyle: textTheme.bodyLarge),
      bodyMedium: uncialAntiqua(textStyle: textTheme.bodyMedium),
      bodySmall: uncialAntiqua(textStyle: textTheme.bodySmall),
      labelLarge: uncialAntiqua(textStyle: textTheme.labelLarge),
      labelMedium: uncialAntiqua(textStyle: textTheme.labelMedium),
      labelSmall: uncialAntiqua(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Underdog font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Underdog
  static TextStyle underdog({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7abc36e556f51243d974e19fe54e10f906e8d222f060dc1678e58264a2a4498',
        43728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Underdog',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Underdog font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Underdog
  static TextTheme underdogTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: underdog(textStyle: textTheme.displayLarge),
      displayMedium: underdog(textStyle: textTheme.displayMedium),
      displaySmall: underdog(textStyle: textTheme.displaySmall),
      headlineLarge: underdog(textStyle: textTheme.headlineLarge),
      headlineMedium: underdog(textStyle: textTheme.headlineMedium),
      headlineSmall: underdog(textStyle: textTheme.headlineSmall),
      titleLarge: underdog(textStyle: textTheme.titleLarge),
      titleMedium: underdog(textStyle: textTheme.titleMedium),
      titleSmall: underdog(textStyle: textTheme.titleSmall),
      bodyLarge: underdog(textStyle: textTheme.bodyLarge),
      bodyMedium: underdog(textStyle: textTheme.bodyMedium),
      bodySmall: underdog(textStyle: textTheme.bodySmall),
      labelLarge: underdog(textStyle: textTheme.labelLarge),
      labelMedium: underdog(textStyle: textTheme.labelMedium),
      labelSmall: underdog(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unica One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unica+One
  static TextStyle unicaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2db78e9c8b06c54b0243a447e8e99f93f738470670d2a85377db7cfa0b5c73b',
        49836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UnicaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unica One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unica+One
  static TextTheme unicaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: unicaOne(textStyle: textTheme.displayLarge),
      displayMedium: unicaOne(textStyle: textTheme.displayMedium),
      displaySmall: unicaOne(textStyle: textTheme.displaySmall),
      headlineLarge: unicaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: unicaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: unicaOne(textStyle: textTheme.headlineSmall),
      titleLarge: unicaOne(textStyle: textTheme.titleLarge),
      titleMedium: unicaOne(textStyle: textTheme.titleMedium),
      titleSmall: unicaOne(textStyle: textTheme.titleSmall),
      bodyLarge: unicaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: unicaOne(textStyle: textTheme.bodyMedium),
      bodySmall: unicaOne(textStyle: textTheme.bodySmall),
      labelLarge: unicaOne(textStyle: textTheme.labelLarge),
      labelMedium: unicaOne(textStyle: textTheme.labelMedium),
      labelSmall: unicaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the UnifrakturCook font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturCook
  static TextStyle unifrakturCook({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8e074d3f3a10741eb512a044660449d7d05d7953273b453cc7db573c17cb297',
        35620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UnifrakturCook',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the UnifrakturCook font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturCook
  static TextTheme unifrakturCookTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: unifrakturCook(textStyle: textTheme.displayLarge),
      displayMedium: unifrakturCook(textStyle: textTheme.displayMedium),
      displaySmall: unifrakturCook(textStyle: textTheme.displaySmall),
      headlineLarge: unifrakturCook(textStyle: textTheme.headlineLarge),
      headlineMedium: unifrakturCook(textStyle: textTheme.headlineMedium),
      headlineSmall: unifrakturCook(textStyle: textTheme.headlineSmall),
      titleLarge: unifrakturCook(textStyle: textTheme.titleLarge),
      titleMedium: unifrakturCook(textStyle: textTheme.titleMedium),
      titleSmall: unifrakturCook(textStyle: textTheme.titleSmall),
      bodyLarge: unifrakturCook(textStyle: textTheme.bodyLarge),
      bodyMedium: unifrakturCook(textStyle: textTheme.bodyMedium),
      bodySmall: unifrakturCook(textStyle: textTheme.bodySmall),
      labelLarge: unifrakturCook(textStyle: textTheme.labelLarge),
      labelMedium: unifrakturCook(textStyle: textTheme.labelMedium),
      labelSmall: unifrakturCook(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the UnifrakturMaguntia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturMaguntia
  static TextStyle unifrakturMaguntia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da0d18b09971ee17c4013fcde8e378ed92a502de1b520b291cf55390e5926ecf',
        56652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UnifrakturMaguntia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the UnifrakturMaguntia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturMaguntia
  static TextTheme unifrakturMaguntiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: unifrakturMaguntia(textStyle: textTheme.displayLarge),
      displayMedium: unifrakturMaguntia(textStyle: textTheme.displayMedium),
      displaySmall: unifrakturMaguntia(textStyle: textTheme.displaySmall),
      headlineLarge: unifrakturMaguntia(textStyle: textTheme.headlineLarge),
      headlineMedium: unifrakturMaguntia(textStyle: textTheme.headlineMedium),
      headlineSmall: unifrakturMaguntia(textStyle: textTheme.headlineSmall),
      titleLarge: unifrakturMaguntia(textStyle: textTheme.titleLarge),
      titleMedium: unifrakturMaguntia(textStyle: textTheme.titleMedium),
      titleSmall: unifrakturMaguntia(textStyle: textTheme.titleSmall),
      bodyLarge: unifrakturMaguntia(textStyle: textTheme.bodyLarge),
      bodyMedium: unifrakturMaguntia(textStyle: textTheme.bodyMedium),
      bodySmall: unifrakturMaguntia(textStyle: textTheme.bodySmall),
      labelLarge: unifrakturMaguntia(textStyle: textTheme.labelLarge),
      labelMedium: unifrakturMaguntia(textStyle: textTheme.labelMedium),
      labelSmall: unifrakturMaguntia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unkempt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unkempt
  static TextStyle unkempt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c7ed0bc3a72d6a3873308b20efefecacc7b296a9d43e501e82f3f014d0a2105',
        190344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e485762c250d7cc9ff4c15f344be45569c435f697fe7f41a57763d6e83cc3935',
        188700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unkempt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unkempt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unkempt
  static TextTheme unkemptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: unkempt(textStyle: textTheme.displayLarge),
      displayMedium: unkempt(textStyle: textTheme.displayMedium),
      displaySmall: unkempt(textStyle: textTheme.displaySmall),
      headlineLarge: unkempt(textStyle: textTheme.headlineLarge),
      headlineMedium: unkempt(textStyle: textTheme.headlineMedium),
      headlineSmall: unkempt(textStyle: textTheme.headlineSmall),
      titleLarge: unkempt(textStyle: textTheme.titleLarge),
      titleMedium: unkempt(textStyle: textTheme.titleMedium),
      titleSmall: unkempt(textStyle: textTheme.titleSmall),
      bodyLarge: unkempt(textStyle: textTheme.bodyLarge),
      bodyMedium: unkempt(textStyle: textTheme.bodyMedium),
      bodySmall: unkempt(textStyle: textTheme.bodySmall),
      labelLarge: unkempt(textStyle: textTheme.labelLarge),
      labelMedium: unkempt(textStyle: textTheme.labelMedium),
      labelSmall: unkempt(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unlock font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unlock
  static TextStyle unlock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b2c42bd7b30873ac128a6a9aad39c535781c15e6541985c8a4085406eb366537',
        34852,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unlock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unlock font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unlock
  static TextTheme unlockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: unlock(textStyle: textTheme.displayLarge),
      displayMedium: unlock(textStyle: textTheme.displayMedium),
      displaySmall: unlock(textStyle: textTheme.displaySmall),
      headlineLarge: unlock(textStyle: textTheme.headlineLarge),
      headlineMedium: unlock(textStyle: textTheme.headlineMedium),
      headlineSmall: unlock(textStyle: textTheme.headlineSmall),
      titleLarge: unlock(textStyle: textTheme.titleLarge),
      titleMedium: unlock(textStyle: textTheme.titleMedium),
      titleSmall: unlock(textStyle: textTheme.titleSmall),
      bodyLarge: unlock(textStyle: textTheme.bodyLarge),
      bodyMedium: unlock(textStyle: textTheme.bodyMedium),
      bodySmall: unlock(textStyle: textTheme.bodySmall),
      labelLarge: unlock(textStyle: textTheme.labelLarge),
      labelMedium: unlock(textStyle: textTheme.labelMedium),
      labelSmall: unlock(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unna
  static TextStyle unna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef1faa488673b825c6be9390a0252787afb44f0d693765e773313163fa9f0afe',
        37964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c21cd08574d376a52a04407644e6f1e77fb1a252d4b92779e775a7fb81d1a49',
        43884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f463178f6e0320734be202b93e23a829e52c9aadda63899c51adff9583adb16',
        38572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c4dd9b939a132a083272c72d6691f6977d836e18f23d1ab2cd661381cc3e7faf',
        44840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unna
  static TextTheme unnaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: unna(textStyle: textTheme.displayLarge),
      displayMedium: unna(textStyle: textTheme.displayMedium),
      displaySmall: unna(textStyle: textTheme.displaySmall),
      headlineLarge: unna(textStyle: textTheme.headlineLarge),
      headlineMedium: unna(textStyle: textTheme.headlineMedium),
      headlineSmall: unna(textStyle: textTheme.headlineSmall),
      titleLarge: unna(textStyle: textTheme.titleLarge),
      titleMedium: unna(textStyle: textTheme.titleMedium),
      titleSmall: unna(textStyle: textTheme.titleSmall),
      bodyLarge: unna(textStyle: textTheme.bodyLarge),
      bodyMedium: unna(textStyle: textTheme.bodyMedium),
      bodySmall: unna(textStyle: textTheme.bodySmall),
      labelLarge: unna(textStyle: textTheme.labelLarge),
      labelMedium: unna(textStyle: textTheme.labelMedium),
      labelSmall: unna(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Updock font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Updock
  static TextStyle updock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d2ea4e019d7fad0153e73a20891f0f3eeb94fc24e2d1294238c0670159c81cd',
        75336,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Updock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Updock font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Updock
  static TextTheme updockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: updock(textStyle: textTheme.displayLarge),
      displayMedium: updock(textStyle: textTheme.displayMedium),
      displaySmall: updock(textStyle: textTheme.displaySmall),
      headlineLarge: updock(textStyle: textTheme.headlineLarge),
      headlineMedium: updock(textStyle: textTheme.headlineMedium),
      headlineSmall: updock(textStyle: textTheme.headlineSmall),
      titleLarge: updock(textStyle: textTheme.titleLarge),
      titleMedium: updock(textStyle: textTheme.titleMedium),
      titleSmall: updock(textStyle: textTheme.titleSmall),
      bodyLarge: updock(textStyle: textTheme.bodyLarge),
      bodyMedium: updock(textStyle: textTheme.bodyMedium),
      bodySmall: updock(textStyle: textTheme.bodySmall),
      labelLarge: updock(textStyle: textTheme.labelLarge),
      labelMedium: updock(textStyle: textTheme.labelMedium),
      labelSmall: updock(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Urbanist font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Urbanist
  static TextStyle urbanist({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ccb27b1e48bec9cc96e010ff3dc49563a630f5e0b9700ba8d259afa2d67810a',
        40912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb490c6d47b78fb609e20c3776b80e944b1891bb2bcf91a29d09b2049245e9a1',
        41136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07c4958279c71bce17c7edf7729c10f287732103c5aef6f144ded71342a364c4',
        41104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd601305cb24b44701742e5acace20662ff08d7eb304d4ca7fa4593e2739ef02e',
        41036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8cbd58acc622a6a9d12ca7faae7614106fc0bf00a85dc3aeb8f8e71c6f6a77aa',
        41092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c319914eb7a2f989f368f7863e7e54b20a375e384fa42b38587430d4cc2cefd4',
        41072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdb61ae6c93fc6832494bbc9d221668cb2b6ed13acd5b417ae2e2aea8caecb73',
        40932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23eea7bd5577051e6ceb13746c9ab8c8a8eea1e0a1b6011ce4a8728fca12e7b8',
        41220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c409f6b7f2eaf9920efeab4fbadbf11aa2230d1f6b51fb3fc731c23af2a2e83',
        41088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f80ede6ee8db2e424f02aea8c8d9dbb7e119dbfc2c50659fd9e5f1c0f0ccc72c',
        41880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a81bbbc4513e8c11e7da9b2e24a2cd69295f42a76f84e67588e52436f0d0e77e',
        42144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '31f41760f9e7e3c03d3881fad2c4a58fd253a6990b8b056280038863c442c367',
        42072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '18332ab7dd48e992dff70738d3a751b5fc13e1eb8b502105102d406828d28e4e',
        41996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '785502a3a33b26a51420b2265d1bd3109413f0f43f368443287697128c99c185',
        42100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14b2f34491271642644f2db1b75b02c04353ce3b3313123e74af47c43fcecfe6',
        42108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd6be3b4e6d8fba80e233667d8b6c37e4723962b41d1ec13dbd160fc40d852ce1',
        41888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6fb7ddf11c985d579bae9ead1c60304f687691d36f805a3db24c5a7963953e2c',
        42212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ed99a987ac54e910c9c488aee12e0a082f6aee946f4df288632203522c227d29',
        42068,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Urbanist',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Urbanist font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Urbanist
  static TextTheme urbanistTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: urbanist(textStyle: textTheme.displayLarge),
      displayMedium: urbanist(textStyle: textTheme.displayMedium),
      displaySmall: urbanist(textStyle: textTheme.displaySmall),
      headlineLarge: urbanist(textStyle: textTheme.headlineLarge),
      headlineMedium: urbanist(textStyle: textTheme.headlineMedium),
      headlineSmall: urbanist(textStyle: textTheme.headlineSmall),
      titleLarge: urbanist(textStyle: textTheme.titleLarge),
      titleMedium: urbanist(textStyle: textTheme.titleMedium),
      titleSmall: urbanist(textStyle: textTheme.titleSmall),
      bodyLarge: urbanist(textStyle: textTheme.bodyLarge),
      bodyMedium: urbanist(textStyle: textTheme.bodyMedium),
      bodySmall: urbanist(textStyle: textTheme.bodySmall),
      labelLarge: urbanist(textStyle: textTheme.labelLarge),
      labelMedium: urbanist(textStyle: textTheme.labelMedium),
      labelSmall: urbanist(textStyle: textTheme.labelSmall),
    );
  }
}
