// GENERATED CODE - DO NOT EDIT

// Copyright 2019 The Flutter team. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'dart:ui' as ui;
import 'package:flutter/material.dart';
import '../google_fonts_base.dart';
import '../google_fonts_descriptor.dart';
import '../google_fonts_variant.dart';

/// Methods for fonts starting with 'Y'.
class PartY {
  /// Applies the Yaldevi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yaldevi
  static TextStyle yaldevi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01d784070789652eba80646aae811ab4e91be2285acc590b6e4e11389383407c',
        265716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab427c9fad89f47afd6f17f1bad129750fbfbe5037c1f3a3dcab27ca9ca531ae',
        266340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '911a8d73d5596b0867f83aba4b4e0b8b41282c700583451a742644cda469d864',
        266552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c03eadee56f99b14ef0207bd52b5eb43d59bc4ba61edc8e1bc8803569d3d6d64',
        266668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf668a0ffb6a6ad07d20b65b94848d6495a27738c8c35edece2ec7bf8952d369',
        266816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fafafaf3f6901d980a8820ae9c0915a2278a7a7d63b6028b0eff748800e8475f',
        266040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yaldevi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yaldevi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yaldevi
  static TextTheme yaldeviTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yaldevi(textStyle: textTheme.displayLarge),
      displayMedium: yaldevi(textStyle: textTheme.displayMedium),
      displaySmall: yaldevi(textStyle: textTheme.displaySmall),
      headlineLarge: yaldevi(textStyle: textTheme.headlineLarge),
      headlineMedium: yaldevi(textStyle: textTheme.headlineMedium),
      headlineSmall: yaldevi(textStyle: textTheme.headlineSmall),
      titleLarge: yaldevi(textStyle: textTheme.titleLarge),
      titleMedium: yaldevi(textStyle: textTheme.titleMedium),
      titleSmall: yaldevi(textStyle: textTheme.titleSmall),
      bodyLarge: yaldevi(textStyle: textTheme.bodyLarge),
      bodyMedium: yaldevi(textStyle: textTheme.bodyMedium),
      bodySmall: yaldevi(textStyle: textTheme.bodySmall),
      labelLarge: yaldevi(textStyle: textTheme.labelLarge),
      labelMedium: yaldevi(textStyle: textTheme.labelMedium),
      labelSmall: yaldevi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yanone Kaffeesatz font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yanone+Kaffeesatz
  static TextStyle yanoneKaffeesatz({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e6c46e9d17b3f72525d4cf2373c543bbbf229e1761f80cba6f09f3023d9152a',
        70824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec668a9d6260655a7821a0e406f6f79d1091c51f7e974208b885e31ddb457829',
        71232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'edf6e1bc21d8f578c4384b3f7df2dd7fd74f5795f8f68379e37339fb843dfa5f',
        71248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8c68d4cb1fe344dae05b0faa2eccc3a28c3c0060c1463bb9226c565c189f24f',
        71272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba3a1df8ede1da7ffa620ecf6962306322ff2c3b75e0aef5d718a0d6ac276b78',
        71196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '740ed9214fcf6fabab24e7f9ba6e5b4d35358f217f23f7ccd8bbf6295151ac04',
        71072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YanoneKaffeesatz',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yanone Kaffeesatz font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yanone+Kaffeesatz
  static TextTheme yanoneKaffeesatzTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yanoneKaffeesatz(textStyle: textTheme.displayLarge),
      displayMedium: yanoneKaffeesatz(textStyle: textTheme.displayMedium),
      displaySmall: yanoneKaffeesatz(textStyle: textTheme.displaySmall),
      headlineLarge: yanoneKaffeesatz(textStyle: textTheme.headlineLarge),
      headlineMedium: yanoneKaffeesatz(textStyle: textTheme.headlineMedium),
      headlineSmall: yanoneKaffeesatz(textStyle: textTheme.headlineSmall),
      titleLarge: yanoneKaffeesatz(textStyle: textTheme.titleLarge),
      titleMedium: yanoneKaffeesatz(textStyle: textTheme.titleMedium),
      titleSmall: yanoneKaffeesatz(textStyle: textTheme.titleSmall),
      bodyLarge: yanoneKaffeesatz(textStyle: textTheme.bodyLarge),
      bodyMedium: yanoneKaffeesatz(textStyle: textTheme.bodyMedium),
      bodySmall: yanoneKaffeesatz(textStyle: textTheme.bodySmall),
      labelLarge: yanoneKaffeesatz(textStyle: textTheme.labelLarge),
      labelMedium: yanoneKaffeesatz(textStyle: textTheme.labelMedium),
      labelSmall: yanoneKaffeesatz(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yantramanav font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yantramanav
  static TextStyle yantramanav({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27f0433d3b522418f9609229aca4f4e53b189b4cb903d24313ba00ce3441545d',
        100516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9d41f0d9e6af06e8efa3883581a953330daee5026f1b758ef0cfe13cff01694',
        98840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9e6a510bb7e0cd8fc2cfcb00b32015297fe5ad3967828e5a4ee41b81ffe21a4',
        98748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be7c544af92d139f568f2143263dca5d9aaaa2aac4119955c4deb5bcf1b711d0',
        97680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05bc80fdd4a65e6b94ec8857159f79854477a5bee6abe5429fc65dcc8b1b9684',
        98144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a71a599c8ffa62585af0aa0d2d7275b8f07123d6986547f8cdc1a258a2eab1b',
        97960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yantramanav',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yantramanav font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yantramanav
  static TextTheme yantramanavTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yantramanav(textStyle: textTheme.displayLarge),
      displayMedium: yantramanav(textStyle: textTheme.displayMedium),
      displaySmall: yantramanav(textStyle: textTheme.displaySmall),
      headlineLarge: yantramanav(textStyle: textTheme.headlineLarge),
      headlineMedium: yantramanav(textStyle: textTheme.headlineMedium),
      headlineSmall: yantramanav(textStyle: textTheme.headlineSmall),
      titleLarge: yantramanav(textStyle: textTheme.titleLarge),
      titleMedium: yantramanav(textStyle: textTheme.titleMedium),
      titleSmall: yantramanav(textStyle: textTheme.titleSmall),
      bodyLarge: yantramanav(textStyle: textTheme.bodyLarge),
      bodyMedium: yantramanav(textStyle: textTheme.bodyMedium),
      bodySmall: yantramanav(textStyle: textTheme.bodySmall),
      labelLarge: yantramanav(textStyle: textTheme.labelLarge),
      labelMedium: yantramanav(textStyle: textTheme.labelMedium),
      labelSmall: yantramanav(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yatra One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yatra+One
  static TextStyle yatraOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1186b7bd1945106e35a4ce4e71402db39e66d631aa1ac349ea3d94f36443d7ae',
        195904,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YatraOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yatra One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yatra+One
  static TextTheme yatraOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yatraOne(textStyle: textTheme.displayLarge),
      displayMedium: yatraOne(textStyle: textTheme.displayMedium),
      displaySmall: yatraOne(textStyle: textTheme.displaySmall),
      headlineLarge: yatraOne(textStyle: textTheme.headlineLarge),
      headlineMedium: yatraOne(textStyle: textTheme.headlineMedium),
      headlineSmall: yatraOne(textStyle: textTheme.headlineSmall),
      titleLarge: yatraOne(textStyle: textTheme.titleLarge),
      titleMedium: yatraOne(textStyle: textTheme.titleMedium),
      titleSmall: yatraOne(textStyle: textTheme.titleSmall),
      bodyLarge: yatraOne(textStyle: textTheme.bodyLarge),
      bodyMedium: yatraOne(textStyle: textTheme.bodyMedium),
      bodySmall: yatraOne(textStyle: textTheme.bodySmall),
      labelLarge: yatraOne(textStyle: textTheme.labelLarge),
      labelMedium: yatraOne(textStyle: textTheme.labelMedium),
      labelSmall: yatraOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yellowtail font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yellowtail
  static TextStyle yellowtail({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b215ff924143953aab36ca98f8e4de07ec4da8df9cd16fc8188f8925b57ae35',
        60864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yellowtail',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yellowtail font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yellowtail
  static TextTheme yellowtailTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yellowtail(textStyle: textTheme.displayLarge),
      displayMedium: yellowtail(textStyle: textTheme.displayMedium),
      displaySmall: yellowtail(textStyle: textTheme.displaySmall),
      headlineLarge: yellowtail(textStyle: textTheme.headlineLarge),
      headlineMedium: yellowtail(textStyle: textTheme.headlineMedium),
      headlineSmall: yellowtail(textStyle: textTheme.headlineSmall),
      titleLarge: yellowtail(textStyle: textTheme.titleLarge),
      titleMedium: yellowtail(textStyle: textTheme.titleMedium),
      titleSmall: yellowtail(textStyle: textTheme.titleSmall),
      bodyLarge: yellowtail(textStyle: textTheme.bodyLarge),
      bodyMedium: yellowtail(textStyle: textTheme.bodyMedium),
      bodySmall: yellowtail(textStyle: textTheme.bodySmall),
      labelLarge: yellowtail(textStyle: textTheme.labelLarge),
      labelMedium: yellowtail(textStyle: textTheme.labelMedium),
      labelSmall: yellowtail(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yeon Sung font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeon+Sung
  static TextStyle yeonSung({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2df96f5b33472f315b4b95c979fbc86e16cf6cb3be06d844568b067525f83c3c',
        1698764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YeonSung',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yeon Sung font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeon+Sung
  static TextTheme yeonSungTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yeonSung(textStyle: textTheme.displayLarge),
      displayMedium: yeonSung(textStyle: textTheme.displayMedium),
      displaySmall: yeonSung(textStyle: textTheme.displaySmall),
      headlineLarge: yeonSung(textStyle: textTheme.headlineLarge),
      headlineMedium: yeonSung(textStyle: textTheme.headlineMedium),
      headlineSmall: yeonSung(textStyle: textTheme.headlineSmall),
      titleLarge: yeonSung(textStyle: textTheme.titleLarge),
      titleMedium: yeonSung(textStyle: textTheme.titleMedium),
      titleSmall: yeonSung(textStyle: textTheme.titleSmall),
      bodyLarge: yeonSung(textStyle: textTheme.bodyLarge),
      bodyMedium: yeonSung(textStyle: textTheme.bodyMedium),
      bodySmall: yeonSung(textStyle: textTheme.bodySmall),
      labelLarge: yeonSung(textStyle: textTheme.labelLarge),
      labelMedium: yeonSung(textStyle: textTheme.labelMedium),
      labelSmall: yeonSung(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yeseva One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeseva+One
  static TextStyle yesevaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a129ac93b1da5e259167ee9a5bfc83662111f6731f81ea0efa727f6d56b48acb',
        70252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YesevaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yeseva One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeseva+One
  static TextTheme yesevaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yesevaOne(textStyle: textTheme.displayLarge),
      displayMedium: yesevaOne(textStyle: textTheme.displayMedium),
      displaySmall: yesevaOne(textStyle: textTheme.displaySmall),
      headlineLarge: yesevaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: yesevaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: yesevaOne(textStyle: textTheme.headlineSmall),
      titleLarge: yesevaOne(textStyle: textTheme.titleLarge),
      titleMedium: yesevaOne(textStyle: textTheme.titleMedium),
      titleSmall: yesevaOne(textStyle: textTheme.titleSmall),
      bodyLarge: yesevaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: yesevaOne(textStyle: textTheme.bodyMedium),
      bodySmall: yesevaOne(textStyle: textTheme.bodySmall),
      labelLarge: yesevaOne(textStyle: textTheme.labelLarge),
      labelMedium: yesevaOne(textStyle: textTheme.labelMedium),
      labelSmall: yesevaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yesteryear font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yesteryear
  static TextStyle yesteryear({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e040479dec03b0fc812e56248398d3930c00787568583df2a616064a71be2f2',
        60608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yesteryear',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yesteryear font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yesteryear
  static TextTheme yesteryearTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yesteryear(textStyle: textTheme.displayLarge),
      displayMedium: yesteryear(textStyle: textTheme.displayMedium),
      displaySmall: yesteryear(textStyle: textTheme.displaySmall),
      headlineLarge: yesteryear(textStyle: textTheme.headlineLarge),
      headlineMedium: yesteryear(textStyle: textTheme.headlineMedium),
      headlineSmall: yesteryear(textStyle: textTheme.headlineSmall),
      titleLarge: yesteryear(textStyle: textTheme.titleLarge),
      titleMedium: yesteryear(textStyle: textTheme.titleMedium),
      titleSmall: yesteryear(textStyle: textTheme.titleSmall),
      bodyLarge: yesteryear(textStyle: textTheme.bodyLarge),
      bodyMedium: yesteryear(textStyle: textTheme.bodyMedium),
      bodySmall: yesteryear(textStyle: textTheme.bodySmall),
      labelLarge: yesteryear(textStyle: textTheme.labelLarge),
      labelMedium: yesteryear(textStyle: textTheme.labelMedium),
      labelSmall: yesteryear(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yomogi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yomogi
  static TextStyle yomogi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9599d0d1b154655fd4884d9369cb9acc252fd6ba42fefcd53838194c3f5fadbd',
        4033948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yomogi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yomogi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yomogi
  static TextTheme yomogiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yomogi(textStyle: textTheme.displayLarge),
      displayMedium: yomogi(textStyle: textTheme.displayMedium),
      displaySmall: yomogi(textStyle: textTheme.displaySmall),
      headlineLarge: yomogi(textStyle: textTheme.headlineLarge),
      headlineMedium: yomogi(textStyle: textTheme.headlineMedium),
      headlineSmall: yomogi(textStyle: textTheme.headlineSmall),
      titleLarge: yomogi(textStyle: textTheme.titleLarge),
      titleMedium: yomogi(textStyle: textTheme.titleMedium),
      titleSmall: yomogi(textStyle: textTheme.titleSmall),
      bodyLarge: yomogi(textStyle: textTheme.bodyLarge),
      bodyMedium: yomogi(textStyle: textTheme.bodyMedium),
      bodySmall: yomogi(textStyle: textTheme.bodySmall),
      labelLarge: yomogi(textStyle: textTheme.labelLarge),
      labelMedium: yomogi(textStyle: textTheme.labelMedium),
      labelSmall: yomogi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yrsa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yrsa
  static TextStyle yrsa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a38ee67425620355a3aebcaeb06b763249a78c34d2239bb3e98437025c620f5f',
        114724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4093a43a011befc898beb6eb48b4543de39a5ee7a13bac0840246be2f2db2434',
        114980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e351dc4b7449c4acfe6c0eeb242198682c38b66e54453bc17df1cc5f646eea55',
        115032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '284884fe11d549aaa04dd224332a79aa9a3923f022620f59a84315888a1efa6d',
        115120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '190934276fcb1e8782c619708b577a330d310a5d4a2759be92d9df6fbf82794c',
        114424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6a82287a8181a39ac9d7a225c90c8c00ca733baeca1e4d96b9e9623d21a0ef97',
        148544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dd306532549a3e66009d1c94ab81a7a776328e8e20a6e86b0b8a628ddb87f279',
        148460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '11e022d3ce90023e4e151faf00b8e4bbcaa691cd9639efaade983a72937cad33',
        148536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cd90fd330610600c92ed43da5c35c3437c5a7272abf0d4c8d3d0a982c1b24bf4',
        148660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15ee1b646387e54475ae131d9fe26251e55bc64002d8efc49cf88c3806295c5f',
        147788,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yrsa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yrsa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yrsa
  static TextTheme yrsaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yrsa(textStyle: textTheme.displayLarge),
      displayMedium: yrsa(textStyle: textTheme.displayMedium),
      displaySmall: yrsa(textStyle: textTheme.displaySmall),
      headlineLarge: yrsa(textStyle: textTheme.headlineLarge),
      headlineMedium: yrsa(textStyle: textTheme.headlineMedium),
      headlineSmall: yrsa(textStyle: textTheme.headlineSmall),
      titleLarge: yrsa(textStyle: textTheme.titleLarge),
      titleMedium: yrsa(textStyle: textTheme.titleMedium),
      titleSmall: yrsa(textStyle: textTheme.titleSmall),
      bodyLarge: yrsa(textStyle: textTheme.bodyLarge),
      bodyMedium: yrsa(textStyle: textTheme.bodyMedium),
      bodySmall: yrsa(textStyle: textTheme.bodySmall),
      labelLarge: yrsa(textStyle: textTheme.labelLarge),
      labelMedium: yrsa(textStyle: textTheme.labelMedium),
      labelSmall: yrsa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ysabeau font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ysabeau
  static TextStyle ysabeau({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46a9f5b6b3fdd4055f8039f4ef7f42afc679ec186228db3abd0e78756c92dd60',
        129156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4596ffe7cfddc2e702ef6e94bbb57278085373a325d4ed6904f33a0173956535',
        129232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '968e2c3fdd784a59f151029d5b5aee1ad330cb4215e8ba8ec9f38e2bc1b39239',
        129212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4a1fbeb322910c08a55abec2b0dde5f49dd315b87de46c7cdaa2a81a0b76c90',
        129292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd366684292f5a434cd81475539ea878bfd1a1500ad11940acc1dfc7a640daffd',
        129204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a7642818c00b64deba44fa9bc99ea50377d986d2eaefdf0b2a2e179dc666d57',
        129612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfbdcf170a2bcd5a3e749b3c719ccd17d158dbd2567c4c9aaa538a0e6d34193f',
        129304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77667702210af816615ccd77129e2a869011741f6a286a6655eb10d5b113b182',
        130216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fdd25d4399340af1308331c8a93115e7d3b288a11530c1f719309e4114d099b',
        130968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '17fc7c74c4aca82b5a9b2d2225130c5be4c5d76d55855dc5534fe8fa75189b88',
        137484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3e6c0d74992da8cf2a19730b400c667ad707797e656a0611be88af941b96bbef',
        137736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f3e54487d047d772869018d9206c32c1fcb832440b0a63cc0ec3e6747e906388',
        137556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '93d564599fe8de27294b8afeca2edc4e0c0bcd5168792330b73551bf5a765fa7',
        137488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '92dd8818cae4bb32ca8aa9843700f783e5f81fff338eb3b0ea6c540e78e2000a',
        137688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6eba3f9290df92d303bfbee965de3550b7b36d5a1be7631ccfc97bde71febbcc',
        137884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '96e3dce6c1d98225f10cd6084c2ddaa6fe22d80105ae5737bd69526c9b120be9',
        137636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c79097aab30f9af9910ed8068054e18e47281785a7523ac5f4e75fd4bc94d14a',
        138668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5e4716408e6061a9d3d9df14d743087f3d277ff38e1b788ed994159ab4f43cbb',
        138888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ysabeau',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ysabeau font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ysabeau
  static TextTheme ysabeauTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: ysabeau(textStyle: textTheme.displayLarge),
      displayMedium: ysabeau(textStyle: textTheme.displayMedium),
      displaySmall: ysabeau(textStyle: textTheme.displaySmall),
      headlineLarge: ysabeau(textStyle: textTheme.headlineLarge),
      headlineMedium: ysabeau(textStyle: textTheme.headlineMedium),
      headlineSmall: ysabeau(textStyle: textTheme.headlineSmall),
      titleLarge: ysabeau(textStyle: textTheme.titleLarge),
      titleMedium: ysabeau(textStyle: textTheme.titleMedium),
      titleSmall: ysabeau(textStyle: textTheme.titleSmall),
      bodyLarge: ysabeau(textStyle: textTheme.bodyLarge),
      bodyMedium: ysabeau(textStyle: textTheme.bodyMedium),
      bodySmall: ysabeau(textStyle: textTheme.bodySmall),
      labelLarge: ysabeau(textStyle: textTheme.labelLarge),
      labelMedium: ysabeau(textStyle: textTheme.labelMedium),
      labelSmall: ysabeau(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yuji Boku font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Boku
  static TextStyle yujiBoku({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d03c76f62b49981fee9d4f9b3d186a70ac8613d232a75b7a334bd667ef8f49a',
        7847404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiBoku',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Boku font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Boku
  static TextTheme yujiBokuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yujiBoku(textStyle: textTheme.displayLarge),
      displayMedium: yujiBoku(textStyle: textTheme.displayMedium),
      displaySmall: yujiBoku(textStyle: textTheme.displaySmall),
      headlineLarge: yujiBoku(textStyle: textTheme.headlineLarge),
      headlineMedium: yujiBoku(textStyle: textTheme.headlineMedium),
      headlineSmall: yujiBoku(textStyle: textTheme.headlineSmall),
      titleLarge: yujiBoku(textStyle: textTheme.titleLarge),
      titleMedium: yujiBoku(textStyle: textTheme.titleMedium),
      titleSmall: yujiBoku(textStyle: textTheme.titleSmall),
      bodyLarge: yujiBoku(textStyle: textTheme.bodyLarge),
      bodyMedium: yujiBoku(textStyle: textTheme.bodyMedium),
      bodySmall: yujiBoku(textStyle: textTheme.bodySmall),
      labelLarge: yujiBoku(textStyle: textTheme.labelLarge),
      labelMedium: yujiBoku(textStyle: textTheme.labelMedium),
      labelSmall: yujiBoku(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yuji Mai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Mai
  static TextStyle yujiMai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6741e6df72abe0287210735f84bb297fb8704e9e44ae1bd53e9366f75215ce8',
        7830152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiMai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Mai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Mai
  static TextTheme yujiMaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yujiMai(textStyle: textTheme.displayLarge),
      displayMedium: yujiMai(textStyle: textTheme.displayMedium),
      displaySmall: yujiMai(textStyle: textTheme.displaySmall),
      headlineLarge: yujiMai(textStyle: textTheme.headlineLarge),
      headlineMedium: yujiMai(textStyle: textTheme.headlineMedium),
      headlineSmall: yujiMai(textStyle: textTheme.headlineSmall),
      titleLarge: yujiMai(textStyle: textTheme.titleLarge),
      titleMedium: yujiMai(textStyle: textTheme.titleMedium),
      titleSmall: yujiMai(textStyle: textTheme.titleSmall),
      bodyLarge: yujiMai(textStyle: textTheme.bodyLarge),
      bodyMedium: yujiMai(textStyle: textTheme.bodyMedium),
      bodySmall: yujiMai(textStyle: textTheme.bodySmall),
      labelLarge: yujiMai(textStyle: textTheme.labelLarge),
      labelMedium: yujiMai(textStyle: textTheme.labelMedium),
      labelSmall: yujiMai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yuji Syuku font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Syuku
  static TextStyle yujiSyuku({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0647d204ae1a4232cce1a635b3e9503bc9ad48ac3bcaa4114131e2514c49f7e8',
        7779080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiSyuku',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Syuku font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Syuku
  static TextTheme yujiSyukuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yujiSyuku(textStyle: textTheme.displayLarge),
      displayMedium: yujiSyuku(textStyle: textTheme.displayMedium),
      displaySmall: yujiSyuku(textStyle: textTheme.displaySmall),
      headlineLarge: yujiSyuku(textStyle: textTheme.headlineLarge),
      headlineMedium: yujiSyuku(textStyle: textTheme.headlineMedium),
      headlineSmall: yujiSyuku(textStyle: textTheme.headlineSmall),
      titleLarge: yujiSyuku(textStyle: textTheme.titleLarge),
      titleMedium: yujiSyuku(textStyle: textTheme.titleMedium),
      titleSmall: yujiSyuku(textStyle: textTheme.titleSmall),
      bodyLarge: yujiSyuku(textStyle: textTheme.bodyLarge),
      bodyMedium: yujiSyuku(textStyle: textTheme.bodyMedium),
      bodySmall: yujiSyuku(textStyle: textTheme.bodySmall),
      labelLarge: yujiSyuku(textStyle: textTheme.labelLarge),
      labelMedium: yujiSyuku(textStyle: textTheme.labelMedium),
      labelSmall: yujiSyuku(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yusei Magic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yusei+Magic
  static TextStyle yuseiMagic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9386186a8664fa5a6aba964e82e856d0ff81ca2a37c1e30a3cbe9d8d1e6afff',
        3129936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YuseiMagic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yusei Magic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yusei+Magic
  static TextTheme yuseiMagicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: yuseiMagic(textStyle: textTheme.displayLarge),
      displayMedium: yuseiMagic(textStyle: textTheme.displayMedium),
      displaySmall: yuseiMagic(textStyle: textTheme.displaySmall),
      headlineLarge: yuseiMagic(textStyle: textTheme.headlineLarge),
      headlineMedium: yuseiMagic(textStyle: textTheme.headlineMedium),
      headlineSmall: yuseiMagic(textStyle: textTheme.headlineSmall),
      titleLarge: yuseiMagic(textStyle: textTheme.titleLarge),
      titleMedium: yuseiMagic(textStyle: textTheme.titleMedium),
      titleSmall: yuseiMagic(textStyle: textTheme.titleSmall),
      bodyLarge: yuseiMagic(textStyle: textTheme.bodyLarge),
      bodyMedium: yuseiMagic(textStyle: textTheme.bodyMedium),
      bodySmall: yuseiMagic(textStyle: textTheme.bodySmall),
      labelLarge: yuseiMagic(textStyle: textTheme.labelLarge),
      labelMedium: yuseiMagic(textStyle: textTheme.labelMedium),
      labelSmall: yuseiMagic(textStyle: textTheme.labelSmall),
    );
  }
}
