// GENERATED CODE - DO NOT EDIT

// Copyright 2019 The Flutter team. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'dart:ui' as ui;
import 'package:flutter/material.dart';
import '../google_fonts_base.dart';
import '../google_fonts_descriptor.dart';
import '../google_fonts_variant.dart';

/// Methods for fonts starting with 'M'.
class PartM {
  /// Applies the M PLUS 1 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1
  static TextStyle mPlus1({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf6a0acf051a8afb32ff7f35372de6165e092b54e3e93d5b7631b4a8864e4bfe',
        1746144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08d6e900ffd3a9d6e5aebaee9bcc7771840a4f9af3fed8879ca7a0e2523d5625',
        1746828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '455852548e3e20547cbde354a56fda8d68481bd7a79d8d0d348bc4084c5041a8',
        1744380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83b156dbfe314bb5d60a0932339e45319b53edf1eb46bf77620d2cd7446caf1f',
        1740868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d7aad49961ad1262e9924ef7e4189352c429173e35e95233dbfee9f70dd815d',
        1736256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55ee758a0f615ca9446a799d170cb8d2b3f57894feec2804f3373cdb7c41c292',
        1735400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c817525804c6e96834601d6d39279c92a4ccafea4d5ee16f81e26e7249c8e4c',
        1733776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6cbeab8aa1c2586e54700d439b011c7dd35e7a196011f895c2caacabba1a1f5d',
        1730724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7a855514897e684adab8722c95897ce0582f0c12177c2e9a0ea386738084cb0',
        1724376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS1',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 1 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1
  static TextTheme mPlus1TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mPlus1(textStyle: textTheme.displayLarge),
      displayMedium: mPlus1(textStyle: textTheme.displayMedium),
      displaySmall: mPlus1(textStyle: textTheme.displaySmall),
      headlineLarge: mPlus1(textStyle: textTheme.headlineLarge),
      headlineMedium: mPlus1(textStyle: textTheme.headlineMedium),
      headlineSmall: mPlus1(textStyle: textTheme.headlineSmall),
      titleLarge: mPlus1(textStyle: textTheme.titleLarge),
      titleMedium: mPlus1(textStyle: textTheme.titleMedium),
      titleSmall: mPlus1(textStyle: textTheme.titleSmall),
      bodyLarge: mPlus1(textStyle: textTheme.bodyLarge),
      bodyMedium: mPlus1(textStyle: textTheme.bodyMedium),
      bodySmall: mPlus1(textStyle: textTheme.bodySmall),
      labelLarge: mPlus1(textStyle: textTheme.labelLarge),
      labelMedium: mPlus1(textStyle: textTheme.labelMedium),
      labelSmall: mPlus1(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS 1 Code font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1+Code
  static TextStyle mPlus1Code({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbba5036e46587cdbe9ff2f8448a60474d86f19c9e012ff983764cc6ea0c6f0b',
        1715408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '449a12f1a68f418040d5fd2f5a2daddd2a8332ff0968f39452f98ab75958d881',
        1715132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b910153e34b564ca68ba62a292551c852a4ce3453a6fe781b7a98142c902bd83',
        1712716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16eb98346ff24abd2dc4e6184be2124c5ebbe141c0410c69c9f8797680e03a25',
        1708908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a3602ce69675f0b2f6f0d604cef2695426e5364126158a53dfb13a3a71eeb0c',
        1706016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6961fb79f6cf5634bef94015a5ccbde109bea21f515efe75fe59d88b90fcb41',
        1704264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7df2d4971953a8f4041885896a77d034261ab163210b899d9418ac5985c3896d',
        1702216,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS1Code',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 1 Code font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1+Code
  static TextTheme mPlus1CodeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mPlus1Code(textStyle: textTheme.displayLarge),
      displayMedium: mPlus1Code(textStyle: textTheme.displayMedium),
      displaySmall: mPlus1Code(textStyle: textTheme.displaySmall),
      headlineLarge: mPlus1Code(textStyle: textTheme.headlineLarge),
      headlineMedium: mPlus1Code(textStyle: textTheme.headlineMedium),
      headlineSmall: mPlus1Code(textStyle: textTheme.headlineSmall),
      titleLarge: mPlus1Code(textStyle: textTheme.titleLarge),
      titleMedium: mPlus1Code(textStyle: textTheme.titleMedium),
      titleSmall: mPlus1Code(textStyle: textTheme.titleSmall),
      bodyLarge: mPlus1Code(textStyle: textTheme.bodyLarge),
      bodyMedium: mPlus1Code(textStyle: textTheme.bodyMedium),
      bodySmall: mPlus1Code(textStyle: textTheme.bodySmall),
      labelLarge: mPlus1Code(textStyle: textTheme.labelLarge),
      labelMedium: mPlus1Code(textStyle: textTheme.labelMedium),
      labelSmall: mPlus1Code(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS 1p font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1p
  static TextStyle mPlus1p({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa9b61369f183571496a480c98bdf9a44f61419c2ccf0740e0d8b5d03bf6bae0',
        1766568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ca019a6f25ed771c5391a191bd2b2eefe6f9b1c08bfa695cbe603980f4647e3',
        1762092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e97abdba17f7de7b88b860a1dd16e7d03e3bb4c75982d71471f7f8efd27d9197',
        1753660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd47efc2873264bb6b404aefe8a48a18f6496c0f8c69a038923ff983f7b6f4207',
        1753776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ddfe21a5f8a9dc313a5c3f56ca83843fd87454d8f3890b10dafd5afd4db198a6',
        1761476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0844ccf86b00c8cd26fc82c8a354aeb7332fb0a2a368b03db257fde4fd7232d6',
        1768708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06a1c0be782dce577800a992bb8e2353a70ddf478f97aaf36a9eab4fcd5e9be3',
        1769104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS1p',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 1p font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1p
  static TextTheme mPlus1pTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mPlus1p(textStyle: textTheme.displayLarge),
      displayMedium: mPlus1p(textStyle: textTheme.displayMedium),
      displaySmall: mPlus1p(textStyle: textTheme.displaySmall),
      headlineLarge: mPlus1p(textStyle: textTheme.headlineLarge),
      headlineMedium: mPlus1p(textStyle: textTheme.headlineMedium),
      headlineSmall: mPlus1p(textStyle: textTheme.headlineSmall),
      titleLarge: mPlus1p(textStyle: textTheme.titleLarge),
      titleMedium: mPlus1p(textStyle: textTheme.titleMedium),
      titleSmall: mPlus1p(textStyle: textTheme.titleSmall),
      bodyLarge: mPlus1p(textStyle: textTheme.bodyLarge),
      bodyMedium: mPlus1p(textStyle: textTheme.bodyMedium),
      bodySmall: mPlus1p(textStyle: textTheme.bodySmall),
      labelLarge: mPlus1p(textStyle: textTheme.labelLarge),
      labelMedium: mPlus1p(textStyle: textTheme.labelMedium),
      labelSmall: mPlus1p(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+2
  static TextStyle mPlus2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0113ac731e2d30138b864468d1175704e8c2f0f29e93381ca32cf4220e245850',
        1748452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '077d897988853d21a469ddee85ca01767dfa9dbb9441d6397295b94d40f27036',
        1749132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9133e2f19f39e44703e3ac336f7e34b46228567df6f2fbb497db65c09d170156',
        1746688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63ce9645f415ebbbc6397e4c087989a09cd5c54579527a892b7705f3ac66672d',
        1743140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f59f2f40911eade1f13b718f1226835d41c09cdbd71f21572f3d7c67b15be85',
        1738568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d40eaf481b75ab17c1f25f9cf272ad394645990b153b5cf284925b8ced9580c',
        1737700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94bf5e3c038ea112fa93b2e1029ca4a655795f841df9f844e1d4ac81d6db8e46',
        1736056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1344850afe293dbcbfb1c2af079f8ac6501db4bf2dec7a175fdc0cefe5bc12e9',
        1733036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de91af7eaaf31355276d8ea750b0c007ca2c955fc567283d94ad113fa7414e4e',
        1726688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+2
  static TextTheme mPlus2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mPlus2(textStyle: textTheme.displayLarge),
      displayMedium: mPlus2(textStyle: textTheme.displayMedium),
      displaySmall: mPlus2(textStyle: textTheme.displaySmall),
      headlineLarge: mPlus2(textStyle: textTheme.headlineLarge),
      headlineMedium: mPlus2(textStyle: textTheme.headlineMedium),
      headlineSmall: mPlus2(textStyle: textTheme.headlineSmall),
      titleLarge: mPlus2(textStyle: textTheme.titleLarge),
      titleMedium: mPlus2(textStyle: textTheme.titleMedium),
      titleSmall: mPlus2(textStyle: textTheme.titleSmall),
      bodyLarge: mPlus2(textStyle: textTheme.bodyLarge),
      bodyMedium: mPlus2(textStyle: textTheme.bodyMedium),
      bodySmall: mPlus2(textStyle: textTheme.bodySmall),
      labelLarge: mPlus2(textStyle: textTheme.labelLarge),
      labelMedium: mPlus2(textStyle: textTheme.labelMedium),
      labelSmall: mPlus2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS Code Latin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Code+Latin
  static TextStyle mPlusCodeLatin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4cd830e45152371aec7b6b5cabec297ab0e9f917e0cf78bece37813ef4af7ad',
        45668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '620ac99fbdf817e7ede523fc55f11d42a15b9edd6aac3c1cb14dbea1e4800a77',
        45896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f446811d19cb6da1fe7e3230c39644e0ae56791237d7306cd3064e66a2c9cfd4',
        45844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a36adebb89a27e239270bb7e627454aeabd4f10456f4235433a9ba0657c71534',
        46588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b61da0cf54f668c5846ddbec8f5331b0eb606e9f382f25559bbc08364b099b4',
        47244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c74374e31ee345e5c6c91c6fb3c2d811ebcab2b6e7c5666681cfa5c020e9c4c1',
        47256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c45304e24a96753a27e2da37917ad5ec246c668d41b4acdfafc08aa47a50960f',
        47088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUSCodeLatin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS Code Latin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Code+Latin
  static TextTheme mPlusCodeLatinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mPlusCodeLatin(textStyle: textTheme.displayLarge),
      displayMedium: mPlusCodeLatin(textStyle: textTheme.displayMedium),
      displaySmall: mPlusCodeLatin(textStyle: textTheme.displaySmall),
      headlineLarge: mPlusCodeLatin(textStyle: textTheme.headlineLarge),
      headlineMedium: mPlusCodeLatin(textStyle: textTheme.headlineMedium),
      headlineSmall: mPlusCodeLatin(textStyle: textTheme.headlineSmall),
      titleLarge: mPlusCodeLatin(textStyle: textTheme.titleLarge),
      titleMedium: mPlusCodeLatin(textStyle: textTheme.titleMedium),
      titleSmall: mPlusCodeLatin(textStyle: textTheme.titleSmall),
      bodyLarge: mPlusCodeLatin(textStyle: textTheme.bodyLarge),
      bodyMedium: mPlusCodeLatin(textStyle: textTheme.bodyMedium),
      bodySmall: mPlusCodeLatin(textStyle: textTheme.bodySmall),
      labelLarge: mPlusCodeLatin(textStyle: textTheme.labelLarge),
      labelMedium: mPlusCodeLatin(textStyle: textTheme.labelMedium),
      labelSmall: mPlusCodeLatin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS Rounded 1c font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Rounded+1c
  static TextStyle mPlusRounded1c({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e077690563917ec1f5b937a2674ebe43b44707df00dbc2df99da7fc6bbf1f9db',
        2899200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfdc1a721f186bcd57e50f1bc228a5d93cede477a9cff430b194de5c85477799',
        3284736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e30fa1b6bfbb0a32efa620039763ecf4155c425078e5946aabab3e869776b5c3',
        3379736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a1d8fc54e3d396c30c265597945feb97bf3a2b90c6ff8c6bda98e433cd54825',
        3422384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '329a8ed11bfe4054de884fcf8692759a19bde914a47d470a0b93fc4ed45d2d1c',
        3532232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dc19977e1ea631f1492200fcf63e450fb93ae2c93ad54f8d5b26a1052940767',
        3617848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdaee2302dacdb2017f355a3383f92093b9da749d13c2eeb2706fa8a15dd447f',
        3624724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUSRounded1c',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS Rounded 1c font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Rounded+1c
  static TextTheme mPlusRounded1cTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mPlusRounded1c(textStyle: textTheme.displayLarge),
      displayMedium: mPlusRounded1c(textStyle: textTheme.displayMedium),
      displaySmall: mPlusRounded1c(textStyle: textTheme.displaySmall),
      headlineLarge: mPlusRounded1c(textStyle: textTheme.headlineLarge),
      headlineMedium: mPlusRounded1c(textStyle: textTheme.headlineMedium),
      headlineSmall: mPlusRounded1c(textStyle: textTheme.headlineSmall),
      titleLarge: mPlusRounded1c(textStyle: textTheme.titleLarge),
      titleMedium: mPlusRounded1c(textStyle: textTheme.titleMedium),
      titleSmall: mPlusRounded1c(textStyle: textTheme.titleSmall),
      bodyLarge: mPlusRounded1c(textStyle: textTheme.bodyLarge),
      bodyMedium: mPlusRounded1c(textStyle: textTheme.bodyMedium),
      bodySmall: mPlusRounded1c(textStyle: textTheme.bodySmall),
      labelLarge: mPlusRounded1c(textStyle: textTheme.labelLarge),
      labelMedium: mPlusRounded1c(textStyle: textTheme.labelMedium),
      labelSmall: mPlusRounded1c(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ma Shan Zheng font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ma+Shan+Zheng
  static TextStyle maShanZheng({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18689b524ea22916a760249127fd63dba37af537b071668c06b7fc7357e98b9b',
        5855516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MaShanZheng',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ma Shan Zheng font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ma+Shan+Zheng
  static TextTheme maShanZhengTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: maShanZheng(textStyle: textTheme.displayLarge),
      displayMedium: maShanZheng(textStyle: textTheme.displayMedium),
      displaySmall: maShanZheng(textStyle: textTheme.displaySmall),
      headlineLarge: maShanZheng(textStyle: textTheme.headlineLarge),
      headlineMedium: maShanZheng(textStyle: textTheme.headlineMedium),
      headlineSmall: maShanZheng(textStyle: textTheme.headlineSmall),
      titleLarge: maShanZheng(textStyle: textTheme.titleLarge),
      titleMedium: maShanZheng(textStyle: textTheme.titleMedium),
      titleSmall: maShanZheng(textStyle: textTheme.titleSmall),
      bodyLarge: maShanZheng(textStyle: textTheme.bodyLarge),
      bodyMedium: maShanZheng(textStyle: textTheme.bodyMedium),
      bodySmall: maShanZheng(textStyle: textTheme.bodySmall),
      labelLarge: maShanZheng(textStyle: textTheme.labelLarge),
      labelMedium: maShanZheng(textStyle: textTheme.labelMedium),
      labelSmall: maShanZheng(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Macondo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo
  static TextStyle macondo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ce73038dc611d6b3f9bbbb7d63152e31b79219eee9e1e9e47d70c1d10577a2d',
        46408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Macondo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Macondo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo
  static TextTheme macondoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: macondo(textStyle: textTheme.displayLarge),
      displayMedium: macondo(textStyle: textTheme.displayMedium),
      displaySmall: macondo(textStyle: textTheme.displaySmall),
      headlineLarge: macondo(textStyle: textTheme.headlineLarge),
      headlineMedium: macondo(textStyle: textTheme.headlineMedium),
      headlineSmall: macondo(textStyle: textTheme.headlineSmall),
      titleLarge: macondo(textStyle: textTheme.titleLarge),
      titleMedium: macondo(textStyle: textTheme.titleMedium),
      titleSmall: macondo(textStyle: textTheme.titleSmall),
      bodyLarge: macondo(textStyle: textTheme.bodyLarge),
      bodyMedium: macondo(textStyle: textTheme.bodyMedium),
      bodySmall: macondo(textStyle: textTheme.bodySmall),
      labelLarge: macondo(textStyle: textTheme.labelLarge),
      labelMedium: macondo(textStyle: textTheme.labelMedium),
      labelSmall: macondo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Macondo Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo+Swash+Caps
  static TextStyle macondoSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a919bf1373aa1d3f6ebb6e72f7e54bb9cdf3f28e0d11b0b6d417de678f7642c7',
        31040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MacondoSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Macondo Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo+Swash+Caps
  static TextTheme macondoSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: macondoSwashCaps(textStyle: textTheme.displayLarge),
      displayMedium: macondoSwashCaps(textStyle: textTheme.displayMedium),
      displaySmall: macondoSwashCaps(textStyle: textTheme.displaySmall),
      headlineLarge: macondoSwashCaps(textStyle: textTheme.headlineLarge),
      headlineMedium: macondoSwashCaps(textStyle: textTheme.headlineMedium),
      headlineSmall: macondoSwashCaps(textStyle: textTheme.headlineSmall),
      titleLarge: macondoSwashCaps(textStyle: textTheme.titleLarge),
      titleMedium: macondoSwashCaps(textStyle: textTheme.titleMedium),
      titleSmall: macondoSwashCaps(textStyle: textTheme.titleSmall),
      bodyLarge: macondoSwashCaps(textStyle: textTheme.bodyLarge),
      bodyMedium: macondoSwashCaps(textStyle: textTheme.bodyMedium),
      bodySmall: macondoSwashCaps(textStyle: textTheme.bodySmall),
      labelLarge: macondoSwashCaps(textStyle: textTheme.labelLarge),
      labelMedium: macondoSwashCaps(textStyle: textTheme.labelMedium),
      labelSmall: macondoSwashCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mada
  static TextStyle mada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '979239f0e38ca041f3bd3b888048f7aab5f38b34169ed4fd363c5639631dde3b',
        39560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab5daf238e580caeddbedf2ae74c53aa4e1abc1104aaf093d3434a5c2d4be62b',
        39388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73e5bb709e9f5c36d5cb5b166f10a00167f194912e7865aea4cbcbaa280dba29',
        39388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '193dce9d18307f933cd0d25e2372328c23b2feb2219fce311e2dd4fab18c8297',
        39168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8eef8d3e39813246584b17348c4826e79461d2511c6a6a59436fc8ae432f681e',
        39024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f9bdc363f752682e3be97e2f02a22b5754aaa358d15015a327201e2932977ca',
        39008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c45e1e90c8eddf695da0c65a6ec414dbceb0332925cea25559120d691208aae2',
        39072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mada
  static TextTheme madaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mada(textStyle: textTheme.displayLarge),
      displayMedium: mada(textStyle: textTheme.displayMedium),
      displaySmall: mada(textStyle: textTheme.displaySmall),
      headlineLarge: mada(textStyle: textTheme.headlineLarge),
      headlineMedium: mada(textStyle: textTheme.headlineMedium),
      headlineSmall: mada(textStyle: textTheme.headlineSmall),
      titleLarge: mada(textStyle: textTheme.titleLarge),
      titleMedium: mada(textStyle: textTheme.titleMedium),
      titleSmall: mada(textStyle: textTheme.titleSmall),
      bodyLarge: mada(textStyle: textTheme.bodyLarge),
      bodyMedium: mada(textStyle: textTheme.bodyMedium),
      bodySmall: mada(textStyle: textTheme.bodySmall),
      labelLarge: mada(textStyle: textTheme.labelLarge),
      labelMedium: mada(textStyle: textTheme.labelMedium),
      labelSmall: mada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Magra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Magra
  static TextStyle magra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14a31502baa6bc3d1d533ffcb22ed85a1432cccae9de9aaceab7f9613d5a42e6',
        40800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c9a0a85f1365e79e0be3858bfa5565709d6b041fbe2c94fdc07078addb09e0d',
        39872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Magra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Magra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Magra
  static TextTheme magraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: magra(textStyle: textTheme.displayLarge),
      displayMedium: magra(textStyle: textTheme.displayMedium),
      displaySmall: magra(textStyle: textTheme.displaySmall),
      headlineLarge: magra(textStyle: textTheme.headlineLarge),
      headlineMedium: magra(textStyle: textTheme.headlineMedium),
      headlineSmall: magra(textStyle: textTheme.headlineSmall),
      titleLarge: magra(textStyle: textTheme.titleLarge),
      titleMedium: magra(textStyle: textTheme.titleMedium),
      titleSmall: magra(textStyle: textTheme.titleSmall),
      bodyLarge: magra(textStyle: textTheme.bodyLarge),
      bodyMedium: magra(textStyle: textTheme.bodyMedium),
      bodySmall: magra(textStyle: textTheme.bodySmall),
      labelLarge: magra(textStyle: textTheme.labelLarge),
      labelMedium: magra(textStyle: textTheme.labelMedium),
      labelSmall: magra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Maiden Orange font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maiden+Orange
  static TextStyle maidenOrange({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f11302e6132c1403ee758336fc5c7521e50bdbd4e7633f4cac486e0bf63f5810',
        45596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MaidenOrange',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Maiden Orange font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maiden+Orange
  static TextTheme maidenOrangeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: maidenOrange(textStyle: textTheme.displayLarge),
      displayMedium: maidenOrange(textStyle: textTheme.displayMedium),
      displaySmall: maidenOrange(textStyle: textTheme.displaySmall),
      headlineLarge: maidenOrange(textStyle: textTheme.headlineLarge),
      headlineMedium: maidenOrange(textStyle: textTheme.headlineMedium),
      headlineSmall: maidenOrange(textStyle: textTheme.headlineSmall),
      titleLarge: maidenOrange(textStyle: textTheme.titleLarge),
      titleMedium: maidenOrange(textStyle: textTheme.titleMedium),
      titleSmall: maidenOrange(textStyle: textTheme.titleSmall),
      bodyLarge: maidenOrange(textStyle: textTheme.bodyLarge),
      bodyMedium: maidenOrange(textStyle: textTheme.bodyMedium),
      bodySmall: maidenOrange(textStyle: textTheme.bodySmall),
      labelLarge: maidenOrange(textStyle: textTheme.labelLarge),
      labelMedium: maidenOrange(textStyle: textTheme.labelMedium),
      labelSmall: maidenOrange(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Maitree font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maitree
  static TextStyle maitree({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5c26dcf50490bad8ece46b251341b794626dbcc2b447d6462719adb0a30a669',
        119800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a860e0d712863c7d1f48caa196c01d06c07440ba997240dc35222116b887315',
        117100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7e182c9f3ff383aecf89007408c82c2fe421c7bd1c0d26a2c589d650858c242',
        118484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c443b9e40e75884e57ea3274551ea6e929e48c5f606f0e493de21535255416ea',
        119964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1ae61877eb99327c96f0881800d7ff67ed333496734a176a044f61aecd50785',
        121252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b68c27287653802a934b53c52097b15931a570dd2b1252cfc6716301f7c79c48',
        123064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Maitree',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Maitree font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maitree
  static TextTheme maitreeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: maitree(textStyle: textTheme.displayLarge),
      displayMedium: maitree(textStyle: textTheme.displayMedium),
      displaySmall: maitree(textStyle: textTheme.displaySmall),
      headlineLarge: maitree(textStyle: textTheme.headlineLarge),
      headlineMedium: maitree(textStyle: textTheme.headlineMedium),
      headlineSmall: maitree(textStyle: textTheme.headlineSmall),
      titleLarge: maitree(textStyle: textTheme.titleLarge),
      titleMedium: maitree(textStyle: textTheme.titleMedium),
      titleSmall: maitree(textStyle: textTheme.titleSmall),
      bodyLarge: maitree(textStyle: textTheme.bodyLarge),
      bodyMedium: maitree(textStyle: textTheme.bodyMedium),
      bodySmall: maitree(textStyle: textTheme.bodySmall),
      labelLarge: maitree(textStyle: textTheme.labelLarge),
      labelMedium: maitree(textStyle: textTheme.labelMedium),
      labelSmall: maitree(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Major Mono Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Major+Mono+Display
  static TextStyle majorMonoDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7396fa62aae1e0c350e023060775f55da68cccfd74b3c7d4f5f7eee87c94cd9',
        73668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MajorMonoDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Major Mono Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Major+Mono+Display
  static TextTheme majorMonoDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: majorMonoDisplay(textStyle: textTheme.displayLarge),
      displayMedium: majorMonoDisplay(textStyle: textTheme.displayMedium),
      displaySmall: majorMonoDisplay(textStyle: textTheme.displaySmall),
      headlineLarge: majorMonoDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium: majorMonoDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall: majorMonoDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: majorMonoDisplay(textStyle: textTheme.titleLarge),
      titleMedium: majorMonoDisplay(textStyle: textTheme.titleMedium),
      titleSmall: majorMonoDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: majorMonoDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: majorMonoDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: majorMonoDisplay(textStyle: textTheme.bodySmall),
      labelLarge: majorMonoDisplay(textStyle: textTheme.labelLarge),
      labelMedium: majorMonoDisplay(textStyle: textTheme.labelMedium),
      labelSmall: majorMonoDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mako font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mako
  static TextStyle mako({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5eacfb1dc8669a590c0628162182e6e92c96387c243ee93d399a2434e8ca71b9',
        62552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mako',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mako font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mako
  static TextTheme makoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mako(textStyle: textTheme.displayLarge),
      displayMedium: mako(textStyle: textTheme.displayMedium),
      displaySmall: mako(textStyle: textTheme.displaySmall),
      headlineLarge: mako(textStyle: textTheme.headlineLarge),
      headlineMedium: mako(textStyle: textTheme.headlineMedium),
      headlineSmall: mako(textStyle: textTheme.headlineSmall),
      titleLarge: mako(textStyle: textTheme.titleLarge),
      titleMedium: mako(textStyle: textTheme.titleMedium),
      titleSmall: mako(textStyle: textTheme.titleSmall),
      bodyLarge: mako(textStyle: textTheme.bodyLarge),
      bodyMedium: mako(textStyle: textTheme.bodyMedium),
      bodySmall: mako(textStyle: textTheme.bodySmall),
      labelLarge: mako(textStyle: textTheme.labelLarge),
      labelMedium: mako(textStyle: textTheme.labelMedium),
      labelSmall: mako(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mali
  static TextStyle mali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa023b84089dddd968aaa8a9af85114b2432be3eb6172f99789a3ae7bd543ee2',
        104272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a579f4d12bff42168479a54a31095f70747a8973a57b69b936e27633189406b',
        107164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c59426069511ffc36bdd5bb3670a0e38378f6b3397f5ffb79ef914af620f6012',
        104480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a39afa524102532b9d18e19fee097806158a1701105a9943d917977833baa598',
        107336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aaadb63184a80bb24d7816775c2dca9190123a18d7a83af532328184f2ea7f32',
        104556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3d26f3cfa8067a8d6e86dd94e2264b68f4d17e23c9ce3c527d354c7ed39567dd',
        107620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19a953272fdd4907ed7edf681c73df68a70870017f72fd1374142feca6c166b0',
        104600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2396956ede92acd1819c0bb780574f281f94863dea661b8a635e09e6a3717962',
        107608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '478cc94d5111b74f569e558686104f2c27e6ead432329e143a34240adb5f7b6a',
        104640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b338a71cf893f3f34734911899abf29613f579a3fca432cf5443bcdfde1a417f',
        107596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2945ab4ffbe01953a44ed5a1c249edd40c649ef9be29fc9b035ae184867dc813',
        104032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7a0ee262e2e1a053633d5bfc8e6b4af7beb7da72f1419dc3e08dc55a25a6d398',
        107456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mali
  static TextTheme maliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mali(textStyle: textTheme.displayLarge),
      displayMedium: mali(textStyle: textTheme.displayMedium),
      displaySmall: mali(textStyle: textTheme.displaySmall),
      headlineLarge: mali(textStyle: textTheme.headlineLarge),
      headlineMedium: mali(textStyle: textTheme.headlineMedium),
      headlineSmall: mali(textStyle: textTheme.headlineSmall),
      titleLarge: mali(textStyle: textTheme.titleLarge),
      titleMedium: mali(textStyle: textTheme.titleMedium),
      titleSmall: mali(textStyle: textTheme.titleSmall),
      bodyLarge: mali(textStyle: textTheme.bodyLarge),
      bodyMedium: mali(textStyle: textTheme.bodyMedium),
      bodySmall: mali(textStyle: textTheme.bodySmall),
      labelLarge: mali(textStyle: textTheme.labelLarge),
      labelMedium: mali(textStyle: textTheme.labelMedium),
      labelSmall: mali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mallanna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mallanna
  static TextStyle mallanna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efd16b618025816beb489e3062ab30452f052d0d5bbb03710f42eceb0f999c37',
        350548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mallanna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mallanna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mallanna
  static TextTheme mallannaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mallanna(textStyle: textTheme.displayLarge),
      displayMedium: mallanna(textStyle: textTheme.displayMedium),
      displaySmall: mallanna(textStyle: textTheme.displaySmall),
      headlineLarge: mallanna(textStyle: textTheme.headlineLarge),
      headlineMedium: mallanna(textStyle: textTheme.headlineMedium),
      headlineSmall: mallanna(textStyle: textTheme.headlineSmall),
      titleLarge: mallanna(textStyle: textTheme.titleLarge),
      titleMedium: mallanna(textStyle: textTheme.titleMedium),
      titleSmall: mallanna(textStyle: textTheme.titleSmall),
      bodyLarge: mallanna(textStyle: textTheme.bodyLarge),
      bodyMedium: mallanna(textStyle: textTheme.bodyMedium),
      bodySmall: mallanna(textStyle: textTheme.bodySmall),
      labelLarge: mallanna(textStyle: textTheme.labelLarge),
      labelMedium: mallanna(textStyle: textTheme.labelMedium),
      labelSmall: mallanna(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mandali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mandali
  static TextStyle mandali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4c9245286adc2ac57082a6709f35231b209b74be5f5d90e55f83e4f943bc196',
        360000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mandali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mandali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mandali
  static TextTheme mandaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mandali(textStyle: textTheme.displayLarge),
      displayMedium: mandali(textStyle: textTheme.displayMedium),
      displaySmall: mandali(textStyle: textTheme.displaySmall),
      headlineLarge: mandali(textStyle: textTheme.headlineLarge),
      headlineMedium: mandali(textStyle: textTheme.headlineMedium),
      headlineSmall: mandali(textStyle: textTheme.headlineSmall),
      titleLarge: mandali(textStyle: textTheme.titleLarge),
      titleMedium: mandali(textStyle: textTheme.titleMedium),
      titleSmall: mandali(textStyle: textTheme.titleSmall),
      bodyLarge: mandali(textStyle: textTheme.bodyLarge),
      bodyMedium: mandali(textStyle: textTheme.bodyMedium),
      bodySmall: mandali(textStyle: textTheme.bodySmall),
      labelLarge: mandali(textStyle: textTheme.labelLarge),
      labelMedium: mandali(textStyle: textTheme.labelMedium),
      labelSmall: mandali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Manjari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manjari
  static TextStyle manjari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8ec7ec6563929a9fdac2b63de1a0788ce01986463bbc154ed1d7247224eaf6e',
        150024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '462b76fc14c3f0019a58120fdfb3f68c44185ce085e1b50c02075f09d8cfb695',
        148744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3000b3d2f648184a01135d1abe042fc6689d994f30d949e5f8e63e54346acb24',
        148388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Manjari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Manjari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manjari
  static TextTheme manjariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: manjari(textStyle: textTheme.displayLarge),
      displayMedium: manjari(textStyle: textTheme.displayMedium),
      displaySmall: manjari(textStyle: textTheme.displaySmall),
      headlineLarge: manjari(textStyle: textTheme.headlineLarge),
      headlineMedium: manjari(textStyle: textTheme.headlineMedium),
      headlineSmall: manjari(textStyle: textTheme.headlineSmall),
      titleLarge: manjari(textStyle: textTheme.titleLarge),
      titleMedium: manjari(textStyle: textTheme.titleMedium),
      titleSmall: manjari(textStyle: textTheme.titleSmall),
      bodyLarge: manjari(textStyle: textTheme.bodyLarge),
      bodyMedium: manjari(textStyle: textTheme.bodyMedium),
      bodySmall: manjari(textStyle: textTheme.bodySmall),
      labelLarge: manjari(textStyle: textTheme.labelLarge),
      labelMedium: manjari(textStyle: textTheme.labelMedium),
      labelSmall: manjari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Manrope font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manrope
  static TextStyle manrope({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4e536af6f237f3d6628bffc40fdb3cc118fcf8c2d3884d116c96cdc3990123a',
        94848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0eb7e6d332784315d565e6c1f4e39bfb0d9b9a6de73503619697d172b532607e',
        94856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ddeeeff9fe3d294f709f2239557278930f56dab89db1fe535dc5c35cd67e0ee',
        94948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acdd0ae608f0e024750c98bb1c4e76c13e31ad2b848eb8da7fcd783c051abafa',
        95036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8791ca409cf36b8b2842e40b6b1cd5b42cca064b4fdf24e30f5611536793429d',
        95072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7793683898d8a0e4c97ec50116fc021d053f2f72113982076a50a9048f101b5',
        94904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b753fbbbefcdfd17909197147c199d6ebc1cd79742e853bc1e732bc9f49831b',
        95664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Manrope',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Manrope font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manrope
  static TextTheme manropeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: manrope(textStyle: textTheme.displayLarge),
      displayMedium: manrope(textStyle: textTheme.displayMedium),
      displaySmall: manrope(textStyle: textTheme.displaySmall),
      headlineLarge: manrope(textStyle: textTheme.headlineLarge),
      headlineMedium: manrope(textStyle: textTheme.headlineMedium),
      headlineSmall: manrope(textStyle: textTheme.headlineSmall),
      titleLarge: manrope(textStyle: textTheme.titleLarge),
      titleMedium: manrope(textStyle: textTheme.titleMedium),
      titleSmall: manrope(textStyle: textTheme.titleSmall),
      bodyLarge: manrope(textStyle: textTheme.bodyLarge),
      bodyMedium: manrope(textStyle: textTheme.bodyMedium),
      bodySmall: manrope(textStyle: textTheme.bodySmall),
      labelLarge: manrope(textStyle: textTheme.labelLarge),
      labelMedium: manrope(textStyle: textTheme.labelMedium),
      labelSmall: manrope(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mansalva font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mansalva
  static TextStyle mansalva({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ac43c6257c0a4adf2cc4bd612f12fde136317dde9904d45dd03e73f007c0a27',
        252920,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mansalva',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mansalva font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mansalva
  static TextTheme mansalvaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mansalva(textStyle: textTheme.displayLarge),
      displayMedium: mansalva(textStyle: textTheme.displayMedium),
      displaySmall: mansalva(textStyle: textTheme.displaySmall),
      headlineLarge: mansalva(textStyle: textTheme.headlineLarge),
      headlineMedium: mansalva(textStyle: textTheme.headlineMedium),
      headlineSmall: mansalva(textStyle: textTheme.headlineSmall),
      titleLarge: mansalva(textStyle: textTheme.titleLarge),
      titleMedium: mansalva(textStyle: textTheme.titleMedium),
      titleSmall: mansalva(textStyle: textTheme.titleSmall),
      bodyLarge: mansalva(textStyle: textTheme.bodyLarge),
      bodyMedium: mansalva(textStyle: textTheme.bodyMedium),
      bodySmall: mansalva(textStyle: textTheme.bodySmall),
      labelLarge: mansalva(textStyle: textTheme.labelLarge),
      labelMedium: mansalva(textStyle: textTheme.labelMedium),
      labelSmall: mansalva(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Manuale font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manuale
  static TextStyle manuale({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6da7c1c212dbfcb71ad3dd44341b13fd54afbe4a7a34f98fc52d86d49602f28',
        74956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c885b9f20d8346e5588747e207fd286ba0a28edf5f077c03c3eaa8f2ffbf263c',
        74784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '435319e8023dc7cc4313894af87bda5112cfb48c89d5e6b0136194f6bdccb0bf',
        75444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c61ce6e57adb89b67ed50deaa2eb60f7c87749d54c91d6ab2d2e21f6d2b9df72',
        75532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6f9f56542a5004d0b878c20967c2edeb817a8cce8e15ab10fc54ce13d0018d2',
        75376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11f2f937d9729a4afdbf443ec0675386e7eeb1e0fb62e18736273715c528dfba',
        75488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f5de4826304296707efc5837bb471a204812429e27d8072921a3694615d42583',
        81672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '38e8c4553e9c440264325ff129711b490cb63481941c6e030a836b921c131f37',
        81400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ef1ad858b85fb1e2c93d14752e384ea1a7808ffa9df94581cf9fe11466e7129c',
        81632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bab07681c9ea17f95ee63d6b9f4ed0be6cce8b7a5d268ae7c8aab323d909de0d',
        81608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f6e37a4ff988049634bcecf17052618654ff44505f32e131f8bf960fe9cbacd0',
        81484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd533674a678fea81f2543129aee800f3eeb4b76a533d9f5ad57d86e4672ea543',
        81948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Manuale',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Manuale font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manuale
  static TextTheme manualeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: manuale(textStyle: textTheme.displayLarge),
      displayMedium: manuale(textStyle: textTheme.displayMedium),
      displaySmall: manuale(textStyle: textTheme.displaySmall),
      headlineLarge: manuale(textStyle: textTheme.headlineLarge),
      headlineMedium: manuale(textStyle: textTheme.headlineMedium),
      headlineSmall: manuale(textStyle: textTheme.headlineSmall),
      titleLarge: manuale(textStyle: textTheme.titleLarge),
      titleMedium: manuale(textStyle: textTheme.titleMedium),
      titleSmall: manuale(textStyle: textTheme.titleSmall),
      bodyLarge: manuale(textStyle: textTheme.bodyLarge),
      bodyMedium: manuale(textStyle: textTheme.bodyMedium),
      bodySmall: manuale(textStyle: textTheme.bodySmall),
      labelLarge: manuale(textStyle: textTheme.labelLarge),
      labelMedium: manuale(textStyle: textTheme.labelMedium),
      labelSmall: manuale(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marcellus font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus
  static TextStyle marcellus({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6f05260db1b8d311fbfd6c413618fe64261ff8d19d00b6415bf01cb211363f9',
        42760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marcellus',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marcellus font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus
  static TextTheme marcellusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: marcellus(textStyle: textTheme.displayLarge),
      displayMedium: marcellus(textStyle: textTheme.displayMedium),
      displaySmall: marcellus(textStyle: textTheme.displaySmall),
      headlineLarge: marcellus(textStyle: textTheme.headlineLarge),
      headlineMedium: marcellus(textStyle: textTheme.headlineMedium),
      headlineSmall: marcellus(textStyle: textTheme.headlineSmall),
      titleLarge: marcellus(textStyle: textTheme.titleLarge),
      titleMedium: marcellus(textStyle: textTheme.titleMedium),
      titleSmall: marcellus(textStyle: textTheme.titleSmall),
      bodyLarge: marcellus(textStyle: textTheme.bodyLarge),
      bodyMedium: marcellus(textStyle: textTheme.bodyMedium),
      bodySmall: marcellus(textStyle: textTheme.bodySmall),
      labelLarge: marcellus(textStyle: textTheme.labelLarge),
      labelMedium: marcellus(textStyle: textTheme.labelMedium),
      labelSmall: marcellus(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marcellus SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus+SC
  static TextStyle marcellusSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b9db8e80985afac4ce5a8a218672d0e819465ec4bea036f50c65f0400f32d32',
        43936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarcellusSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marcellus SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus+SC
  static TextTheme marcellusScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: marcellusSc(textStyle: textTheme.displayLarge),
      displayMedium: marcellusSc(textStyle: textTheme.displayMedium),
      displaySmall: marcellusSc(textStyle: textTheme.displaySmall),
      headlineLarge: marcellusSc(textStyle: textTheme.headlineLarge),
      headlineMedium: marcellusSc(textStyle: textTheme.headlineMedium),
      headlineSmall: marcellusSc(textStyle: textTheme.headlineSmall),
      titleLarge: marcellusSc(textStyle: textTheme.titleLarge),
      titleMedium: marcellusSc(textStyle: textTheme.titleMedium),
      titleSmall: marcellusSc(textStyle: textTheme.titleSmall),
      bodyLarge: marcellusSc(textStyle: textTheme.bodyLarge),
      bodyMedium: marcellusSc(textStyle: textTheme.bodyMedium),
      bodySmall: marcellusSc(textStyle: textTheme.bodySmall),
      labelLarge: marcellusSc(textStyle: textTheme.labelLarge),
      labelMedium: marcellusSc(textStyle: textTheme.labelMedium),
      labelSmall: marcellusSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marck Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marck+Script
  static TextStyle marckScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4cea442ff203ca3e590f00f4f98c1e879742979974df977735cd658c1452219d',
        81184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarckScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marck Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marck+Script
  static TextTheme marckScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: marckScript(textStyle: textTheme.displayLarge),
      displayMedium: marckScript(textStyle: textTheme.displayMedium),
      displaySmall: marckScript(textStyle: textTheme.displaySmall),
      headlineLarge: marckScript(textStyle: textTheme.headlineLarge),
      headlineMedium: marckScript(textStyle: textTheme.headlineMedium),
      headlineSmall: marckScript(textStyle: textTheme.headlineSmall),
      titleLarge: marckScript(textStyle: textTheme.titleLarge),
      titleMedium: marckScript(textStyle: textTheme.titleMedium),
      titleSmall: marckScript(textStyle: textTheme.titleSmall),
      bodyLarge: marckScript(textStyle: textTheme.bodyLarge),
      bodyMedium: marckScript(textStyle: textTheme.bodyMedium),
      bodySmall: marckScript(textStyle: textTheme.bodySmall),
      labelLarge: marckScript(textStyle: textTheme.labelLarge),
      labelMedium: marckScript(textStyle: textTheme.labelMedium),
      labelSmall: marckScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Margarine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Margarine
  static TextStyle margarine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27203d30148332203ac274969146d0317fcf010676d440870055be319a2f8dde',
        146292,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Margarine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Margarine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Margarine
  static TextTheme margarineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: margarine(textStyle: textTheme.displayLarge),
      displayMedium: margarine(textStyle: textTheme.displayMedium),
      displaySmall: margarine(textStyle: textTheme.displaySmall),
      headlineLarge: margarine(textStyle: textTheme.headlineLarge),
      headlineMedium: margarine(textStyle: textTheme.headlineMedium),
      headlineSmall: margarine(textStyle: textTheme.headlineSmall),
      titleLarge: margarine(textStyle: textTheme.titleLarge),
      titleMedium: margarine(textStyle: textTheme.titleMedium),
      titleSmall: margarine(textStyle: textTheme.titleSmall),
      bodyLarge: margarine(textStyle: textTheme.bodyLarge),
      bodyMedium: margarine(textStyle: textTheme.bodyMedium),
      bodySmall: margarine(textStyle: textTheme.bodySmall),
      labelLarge: margarine(textStyle: textTheme.labelLarge),
      labelMedium: margarine(textStyle: textTheme.labelMedium),
      labelSmall: margarine(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marhey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marhey
  static TextStyle marhey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7472ca5f9dea40b389363347ee6fd3983c1847066c8e62f76a010f28f917f4b7',
        87732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98d1392297a778029859c22f1baa745a94813f7e0222dd17ef9e091fff906ead',
        87988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f0210f4d3200dbaea6000e79718eff9a7362e79d3ce6349016fd2f2d8f9e27a',
        88028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '129db27c74bc18afd66bd089086274343977f05d57a98db0ac544db509cbd09b',
        87992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f6ed41362777f37de14979b6ffc20f353009e17a6d5638df864e1aace36c9d4',
        87564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marhey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marhey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marhey
  static TextTheme marheyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: marhey(textStyle: textTheme.displayLarge),
      displayMedium: marhey(textStyle: textTheme.displayMedium),
      displaySmall: marhey(textStyle: textTheme.displaySmall),
      headlineLarge: marhey(textStyle: textTheme.headlineLarge),
      headlineMedium: marhey(textStyle: textTheme.headlineMedium),
      headlineSmall: marhey(textStyle: textTheme.headlineSmall),
      titleLarge: marhey(textStyle: textTheme.titleLarge),
      titleMedium: marhey(textStyle: textTheme.titleMedium),
      titleSmall: marhey(textStyle: textTheme.titleSmall),
      bodyLarge: marhey(textStyle: textTheme.bodyLarge),
      bodyMedium: marhey(textStyle: textTheme.bodyMedium),
      bodySmall: marhey(textStyle: textTheme.bodySmall),
      labelLarge: marhey(textStyle: textTheme.labelLarge),
      labelMedium: marhey(textStyle: textTheme.labelMedium),
      labelSmall: marhey(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Markazi Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Markazi+Text
  static TextStyle markaziText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd09a8c7c2bae924fbd390c3ddc7d56320b285ed211ab26e76d86619950bf98c',
        181652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f01044c06d33bc0da3fa40187c40f7cf47df910978514b8998517fbcf07932c7',
        182228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1129e5edbb390d09046daccf90d0284ad282254f574cfbae853b286378b06ce8',
        182384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e91776c38ed4516824e7f6e214f118dc17f9320545c95983a5957a483719956f',
        181892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarkaziText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Markazi Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Markazi+Text
  static TextTheme markaziTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: markaziText(textStyle: textTheme.displayLarge),
      displayMedium: markaziText(textStyle: textTheme.displayMedium),
      displaySmall: markaziText(textStyle: textTheme.displaySmall),
      headlineLarge: markaziText(textStyle: textTheme.headlineLarge),
      headlineMedium: markaziText(textStyle: textTheme.headlineMedium),
      headlineSmall: markaziText(textStyle: textTheme.headlineSmall),
      titleLarge: markaziText(textStyle: textTheme.titleLarge),
      titleMedium: markaziText(textStyle: textTheme.titleMedium),
      titleSmall: markaziText(textStyle: textTheme.titleSmall),
      bodyLarge: markaziText(textStyle: textTheme.bodyLarge),
      bodyMedium: markaziText(textStyle: textTheme.bodyMedium),
      bodySmall: markaziText(textStyle: textTheme.bodySmall),
      labelLarge: markaziText(textStyle: textTheme.labelLarge),
      labelMedium: markaziText(textStyle: textTheme.labelMedium),
      labelSmall: markaziText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marko One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marko+One
  static TextStyle markoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30e5982f5ec8083bdd653f3c459c492742f14b97e7f03e24f44aa63637695e88',
        31396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarkoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marko One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marko+One
  static TextTheme markoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: markoOne(textStyle: textTheme.displayLarge),
      displayMedium: markoOne(textStyle: textTheme.displayMedium),
      displaySmall: markoOne(textStyle: textTheme.displaySmall),
      headlineLarge: markoOne(textStyle: textTheme.headlineLarge),
      headlineMedium: markoOne(textStyle: textTheme.headlineMedium),
      headlineSmall: markoOne(textStyle: textTheme.headlineSmall),
      titleLarge: markoOne(textStyle: textTheme.titleLarge),
      titleMedium: markoOne(textStyle: textTheme.titleMedium),
      titleSmall: markoOne(textStyle: textTheme.titleSmall),
      bodyLarge: markoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: markoOne(textStyle: textTheme.bodyMedium),
      bodySmall: markoOne(textStyle: textTheme.bodySmall),
      labelLarge: markoOne(textStyle: textTheme.labelLarge),
      labelMedium: markoOne(textStyle: textTheme.labelMedium),
      labelSmall: markoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marmelad font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marmelad
  static TextStyle marmelad({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdab526e548c546c6e74f16e1ddf6ba4165b2b209338fe76365f1432e1c75461',
        102584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marmelad',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marmelad font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marmelad
  static TextTheme marmeladTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: marmelad(textStyle: textTheme.displayLarge),
      displayMedium: marmelad(textStyle: textTheme.displayMedium),
      displaySmall: marmelad(textStyle: textTheme.displaySmall),
      headlineLarge: marmelad(textStyle: textTheme.headlineLarge),
      headlineMedium: marmelad(textStyle: textTheme.headlineMedium),
      headlineSmall: marmelad(textStyle: textTheme.headlineSmall),
      titleLarge: marmelad(textStyle: textTheme.titleLarge),
      titleMedium: marmelad(textStyle: textTheme.titleMedium),
      titleSmall: marmelad(textStyle: textTheme.titleSmall),
      bodyLarge: marmelad(textStyle: textTheme.bodyLarge),
      bodyMedium: marmelad(textStyle: textTheme.bodyMedium),
      bodySmall: marmelad(textStyle: textTheme.bodySmall),
      labelLarge: marmelad(textStyle: textTheme.labelLarge),
      labelMedium: marmelad(textStyle: textTheme.labelMedium),
      labelSmall: marmelad(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Martel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel
  static TextStyle martel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ee44d0d4893d54a1cdc577b763f43a56a3cc41bb5a16569214afd4e99f432f9',
        116348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f01376b7fdfcd7e143d42ef7de46b048ebce6112082da9828b16135ad3eba43',
        117716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12702ce43a0e0d4569dd9280751658fde77aacddf053f262491e03d2ddd3a8dd',
        117388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91f155cd5e60d1b1ddf47eb94c633905404dc913ac6b5fca67f1b43e154aa06f',
        116792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34b0a43712bff324f47dd9e72665b0e575cdd986f4631025f6ef7ca14c15044e',
        117084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5a6f886bbe3ee8d7d7a4357ed5ea5d5c3964dea884200904b8c41d033eda207',
        117668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed9eaa5300e6fbaed75362821ed8c718b2c6accd7c0860cf86063a4d2c1f994d',
        111108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Martel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Martel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel
  static TextTheme martelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: martel(textStyle: textTheme.displayLarge),
      displayMedium: martel(textStyle: textTheme.displayMedium),
      displaySmall: martel(textStyle: textTheme.displaySmall),
      headlineLarge: martel(textStyle: textTheme.headlineLarge),
      headlineMedium: martel(textStyle: textTheme.headlineMedium),
      headlineSmall: martel(textStyle: textTheme.headlineSmall),
      titleLarge: martel(textStyle: textTheme.titleLarge),
      titleMedium: martel(textStyle: textTheme.titleMedium),
      titleSmall: martel(textStyle: textTheme.titleSmall),
      bodyLarge: martel(textStyle: textTheme.bodyLarge),
      bodyMedium: martel(textStyle: textTheme.bodyMedium),
      bodySmall: martel(textStyle: textTheme.bodySmall),
      labelLarge: martel(textStyle: textTheme.labelLarge),
      labelMedium: martel(textStyle: textTheme.labelMedium),
      labelSmall: martel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Martel Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel+Sans
  static TextStyle martelSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e94b3386004ab870546eeda9ed5b5e4ac30937656139d17832dc75083aa456f',
        103364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34adb2c35e44fb48087e3ff92e3d8b0ca521daffa44e49d2fa827f1a113e9e51',
        103164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cc347978707d341149b2714ee7ac9a56862bdceeee0d0cd78b49051895352ed',
        103204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '532ceb7947bcc2af5c0bd6dd898b3149f96fc7154f6d6f5f43e1901e11aec356',
        102412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '408fb2a6bd2b8febcbcd0f36b448bea25c95a95682b8180f072b270317ca99ce',
        102480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e9cad9a7439e58232072ee1ae67b8cbe63c0a9b81f4df4905a787f897ba8741',
        102276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b18f2498080548788be265f2d48af87ba37135a2df98a20de4d8cbff7f6c428c',
        101916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MartelSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Martel Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel+Sans
  static TextTheme martelSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: martelSans(textStyle: textTheme.displayLarge),
      displayMedium: martelSans(textStyle: textTheme.displayMedium),
      displaySmall: martelSans(textStyle: textTheme.displaySmall),
      headlineLarge: martelSans(textStyle: textTheme.headlineLarge),
      headlineMedium: martelSans(textStyle: textTheme.headlineMedium),
      headlineSmall: martelSans(textStyle: textTheme.headlineSmall),
      titleLarge: martelSans(textStyle: textTheme.titleLarge),
      titleMedium: martelSans(textStyle: textTheme.titleMedium),
      titleSmall: martelSans(textStyle: textTheme.titleSmall),
      bodyLarge: martelSans(textStyle: textTheme.bodyLarge),
      bodyMedium: martelSans(textStyle: textTheme.bodyMedium),
      bodySmall: martelSans(textStyle: textTheme.bodySmall),
      labelLarge: martelSans(textStyle: textTheme.labelLarge),
      labelMedium: martelSans(textStyle: textTheme.labelMedium),
      labelSmall: martelSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Martian Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martian+Mono
  static TextStyle martianMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee3a1e93a190bb35c840b40e2b0c3f49be8add837fd39fae07000b16bb1d002b',
        45720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1672bd8247b8b1f8bb653bdd644661dbcf8cb8cf0327629af3432194c115f5d2',
        45820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8088bad5d5d8a0c275863dd4b70e1f68292709dfd8a1fd625328e2abed89e737',
        45792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1ceec8c702ae07952ac8b8c5210cfc87330d5a6b3212dd2b1095fe791986168',
        45760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '128a24312a4b778dae8a5a104b64b440173abda479d48b7af7c881c5663dcc54',
        46228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ed9dc3b074b82dc879a55323546bdbbca30c556c4f161012cc438deca9eeceb',
        46240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e88fce9ffe5848513fa2dda3ca197461e41e81c8445bcc7ee71d49393db9274',
        46212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55403a5aaad859a75ee49da8f522c8f7229e0428f3f08dbfeaeb774c54217746',
        46232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MartianMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Martian Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martian+Mono
  static TextTheme martianMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: martianMono(textStyle: textTheme.displayLarge),
      displayMedium: martianMono(textStyle: textTheme.displayMedium),
      displaySmall: martianMono(textStyle: textTheme.displaySmall),
      headlineLarge: martianMono(textStyle: textTheme.headlineLarge),
      headlineMedium: martianMono(textStyle: textTheme.headlineMedium),
      headlineSmall: martianMono(textStyle: textTheme.headlineSmall),
      titleLarge: martianMono(textStyle: textTheme.titleLarge),
      titleMedium: martianMono(textStyle: textTheme.titleMedium),
      titleSmall: martianMono(textStyle: textTheme.titleSmall),
      bodyLarge: martianMono(textStyle: textTheme.bodyLarge),
      bodyMedium: martianMono(textStyle: textTheme.bodyMedium),
      bodySmall: martianMono(textStyle: textTheme.bodySmall),
      labelLarge: martianMono(textStyle: textTheme.labelLarge),
      labelMedium: martianMono(textStyle: textTheme.labelMedium),
      labelSmall: martianMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marvel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marvel
  static TextStyle marvel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '434993f2ea848e2148f479a2a4b7f77a8d304cf6e699f6ff5ce15dd29e922b0e',
        36432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ed9c07b783613779c3c9569fbd28a164ff94e6f015020a825eca9370a92346ef',
        38864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8acdc8b4db21642923af59378dd206a766b72bc253e2682f77d9ebeae48bb1f',
        35184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '584836e81a8e6ce67e50024b8dda2edb6e91e8fd014c29ae935904f0881b2b4c',
        38252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marvel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marvel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marvel
  static TextTheme marvelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: marvel(textStyle: textTheme.displayLarge),
      displayMedium: marvel(textStyle: textTheme.displayMedium),
      displaySmall: marvel(textStyle: textTheme.displaySmall),
      headlineLarge: marvel(textStyle: textTheme.headlineLarge),
      headlineMedium: marvel(textStyle: textTheme.headlineMedium),
      headlineSmall: marvel(textStyle: textTheme.headlineSmall),
      titleLarge: marvel(textStyle: textTheme.titleLarge),
      titleMedium: marvel(textStyle: textTheme.titleMedium),
      titleSmall: marvel(textStyle: textTheme.titleSmall),
      bodyLarge: marvel(textStyle: textTheme.bodyLarge),
      bodyMedium: marvel(textStyle: textTheme.bodyMedium),
      bodySmall: marvel(textStyle: textTheme.bodySmall),
      labelLarge: marvel(textStyle: textTheme.labelLarge),
      labelMedium: marvel(textStyle: textTheme.labelMedium),
      labelSmall: marvel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate
  static TextStyle mate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd3304dc2b1dd4c326f05e442c40eb17607a1adda9a11e994081456a638d5a8e',
        42956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5b6664851984aa4850b4333b116c2a85227e83000b6eee0f25e16bad054a26e3',
        43224,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate
  static TextTheme mateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mate(textStyle: textTheme.displayLarge),
      displayMedium: mate(textStyle: textTheme.displayMedium),
      displaySmall: mate(textStyle: textTheme.displaySmall),
      headlineLarge: mate(textStyle: textTheme.headlineLarge),
      headlineMedium: mate(textStyle: textTheme.headlineMedium),
      headlineSmall: mate(textStyle: textTheme.headlineSmall),
      titleLarge: mate(textStyle: textTheme.titleLarge),
      titleMedium: mate(textStyle: textTheme.titleMedium),
      titleSmall: mate(textStyle: textTheme.titleSmall),
      bodyLarge: mate(textStyle: textTheme.bodyLarge),
      bodyMedium: mate(textStyle: textTheme.bodyMedium),
      bodySmall: mate(textStyle: textTheme.bodySmall),
      labelLarge: mate(textStyle: textTheme.labelLarge),
      labelMedium: mate(textStyle: textTheme.labelMedium),
      labelSmall: mate(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mate SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate+SC
  static TextStyle mateSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd092c6f116320499fb1deb7f4a8c8a61a3460bf81cf0aec509bbf0d773d9b2c6',
        46196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MateSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mate SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate+SC
  static TextTheme mateScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mateSc(textStyle: textTheme.displayLarge),
      displayMedium: mateSc(textStyle: textTheme.displayMedium),
      displaySmall: mateSc(textStyle: textTheme.displaySmall),
      headlineLarge: mateSc(textStyle: textTheme.headlineLarge),
      headlineMedium: mateSc(textStyle: textTheme.headlineMedium),
      headlineSmall: mateSc(textStyle: textTheme.headlineSmall),
      titleLarge: mateSc(textStyle: textTheme.titleLarge),
      titleMedium: mateSc(textStyle: textTheme.titleMedium),
      titleSmall: mateSc(textStyle: textTheme.titleSmall),
      bodyLarge: mateSc(textStyle: textTheme.bodyLarge),
      bodyMedium: mateSc(textStyle: textTheme.bodyMedium),
      bodySmall: mateSc(textStyle: textTheme.bodySmall),
      labelLarge: mateSc(textStyle: textTheme.labelLarge),
      labelMedium: mateSc(textStyle: textTheme.labelMedium),
      labelSmall: mateSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Maven Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maven+Pro
  static TextStyle mavenPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1cb3d351c2911eefef82dbe3e3f106a05c21f1ff2e07784e1cfb36640347711e',
        55108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ffcb091ad6e15155a23861108058084a559ca95c069e8acf82936d8872bdc66',
        55368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8151f48f9c8983360023fff1ca435184a8c8505b5477566c59d6f39a901913a8',
        55524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '759e8364414a231fe8a96087771731005c0294087633491b77972fc97aca240d',
        55408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e40184b4334d61ab14c56ea0d2b3e5b8ead9738cd3132682df5430ea6d2a405',
        55508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fba6a8453a14dcaf0b9013b8734e296d22975beca97dc064675f473c9e492faf',
        55420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MavenPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Maven Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maven+Pro
  static TextTheme mavenProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mavenPro(textStyle: textTheme.displayLarge),
      displayMedium: mavenPro(textStyle: textTheme.displayMedium),
      displaySmall: mavenPro(textStyle: textTheme.displaySmall),
      headlineLarge: mavenPro(textStyle: textTheme.headlineLarge),
      headlineMedium: mavenPro(textStyle: textTheme.headlineMedium),
      headlineSmall: mavenPro(textStyle: textTheme.headlineSmall),
      titleLarge: mavenPro(textStyle: textTheme.titleLarge),
      titleMedium: mavenPro(textStyle: textTheme.titleMedium),
      titleSmall: mavenPro(textStyle: textTheme.titleSmall),
      bodyLarge: mavenPro(textStyle: textTheme.bodyLarge),
      bodyMedium: mavenPro(textStyle: textTheme.bodyMedium),
      bodySmall: mavenPro(textStyle: textTheme.bodySmall),
      labelLarge: mavenPro(textStyle: textTheme.labelLarge),
      labelMedium: mavenPro(textStyle: textTheme.labelMedium),
      labelSmall: mavenPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the McLaren font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/McLaren
  static TextStyle mcLaren({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc647b683dd86f7af168e13748ced9571415848d658b82879f2c6c33be0b5b60',
        52032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'McLaren',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the McLaren font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/McLaren
  static TextTheme mcLarenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mcLaren(textStyle: textTheme.displayLarge),
      displayMedium: mcLaren(textStyle: textTheme.displayMedium),
      displaySmall: mcLaren(textStyle: textTheme.displaySmall),
      headlineLarge: mcLaren(textStyle: textTheme.headlineLarge),
      headlineMedium: mcLaren(textStyle: textTheme.headlineMedium),
      headlineSmall: mcLaren(textStyle: textTheme.headlineSmall),
      titleLarge: mcLaren(textStyle: textTheme.titleLarge),
      titleMedium: mcLaren(textStyle: textTheme.titleMedium),
      titleSmall: mcLaren(textStyle: textTheme.titleSmall),
      bodyLarge: mcLaren(textStyle: textTheme.bodyLarge),
      bodyMedium: mcLaren(textStyle: textTheme.bodyMedium),
      bodySmall: mcLaren(textStyle: textTheme.bodySmall),
      labelLarge: mcLaren(textStyle: textTheme.labelLarge),
      labelMedium: mcLaren(textStyle: textTheme.labelMedium),
      labelSmall: mcLaren(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mea Culpa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mea+Culpa
  static TextStyle meaCulpa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e96faeb4d850c5e366aa0a2f43b5cd252a1274b6b494614af01c6211057b877',
        108404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeaCulpa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mea Culpa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mea+Culpa
  static TextTheme meaCulpaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: meaCulpa(textStyle: textTheme.displayLarge),
      displayMedium: meaCulpa(textStyle: textTheme.displayMedium),
      displaySmall: meaCulpa(textStyle: textTheme.displaySmall),
      headlineLarge: meaCulpa(textStyle: textTheme.headlineLarge),
      headlineMedium: meaCulpa(textStyle: textTheme.headlineMedium),
      headlineSmall: meaCulpa(textStyle: textTheme.headlineSmall),
      titleLarge: meaCulpa(textStyle: textTheme.titleLarge),
      titleMedium: meaCulpa(textStyle: textTheme.titleMedium),
      titleSmall: meaCulpa(textStyle: textTheme.titleSmall),
      bodyLarge: meaCulpa(textStyle: textTheme.bodyLarge),
      bodyMedium: meaCulpa(textStyle: textTheme.bodyMedium),
      bodySmall: meaCulpa(textStyle: textTheme.bodySmall),
      labelLarge: meaCulpa(textStyle: textTheme.labelLarge),
      labelMedium: meaCulpa(textStyle: textTheme.labelMedium),
      labelSmall: meaCulpa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Meddon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meddon
  static TextStyle meddon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54abae3d58d982b229851cc4d848bcffd67e29644fa8335db695e1d27c0012f2',
        63032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Meddon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meddon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meddon
  static TextTheme meddonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: meddon(textStyle: textTheme.displayLarge),
      displayMedium: meddon(textStyle: textTheme.displayMedium),
      displaySmall: meddon(textStyle: textTheme.displaySmall),
      headlineLarge: meddon(textStyle: textTheme.headlineLarge),
      headlineMedium: meddon(textStyle: textTheme.headlineMedium),
      headlineSmall: meddon(textStyle: textTheme.headlineSmall),
      titleLarge: meddon(textStyle: textTheme.titleLarge),
      titleMedium: meddon(textStyle: textTheme.titleMedium),
      titleSmall: meddon(textStyle: textTheme.titleSmall),
      bodyLarge: meddon(textStyle: textTheme.bodyLarge),
      bodyMedium: meddon(textStyle: textTheme.bodyMedium),
      bodySmall: meddon(textStyle: textTheme.bodySmall),
      labelLarge: meddon(textStyle: textTheme.labelLarge),
      labelMedium: meddon(textStyle: textTheme.labelMedium),
      labelSmall: meddon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the MedievalSharp font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MedievalSharp
  static TextStyle medievalSharp({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d2dd58bc945b10409aa21e24d98eec3ef37993b2376e3531851fbf92d21dd4f',
        48228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MedievalSharp',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the MedievalSharp font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MedievalSharp
  static TextTheme medievalSharpTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: medievalSharp(textStyle: textTheme.displayLarge),
      displayMedium: medievalSharp(textStyle: textTheme.displayMedium),
      displaySmall: medievalSharp(textStyle: textTheme.displaySmall),
      headlineLarge: medievalSharp(textStyle: textTheme.headlineLarge),
      headlineMedium: medievalSharp(textStyle: textTheme.headlineMedium),
      headlineSmall: medievalSharp(textStyle: textTheme.headlineSmall),
      titleLarge: medievalSharp(textStyle: textTheme.titleLarge),
      titleMedium: medievalSharp(textStyle: textTheme.titleMedium),
      titleSmall: medievalSharp(textStyle: textTheme.titleSmall),
      bodyLarge: medievalSharp(textStyle: textTheme.bodyLarge),
      bodyMedium: medievalSharp(textStyle: textTheme.bodyMedium),
      bodySmall: medievalSharp(textStyle: textTheme.bodySmall),
      labelLarge: medievalSharp(textStyle: textTheme.labelLarge),
      labelMedium: medievalSharp(textStyle: textTheme.labelMedium),
      labelSmall: medievalSharp(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Medula One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Medula+One
  static TextStyle medulaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c14d4658cacf3a579c80cfc423df8e6941dd1eca33fe74d9004b9bd9b2cb34a',
        31792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MedulaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Medula One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Medula+One
  static TextTheme medulaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: medulaOne(textStyle: textTheme.displayLarge),
      displayMedium: medulaOne(textStyle: textTheme.displayMedium),
      displaySmall: medulaOne(textStyle: textTheme.displaySmall),
      headlineLarge: medulaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: medulaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: medulaOne(textStyle: textTheme.headlineSmall),
      titleLarge: medulaOne(textStyle: textTheme.titleLarge),
      titleMedium: medulaOne(textStyle: textTheme.titleMedium),
      titleSmall: medulaOne(textStyle: textTheme.titleSmall),
      bodyLarge: medulaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: medulaOne(textStyle: textTheme.bodyMedium),
      bodySmall: medulaOne(textStyle: textTheme.bodySmall),
      labelLarge: medulaOne(textStyle: textTheme.labelLarge),
      labelMedium: medulaOne(textStyle: textTheme.labelMedium),
      labelSmall: medulaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Meera Inimai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meera+Inimai
  static TextStyle meeraInimai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40a06b1e0bf3b4a399c40716a6dd04acc5d0d5d416f6310ec45c3b8efa4d8352',
        70828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeeraInimai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meera Inimai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meera+Inimai
  static TextTheme meeraInimaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: meeraInimai(textStyle: textTheme.displayLarge),
      displayMedium: meeraInimai(textStyle: textTheme.displayMedium),
      displaySmall: meeraInimai(textStyle: textTheme.displaySmall),
      headlineLarge: meeraInimai(textStyle: textTheme.headlineLarge),
      headlineMedium: meeraInimai(textStyle: textTheme.headlineMedium),
      headlineSmall: meeraInimai(textStyle: textTheme.headlineSmall),
      titleLarge: meeraInimai(textStyle: textTheme.titleLarge),
      titleMedium: meeraInimai(textStyle: textTheme.titleMedium),
      titleSmall: meeraInimai(textStyle: textTheme.titleSmall),
      bodyLarge: meeraInimai(textStyle: textTheme.bodyLarge),
      bodyMedium: meeraInimai(textStyle: textTheme.bodyMedium),
      bodySmall: meeraInimai(textStyle: textTheme.bodySmall),
      labelLarge: meeraInimai(textStyle: textTheme.labelLarge),
      labelMedium: meeraInimai(textStyle: textTheme.labelMedium),
      labelSmall: meeraInimai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Megrim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Megrim
  static TextStyle megrim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1329617d0583eddd45a722377ffbe312d6ac084943ddfd923025eea820980c1c',
        30136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Megrim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Megrim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Megrim
  static TextTheme megrimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: megrim(textStyle: textTheme.displayLarge),
      displayMedium: megrim(textStyle: textTheme.displayMedium),
      displaySmall: megrim(textStyle: textTheme.displaySmall),
      headlineLarge: megrim(textStyle: textTheme.headlineLarge),
      headlineMedium: megrim(textStyle: textTheme.headlineMedium),
      headlineSmall: megrim(textStyle: textTheme.headlineSmall),
      titleLarge: megrim(textStyle: textTheme.titleLarge),
      titleMedium: megrim(textStyle: textTheme.titleMedium),
      titleSmall: megrim(textStyle: textTheme.titleSmall),
      bodyLarge: megrim(textStyle: textTheme.bodyLarge),
      bodyMedium: megrim(textStyle: textTheme.bodyMedium),
      bodySmall: megrim(textStyle: textTheme.bodySmall),
      labelLarge: megrim(textStyle: textTheme.labelLarge),
      labelMedium: megrim(textStyle: textTheme.labelMedium),
      labelSmall: megrim(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Meie Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meie+Script
  static TextStyle meieScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f475b7a7297bda996a975870f9696e21f31d4c1048ac19d6b456c901867769e',
        52328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeieScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meie Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meie+Script
  static TextTheme meieScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: meieScript(textStyle: textTheme.displayLarge),
      displayMedium: meieScript(textStyle: textTheme.displayMedium),
      displaySmall: meieScript(textStyle: textTheme.displaySmall),
      headlineLarge: meieScript(textStyle: textTheme.headlineLarge),
      headlineMedium: meieScript(textStyle: textTheme.headlineMedium),
      headlineSmall: meieScript(textStyle: textTheme.headlineSmall),
      titleLarge: meieScript(textStyle: textTheme.titleLarge),
      titleMedium: meieScript(textStyle: textTheme.titleMedium),
      titleSmall: meieScript(textStyle: textTheme.titleSmall),
      bodyLarge: meieScript(textStyle: textTheme.bodyLarge),
      bodyMedium: meieScript(textStyle: textTheme.bodyMedium),
      bodySmall: meieScript(textStyle: textTheme.bodySmall),
      labelLarge: meieScript(textStyle: textTheme.labelLarge),
      labelMedium: meieScript(textStyle: textTheme.labelMedium),
      labelSmall: meieScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Meow Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meow+Script
  static TextStyle meowScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1efb4e3f7d02119a4e3ae8a858cedb1187379d54d09c2944e9010796a913f129',
        101276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeowScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meow Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meow+Script
  static TextTheme meowScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: meowScript(textStyle: textTheme.displayLarge),
      displayMedium: meowScript(textStyle: textTheme.displayMedium),
      displaySmall: meowScript(textStyle: textTheme.displaySmall),
      headlineLarge: meowScript(textStyle: textTheme.headlineLarge),
      headlineMedium: meowScript(textStyle: textTheme.headlineMedium),
      headlineSmall: meowScript(textStyle: textTheme.headlineSmall),
      titleLarge: meowScript(textStyle: textTheme.titleLarge),
      titleMedium: meowScript(textStyle: textTheme.titleMedium),
      titleSmall: meowScript(textStyle: textTheme.titleSmall),
      bodyLarge: meowScript(textStyle: textTheme.bodyLarge),
      bodyMedium: meowScript(textStyle: textTheme.bodyMedium),
      bodySmall: meowScript(textStyle: textTheme.bodySmall),
      labelLarge: meowScript(textStyle: textTheme.labelLarge),
      labelMedium: meowScript(textStyle: textTheme.labelMedium),
      labelSmall: meowScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Merienda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merienda
  static TextStyle merienda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '973c851f8366eab47ff4866ad952412e0fe056e82d9cd13be8e97613125ff94c',
        85304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90f10cac7a7d3aca2f838e74e7e6c87b48195c0376dadbf0c2a46249f9bb1bec',
        85244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '177313e827c6d4a1c2ca7b71c81971d75044f387d5a92c2d5f4156c3703451f4',
        85280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8ca5a866e81962090f6d3e656744b14c8f0a889cd5749b20614bfa787d6029c',
        85288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b29437136f583497052318a85ad9af036e3ec017ab1259220ab4232d95a6d9e',
        87844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09ef324455a8cbcc32a8c881fb97b498f063b78f49258298f10d4f2be087de77',
        88256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10059eb15378f73ec0c9cd3f06d762078f0930ef52ac731bb34ca50c107eca09',
        88016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Merienda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merienda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merienda
  static TextTheme meriendaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: merienda(textStyle: textTheme.displayLarge),
      displayMedium: merienda(textStyle: textTheme.displayMedium),
      displaySmall: merienda(textStyle: textTheme.displaySmall),
      headlineLarge: merienda(textStyle: textTheme.headlineLarge),
      headlineMedium: merienda(textStyle: textTheme.headlineMedium),
      headlineSmall: merienda(textStyle: textTheme.headlineSmall),
      titleLarge: merienda(textStyle: textTheme.titleLarge),
      titleMedium: merienda(textStyle: textTheme.titleMedium),
      titleSmall: merienda(textStyle: textTheme.titleSmall),
      bodyLarge: merienda(textStyle: textTheme.bodyLarge),
      bodyMedium: merienda(textStyle: textTheme.bodyMedium),
      bodySmall: merienda(textStyle: textTheme.bodySmall),
      labelLarge: merienda(textStyle: textTheme.labelLarge),
      labelMedium: merienda(textStyle: textTheme.labelMedium),
      labelSmall: merienda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Merriweather font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather
  static TextStyle merriweather({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1391d9ac253f0609fc463ed7cf7c7f8ac16ac148535eab73f9e6ed568be7ed6c',
        94096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4f7010dc410bfdc0e5a335d9a26304fe2445f5b6540b1018c852de17816b07ac',
        96632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17eea3c23dedc67e39cc162b4f95c5927f415be23f01181d6441a821401f2e40',
        94360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a01ca4baf4746b17b8c5c2e403ac0943ad6e2af8451c1651ea770f16cf8c06e0',
        96368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ffd149f337f5b52c2f4fcc0de5d543697fceac78b416e230def6b7c02c81ea9',
        94016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ba796e3f7bbbf053447975f5e4e72ae4a8c01a0c109a688bc7d80836c6270344',
        96204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c0a81948fc4e537d93d6b935abe73b2a89ec9cfd6d9c48bf9787c8627aaf16c',
        94052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ddc6eda15dc3b4c34cf815954a5ee4af26282332b5baf09c8a938143d7ae956b',
        95804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Merriweather',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merriweather font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather
  static TextTheme merriweatherTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: merriweather(textStyle: textTheme.displayLarge),
      displayMedium: merriweather(textStyle: textTheme.displayMedium),
      displaySmall: merriweather(textStyle: textTheme.displaySmall),
      headlineLarge: merriweather(textStyle: textTheme.headlineLarge),
      headlineMedium: merriweather(textStyle: textTheme.headlineMedium),
      headlineSmall: merriweather(textStyle: textTheme.headlineSmall),
      titleLarge: merriweather(textStyle: textTheme.titleLarge),
      titleMedium: merriweather(textStyle: textTheme.titleMedium),
      titleSmall: merriweather(textStyle: textTheme.titleSmall),
      bodyLarge: merriweather(textStyle: textTheme.bodyLarge),
      bodyMedium: merriweather(textStyle: textTheme.bodyMedium),
      bodySmall: merriweather(textStyle: textTheme.bodySmall),
      labelLarge: merriweather(textStyle: textTheme.labelLarge),
      labelMedium: merriweather(textStyle: textTheme.labelMedium),
      labelSmall: merriweather(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Merriweather Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather+Sans
  static TextStyle merriweatherSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b564199cc15670ea9c92d2dfe33ae17d15c7f7653cc03dc7ac144a3ceb21c9c9',
        90984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7235ec430595023c3a5de6533be2be11132a1d39a8fc5e10d7906ab2c997e646',
        91132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d33c5f3a9a4563288d26cdbdc0ad773a5a56655c52ce2918ddcbece4f264229',
        91132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebb7f592714fd85ec4e493146e45e1c447b51ef66c4456c74efe1dca2ffd3b6f',
        91292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee87dd589179b4f6975eb114a4edf724af5c31c87ba77bbab3b8e433ddf36b88',
        91224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebd96d3571e8b1daae4334b2cc890a4b69506ae4b82e34773d68d650a38b4b3f',
        91188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '56ffc23c38f799def2d167383e4ab1cd74d4fad8a7661c42849010c115889f0d',
        79872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f85bdb130da9e6fc59715c46a87b2fa8f145ba984adb931abfb582e4b4a28b9',
        79788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '49d997f7fd3a37940fbe85c6fd86d130ad7ad90fd9e258a7cb5f5f25ad703a7e',
        79920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '205028f9db92e4b50f4cab9c038bb95b176f0bc781645e3a35e1818522d17cbc',
        79988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '370ff2a6479065e9b92a4020ba5460c520433f6f4aed30d55a20b4a9f280f026',
        79976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fc796dc395d9867478b803258c955636a6b709710059749695818ed9fcd6edd4',
        80084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MerriweatherSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merriweather Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather+Sans
  static TextTheme merriweatherSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: merriweatherSans(textStyle: textTheme.displayLarge),
      displayMedium: merriweatherSans(textStyle: textTheme.displayMedium),
      displaySmall: merriweatherSans(textStyle: textTheme.displaySmall),
      headlineLarge: merriweatherSans(textStyle: textTheme.headlineLarge),
      headlineMedium: merriweatherSans(textStyle: textTheme.headlineMedium),
      headlineSmall: merriweatherSans(textStyle: textTheme.headlineSmall),
      titleLarge: merriweatherSans(textStyle: textTheme.titleLarge),
      titleMedium: merriweatherSans(textStyle: textTheme.titleMedium),
      titleSmall: merriweatherSans(textStyle: textTheme.titleSmall),
      bodyLarge: merriweatherSans(textStyle: textTheme.bodyLarge),
      bodyMedium: merriweatherSans(textStyle: textTheme.bodyMedium),
      bodySmall: merriweatherSans(textStyle: textTheme.bodySmall),
      labelLarge: merriweatherSans(textStyle: textTheme.labelLarge),
      labelMedium: merriweatherSans(textStyle: textTheme.labelMedium),
      labelSmall: merriweatherSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Metal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal
  static TextStyle metal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fb5cdc18da62e5d2a13bf65bef1a2ccb9f66dc10c4e3d7910f3f97f1cb1b2f5',
        97360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Metal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal
  static TextTheme metalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: metal(textStyle: textTheme.displayLarge),
      displayMedium: metal(textStyle: textTheme.displayMedium),
      displaySmall: metal(textStyle: textTheme.displaySmall),
      headlineLarge: metal(textStyle: textTheme.headlineLarge),
      headlineMedium: metal(textStyle: textTheme.headlineMedium),
      headlineSmall: metal(textStyle: textTheme.headlineSmall),
      titleLarge: metal(textStyle: textTheme.titleLarge),
      titleMedium: metal(textStyle: textTheme.titleMedium),
      titleSmall: metal(textStyle: textTheme.titleSmall),
      bodyLarge: metal(textStyle: textTheme.bodyLarge),
      bodyMedium: metal(textStyle: textTheme.bodyMedium),
      bodySmall: metal(textStyle: textTheme.bodySmall),
      labelLarge: metal(textStyle: textTheme.labelLarge),
      labelMedium: metal(textStyle: textTheme.labelMedium),
      labelSmall: metal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Metal Mania font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal+Mania
  static TextStyle metalMania({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d4503a6087a6180b1d58db0994d6883a20a70cbfd00db57454ce722c23167d6',
        207960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MetalMania',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metal Mania font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal+Mania
  static TextTheme metalManiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: metalMania(textStyle: textTheme.displayLarge),
      displayMedium: metalMania(textStyle: textTheme.displayMedium),
      displaySmall: metalMania(textStyle: textTheme.displaySmall),
      headlineLarge: metalMania(textStyle: textTheme.headlineLarge),
      headlineMedium: metalMania(textStyle: textTheme.headlineMedium),
      headlineSmall: metalMania(textStyle: textTheme.headlineSmall),
      titleLarge: metalMania(textStyle: textTheme.titleLarge),
      titleMedium: metalMania(textStyle: textTheme.titleMedium),
      titleSmall: metalMania(textStyle: textTheme.titleSmall),
      bodyLarge: metalMania(textStyle: textTheme.bodyLarge),
      bodyMedium: metalMania(textStyle: textTheme.bodyMedium),
      bodySmall: metalMania(textStyle: textTheme.bodySmall),
      labelLarge: metalMania(textStyle: textTheme.labelLarge),
      labelMedium: metalMania(textStyle: textTheme.labelMedium),
      labelSmall: metalMania(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Metamorphous font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metamorphous
  static TextStyle metamorphous({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61cbe950ebcde5689d1c57a37177f5533f78247cadafdf4a4c82008bba7c8974',
        63740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Metamorphous',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metamorphous font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metamorphous
  static TextTheme metamorphousTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: metamorphous(textStyle: textTheme.displayLarge),
      displayMedium: metamorphous(textStyle: textTheme.displayMedium),
      displaySmall: metamorphous(textStyle: textTheme.displaySmall),
      headlineLarge: metamorphous(textStyle: textTheme.headlineLarge),
      headlineMedium: metamorphous(textStyle: textTheme.headlineMedium),
      headlineSmall: metamorphous(textStyle: textTheme.headlineSmall),
      titleLarge: metamorphous(textStyle: textTheme.titleLarge),
      titleMedium: metamorphous(textStyle: textTheme.titleMedium),
      titleSmall: metamorphous(textStyle: textTheme.titleSmall),
      bodyLarge: metamorphous(textStyle: textTheme.bodyLarge),
      bodyMedium: metamorphous(textStyle: textTheme.bodyMedium),
      bodySmall: metamorphous(textStyle: textTheme.bodySmall),
      labelLarge: metamorphous(textStyle: textTheme.labelLarge),
      labelMedium: metamorphous(textStyle: textTheme.labelMedium),
      labelSmall: metamorphous(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Metrophobic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metrophobic
  static TextStyle metrophobic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3cd53fb289615b83816543371563bcb44f7d97811b40805b0df924eceb85791e',
        53212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Metrophobic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metrophobic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metrophobic
  static TextTheme metrophobicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: metrophobic(textStyle: textTheme.displayLarge),
      displayMedium: metrophobic(textStyle: textTheme.displayMedium),
      displaySmall: metrophobic(textStyle: textTheme.displaySmall),
      headlineLarge: metrophobic(textStyle: textTheme.headlineLarge),
      headlineMedium: metrophobic(textStyle: textTheme.headlineMedium),
      headlineSmall: metrophobic(textStyle: textTheme.headlineSmall),
      titleLarge: metrophobic(textStyle: textTheme.titleLarge),
      titleMedium: metrophobic(textStyle: textTheme.titleMedium),
      titleSmall: metrophobic(textStyle: textTheme.titleSmall),
      bodyLarge: metrophobic(textStyle: textTheme.bodyLarge),
      bodyMedium: metrophobic(textStyle: textTheme.bodyMedium),
      bodySmall: metrophobic(textStyle: textTheme.bodySmall),
      labelLarge: metrophobic(textStyle: textTheme.labelLarge),
      labelMedium: metrophobic(textStyle: textTheme.labelMedium),
      labelSmall: metrophobic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Michroma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Michroma
  static TextStyle michroma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08d35f52e77af7341432a44ec1cd721f5602580513376379f9630ada46f737e5',
        31660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Michroma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Michroma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Michroma
  static TextTheme michromaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: michroma(textStyle: textTheme.displayLarge),
      displayMedium: michroma(textStyle: textTheme.displayMedium),
      displaySmall: michroma(textStyle: textTheme.displaySmall),
      headlineLarge: michroma(textStyle: textTheme.headlineLarge),
      headlineMedium: michroma(textStyle: textTheme.headlineMedium),
      headlineSmall: michroma(textStyle: textTheme.headlineSmall),
      titleLarge: michroma(textStyle: textTheme.titleLarge),
      titleMedium: michroma(textStyle: textTheme.titleMedium),
      titleSmall: michroma(textStyle: textTheme.titleSmall),
      bodyLarge: michroma(textStyle: textTheme.bodyLarge),
      bodyMedium: michroma(textStyle: textTheme.bodyMedium),
      bodySmall: michroma(textStyle: textTheme.bodySmall),
      labelLarge: michroma(textStyle: textTheme.labelLarge),
      labelMedium: michroma(textStyle: textTheme.labelMedium),
      labelSmall: michroma(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Milonga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Milonga
  static TextStyle milonga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfc044fa128794d72c8337c0f2d672ba34686248b1d44ec94fdccba2e60e1987',
        120176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Milonga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Milonga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Milonga
  static TextTheme milongaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: milonga(textStyle: textTheme.displayLarge),
      displayMedium: milonga(textStyle: textTheme.displayMedium),
      displaySmall: milonga(textStyle: textTheme.displaySmall),
      headlineLarge: milonga(textStyle: textTheme.headlineLarge),
      headlineMedium: milonga(textStyle: textTheme.headlineMedium),
      headlineSmall: milonga(textStyle: textTheme.headlineSmall),
      titleLarge: milonga(textStyle: textTheme.titleLarge),
      titleMedium: milonga(textStyle: textTheme.titleMedium),
      titleSmall: milonga(textStyle: textTheme.titleSmall),
      bodyLarge: milonga(textStyle: textTheme.bodyLarge),
      bodyMedium: milonga(textStyle: textTheme.bodyMedium),
      bodySmall: milonga(textStyle: textTheme.bodySmall),
      labelLarge: milonga(textStyle: textTheme.labelLarge),
      labelMedium: milonga(textStyle: textTheme.labelMedium),
      labelSmall: milonga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miltonian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian
  static TextStyle miltonian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e66e2c40908d9f6a49aca5d7c792ca6a5b97e2e0242affd23f8983fb8a300f5',
        90836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Miltonian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miltonian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian
  static TextTheme miltonianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: miltonian(textStyle: textTheme.displayLarge),
      displayMedium: miltonian(textStyle: textTheme.displayMedium),
      displaySmall: miltonian(textStyle: textTheme.displaySmall),
      headlineLarge: miltonian(textStyle: textTheme.headlineLarge),
      headlineMedium: miltonian(textStyle: textTheme.headlineMedium),
      headlineSmall: miltonian(textStyle: textTheme.headlineSmall),
      titleLarge: miltonian(textStyle: textTheme.titleLarge),
      titleMedium: miltonian(textStyle: textTheme.titleMedium),
      titleSmall: miltonian(textStyle: textTheme.titleSmall),
      bodyLarge: miltonian(textStyle: textTheme.bodyLarge),
      bodyMedium: miltonian(textStyle: textTheme.bodyMedium),
      bodySmall: miltonian(textStyle: textTheme.bodySmall),
      labelLarge: miltonian(textStyle: textTheme.labelLarge),
      labelMedium: miltonian(textStyle: textTheme.labelMedium),
      labelSmall: miltonian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miltonian Tattoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian+Tattoo
  static TextStyle miltonianTattoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e618ab9270bcaa0f167636c24170e3148c3a1d4897edf97af3ce1141d337f7c6',
        68524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MiltonianTattoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miltonian Tattoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian+Tattoo
  static TextTheme miltonianTattooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: miltonianTattoo(textStyle: textTheme.displayLarge),
      displayMedium: miltonianTattoo(textStyle: textTheme.displayMedium),
      displaySmall: miltonianTattoo(textStyle: textTheme.displaySmall),
      headlineLarge: miltonianTattoo(textStyle: textTheme.headlineLarge),
      headlineMedium: miltonianTattoo(textStyle: textTheme.headlineMedium),
      headlineSmall: miltonianTattoo(textStyle: textTheme.headlineSmall),
      titleLarge: miltonianTattoo(textStyle: textTheme.titleLarge),
      titleMedium: miltonianTattoo(textStyle: textTheme.titleMedium),
      titleSmall: miltonianTattoo(textStyle: textTheme.titleSmall),
      bodyLarge: miltonianTattoo(textStyle: textTheme.bodyLarge),
      bodyMedium: miltonianTattoo(textStyle: textTheme.bodyMedium),
      bodySmall: miltonianTattoo(textStyle: textTheme.bodySmall),
      labelLarge: miltonianTattoo(textStyle: textTheme.labelLarge),
      labelMedium: miltonianTattoo(textStyle: textTheme.labelMedium),
      labelSmall: miltonianTattoo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mina
  static TextStyle mina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '308655f148986df4abc69e3d2ed7b9dc68a2da9a2775b23ed5b770001c17d52d',
        147136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b36a41caeb6d32dd48fb88879056a737b272ab418000ab399b5dfb12696d62b',
        148492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mina
  static TextTheme minaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mina(textStyle: textTheme.displayLarge),
      displayMedium: mina(textStyle: textTheme.displayMedium),
      displaySmall: mina(textStyle: textTheme.displaySmall),
      headlineLarge: mina(textStyle: textTheme.headlineLarge),
      headlineMedium: mina(textStyle: textTheme.headlineMedium),
      headlineSmall: mina(textStyle: textTheme.headlineSmall),
      titleLarge: mina(textStyle: textTheme.titleLarge),
      titleMedium: mina(textStyle: textTheme.titleMedium),
      titleSmall: mina(textStyle: textTheme.titleSmall),
      bodyLarge: mina(textStyle: textTheme.bodyLarge),
      bodyMedium: mina(textStyle: textTheme.bodyMedium),
      bodySmall: mina(textStyle: textTheme.bodySmall),
      labelLarge: mina(textStyle: textTheme.labelLarge),
      labelMedium: mina(textStyle: textTheme.labelMedium),
      labelSmall: mina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mingzat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mingzat
  static TextStyle mingzat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc664cbe60ea241e8c160c2fc5fa296c014fb5efbc2dcf37b0cb709ffc75f20b',
        155536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mingzat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mingzat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mingzat
  static TextTheme mingzatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mingzat(textStyle: textTheme.displayLarge),
      displayMedium: mingzat(textStyle: textTheme.displayMedium),
      displaySmall: mingzat(textStyle: textTheme.displaySmall),
      headlineLarge: mingzat(textStyle: textTheme.headlineLarge),
      headlineMedium: mingzat(textStyle: textTheme.headlineMedium),
      headlineSmall: mingzat(textStyle: textTheme.headlineSmall),
      titleLarge: mingzat(textStyle: textTheme.titleLarge),
      titleMedium: mingzat(textStyle: textTheme.titleMedium),
      titleSmall: mingzat(textStyle: textTheme.titleSmall),
      bodyLarge: mingzat(textStyle: textTheme.bodyLarge),
      bodyMedium: mingzat(textStyle: textTheme.bodyMedium),
      bodySmall: mingzat(textStyle: textTheme.bodySmall),
      labelLarge: mingzat(textStyle: textTheme.labelLarge),
      labelMedium: mingzat(textStyle: textTheme.labelMedium),
      labelSmall: mingzat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miniver font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miniver
  static TextStyle miniver({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26d6c3699c8c5018d64009cb6e6e8f50c0871535ea925acbd5d9dc96b0237884',
        43764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Miniver',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miniver font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miniver
  static TextTheme miniverTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: miniver(textStyle: textTheme.displayLarge),
      displayMedium: miniver(textStyle: textTheme.displayMedium),
      displaySmall: miniver(textStyle: textTheme.displaySmall),
      headlineLarge: miniver(textStyle: textTheme.headlineLarge),
      headlineMedium: miniver(textStyle: textTheme.headlineMedium),
      headlineSmall: miniver(textStyle: textTheme.headlineSmall),
      titleLarge: miniver(textStyle: textTheme.titleLarge),
      titleMedium: miniver(textStyle: textTheme.titleMedium),
      titleSmall: miniver(textStyle: textTheme.titleSmall),
      bodyLarge: miniver(textStyle: textTheme.bodyLarge),
      bodyMedium: miniver(textStyle: textTheme.bodyMedium),
      bodySmall: miniver(textStyle: textTheme.bodySmall),
      labelLarge: miniver(textStyle: textTheme.labelLarge),
      labelMedium: miniver(textStyle: textTheme.labelMedium),
      labelSmall: miniver(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miriam Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miriam+Libre
  static TextStyle miriamLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '516dc4ec0e287fbb605d4fd5425c2cde6e1340231003c8d0a776d0692bef39f8',
        67072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b084a6d235b628f1aa766d8ddb381504ec1a3cd0f24caa5671cebb766ae498be',
        64540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MiriamLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miriam Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miriam+Libre
  static TextTheme miriamLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: miriamLibre(textStyle: textTheme.displayLarge),
      displayMedium: miriamLibre(textStyle: textTheme.displayMedium),
      displaySmall: miriamLibre(textStyle: textTheme.displaySmall),
      headlineLarge: miriamLibre(textStyle: textTheme.headlineLarge),
      headlineMedium: miriamLibre(textStyle: textTheme.headlineMedium),
      headlineSmall: miriamLibre(textStyle: textTheme.headlineSmall),
      titleLarge: miriamLibre(textStyle: textTheme.titleLarge),
      titleMedium: miriamLibre(textStyle: textTheme.titleMedium),
      titleSmall: miriamLibre(textStyle: textTheme.titleSmall),
      bodyLarge: miriamLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: miriamLibre(textStyle: textTheme.bodyMedium),
      bodySmall: miriamLibre(textStyle: textTheme.bodySmall),
      labelLarge: miriamLibre(textStyle: textTheme.labelLarge),
      labelMedium: miriamLibre(textStyle: textTheme.labelMedium),
      labelSmall: miriamLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mirza font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mirza
  static TextStyle mirza({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65a183bfdbc18e102852adaa4adb72573f33f3c5cfb851432c09a209acb8e71e',
        153264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dca4c8d1291531d989cd9a2e6bfedc5695fe0f4f7a5c61d480d378fbc175681',
        152660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ab1e8d78115374ca7dc03dd28299ed0d1f0d5f5b42058c77c5580067b84162b',
        152604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2a1bd6f33531eb1e76213d35b6ccb117a30a0173a4d772514677c41ead7ad56',
        152580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mirza',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mirza font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mirza
  static TextTheme mirzaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mirza(textStyle: textTheme.displayLarge),
      displayMedium: mirza(textStyle: textTheme.displayMedium),
      displaySmall: mirza(textStyle: textTheme.displaySmall),
      headlineLarge: mirza(textStyle: textTheme.headlineLarge),
      headlineMedium: mirza(textStyle: textTheme.headlineMedium),
      headlineSmall: mirza(textStyle: textTheme.headlineSmall),
      titleLarge: mirza(textStyle: textTheme.titleLarge),
      titleMedium: mirza(textStyle: textTheme.titleMedium),
      titleSmall: mirza(textStyle: textTheme.titleSmall),
      bodyLarge: mirza(textStyle: textTheme.bodyLarge),
      bodyMedium: mirza(textStyle: textTheme.bodyMedium),
      bodySmall: mirza(textStyle: textTheme.bodySmall),
      labelLarge: mirza(textStyle: textTheme.labelLarge),
      labelMedium: mirza(textStyle: textTheme.labelMedium),
      labelSmall: mirza(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miss Fajardose font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miss+Fajardose
  static TextStyle missFajardose({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a443fa63baa6db77fd9443bb2e2f84e00fb587b7426ccbfa6d6f21c18f739cb0',
        56960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MissFajardose',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miss Fajardose font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miss+Fajardose
  static TextTheme missFajardoseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: missFajardose(textStyle: textTheme.displayLarge),
      displayMedium: missFajardose(textStyle: textTheme.displayMedium),
      displaySmall: missFajardose(textStyle: textTheme.displaySmall),
      headlineLarge: missFajardose(textStyle: textTheme.headlineLarge),
      headlineMedium: missFajardose(textStyle: textTheme.headlineMedium),
      headlineSmall: missFajardose(textStyle: textTheme.headlineSmall),
      titleLarge: missFajardose(textStyle: textTheme.titleLarge),
      titleMedium: missFajardose(textStyle: textTheme.titleMedium),
      titleSmall: missFajardose(textStyle: textTheme.titleSmall),
      bodyLarge: missFajardose(textStyle: textTheme.bodyLarge),
      bodyMedium: missFajardose(textStyle: textTheme.bodyMedium),
      bodySmall: missFajardose(textStyle: textTheme.bodySmall),
      labelLarge: missFajardose(textStyle: textTheme.labelLarge),
      labelMedium: missFajardose(textStyle: textTheme.labelMedium),
      labelSmall: missFajardose(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mitr font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mitr
  static TextStyle mitr({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3e51272f85885d89720e6be6248fe926d8e56fcc75d9e0d2f5abb6ead1a069f',
        136672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a087f2046c85d59cc4dab8d23cbb70924839fea7e0f7c13e5be48c9257ab37d6',
        142208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fb9bdc5d1b4552c91499f31580f422a7e13c6c2f160e34173455b7aaa3391a3',
        144096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aad7c67032d0ab210555ee83b104b760f291514f625fa4911979acbafcda0359',
        144076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9147e12fdb9ec1ea4d1981a343e92386c4e39fd77f16781187bdbde63bebea9',
        143588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6b0c518c8a9dc001751fc9c6ea3126832e28513061b5bf9c24f730a9ae3d0e6',
        144164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mitr',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mitr font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mitr
  static TextTheme mitrTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mitr(textStyle: textTheme.displayLarge),
      displayMedium: mitr(textStyle: textTheme.displayMedium),
      displaySmall: mitr(textStyle: textTheme.displaySmall),
      headlineLarge: mitr(textStyle: textTheme.headlineLarge),
      headlineMedium: mitr(textStyle: textTheme.headlineMedium),
      headlineSmall: mitr(textStyle: textTheme.headlineSmall),
      titleLarge: mitr(textStyle: textTheme.titleLarge),
      titleMedium: mitr(textStyle: textTheme.titleMedium),
      titleSmall: mitr(textStyle: textTheme.titleSmall),
      bodyLarge: mitr(textStyle: textTheme.bodyLarge),
      bodyMedium: mitr(textStyle: textTheme.bodyMedium),
      bodySmall: mitr(textStyle: textTheme.bodySmall),
      labelLarge: mitr(textStyle: textTheme.labelLarge),
      labelMedium: mitr(textStyle: textTheme.labelMedium),
      labelSmall: mitr(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mochiy Pop One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+One
  static TextStyle mochiyPopOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fb344386a811c67bdb3884a56a6abc44c1556024d68833039b968a1f15f7a27',
        4607440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MochiyPopOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mochiy Pop One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+One
  static TextTheme mochiyPopOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mochiyPopOne(textStyle: textTheme.displayLarge),
      displayMedium: mochiyPopOne(textStyle: textTheme.displayMedium),
      displaySmall: mochiyPopOne(textStyle: textTheme.displaySmall),
      headlineLarge: mochiyPopOne(textStyle: textTheme.headlineLarge),
      headlineMedium: mochiyPopOne(textStyle: textTheme.headlineMedium),
      headlineSmall: mochiyPopOne(textStyle: textTheme.headlineSmall),
      titleLarge: mochiyPopOne(textStyle: textTheme.titleLarge),
      titleMedium: mochiyPopOne(textStyle: textTheme.titleMedium),
      titleSmall: mochiyPopOne(textStyle: textTheme.titleSmall),
      bodyLarge: mochiyPopOne(textStyle: textTheme.bodyLarge),
      bodyMedium: mochiyPopOne(textStyle: textTheme.bodyMedium),
      bodySmall: mochiyPopOne(textStyle: textTheme.bodySmall),
      labelLarge: mochiyPopOne(textStyle: textTheme.labelLarge),
      labelMedium: mochiyPopOne(textStyle: textTheme.labelMedium),
      labelSmall: mochiyPopOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mochiy Pop P One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+P+One
  static TextStyle mochiyPopPOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfbdc87a9c549aa86033713ca7edd8a7f2f9ba4cbe9b8d2d067a848ee1c9e5c8',
        4608112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MochiyPopPOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mochiy Pop P One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+P+One
  static TextTheme mochiyPopPOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mochiyPopPOne(textStyle: textTheme.displayLarge),
      displayMedium: mochiyPopPOne(textStyle: textTheme.displayMedium),
      displaySmall: mochiyPopPOne(textStyle: textTheme.displaySmall),
      headlineLarge: mochiyPopPOne(textStyle: textTheme.headlineLarge),
      headlineMedium: mochiyPopPOne(textStyle: textTheme.headlineMedium),
      headlineSmall: mochiyPopPOne(textStyle: textTheme.headlineSmall),
      titleLarge: mochiyPopPOne(textStyle: textTheme.titleLarge),
      titleMedium: mochiyPopPOne(textStyle: textTheme.titleMedium),
      titleSmall: mochiyPopPOne(textStyle: textTheme.titleSmall),
      bodyLarge: mochiyPopPOne(textStyle: textTheme.bodyLarge),
      bodyMedium: mochiyPopPOne(textStyle: textTheme.bodyMedium),
      bodySmall: mochiyPopPOne(textStyle: textTheme.bodySmall),
      labelLarge: mochiyPopPOne(textStyle: textTheme.labelLarge),
      labelMedium: mochiyPopPOne(textStyle: textTheme.labelMedium),
      labelSmall: mochiyPopPOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Modak font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modak
  static TextStyle modak({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e0f471287dec95da2ab0508270c51a4d89b5956f8395ed46026e3e8cdeaeb03',
        358468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Modak',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Modak font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modak
  static TextTheme modakTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: modak(textStyle: textTheme.displayLarge),
      displayMedium: modak(textStyle: textTheme.displayMedium),
      displaySmall: modak(textStyle: textTheme.displaySmall),
      headlineLarge: modak(textStyle: textTheme.headlineLarge),
      headlineMedium: modak(textStyle: textTheme.headlineMedium),
      headlineSmall: modak(textStyle: textTheme.headlineSmall),
      titleLarge: modak(textStyle: textTheme.titleLarge),
      titleMedium: modak(textStyle: textTheme.titleMedium),
      titleSmall: modak(textStyle: textTheme.titleSmall),
      bodyLarge: modak(textStyle: textTheme.bodyLarge),
      bodyMedium: modak(textStyle: textTheme.bodyMedium),
      bodySmall: modak(textStyle: textTheme.bodySmall),
      labelLarge: modak(textStyle: textTheme.labelLarge),
      labelMedium: modak(textStyle: textTheme.labelMedium),
      labelSmall: modak(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Modern Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modern+Antiqua
  static TextStyle modernAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a80f5084d998fa19f869afe478a06bb9053b2340ba1ab17796a408b0171f1a94',
        67772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ModernAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Modern Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modern+Antiqua
  static TextTheme modernAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: modernAntiqua(textStyle: textTheme.displayLarge),
      displayMedium: modernAntiqua(textStyle: textTheme.displayMedium),
      displaySmall: modernAntiqua(textStyle: textTheme.displaySmall),
      headlineLarge: modernAntiqua(textStyle: textTheme.headlineLarge),
      headlineMedium: modernAntiqua(textStyle: textTheme.headlineMedium),
      headlineSmall: modernAntiqua(textStyle: textTheme.headlineSmall),
      titleLarge: modernAntiqua(textStyle: textTheme.titleLarge),
      titleMedium: modernAntiqua(textStyle: textTheme.titleMedium),
      titleSmall: modernAntiqua(textStyle: textTheme.titleSmall),
      bodyLarge: modernAntiqua(textStyle: textTheme.bodyLarge),
      bodyMedium: modernAntiqua(textStyle: textTheme.bodyMedium),
      bodySmall: modernAntiqua(textStyle: textTheme.bodySmall),
      labelLarge: modernAntiqua(textStyle: textTheme.labelLarge),
      labelMedium: modernAntiqua(textStyle: textTheme.labelMedium),
      labelSmall: modernAntiqua(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mogra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mogra
  static TextStyle mogra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68ef6f3c83efa3823e9cd4fd64392022ef1df04760a65d5592a93e800fe39a01',
        227352,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mogra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mogra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mogra
  static TextTheme mograTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mogra(textStyle: textTheme.displayLarge),
      displayMedium: mogra(textStyle: textTheme.displayMedium),
      displaySmall: mogra(textStyle: textTheme.displaySmall),
      headlineLarge: mogra(textStyle: textTheme.headlineLarge),
      headlineMedium: mogra(textStyle: textTheme.headlineMedium),
      headlineSmall: mogra(textStyle: textTheme.headlineSmall),
      titleLarge: mogra(textStyle: textTheme.titleLarge),
      titleMedium: mogra(textStyle: textTheme.titleMedium),
      titleSmall: mogra(textStyle: textTheme.titleSmall),
      bodyLarge: mogra(textStyle: textTheme.bodyLarge),
      bodyMedium: mogra(textStyle: textTheme.bodyMedium),
      bodySmall: mogra(textStyle: textTheme.bodySmall),
      labelLarge: mogra(textStyle: textTheme.labelLarge),
      labelMedium: mogra(textStyle: textTheme.labelMedium),
      labelSmall: mogra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mohave font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mohave
  static TextStyle mohave({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64ea3cbb25684d63f7664ef5190387b9de436ec2adcb8f0a6544c91c03201a31',
        36972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7d5e7be7889463c1318bf7e1cc51d24b2984031bd834736b7e152a59a6dbf6b',
        36932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32fe4693ec089f881e4c24bd6833fb5c25e29b999d10b7e911afe11107c905ed',
        36920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4c53fabf7a0ee19b4e193388620d19d06176941677fe918709fc91e036298bb',
        36944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e6816dfeb4c37034b09c1fc84507ff6f2b54e230301aadfb2c7d989f07abc26',
        37048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '329f95632fc3c05a88edf868461faa5affc69f4ade9dae86e1a13a8e9b24615b',
        38768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0fc96d370deff554d847f2659c345add58ee4af15c358092a4aa356bebe57f07',
        38648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b9c91c207a56dff2f6f40d8616e6967ad2cd05f754d6c19271adaabb003ab1b',
        38728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '593bf7abbe1fb04ed741ea754ca35c2696df24b12d26641f1f653de14d4aa4bf',
        38756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '70922a2bdc4c265612d255f05c2ee00a8ae4d44b1ecb6a2d1b1b292f23ed1eb4',
        38816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mohave',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mohave font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mohave
  static TextTheme mohaveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mohave(textStyle: textTheme.displayLarge),
      displayMedium: mohave(textStyle: textTheme.displayMedium),
      displaySmall: mohave(textStyle: textTheme.displaySmall),
      headlineLarge: mohave(textStyle: textTheme.headlineLarge),
      headlineMedium: mohave(textStyle: textTheme.headlineMedium),
      headlineSmall: mohave(textStyle: textTheme.headlineSmall),
      titleLarge: mohave(textStyle: textTheme.titleLarge),
      titleMedium: mohave(textStyle: textTheme.titleMedium),
      titleSmall: mohave(textStyle: textTheme.titleSmall),
      bodyLarge: mohave(textStyle: textTheme.bodyLarge),
      bodyMedium: mohave(textStyle: textTheme.bodyMedium),
      bodySmall: mohave(textStyle: textTheme.bodySmall),
      labelLarge: mohave(textStyle: textTheme.labelLarge),
      labelMedium: mohave(textStyle: textTheme.labelMedium),
      labelSmall: mohave(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Molengo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molengo
  static TextStyle molengo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '944e1051ca81381376eb8e67e8ebe10e8ea1fd3fe9f1c032c0dddcc12a403ea8',
        32528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Molengo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Molengo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molengo
  static TextTheme molengoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: molengo(textStyle: textTheme.displayLarge),
      displayMedium: molengo(textStyle: textTheme.displayMedium),
      displaySmall: molengo(textStyle: textTheme.displaySmall),
      headlineLarge: molengo(textStyle: textTheme.headlineLarge),
      headlineMedium: molengo(textStyle: textTheme.headlineMedium),
      headlineSmall: molengo(textStyle: textTheme.headlineSmall),
      titleLarge: molengo(textStyle: textTheme.titleLarge),
      titleMedium: molengo(textStyle: textTheme.titleMedium),
      titleSmall: molengo(textStyle: textTheme.titleSmall),
      bodyLarge: molengo(textStyle: textTheme.bodyLarge),
      bodyMedium: molengo(textStyle: textTheme.bodyMedium),
      bodySmall: molengo(textStyle: textTheme.bodySmall),
      labelLarge: molengo(textStyle: textTheme.labelLarge),
      labelMedium: molengo(textStyle: textTheme.labelMedium),
      labelSmall: molengo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Molle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molle
  static TextStyle molle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '68340bc72e66403322824f55e34dab23abc770f835ab6f2065eb04adaab1c671',
        33600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Molle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Molle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molle
  static TextTheme molleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: molle(textStyle: textTheme.displayLarge),
      displayMedium: molle(textStyle: textTheme.displayMedium),
      displaySmall: molle(textStyle: textTheme.displaySmall),
      headlineLarge: molle(textStyle: textTheme.headlineLarge),
      headlineMedium: molle(textStyle: textTheme.headlineMedium),
      headlineSmall: molle(textStyle: textTheme.headlineSmall),
      titleLarge: molle(textStyle: textTheme.titleLarge),
      titleMedium: molle(textStyle: textTheme.titleMedium),
      titleSmall: molle(textStyle: textTheme.titleSmall),
      bodyLarge: molle(textStyle: textTheme.bodyLarge),
      bodyMedium: molle(textStyle: textTheme.bodyMedium),
      bodySmall: molle(textStyle: textTheme.bodySmall),
      labelLarge: molle(textStyle: textTheme.labelLarge),
      labelMedium: molle(textStyle: textTheme.labelMedium),
      labelSmall: molle(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Monda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monda
  static TextStyle monda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe05c5b3ab9c76bec018d18bc3c6c475a2a2dadebd2258f9611718e3c3fa2a7d',
        87412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57989ae9eeb0094c3fc9c4d326db303a56bf1003eb828a38d6812fc5c17653b8',
        87368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Monda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monda
  static TextTheme mondaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: monda(textStyle: textTheme.displayLarge),
      displayMedium: monda(textStyle: textTheme.displayMedium),
      displaySmall: monda(textStyle: textTheme.displaySmall),
      headlineLarge: monda(textStyle: textTheme.headlineLarge),
      headlineMedium: monda(textStyle: textTheme.headlineMedium),
      headlineSmall: monda(textStyle: textTheme.headlineSmall),
      titleLarge: monda(textStyle: textTheme.titleLarge),
      titleMedium: monda(textStyle: textTheme.titleMedium),
      titleSmall: monda(textStyle: textTheme.titleSmall),
      bodyLarge: monda(textStyle: textTheme.bodyLarge),
      bodyMedium: monda(textStyle: textTheme.bodyMedium),
      bodySmall: monda(textStyle: textTheme.bodySmall),
      labelLarge: monda(textStyle: textTheme.labelLarge),
      labelMedium: monda(textStyle: textTheme.labelMedium),
      labelSmall: monda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Monofett font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monofett
  static TextStyle monofett({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd058e27048b901b185b6d024794e6695f6b89bb840d1cb81a1b35ad3f469a4f1',
        43172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Monofett',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monofett font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monofett
  static TextTheme monofettTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: monofett(textStyle: textTheme.displayLarge),
      displayMedium: monofett(textStyle: textTheme.displayMedium),
      displaySmall: monofett(textStyle: textTheme.displaySmall),
      headlineLarge: monofett(textStyle: textTheme.headlineLarge),
      headlineMedium: monofett(textStyle: textTheme.headlineMedium),
      headlineSmall: monofett(textStyle: textTheme.headlineSmall),
      titleLarge: monofett(textStyle: textTheme.titleLarge),
      titleMedium: monofett(textStyle: textTheme.titleMedium),
      titleSmall: monofett(textStyle: textTheme.titleSmall),
      bodyLarge: monofett(textStyle: textTheme.bodyLarge),
      bodyMedium: monofett(textStyle: textTheme.bodyMedium),
      bodySmall: monofett(textStyle: textTheme.bodySmall),
      labelLarge: monofett(textStyle: textTheme.labelLarge),
      labelMedium: monofett(textStyle: textTheme.labelMedium),
      labelSmall: monofett(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Monoton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monoton
  static TextStyle monoton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c74d5fd8043fed2afabd306f3e56598ac3c554a4d4b01848ba82d0236c4767af',
        49736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Monoton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monoton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monoton
  static TextTheme monotonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: monoton(textStyle: textTheme.displayLarge),
      displayMedium: monoton(textStyle: textTheme.displayMedium),
      displaySmall: monoton(textStyle: textTheme.displaySmall),
      headlineLarge: monoton(textStyle: textTheme.headlineLarge),
      headlineMedium: monoton(textStyle: textTheme.headlineMedium),
      headlineSmall: monoton(textStyle: textTheme.headlineSmall),
      titleLarge: monoton(textStyle: textTheme.titleLarge),
      titleMedium: monoton(textStyle: textTheme.titleMedium),
      titleSmall: monoton(textStyle: textTheme.titleSmall),
      bodyLarge: monoton(textStyle: textTheme.bodyLarge),
      bodyMedium: monoton(textStyle: textTheme.bodyMedium),
      bodySmall: monoton(textStyle: textTheme.bodySmall),
      labelLarge: monoton(textStyle: textTheme.labelLarge),
      labelMedium: monoton(textStyle: textTheme.labelMedium),
      labelSmall: monoton(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Monsieur La Doulaise font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monsieur+La+Doulaise
  static TextStyle monsieurLaDoulaise({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd93913127f449891ea28354153dd4f9822e5eac88838c6efef5cdc98a4352395',
        52308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MonsieurLaDoulaise',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monsieur La Doulaise font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monsieur+La+Doulaise
  static TextTheme monsieurLaDoulaiseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: monsieurLaDoulaise(textStyle: textTheme.displayLarge),
      displayMedium: monsieurLaDoulaise(textStyle: textTheme.displayMedium),
      displaySmall: monsieurLaDoulaise(textStyle: textTheme.displaySmall),
      headlineLarge: monsieurLaDoulaise(textStyle: textTheme.headlineLarge),
      headlineMedium: monsieurLaDoulaise(textStyle: textTheme.headlineMedium),
      headlineSmall: monsieurLaDoulaise(textStyle: textTheme.headlineSmall),
      titleLarge: monsieurLaDoulaise(textStyle: textTheme.titleLarge),
      titleMedium: monsieurLaDoulaise(textStyle: textTheme.titleMedium),
      titleSmall: monsieurLaDoulaise(textStyle: textTheme.titleSmall),
      bodyLarge: monsieurLaDoulaise(textStyle: textTheme.bodyLarge),
      bodyMedium: monsieurLaDoulaise(textStyle: textTheme.bodyMedium),
      bodySmall: monsieurLaDoulaise(textStyle: textTheme.bodySmall),
      labelLarge: monsieurLaDoulaise(textStyle: textTheme.labelLarge),
      labelMedium: monsieurLaDoulaise(textStyle: textTheme.labelMedium),
      labelSmall: monsieurLaDoulaise(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montaga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montaga
  static TextStyle montaga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4805f79b3926b5f56e9bf99a0b83f937b3f44b850e82acbc9dd40d73ae5f49bf',
        31744,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Montaga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montaga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montaga
  static TextTheme montagaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: montaga(textStyle: textTheme.displayLarge),
      displayMedium: montaga(textStyle: textTheme.displayMedium),
      displaySmall: montaga(textStyle: textTheme.displaySmall),
      headlineLarge: montaga(textStyle: textTheme.headlineLarge),
      headlineMedium: montaga(textStyle: textTheme.headlineMedium),
      headlineSmall: montaga(textStyle: textTheme.headlineSmall),
      titleLarge: montaga(textStyle: textTheme.titleLarge),
      titleMedium: montaga(textStyle: textTheme.titleMedium),
      titleSmall: montaga(textStyle: textTheme.titleSmall),
      bodyLarge: montaga(textStyle: textTheme.bodyLarge),
      bodyMedium: montaga(textStyle: textTheme.bodyMedium),
      bodySmall: montaga(textStyle: textTheme.bodySmall),
      labelLarge: montaga(textStyle: textTheme.labelLarge),
      labelMedium: montaga(textStyle: textTheme.labelMedium),
      labelSmall: montaga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montagu Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montagu+Slab
  static TextStyle montaguSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a73b62cc0a3dba78f397c53eaaaf8b57c2746ce8475e749c6749c9a38a75b137',
        132460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '556744f8aef8095bd50932cc30a7bbfb3cf655bf1ebbd5723c2a86ed69a79fea',
        133188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a3b2617a7e7ff4269ee114e2ab10bc7ecd632173cc95613755c5da53030ae23',
        133336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '375814086aa330e311dd37513909a39dcdcd03a116bc24c3b1b769b6b1f75cd7',
        133340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ee1d346a2418f8f2129c44c77f1900bea22b94cc495008bc14bce6aeb9baa3c',
        133240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5d6edf403eb99e53f96e5704df5a973a571521835290f35361232a26d8da69a',
        133312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '879411eb6c1e32e77d3f2e09eed6a5e9bf76acb8813c3d14876e8364c9e4d54f',
        133284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MontaguSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montagu Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montagu+Slab
  static TextTheme montaguSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: montaguSlab(textStyle: textTheme.displayLarge),
      displayMedium: montaguSlab(textStyle: textTheme.displayMedium),
      displaySmall: montaguSlab(textStyle: textTheme.displaySmall),
      headlineLarge: montaguSlab(textStyle: textTheme.headlineLarge),
      headlineMedium: montaguSlab(textStyle: textTheme.headlineMedium),
      headlineSmall: montaguSlab(textStyle: textTheme.headlineSmall),
      titleLarge: montaguSlab(textStyle: textTheme.titleLarge),
      titleMedium: montaguSlab(textStyle: textTheme.titleMedium),
      titleSmall: montaguSlab(textStyle: textTheme.titleSmall),
      bodyLarge: montaguSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: montaguSlab(textStyle: textTheme.bodyMedium),
      bodySmall: montaguSlab(textStyle: textTheme.bodySmall),
      labelLarge: montaguSlab(textStyle: textTheme.labelLarge),
      labelMedium: montaguSlab(textStyle: textTheme.labelMedium),
      labelSmall: montaguSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the MonteCarlo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MonteCarlo
  static TextStyle monteCarlo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '401369aabb4c1dc598bda326aa11438074d4494665c3f2e2977c723588222aff',
        270604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MonteCarlo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the MonteCarlo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MonteCarlo
  static TextTheme monteCarloTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: monteCarlo(textStyle: textTheme.displayLarge),
      displayMedium: monteCarlo(textStyle: textTheme.displayMedium),
      displaySmall: monteCarlo(textStyle: textTheme.displaySmall),
      headlineLarge: monteCarlo(textStyle: textTheme.headlineLarge),
      headlineMedium: monteCarlo(textStyle: textTheme.headlineMedium),
      headlineSmall: monteCarlo(textStyle: textTheme.headlineSmall),
      titleLarge: monteCarlo(textStyle: textTheme.titleLarge),
      titleMedium: monteCarlo(textStyle: textTheme.titleMedium),
      titleSmall: monteCarlo(textStyle: textTheme.titleSmall),
      bodyLarge: monteCarlo(textStyle: textTheme.bodyLarge),
      bodyMedium: monteCarlo(textStyle: textTheme.bodyMedium),
      bodySmall: monteCarlo(textStyle: textTheme.bodySmall),
      labelLarge: monteCarlo(textStyle: textTheme.labelLarge),
      labelMedium: monteCarlo(textStyle: textTheme.labelMedium),
      labelSmall: monteCarlo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montez font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montez
  static TextStyle montez({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ef3aab9179b9eecc4ae0d5f38cbd96ccdcab954723e065a122fc0d9f055edb3',
        60796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Montez',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montez font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montez
  static TextTheme montezTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: montez(textStyle: textTheme.displayLarge),
      displayMedium: montez(textStyle: textTheme.displayMedium),
      displaySmall: montez(textStyle: textTheme.displaySmall),
      headlineLarge: montez(textStyle: textTheme.headlineLarge),
      headlineMedium: montez(textStyle: textTheme.headlineMedium),
      headlineSmall: montez(textStyle: textTheme.headlineSmall),
      titleLarge: montez(textStyle: textTheme.titleLarge),
      titleMedium: montez(textStyle: textTheme.titleMedium),
      titleSmall: montez(textStyle: textTheme.titleSmall),
      bodyLarge: montez(textStyle: textTheme.bodyLarge),
      bodyMedium: montez(textStyle: textTheme.bodyMedium),
      bodySmall: montez(textStyle: textTheme.bodySmall),
      labelLarge: montez(textStyle: textTheme.labelLarge),
      labelMedium: montez(textStyle: textTheme.labelMedium),
      labelSmall: montez(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montserrat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat
  static TextStyle montserrat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f2f8054b39ce34eacee995c711cf2a6d868db21ed64b00b8b170e6ba46de094',
        109348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c387e57886bb8079abcfb9af4a1222d255842437ff2492e9f17ef3060aec8266',
        109612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2da1f24cd3300139663bd8b828809c25700943a88fa1330c2ec60b93d13d32a',
        109752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd42a8d7a6620300fce90875721b9bbdd1a2ef59505c72eca9d53334f3dd09f3e',
        109684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f894170668ecb484d96897f2cd4a60d34d0e66b5237461b3cc454557dcc23c64',
        109760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e6054fb3d10f2d6b06d5dbe122f21731b6656b66991d3dea8ddbfe9ed25fcd6',
        109884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b159a633bed62311b1ce6dcc2d3b65307f15a6a3d402d3bbcf330fcd463ec447',
        109756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e7536831a6c96b54b92b67ad360dadbf5dc556632cb580852018b0e518214ea',
        109808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89ac7766f5214f3f2b8898f11601e10f5d36c2324c71c824a58a056698473b3f',
        109616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '171e42b06d74b2e746dc2a48fb392ba2c8b215461c959fac6a96bd4fadb0462a',
        110148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4cc1fd31b7b3a7ddf994bd4dded991be752daf35f88350436ee69b303d9d6efd',
        110508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c0e7496216499b4bb04161962d5a089ba72eca19522ffd53a687079d7ea7f47',
        110524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7a5b43f33169ff28bb25e516461884612d44b7e6cdcc0f4f31f75aef9079c87b',
        110464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0998892d0921e4bb8a93ab87d290c0faf88e65d74e2ee355b9d0d7f54cea8c17',
        110584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '529ad5c20c31b11d5cdad302424c1d2970d718f5442d219aed5fc1467a70d75e',
        110672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a73851499151b53eecf9b115fa820230de1ef9fe6f779171c121267d29781d85',
        110604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f298f069ad79c3982bd0fd7615cc12cbac56d2e3924052f210c3304500443db4',
        110580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a000e7e6460dd3e9bb781507139706a31703b1023f2498dae37e9090db379687',
        110464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Montserrat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montserrat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat
  static TextTheme montserratTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: montserrat(textStyle: textTheme.displayLarge),
      displayMedium: montserrat(textStyle: textTheme.displayMedium),
      displaySmall: montserrat(textStyle: textTheme.displaySmall),
      headlineLarge: montserrat(textStyle: textTheme.headlineLarge),
      headlineMedium: montserrat(textStyle: textTheme.headlineMedium),
      headlineSmall: montserrat(textStyle: textTheme.headlineSmall),
      titleLarge: montserrat(textStyle: textTheme.titleLarge),
      titleMedium: montserrat(textStyle: textTheme.titleMedium),
      titleSmall: montserrat(textStyle: textTheme.titleSmall),
      bodyLarge: montserrat(textStyle: textTheme.bodyLarge),
      bodyMedium: montserrat(textStyle: textTheme.bodyMedium),
      bodySmall: montserrat(textStyle: textTheme.bodySmall),
      labelLarge: montserrat(textStyle: textTheme.labelLarge),
      labelMedium: montserrat(textStyle: textTheme.labelMedium),
      labelSmall: montserrat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montserrat Alternates font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Alternates
  static TextStyle montserratAlternates({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d7a5df2f9a2cd1f31e412e5ce15022025bc9554edd38d598c80922739d83c28',
        117000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a6f86268c0464a107b9bdcaa373889d7d241102993fd3b8daf1189920b7445b0',
        118780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '915c276f838dff1c7a10b2466686586f6fc6ab606f4d50e65a5d140a1eb2d188',
        118480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc7a9d8ca5a1f7385088f3465ed82ea6e7a5deee6b456ee6e70a063bead570bf',
        120212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '134d8da4906a6638829a22a421d9d7a4698e14cfadf42ae695d6a84e91cea7fd',
        118364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0fbed38ef00c725f05e1db3a52afd3fe4ded80e5b8d3c2543aa36609fb404666',
        120188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0191e70fccf382d5f2baae22fac7516a4addedd92f1badea57ac43a6e549053c',
        118320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '99f2905b3610f3be886719d9528a6afa0becde610933e6a2e79eff60144d61eb',
        119984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '922b398949897f1364e4d3996e400387febd63dd3c5311ab4b30c70569b45a1a',
        118064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '26447bb414605a3e7be79f9df697ef4f656eeb199dc2e5be581ca4aef5f5292f',
        119800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3861279f8ac6ccf52e5874c97c35d6dfc55221e7f0d1b4dd269637b63645f38',
        117640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8e69508eeab8d357ae04515ca19a0731fdcaf4ee5525e8779079f23b20b06948',
        119476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a268672df8af1cf4762f05c4f294af1a1b41341ba4bb979e031b6d57ca59e64d',
        117292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c9e7c31631e7f5295b5ac166a81a2e0eb6fbf217725c916a98ff925af433766',
        119176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d14c3f1bd4fb94a986cbd90280d1f02dea18244e24a6dfeba17309ce3861a4c',
        116976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '81957ea032fbd2241c5b9bbce9b88ff101d09556a3878e26ce17f327ec986348',
        118788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f6dcec9e7992a2029a6a8a3f9bcfb24fc0e66e1db34ebfc77058c6b00f53df8',
        114528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '931456a594815d5e2b1c4b00561970721fbcf9f272d54651e57f35cd3403549f',
        116576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MontserratAlternates',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montserrat Alternates font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Alternates
  static TextTheme montserratAlternatesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: montserratAlternates(textStyle: textTheme.displayLarge),
      displayMedium: montserratAlternates(textStyle: textTheme.displayMedium),
      displaySmall: montserratAlternates(textStyle: textTheme.displaySmall),
      headlineLarge: montserratAlternates(textStyle: textTheme.headlineLarge),
      headlineMedium: montserratAlternates(textStyle: textTheme.headlineMedium),
      headlineSmall: montserratAlternates(textStyle: textTheme.headlineSmall),
      titleLarge: montserratAlternates(textStyle: textTheme.titleLarge),
      titleMedium: montserratAlternates(textStyle: textTheme.titleMedium),
      titleSmall: montserratAlternates(textStyle: textTheme.titleSmall),
      bodyLarge: montserratAlternates(textStyle: textTheme.bodyLarge),
      bodyMedium: montserratAlternates(textStyle: textTheme.bodyMedium),
      bodySmall: montserratAlternates(textStyle: textTheme.bodySmall),
      labelLarge: montserratAlternates(textStyle: textTheme.labelLarge),
      labelMedium: montserratAlternates(textStyle: textTheme.labelMedium),
      labelSmall: montserratAlternates(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montserrat Subrayada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Subrayada
  static TextStyle montserratSubrayada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d6dc739d675fae5a40888864f693fb3e2808151e81c5f020b75de09bc40f5ff',
        22512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27764d288b2b7f92c2a414f3947538ba18a45d90cb41fc8c69cdcb170613bbbd',
        22548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MontserratSubrayada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montserrat Subrayada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Subrayada
  static TextTheme montserratSubrayadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: montserratSubrayada(textStyle: textTheme.displayLarge),
      displayMedium: montserratSubrayada(textStyle: textTheme.displayMedium),
      displaySmall: montserratSubrayada(textStyle: textTheme.displaySmall),
      headlineLarge: montserratSubrayada(textStyle: textTheme.headlineLarge),
      headlineMedium: montserratSubrayada(textStyle: textTheme.headlineMedium),
      headlineSmall: montserratSubrayada(textStyle: textTheme.headlineSmall),
      titleLarge: montserratSubrayada(textStyle: textTheme.titleLarge),
      titleMedium: montserratSubrayada(textStyle: textTheme.titleMedium),
      titleSmall: montserratSubrayada(textStyle: textTheme.titleSmall),
      bodyLarge: montserratSubrayada(textStyle: textTheme.bodyLarge),
      bodyMedium: montserratSubrayada(textStyle: textTheme.bodyMedium),
      bodySmall: montserratSubrayada(textStyle: textTheme.bodySmall),
      labelLarge: montserratSubrayada(textStyle: textTheme.labelLarge),
      labelMedium: montserratSubrayada(textStyle: textTheme.labelMedium),
      labelSmall: montserratSubrayada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Moo Lah Lah font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moo+Lah+Lah
  static TextStyle mooLahLah({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f7cff5ac52fe11e63c90288d38f2eae62526e1578f0d048847db11f70a45934',
        178720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MooLahLah',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Moo Lah Lah font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moo+Lah+Lah
  static TextTheme mooLahLahTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mooLahLah(textStyle: textTheme.displayLarge),
      displayMedium: mooLahLah(textStyle: textTheme.displayMedium),
      displaySmall: mooLahLah(textStyle: textTheme.displaySmall),
      headlineLarge: mooLahLah(textStyle: textTheme.headlineLarge),
      headlineMedium: mooLahLah(textStyle: textTheme.headlineMedium),
      headlineSmall: mooLahLah(textStyle: textTheme.headlineSmall),
      titleLarge: mooLahLah(textStyle: textTheme.titleLarge),
      titleMedium: mooLahLah(textStyle: textTheme.titleMedium),
      titleSmall: mooLahLah(textStyle: textTheme.titleSmall),
      bodyLarge: mooLahLah(textStyle: textTheme.bodyLarge),
      bodyMedium: mooLahLah(textStyle: textTheme.bodyMedium),
      bodySmall: mooLahLah(textStyle: textTheme.bodySmall),
      labelLarge: mooLahLah(textStyle: textTheme.labelLarge),
      labelMedium: mooLahLah(textStyle: textTheme.labelMedium),
      labelSmall: mooLahLah(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Moon Dance font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moon+Dance
  static TextStyle moonDance({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8782cda801d39e0cbc9be2cd3e07615d69a99583c7c7cafb4bdfa3c35bb9bf7a',
        128564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MoonDance',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Moon Dance font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moon+Dance
  static TextTheme moonDanceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: moonDance(textStyle: textTheme.displayLarge),
      displayMedium: moonDance(textStyle: textTheme.displayMedium),
      displaySmall: moonDance(textStyle: textTheme.displaySmall),
      headlineLarge: moonDance(textStyle: textTheme.headlineLarge),
      headlineMedium: moonDance(textStyle: textTheme.headlineMedium),
      headlineSmall: moonDance(textStyle: textTheme.headlineSmall),
      titleLarge: moonDance(textStyle: textTheme.titleLarge),
      titleMedium: moonDance(textStyle: textTheme.titleMedium),
      titleSmall: moonDance(textStyle: textTheme.titleSmall),
      bodyLarge: moonDance(textStyle: textTheme.bodyLarge),
      bodyMedium: moonDance(textStyle: textTheme.bodyMedium),
      bodySmall: moonDance(textStyle: textTheme.bodySmall),
      labelLarge: moonDance(textStyle: textTheme.labelLarge),
      labelMedium: moonDance(textStyle: textTheme.labelMedium),
      labelSmall: moonDance(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Moul font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moul
  static TextStyle moul({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f54d786e1e1baccc427038302748adb49b11759e104a08285a0c3b3aa86b42e',
        84212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Moul',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Moul font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moul
  static TextTheme moulTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: moul(textStyle: textTheme.displayLarge),
      displayMedium: moul(textStyle: textTheme.displayMedium),
      displaySmall: moul(textStyle: textTheme.displaySmall),
      headlineLarge: moul(textStyle: textTheme.headlineLarge),
      headlineMedium: moul(textStyle: textTheme.headlineMedium),
      headlineSmall: moul(textStyle: textTheme.headlineSmall),
      titleLarge: moul(textStyle: textTheme.titleLarge),
      titleMedium: moul(textStyle: textTheme.titleMedium),
      titleSmall: moul(textStyle: textTheme.titleSmall),
      bodyLarge: moul(textStyle: textTheme.bodyLarge),
      bodyMedium: moul(textStyle: textTheme.bodyMedium),
      bodySmall: moul(textStyle: textTheme.bodySmall),
      labelLarge: moul(textStyle: textTheme.labelLarge),
      labelMedium: moul(textStyle: textTheme.labelMedium),
      labelSmall: moul(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Moulpali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moulpali
  static TextStyle moulpali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c62f55d11a003ca650b9b2e98eddce1fd55a535dd90aea243d21e85c1a0043d2',
        66348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Moulpali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Moulpali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moulpali
  static TextTheme moulpaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: moulpali(textStyle: textTheme.displayLarge),
      displayMedium: moulpali(textStyle: textTheme.displayMedium),
      displaySmall: moulpali(textStyle: textTheme.displaySmall),
      headlineLarge: moulpali(textStyle: textTheme.headlineLarge),
      headlineMedium: moulpali(textStyle: textTheme.headlineMedium),
      headlineSmall: moulpali(textStyle: textTheme.headlineSmall),
      titleLarge: moulpali(textStyle: textTheme.titleLarge),
      titleMedium: moulpali(textStyle: textTheme.titleMedium),
      titleSmall: moulpali(textStyle: textTheme.titleSmall),
      bodyLarge: moulpali(textStyle: textTheme.bodyLarge),
      bodyMedium: moulpali(textStyle: textTheme.bodyMedium),
      bodySmall: moulpali(textStyle: textTheme.bodySmall),
      labelLarge: moulpali(textStyle: textTheme.labelLarge),
      labelMedium: moulpali(textStyle: textTheme.labelMedium),
      labelSmall: moulpali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mountains of Christmas font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mountains+of+Christmas
  static TextStyle mountainsOfChristmas({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '441772ebf48a49ef588e257fd0fcdea2238f013f190344ca084d6951198fc5ab',
        120212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9954663cef37ccac2c95f1f7d3599bce3c606f61c36d5ae887f819e545c85f4',
        121008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MountainsofChristmas',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mountains of Christmas font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mountains+of+Christmas
  static TextTheme mountainsOfChristmasTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mountainsOfChristmas(textStyle: textTheme.displayLarge),
      displayMedium: mountainsOfChristmas(textStyle: textTheme.displayMedium),
      displaySmall: mountainsOfChristmas(textStyle: textTheme.displaySmall),
      headlineLarge: mountainsOfChristmas(textStyle: textTheme.headlineLarge),
      headlineMedium: mountainsOfChristmas(textStyle: textTheme.headlineMedium),
      headlineSmall: mountainsOfChristmas(textStyle: textTheme.headlineSmall),
      titleLarge: mountainsOfChristmas(textStyle: textTheme.titleLarge),
      titleMedium: mountainsOfChristmas(textStyle: textTheme.titleMedium),
      titleSmall: mountainsOfChristmas(textStyle: textTheme.titleSmall),
      bodyLarge: mountainsOfChristmas(textStyle: textTheme.bodyLarge),
      bodyMedium: mountainsOfChristmas(textStyle: textTheme.bodyMedium),
      bodySmall: mountainsOfChristmas(textStyle: textTheme.bodySmall),
      labelLarge: mountainsOfChristmas(textStyle: textTheme.labelLarge),
      labelMedium: mountainsOfChristmas(textStyle: textTheme.labelMedium),
      labelSmall: mountainsOfChristmas(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mouse Memoirs font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mouse+Memoirs
  static TextStyle mouseMemoirs({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '410c464b22cb468c6dc7dbb09824f4ca74dacf62fbc4e5334278fbe5831c351d',
        53368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MouseMemoirs',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mouse Memoirs font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mouse+Memoirs
  static TextTheme mouseMemoirsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mouseMemoirs(textStyle: textTheme.displayLarge),
      displayMedium: mouseMemoirs(textStyle: textTheme.displayMedium),
      displaySmall: mouseMemoirs(textStyle: textTheme.displaySmall),
      headlineLarge: mouseMemoirs(textStyle: textTheme.headlineLarge),
      headlineMedium: mouseMemoirs(textStyle: textTheme.headlineMedium),
      headlineSmall: mouseMemoirs(textStyle: textTheme.headlineSmall),
      titleLarge: mouseMemoirs(textStyle: textTheme.titleLarge),
      titleMedium: mouseMemoirs(textStyle: textTheme.titleMedium),
      titleSmall: mouseMemoirs(textStyle: textTheme.titleSmall),
      bodyLarge: mouseMemoirs(textStyle: textTheme.bodyLarge),
      bodyMedium: mouseMemoirs(textStyle: textTheme.bodyMedium),
      bodySmall: mouseMemoirs(textStyle: textTheme.bodySmall),
      labelLarge: mouseMemoirs(textStyle: textTheme.labelLarge),
      labelMedium: mouseMemoirs(textStyle: textTheme.labelMedium),
      labelSmall: mouseMemoirs(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mr Bedfort font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Bedfort
  static TextStyle mrBedfort({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '941d5fbc7be444275ec42fd3da1a7d15a3277289126b8c52ec391e25fb7a38e3',
        35540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrBedfort',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mr Bedfort font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Bedfort
  static TextTheme mrBedfortTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mrBedfort(textStyle: textTheme.displayLarge),
      displayMedium: mrBedfort(textStyle: textTheme.displayMedium),
      displaySmall: mrBedfort(textStyle: textTheme.displaySmall),
      headlineLarge: mrBedfort(textStyle: textTheme.headlineLarge),
      headlineMedium: mrBedfort(textStyle: textTheme.headlineMedium),
      headlineSmall: mrBedfort(textStyle: textTheme.headlineSmall),
      titleLarge: mrBedfort(textStyle: textTheme.titleLarge),
      titleMedium: mrBedfort(textStyle: textTheme.titleMedium),
      titleSmall: mrBedfort(textStyle: textTheme.titleSmall),
      bodyLarge: mrBedfort(textStyle: textTheme.bodyLarge),
      bodyMedium: mrBedfort(textStyle: textTheme.bodyMedium),
      bodySmall: mrBedfort(textStyle: textTheme.bodySmall),
      labelLarge: mrBedfort(textStyle: textTheme.labelLarge),
      labelMedium: mrBedfort(textStyle: textTheme.labelMedium),
      labelSmall: mrBedfort(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mr Dafoe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Dafoe
  static TextStyle mrDafoe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dc607a2d1d302d517fdfe880ffbcafee12d51324aa21d588170ec9d975cc1a8',
        46076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrDafoe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mr Dafoe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Dafoe
  static TextTheme mrDafoeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mrDafoe(textStyle: textTheme.displayLarge),
      displayMedium: mrDafoe(textStyle: textTheme.displayMedium),
      displaySmall: mrDafoe(textStyle: textTheme.displaySmall),
      headlineLarge: mrDafoe(textStyle: textTheme.headlineLarge),
      headlineMedium: mrDafoe(textStyle: textTheme.headlineMedium),
      headlineSmall: mrDafoe(textStyle: textTheme.headlineSmall),
      titleLarge: mrDafoe(textStyle: textTheme.titleLarge),
      titleMedium: mrDafoe(textStyle: textTheme.titleMedium),
      titleSmall: mrDafoe(textStyle: textTheme.titleSmall),
      bodyLarge: mrDafoe(textStyle: textTheme.bodyLarge),
      bodyMedium: mrDafoe(textStyle: textTheme.bodyMedium),
      bodySmall: mrDafoe(textStyle: textTheme.bodySmall),
      labelLarge: mrDafoe(textStyle: textTheme.labelLarge),
      labelMedium: mrDafoe(textStyle: textTheme.labelMedium),
      labelSmall: mrDafoe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mr De Haviland font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+De+Haviland
  static TextStyle mrDeHaviland({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1baafc9c65c5e9ff4da63ad3257a06d8579fba605b0d6bf7e541d59c1f7f5ab',
        42704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrDeHaviland',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mr De Haviland font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+De+Haviland
  static TextTheme mrDeHavilandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mrDeHaviland(textStyle: textTheme.displayLarge),
      displayMedium: mrDeHaviland(textStyle: textTheme.displayMedium),
      displaySmall: mrDeHaviland(textStyle: textTheme.displaySmall),
      headlineLarge: mrDeHaviland(textStyle: textTheme.headlineLarge),
      headlineMedium: mrDeHaviland(textStyle: textTheme.headlineMedium),
      headlineSmall: mrDeHaviland(textStyle: textTheme.headlineSmall),
      titleLarge: mrDeHaviland(textStyle: textTheme.titleLarge),
      titleMedium: mrDeHaviland(textStyle: textTheme.titleMedium),
      titleSmall: mrDeHaviland(textStyle: textTheme.titleSmall),
      bodyLarge: mrDeHaviland(textStyle: textTheme.bodyLarge),
      bodyMedium: mrDeHaviland(textStyle: textTheme.bodyMedium),
      bodySmall: mrDeHaviland(textStyle: textTheme.bodySmall),
      labelLarge: mrDeHaviland(textStyle: textTheme.labelLarge),
      labelMedium: mrDeHaviland(textStyle: textTheme.labelMedium),
      labelSmall: mrDeHaviland(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mrs Saint Delafield font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Saint+Delafield
  static TextStyle mrsSaintDelafield({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c9be601ffc496d996d3497e3aaaf914f4de814322a0bc88ea62b391d59ee3d4',
        47368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrsSaintDelafield',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mrs Saint Delafield font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Saint+Delafield
  static TextTheme mrsSaintDelafieldTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mrsSaintDelafield(textStyle: textTheme.displayLarge),
      displayMedium: mrsSaintDelafield(textStyle: textTheme.displayMedium),
      displaySmall: mrsSaintDelafield(textStyle: textTheme.displaySmall),
      headlineLarge: mrsSaintDelafield(textStyle: textTheme.headlineLarge),
      headlineMedium: mrsSaintDelafield(textStyle: textTheme.headlineMedium),
      headlineSmall: mrsSaintDelafield(textStyle: textTheme.headlineSmall),
      titleLarge: mrsSaintDelafield(textStyle: textTheme.titleLarge),
      titleMedium: mrsSaintDelafield(textStyle: textTheme.titleMedium),
      titleSmall: mrsSaintDelafield(textStyle: textTheme.titleSmall),
      bodyLarge: mrsSaintDelafield(textStyle: textTheme.bodyLarge),
      bodyMedium: mrsSaintDelafield(textStyle: textTheme.bodyMedium),
      bodySmall: mrsSaintDelafield(textStyle: textTheme.bodySmall),
      labelLarge: mrsSaintDelafield(textStyle: textTheme.labelLarge),
      labelMedium: mrsSaintDelafield(textStyle: textTheme.labelMedium),
      labelSmall: mrsSaintDelafield(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mrs Sheppards font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Sheppards
  static TextStyle mrsSheppards({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c2946cff5975b064a7a0f411e188ec5e92466e17aa4e58b555e72cc8dd5ab21',
        40396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrsSheppards',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mrs Sheppards font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Sheppards
  static TextTheme mrsSheppardsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mrsSheppards(textStyle: textTheme.displayLarge),
      displayMedium: mrsSheppards(textStyle: textTheme.displayMedium),
      displaySmall: mrsSheppards(textStyle: textTheme.displaySmall),
      headlineLarge: mrsSheppards(textStyle: textTheme.headlineLarge),
      headlineMedium: mrsSheppards(textStyle: textTheme.headlineMedium),
      headlineSmall: mrsSheppards(textStyle: textTheme.headlineSmall),
      titleLarge: mrsSheppards(textStyle: textTheme.titleLarge),
      titleMedium: mrsSheppards(textStyle: textTheme.titleMedium),
      titleSmall: mrsSheppards(textStyle: textTheme.titleSmall),
      bodyLarge: mrsSheppards(textStyle: textTheme.bodyLarge),
      bodyMedium: mrsSheppards(textStyle: textTheme.bodyMedium),
      bodySmall: mrsSheppards(textStyle: textTheme.bodySmall),
      labelLarge: mrsSheppards(textStyle: textTheme.labelLarge),
      labelMedium: mrsSheppards(textStyle: textTheme.labelMedium),
      labelSmall: mrsSheppards(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ms Madi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ms+Madi
  static TextStyle msMadi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c15d79c8f570fc41ba1007b1976bde2828e53614e3ed642b0af06c4eb070a893',
        95452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MsMadi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ms Madi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ms+Madi
  static TextTheme msMadiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: msMadi(textStyle: textTheme.displayLarge),
      displayMedium: msMadi(textStyle: textTheme.displayMedium),
      displaySmall: msMadi(textStyle: textTheme.displaySmall),
      headlineLarge: msMadi(textStyle: textTheme.headlineLarge),
      headlineMedium: msMadi(textStyle: textTheme.headlineMedium),
      headlineSmall: msMadi(textStyle: textTheme.headlineSmall),
      titleLarge: msMadi(textStyle: textTheme.titleLarge),
      titleMedium: msMadi(textStyle: textTheme.titleMedium),
      titleSmall: msMadi(textStyle: textTheme.titleSmall),
      bodyLarge: msMadi(textStyle: textTheme.bodyLarge),
      bodyMedium: msMadi(textStyle: textTheme.bodyMedium),
      bodySmall: msMadi(textStyle: textTheme.bodySmall),
      labelLarge: msMadi(textStyle: textTheme.labelLarge),
      labelMedium: msMadi(textStyle: textTheme.labelMedium),
      labelSmall: msMadi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mukta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta
  static TextStyle mukta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '689ed83e8b4894f9069d2853baac87ae4735976b5a7e8bd0e78118a906cb3131',
        292048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79cf11b92bc111c68976e513ae8f1507445985a5376d7f3011b5b941c039b679',
        288812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dcbbb86472f2ca059cec1c441ea46fdd4d1e7a8167956cf98f4fe261021fc74a',
        292960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2951d04b7aa5e776f37106d144d5fefb50445776e6ccc7ac624e3452e1ce5c5c',
        286752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25ae58ed46d40da267073512294e4a09d35fb3db0e3697a116f295f0fe4af8aa',
        282580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '981ab5d0ad952878450477b867e2a05823b15725afc6c0558b561b7b579e2243',
        284164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e67c0697120dc90c20c81f0ecb82e09dc9a216fd8a57587aed16571fbc71c8a',
        283888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mukta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta
  static TextTheme muktaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mukta(textStyle: textTheme.displayLarge),
      displayMedium: mukta(textStyle: textTheme.displayMedium),
      displaySmall: mukta(textStyle: textTheme.displaySmall),
      headlineLarge: mukta(textStyle: textTheme.headlineLarge),
      headlineMedium: mukta(textStyle: textTheme.headlineMedium),
      headlineSmall: mukta(textStyle: textTheme.headlineSmall),
      titleLarge: mukta(textStyle: textTheme.titleLarge),
      titleMedium: mukta(textStyle: textTheme.titleMedium),
      titleSmall: mukta(textStyle: textTheme.titleSmall),
      bodyLarge: mukta(textStyle: textTheme.bodyLarge),
      bodyMedium: mukta(textStyle: textTheme.bodyMedium),
      bodySmall: mukta(textStyle: textTheme.bodySmall),
      labelLarge: mukta(textStyle: textTheme.labelLarge),
      labelMedium: mukta(textStyle: textTheme.labelMedium),
      labelSmall: mukta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mukta Mahee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Mahee
  static TextStyle muktaMahee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2791187e05e318398af61e232b6df043996565aea0deae5e82aaed81262f60a',
        118688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd10477a2c19fcd65d9a11ec160f99b7d1fa67dded579f1c65a8a6ff135c52bd',
        117752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e582c07788f9c8a965d9633c3af6c44900b76e341f1da0021e729f6fb535a8ad',
        120004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '798b55ab584e2440da5fc3bc0ca5ce95b152383c17bc4de6fc9251d7a56a136e',
        116444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8853dcb5cc9d2a2bfca12c175f6e30f9940d1a7099f43ece5fd7ed5ef320500e',
        116176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38d299d4354f22d6c5b058cc5ebc6b3553501c5062eeb112c7a56200864457bd',
        116516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '455f62dba08ef482189298be69c7f2e4e66fdb6a14dcc4e4f497c69e8a7b716b',
        116288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuktaMahee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta Mahee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Mahee
  static TextTheme muktaMaheeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: muktaMahee(textStyle: textTheme.displayLarge),
      displayMedium: muktaMahee(textStyle: textTheme.displayMedium),
      displaySmall: muktaMahee(textStyle: textTheme.displaySmall),
      headlineLarge: muktaMahee(textStyle: textTheme.headlineLarge),
      headlineMedium: muktaMahee(textStyle: textTheme.headlineMedium),
      headlineSmall: muktaMahee(textStyle: textTheme.headlineSmall),
      titleLarge: muktaMahee(textStyle: textTheme.titleLarge),
      titleMedium: muktaMahee(textStyle: textTheme.titleMedium),
      titleSmall: muktaMahee(textStyle: textTheme.titleSmall),
      bodyLarge: muktaMahee(textStyle: textTheme.bodyLarge),
      bodyMedium: muktaMahee(textStyle: textTheme.bodyMedium),
      bodySmall: muktaMahee(textStyle: textTheme.bodySmall),
      labelLarge: muktaMahee(textStyle: textTheme.labelLarge),
      labelMedium: muktaMahee(textStyle: textTheme.labelMedium),
      labelSmall: muktaMahee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mukta Malar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Malar
  static TextStyle muktaMalar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8d6692feb9aaced43e8e1e84f7bb519244a3a8df677498efebec0f317a67726',
        135256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed32ffc4383d437cacae095cf7caa5a2dcb165000962c61983da0b4e787e5ade',
        134292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a56b4621b82c1482e38a72403cb4399545aa59653042b01e34df08a380542e97',
        136540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b776252fc2124e27580cbe3afd4c3d3376a7e0f21dbc152a3a12f0cc15fc95a',
        132828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bcb8006796590dafafde68ab3a6a81532ae2c439bcbc27b871a1da4050ec71e',
        132844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16ebf60380b9fec07b7898fff10b017d3ef53dd8a9f314ca1e9f6a184618d1e0',
        133168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cbb2945a1ec58b2c09a366d43855970662bf2e029171e8a36842e42aef2838e6',
        133520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuktaMalar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta Malar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Malar
  static TextTheme muktaMalarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: muktaMalar(textStyle: textTheme.displayLarge),
      displayMedium: muktaMalar(textStyle: textTheme.displayMedium),
      displaySmall: muktaMalar(textStyle: textTheme.displaySmall),
      headlineLarge: muktaMalar(textStyle: textTheme.headlineLarge),
      headlineMedium: muktaMalar(textStyle: textTheme.headlineMedium),
      headlineSmall: muktaMalar(textStyle: textTheme.headlineSmall),
      titleLarge: muktaMalar(textStyle: textTheme.titleLarge),
      titleMedium: muktaMalar(textStyle: textTheme.titleMedium),
      titleSmall: muktaMalar(textStyle: textTheme.titleSmall),
      bodyLarge: muktaMalar(textStyle: textTheme.bodyLarge),
      bodyMedium: muktaMalar(textStyle: textTheme.bodyMedium),
      bodySmall: muktaMalar(textStyle: textTheme.bodySmall),
      labelLarge: muktaMalar(textStyle: textTheme.labelLarge),
      labelMedium: muktaMalar(textStyle: textTheme.labelMedium),
      labelSmall: muktaMalar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mukta Vaani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Vaani
  static TextStyle muktaVaani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0eb1523a117624d4dd42a592f2233691bcbf88ed94ff3cddde0e97981dc0d907',
        319568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd7363eca7da62f426163fe8a1ee26b859156b50dc38e8bdbc6824155fede72c',
        323308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '135cd622088ee6ab3d9c86da49aa70bc01957c180e491db27780a3de335a5bb7',
        316912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b94ac054cddf4fbf34b2f6f1bb58cd17754fcc17236884b11a29358ea1c11446',
        322084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a9961793b69f1d949b4d2afb84a6c85e9c862af8a6eaff6ec5edcd60d126d9e',
        320284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6767c2e83821b1add71c9761808480c87bd0816275d156ffeb23f930626fdb3e',
        320380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4232bbe2ce6dc4e4dc08e433e47b0fe6ab5eea9f6772d573619375c79f32da41',
        317952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuktaVaani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta Vaani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Vaani
  static TextTheme muktaVaaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: muktaVaani(textStyle: textTheme.displayLarge),
      displayMedium: muktaVaani(textStyle: textTheme.displayMedium),
      displaySmall: muktaVaani(textStyle: textTheme.displaySmall),
      headlineLarge: muktaVaani(textStyle: textTheme.headlineLarge),
      headlineMedium: muktaVaani(textStyle: textTheme.headlineMedium),
      headlineSmall: muktaVaani(textStyle: textTheme.headlineSmall),
      titleLarge: muktaVaani(textStyle: textTheme.titleLarge),
      titleMedium: muktaVaani(textStyle: textTheme.titleMedium),
      titleSmall: muktaVaani(textStyle: textTheme.titleSmall),
      bodyLarge: muktaVaani(textStyle: textTheme.bodyLarge),
      bodyMedium: muktaVaani(textStyle: textTheme.bodyMedium),
      bodySmall: muktaVaani(textStyle: textTheme.bodySmall),
      labelLarge: muktaVaani(textStyle: textTheme.labelLarge),
      labelMedium: muktaVaani(textStyle: textTheme.labelMedium),
      labelSmall: muktaVaani(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mulish font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mulish
  static TextStyle mulish({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44eb4d0466862801a21b5aca0dafdc392984b502d22a1669054ae1181ec7d2e3',
        103212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ef153c520961facc82d7883e29c160cc0f315e6680040a7477ec2b66146ab7b',
        103392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43f3dea5d5759e3fc66fff53cede51b0d239fe7e0ce782620f0cf35b8021cdfa',
        103340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f80657fdc1d7e2327ca1efd5d33dae56c5360787d35d90507f639a4e8996071e',
        103392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6505f7f93d8822cbe29b396d004f686af4352742e3192a1af1621e7c41f2576a',
        103336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0a853a5ecb18a92a26e14a0b94d06dc1e3839bd2b36fb85aaec682d2c7861bf',
        103380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0dc16f3b5e8cb8c203737172bfdf13828b1d6a503c29fc62ef0885cc15e3a15d',
        103368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36d428cd9363476483a8a4d10289e77954fdfe1d178ca00758cfc234d464fb89',
        103400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '77bbe89e1cc4b17dd3aabe98eed507e759b8385c48f3ec70a7e4ac80a1f0bb15',
        106456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f432f2f66bd79eb682f26b1a5a0e44713d3c3975d626d225fe56a708f2dfe48',
        106628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd9c3e7c210faaf50943d9a330362a767602d687c7d34e169a6224c39d59fd106',
        106480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53354a5c5cd5357eef06dd8f5ddb78c83fc8e4742854aa56ddb914dc61e19248',
        106604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '88196a06374a30602c18aaff2964f6fe42e35e6717b625e0f493b9992eae6816',
        106572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '127040422d0cd79ab7b9ee4446ff703cb6f67e68d9c457f8f46e34bee1f18166',
        106696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f36c352466dca8834367d7f8522b8700b007da07e406cae92a0248e0356d4613',
        106716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4e381df4bf20312cb7fe001dc8d87c8c0067f7b371d286239cf787396517e66e',
        106644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mulish',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mulish font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mulish
  static TextTheme mulishTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mulish(textStyle: textTheme.displayLarge),
      displayMedium: mulish(textStyle: textTheme.displayMedium),
      displaySmall: mulish(textStyle: textTheme.displaySmall),
      headlineLarge: mulish(textStyle: textTheme.headlineLarge),
      headlineMedium: mulish(textStyle: textTheme.headlineMedium),
      headlineSmall: mulish(textStyle: textTheme.headlineSmall),
      titleLarge: mulish(textStyle: textTheme.titleLarge),
      titleMedium: mulish(textStyle: textTheme.titleMedium),
      titleSmall: mulish(textStyle: textTheme.titleSmall),
      bodyLarge: mulish(textStyle: textTheme.bodyLarge),
      bodyMedium: mulish(textStyle: textTheme.bodyMedium),
      bodySmall: mulish(textStyle: textTheme.bodySmall),
      labelLarge: mulish(textStyle: textTheme.labelLarge),
      labelMedium: mulish(textStyle: textTheme.labelMedium),
      labelSmall: mulish(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Murecho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Murecho
  static TextStyle murecho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf78ca8f10a708a62783fe7cb1f4414b8c3192c258e049fff6db8fb9be00fab0',
        884276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de06957edba58434f8808541a2c8dc6a54145b5b989fddfbd8f7efc130d7c4ff',
        885004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b5b476a721f52561d07a8f5f49f6f455e0cc7683f51ff47d3ba0cbe11a2b89b',
        884700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43c9554a53c1fe2d57af41ad3ddc2bd4165c962615d22a6f5e1eff6a22626310',
        884376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ce6bba3511442fbdd3a289ea22014dfdd04223ff4ce50b669975a6b7e5c6eca',
        883636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af5dbfc3af43c76517f027a3d1b14fec903a982c7f7724f217dc6d717d3c5b0d',
        883336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74ac1ac7e8798892542536bad103f80a5862614fffeecb2f9ba4a6f46cec7356',
        882856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db129b5fb292e7bfb9f1a09cb736c300e3d4ca51a5f571037f29c512af02f8fd',
        882560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bcdf8f7f547078e8fe735ba3d279073d225d84973d16a02dc4991dbecfafe609',
        882128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Murecho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Murecho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Murecho
  static TextTheme murechoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: murecho(textStyle: textTheme.displayLarge),
      displayMedium: murecho(textStyle: textTheme.displayMedium),
      displaySmall: murecho(textStyle: textTheme.displaySmall),
      headlineLarge: murecho(textStyle: textTheme.headlineLarge),
      headlineMedium: murecho(textStyle: textTheme.headlineMedium),
      headlineSmall: murecho(textStyle: textTheme.headlineSmall),
      titleLarge: murecho(textStyle: textTheme.titleLarge),
      titleMedium: murecho(textStyle: textTheme.titleMedium),
      titleSmall: murecho(textStyle: textTheme.titleSmall),
      bodyLarge: murecho(textStyle: textTheme.bodyLarge),
      bodyMedium: murecho(textStyle: textTheme.bodyMedium),
      bodySmall: murecho(textStyle: textTheme.bodySmall),
      labelLarge: murecho(textStyle: textTheme.labelLarge),
      labelMedium: murecho(textStyle: textTheme.labelMedium),
      labelSmall: murecho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the MuseoModerno font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MuseoModerno
  static TextStyle museoModerno({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfc26444870dc50455d55bf0bc035c901f71823a0e13b223e68f56c20fdd73dd',
        54984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7783795416198cd6b061a1cd6006cf487ff1ca76e6cb1d29854ec2747aa89467',
        54992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbc9175af1b28c60834c144251539103c82e692dcaab7a96169c5ddea9bfc5d8',
        54948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f7bb754782416f17d94cbf4cc0fb9f50be8fa23a5a0521b80cae62940c04e09',
        54904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fcba001ba46f6529c38d41bc82bfc0e18d15b3f0cbdc9a3c8e7aabdfce7f8af',
        54892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95eef099c2027ba04002593e404cf48b6ed20e171538f4862dbff816234bd870',
        54904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20543c9c60c22c07f781c46e66eb9448771213b4d1df14efb3b5462d8851a008',
        54872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a102367a7bcc15711a59e6d4d9b5c3964e164723e87e50aae0d874209f3986c7',
        54900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f4c190e64197310794e675e0fa155b77f971c7f9169c9079fa9c94b36184767',
        54844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15a3f5b2c6c3583ae335511defb1f557c8c5a9f33d095f86cd6f9dc19464f242',
        64524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a925472a113107c4ba9a80b88e8341dbf29df364159180beb54799b0bcc0aee3',
        64728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c0d18f8f5f718e99ac8c3d6e0db33d768aa14befb2b9afe46d683d864d1dbaa3',
        64744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '257f51c72c434ea2e81d403f22186107cf7b3b8ebad1e056a1fbcb3f2fe16686',
        64588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4ec5584506c37ada7c6fc6ea2f1bbffd715307cbe40feccc9eca0dcabc16c340',
        64732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8fc896339f99468f07b841c3d8c9ac6580ad63aa7cedc21b52d066c34a17542',
        64712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '98f7a36b06e35519919b5b81f1e70f2e9bb517c2bb2c6d99a3123b4a3ef4895b',
        64700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '12932c7849514cc4f9b6c95005335bddb30a7f1b0244eca76ffab9fe38ab20ce',
        64700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f456b3d6b9f833df1210385a04bb78572af3f2a6b85ded07d30eb1be09c5c6ec',
        64596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuseoModerno',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the MuseoModerno font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MuseoModerno
  static TextTheme museoModernoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: museoModerno(textStyle: textTheme.displayLarge),
      displayMedium: museoModerno(textStyle: textTheme.displayMedium),
      displaySmall: museoModerno(textStyle: textTheme.displaySmall),
      headlineLarge: museoModerno(textStyle: textTheme.headlineLarge),
      headlineMedium: museoModerno(textStyle: textTheme.headlineMedium),
      headlineSmall: museoModerno(textStyle: textTheme.headlineSmall),
      titleLarge: museoModerno(textStyle: textTheme.titleLarge),
      titleMedium: museoModerno(textStyle: textTheme.titleMedium),
      titleSmall: museoModerno(textStyle: textTheme.titleSmall),
      bodyLarge: museoModerno(textStyle: textTheme.bodyLarge),
      bodyMedium: museoModerno(textStyle: textTheme.bodyMedium),
      bodySmall: museoModerno(textStyle: textTheme.bodySmall),
      labelLarge: museoModerno(textStyle: textTheme.labelLarge),
      labelMedium: museoModerno(textStyle: textTheme.labelMedium),
      labelSmall: museoModerno(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the My Soul font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/My+Soul
  static TextStyle mySoul({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6f6c5890808796329739d5922f54659c6b0062445139d637acfad75d20f4785',
        100612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MySoul',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the My Soul font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/My+Soul
  static TextTheme mySoulTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mySoul(textStyle: textTheme.displayLarge),
      displayMedium: mySoul(textStyle: textTheme.displayMedium),
      displaySmall: mySoul(textStyle: textTheme.displaySmall),
      headlineLarge: mySoul(textStyle: textTheme.headlineLarge),
      headlineMedium: mySoul(textStyle: textTheme.headlineMedium),
      headlineSmall: mySoul(textStyle: textTheme.headlineSmall),
      titleLarge: mySoul(textStyle: textTheme.titleLarge),
      titleMedium: mySoul(textStyle: textTheme.titleMedium),
      titleSmall: mySoul(textStyle: textTheme.titleSmall),
      bodyLarge: mySoul(textStyle: textTheme.bodyLarge),
      bodyMedium: mySoul(textStyle: textTheme.bodyMedium),
      bodySmall: mySoul(textStyle: textTheme.bodySmall),
      labelLarge: mySoul(textStyle: textTheme.labelLarge),
      labelMedium: mySoul(textStyle: textTheme.labelMedium),
      labelSmall: mySoul(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mynerve font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mynerve
  static TextStyle mynerve({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d3ffed3e31bde32bc03248e7d9c0b9fa49b7955c17aba2818a7ba253591503e',
        216816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mynerve',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mynerve font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mynerve
  static TextTheme mynerveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mynerve(textStyle: textTheme.displayLarge),
      displayMedium: mynerve(textStyle: textTheme.displayMedium),
      displaySmall: mynerve(textStyle: textTheme.displaySmall),
      headlineLarge: mynerve(textStyle: textTheme.headlineLarge),
      headlineMedium: mynerve(textStyle: textTheme.headlineMedium),
      headlineSmall: mynerve(textStyle: textTheme.headlineSmall),
      titleLarge: mynerve(textStyle: textTheme.titleLarge),
      titleMedium: mynerve(textStyle: textTheme.titleMedium),
      titleSmall: mynerve(textStyle: textTheme.titleSmall),
      bodyLarge: mynerve(textStyle: textTheme.bodyLarge),
      bodyMedium: mynerve(textStyle: textTheme.bodyMedium),
      bodySmall: mynerve(textStyle: textTheme.bodySmall),
      labelLarge: mynerve(textStyle: textTheme.labelLarge),
      labelMedium: mynerve(textStyle: textTheme.labelMedium),
      labelSmall: mynerve(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mystery Quest font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mystery+Quest
  static TextStyle mysteryQuest({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'edb020d290543d608a6f8c488e694b9b5ada227c5c78b7036676f7645d6687b9',
        39812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MysteryQuest',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mystery Quest font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mystery+Quest
  static TextTheme mysteryQuestTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: mysteryQuest(textStyle: textTheme.displayLarge),
      displayMedium: mysteryQuest(textStyle: textTheme.displayMedium),
      displaySmall: mysteryQuest(textStyle: textTheme.displaySmall),
      headlineLarge: mysteryQuest(textStyle: textTheme.headlineLarge),
      headlineMedium: mysteryQuest(textStyle: textTheme.headlineMedium),
      headlineSmall: mysteryQuest(textStyle: textTheme.headlineSmall),
      titleLarge: mysteryQuest(textStyle: textTheme.titleLarge),
      titleMedium: mysteryQuest(textStyle: textTheme.titleMedium),
      titleSmall: mysteryQuest(textStyle: textTheme.titleSmall),
      bodyLarge: mysteryQuest(textStyle: textTheme.bodyLarge),
      bodyMedium: mysteryQuest(textStyle: textTheme.bodyMedium),
      bodySmall: mysteryQuest(textStyle: textTheme.bodySmall),
      labelLarge: mysteryQuest(textStyle: textTheme.labelLarge),
      labelMedium: mysteryQuest(textStyle: textTheme.labelMedium),
      labelSmall: mysteryQuest(textStyle: textTheme.labelSmall),
    );
  }
}
