// GENERATED CODE - DO NOT EDIT

// Copyright 2019 The Flutter team. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'dart:ui' as ui;
import 'package:flutter/material.dart';
import '../google_fonts_base.dart';
import '../google_fonts_descriptor.dart';
import '../google_fonts_variant.dart';

/// Methods for fonts starting with 'N'.
class PartN {
  /// Applies the NTR font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/NTR
  static TextStyle ntr({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75efad0d100ac06d38185bcc4a942c9b9f5dd219227e3486c0967a67eec5bdf3',
        195260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NTR',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the NTR font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/NTR
  static TextTheme ntrTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: ntr(textStyle: textTheme.displayLarge),
      displayMedium: ntr(textStyle: textTheme.displayMedium),
      displaySmall: ntr(textStyle: textTheme.displaySmall),
      headlineLarge: ntr(textStyle: textTheme.headlineLarge),
      headlineMedium: ntr(textStyle: textTheme.headlineMedium),
      headlineSmall: ntr(textStyle: textTheme.headlineSmall),
      titleLarge: ntr(textStyle: textTheme.titleLarge),
      titleMedium: ntr(textStyle: textTheme.titleMedium),
      titleSmall: ntr(textStyle: textTheme.titleSmall),
      bodyLarge: ntr(textStyle: textTheme.bodyLarge),
      bodyMedium: ntr(textStyle: textTheme.bodyMedium),
      bodySmall: ntr(textStyle: textTheme.bodySmall),
      labelLarge: ntr(textStyle: textTheme.labelLarge),
      labelMedium: ntr(textStyle: textTheme.labelMedium),
      labelSmall: ntr(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nabla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nabla
  static TextStyle nabla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f49b5299d84dd6c2191a00fda701356a4bd0b15e01390badbf64bf8b1a271d0d',
        1441836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nabla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nabla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nabla
  static TextTheme nablaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nabla(textStyle: textTheme.displayLarge),
      displayMedium: nabla(textStyle: textTheme.displayMedium),
      displaySmall: nabla(textStyle: textTheme.displaySmall),
      headlineLarge: nabla(textStyle: textTheme.headlineLarge),
      headlineMedium: nabla(textStyle: textTheme.headlineMedium),
      headlineSmall: nabla(textStyle: textTheme.headlineSmall),
      titleLarge: nabla(textStyle: textTheme.titleLarge),
      titleMedium: nabla(textStyle: textTheme.titleMedium),
      titleSmall: nabla(textStyle: textTheme.titleSmall),
      bodyLarge: nabla(textStyle: textTheme.bodyLarge),
      bodyMedium: nabla(textStyle: textTheme.bodyMedium),
      bodySmall: nabla(textStyle: textTheme.bodySmall),
      labelLarge: nabla(textStyle: textTheme.labelLarge),
      labelMedium: nabla(textStyle: textTheme.labelMedium),
      labelSmall: nabla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Brush Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Brush+Script
  static TextStyle nanumBrushScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8203290cda33de2f64480b695006a1132a04d55dd94cf421e0fc4e8b45dcdfd4',
        2740064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumBrushScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Brush Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Brush+Script
  static TextTheme nanumBrushScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nanumBrushScript(textStyle: textTheme.displayLarge),
      displayMedium: nanumBrushScript(textStyle: textTheme.displayMedium),
      displaySmall: nanumBrushScript(textStyle: textTheme.displaySmall),
      headlineLarge: nanumBrushScript(textStyle: textTheme.headlineLarge),
      headlineMedium: nanumBrushScript(textStyle: textTheme.headlineMedium),
      headlineSmall: nanumBrushScript(textStyle: textTheme.headlineSmall),
      titleLarge: nanumBrushScript(textStyle: textTheme.titleLarge),
      titleMedium: nanumBrushScript(textStyle: textTheme.titleMedium),
      titleSmall: nanumBrushScript(textStyle: textTheme.titleSmall),
      bodyLarge: nanumBrushScript(textStyle: textTheme.bodyLarge),
      bodyMedium: nanumBrushScript(textStyle: textTheme.bodyMedium),
      bodySmall: nanumBrushScript(textStyle: textTheme.bodySmall),
      labelLarge: nanumBrushScript(textStyle: textTheme.labelLarge),
      labelMedium: nanumBrushScript(textStyle: textTheme.labelMedium),
      labelSmall: nanumBrushScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic
  static TextStyle nanumGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '384554f92bd4d754bd8750f8885c456c5264d6814731376178dd0727fcf2d98c',
        2879864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66257cb7dbb7d38dd5d9b0c7a1f9df7ae828f4a2a79a37070603405220e9f32b',
        2891140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '560717e4c667f1bdf58f6426ef133e74637eb3c1868feff814bb8a5b707e6880',
        2951544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic
  static TextTheme nanumGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nanumGothic(textStyle: textTheme.displayLarge),
      displayMedium: nanumGothic(textStyle: textTheme.displayMedium),
      displaySmall: nanumGothic(textStyle: textTheme.displaySmall),
      headlineLarge: nanumGothic(textStyle: textTheme.headlineLarge),
      headlineMedium: nanumGothic(textStyle: textTheme.headlineMedium),
      headlineSmall: nanumGothic(textStyle: textTheme.headlineSmall),
      titleLarge: nanumGothic(textStyle: textTheme.titleLarge),
      titleMedium: nanumGothic(textStyle: textTheme.titleMedium),
      titleSmall: nanumGothic(textStyle: textTheme.titleSmall),
      bodyLarge: nanumGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: nanumGothic(textStyle: textTheme.bodyMedium),
      bodySmall: nanumGothic(textStyle: textTheme.bodySmall),
      labelLarge: nanumGothic(textStyle: textTheme.labelLarge),
      labelMedium: nanumGothic(textStyle: textTheme.labelMedium),
      labelSmall: nanumGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Gothic Coding font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic+Coding
  static TextStyle nanumGothicCoding({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '138988e0fd6fd8f224071be2ae8819dccbac2c5cc864a10738e3729add92bff7',
        1432596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e508c880cc5777002ada1fb069e7263c37351353018bd91b9159796f4b07ea61',
        1458728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumGothicCoding',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Gothic Coding font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic+Coding
  static TextTheme nanumGothicCodingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nanumGothicCoding(textStyle: textTheme.displayLarge),
      displayMedium: nanumGothicCoding(textStyle: textTheme.displayMedium),
      displaySmall: nanumGothicCoding(textStyle: textTheme.displaySmall),
      headlineLarge: nanumGothicCoding(textStyle: textTheme.headlineLarge),
      headlineMedium: nanumGothicCoding(textStyle: textTheme.headlineMedium),
      headlineSmall: nanumGothicCoding(textStyle: textTheme.headlineSmall),
      titleLarge: nanumGothicCoding(textStyle: textTheme.titleLarge),
      titleMedium: nanumGothicCoding(textStyle: textTheme.titleMedium),
      titleSmall: nanumGothicCoding(textStyle: textTheme.titleSmall),
      bodyLarge: nanumGothicCoding(textStyle: textTheme.bodyLarge),
      bodyMedium: nanumGothicCoding(textStyle: textTheme.bodyMedium),
      bodySmall: nanumGothicCoding(textStyle: textTheme.bodySmall),
      labelLarge: nanumGothicCoding(textStyle: textTheme.labelLarge),
      labelMedium: nanumGothicCoding(textStyle: textTheme.labelMedium),
      labelSmall: nanumGothicCoding(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Myeongjo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Myeongjo
  static TextStyle nanumMyeongjo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '49692dfdd96d14451d2d587fe44d08d2eb6a322bd051b968778e8e827294c377',
        2167668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4bb4ddf8c1633217f5cf7548dd4488d0a3ebcd539ef562e2c61d1903282de9c',
        2241272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74e88e02ceb7e7bd1bc2c12f2baa96b423bb98482abbc6185495d8ab6962a352',
        2293712,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumMyeongjo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Myeongjo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Myeongjo
  static TextTheme nanumMyeongjoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nanumMyeongjo(textStyle: textTheme.displayLarge),
      displayMedium: nanumMyeongjo(textStyle: textTheme.displayMedium),
      displaySmall: nanumMyeongjo(textStyle: textTheme.displaySmall),
      headlineLarge: nanumMyeongjo(textStyle: textTheme.headlineLarge),
      headlineMedium: nanumMyeongjo(textStyle: textTheme.headlineMedium),
      headlineSmall: nanumMyeongjo(textStyle: textTheme.headlineSmall),
      titleLarge: nanumMyeongjo(textStyle: textTheme.titleLarge),
      titleMedium: nanumMyeongjo(textStyle: textTheme.titleMedium),
      titleSmall: nanumMyeongjo(textStyle: textTheme.titleSmall),
      bodyLarge: nanumMyeongjo(textStyle: textTheme.bodyLarge),
      bodyMedium: nanumMyeongjo(textStyle: textTheme.bodyMedium),
      bodySmall: nanumMyeongjo(textStyle: textTheme.bodySmall),
      labelLarge: nanumMyeongjo(textStyle: textTheme.labelLarge),
      labelMedium: nanumMyeongjo(textStyle: textTheme.labelMedium),
      labelSmall: nanumMyeongjo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Pen Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Pen+Script
  static TextStyle nanumPenScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f149a311829ac3edfd81a802effced9cb8a9cad047ef1cc7d57a29ac7f7491a1',
        2533592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumPenScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Pen Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Pen+Script
  static TextTheme nanumPenScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nanumPenScript(textStyle: textTheme.displayLarge),
      displayMedium: nanumPenScript(textStyle: textTheme.displayMedium),
      displaySmall: nanumPenScript(textStyle: textTheme.displaySmall),
      headlineLarge: nanumPenScript(textStyle: textTheme.headlineLarge),
      headlineMedium: nanumPenScript(textStyle: textTheme.headlineMedium),
      headlineSmall: nanumPenScript(textStyle: textTheme.headlineSmall),
      titleLarge: nanumPenScript(textStyle: textTheme.titleLarge),
      titleMedium: nanumPenScript(textStyle: textTheme.titleMedium),
      titleSmall: nanumPenScript(textStyle: textTheme.titleSmall),
      bodyLarge: nanumPenScript(textStyle: textTheme.bodyLarge),
      bodyMedium: nanumPenScript(textStyle: textTheme.bodyMedium),
      bodySmall: nanumPenScript(textStyle: textTheme.bodySmall),
      labelLarge: nanumPenScript(textStyle: textTheme.labelLarge),
      labelMedium: nanumPenScript(textStyle: textTheme.labelMedium),
      labelSmall: nanumPenScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Neonderthaw font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neonderthaw
  static TextStyle neonderthaw({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f677c5d5a558cea02360fa74dfeb92f2deaf067d6c8f6e2fb2caf6a47a0708bf',
        168352,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Neonderthaw',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Neonderthaw font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neonderthaw
  static TextTheme neonderthawTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: neonderthaw(textStyle: textTheme.displayLarge),
      displayMedium: neonderthaw(textStyle: textTheme.displayMedium),
      displaySmall: neonderthaw(textStyle: textTheme.displaySmall),
      headlineLarge: neonderthaw(textStyle: textTheme.headlineLarge),
      headlineMedium: neonderthaw(textStyle: textTheme.headlineMedium),
      headlineSmall: neonderthaw(textStyle: textTheme.headlineSmall),
      titleLarge: neonderthaw(textStyle: textTheme.titleLarge),
      titleMedium: neonderthaw(textStyle: textTheme.titleMedium),
      titleSmall: neonderthaw(textStyle: textTheme.titleSmall),
      bodyLarge: neonderthaw(textStyle: textTheme.bodyLarge),
      bodyMedium: neonderthaw(textStyle: textTheme.bodyMedium),
      bodySmall: neonderthaw(textStyle: textTheme.bodySmall),
      labelLarge: neonderthaw(textStyle: textTheme.labelLarge),
      labelMedium: neonderthaw(textStyle: textTheme.labelMedium),
      labelSmall: neonderthaw(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nerko One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nerko+One
  static TextStyle nerkoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28124cf49d918ba0b37dba5d27daa95014f3e3a7f4af51a61beeee9b07aa4c4d',
        102004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NerkoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nerko One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nerko+One
  static TextTheme nerkoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nerkoOne(textStyle: textTheme.displayLarge),
      displayMedium: nerkoOne(textStyle: textTheme.displayMedium),
      displaySmall: nerkoOne(textStyle: textTheme.displaySmall),
      headlineLarge: nerkoOne(textStyle: textTheme.headlineLarge),
      headlineMedium: nerkoOne(textStyle: textTheme.headlineMedium),
      headlineSmall: nerkoOne(textStyle: textTheme.headlineSmall),
      titleLarge: nerkoOne(textStyle: textTheme.titleLarge),
      titleMedium: nerkoOne(textStyle: textTheme.titleMedium),
      titleSmall: nerkoOne(textStyle: textTheme.titleSmall),
      bodyLarge: nerkoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: nerkoOne(textStyle: textTheme.bodyMedium),
      bodySmall: nerkoOne(textStyle: textTheme.bodySmall),
      labelLarge: nerkoOne(textStyle: textTheme.labelLarge),
      labelMedium: nerkoOne(textStyle: textTheme.labelMedium),
      labelSmall: nerkoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Neucha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neucha
  static TextStyle neucha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f56c99d50e2731deb4c26c6f90f6d491c3fb40e911aab1f378a75bc9776501f5',
        40164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Neucha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Neucha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neucha
  static TextTheme neuchaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: neucha(textStyle: textTheme.displayLarge),
      displayMedium: neucha(textStyle: textTheme.displayMedium),
      displaySmall: neucha(textStyle: textTheme.displaySmall),
      headlineLarge: neucha(textStyle: textTheme.headlineLarge),
      headlineMedium: neucha(textStyle: textTheme.headlineMedium),
      headlineSmall: neucha(textStyle: textTheme.headlineSmall),
      titleLarge: neucha(textStyle: textTheme.titleLarge),
      titleMedium: neucha(textStyle: textTheme.titleMedium),
      titleSmall: neucha(textStyle: textTheme.titleSmall),
      bodyLarge: neucha(textStyle: textTheme.bodyLarge),
      bodyMedium: neucha(textStyle: textTheme.bodyMedium),
      bodySmall: neucha(textStyle: textTheme.bodySmall),
      labelLarge: neucha(textStyle: textTheme.labelLarge),
      labelMedium: neucha(textStyle: textTheme.labelMedium),
      labelSmall: neucha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Neuton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neuton
  static TextStyle neuton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a29d7d27140101e9da3dce70f599abbf872a7678b3e2b8d588e1d3bacd1b8f02',
        22492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5a518fe82107d9e9901c9920122ae9acf8db74e699cdfe1f4d2769753e40261',
        22340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f54b99143cdfd789d9290e7eb62ddf5cd17390d1edc936ae2e1bd7d18053dbbb',
        27636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b3bfeda3ec8df8fef33282d97be8ddd500900b7d258b1a2491d27c7d3e61dce9',
        24156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f54075f41105bd38419f3b80f91deb0a9a7a967b1280ca400b2a6a378fbe9fd3',
        23784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f21682f7a37f097629fcc5ee8d3e6a89a791522b14bb24d8f30a4aae2c156fa',
        23444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Neuton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Neuton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neuton
  static TextTheme neutonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: neuton(textStyle: textTheme.displayLarge),
      displayMedium: neuton(textStyle: textTheme.displayMedium),
      displaySmall: neuton(textStyle: textTheme.displaySmall),
      headlineLarge: neuton(textStyle: textTheme.headlineLarge),
      headlineMedium: neuton(textStyle: textTheme.headlineMedium),
      headlineSmall: neuton(textStyle: textTheme.headlineSmall),
      titleLarge: neuton(textStyle: textTheme.titleLarge),
      titleMedium: neuton(textStyle: textTheme.titleMedium),
      titleSmall: neuton(textStyle: textTheme.titleSmall),
      bodyLarge: neuton(textStyle: textTheme.bodyLarge),
      bodyMedium: neuton(textStyle: textTheme.bodyMedium),
      bodySmall: neuton(textStyle: textTheme.bodySmall),
      labelLarge: neuton(textStyle: textTheme.labelLarge),
      labelMedium: neuton(textStyle: textTheme.labelMedium),
      labelSmall: neuton(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the New Rocker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Rocker
  static TextStyle newRocker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '584fbb6ddc084a3cf8c7dde9a333e11adf3da865f332d48991655a950738f46e',
        121920,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NewRocker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the New Rocker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Rocker
  static TextTheme newRockerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: newRocker(textStyle: textTheme.displayLarge),
      displayMedium: newRocker(textStyle: textTheme.displayMedium),
      displaySmall: newRocker(textStyle: textTheme.displaySmall),
      headlineLarge: newRocker(textStyle: textTheme.headlineLarge),
      headlineMedium: newRocker(textStyle: textTheme.headlineMedium),
      headlineSmall: newRocker(textStyle: textTheme.headlineSmall),
      titleLarge: newRocker(textStyle: textTheme.titleLarge),
      titleMedium: newRocker(textStyle: textTheme.titleMedium),
      titleSmall: newRocker(textStyle: textTheme.titleSmall),
      bodyLarge: newRocker(textStyle: textTheme.bodyLarge),
      bodyMedium: newRocker(textStyle: textTheme.bodyMedium),
      bodySmall: newRocker(textStyle: textTheme.bodySmall),
      labelLarge: newRocker(textStyle: textTheme.labelLarge),
      labelMedium: newRocker(textStyle: textTheme.labelMedium),
      labelSmall: newRocker(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the New Tegomin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Tegomin
  static TextStyle newTegomin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d635a4defed40130ae791c1a060aa0c612ead29d6d89e74dd96c7ddce590bc2',
        7447024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NewTegomin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the New Tegomin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Tegomin
  static TextTheme newTegominTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: newTegomin(textStyle: textTheme.displayLarge),
      displayMedium: newTegomin(textStyle: textTheme.displayMedium),
      displaySmall: newTegomin(textStyle: textTheme.displaySmall),
      headlineLarge: newTegomin(textStyle: textTheme.headlineLarge),
      headlineMedium: newTegomin(textStyle: textTheme.headlineMedium),
      headlineSmall: newTegomin(textStyle: textTheme.headlineSmall),
      titleLarge: newTegomin(textStyle: textTheme.titleLarge),
      titleMedium: newTegomin(textStyle: textTheme.titleMedium),
      titleSmall: newTegomin(textStyle: textTheme.titleSmall),
      bodyLarge: newTegomin(textStyle: textTheme.bodyLarge),
      bodyMedium: newTegomin(textStyle: textTheme.bodyMedium),
      bodySmall: newTegomin(textStyle: textTheme.bodySmall),
      labelLarge: newTegomin(textStyle: textTheme.labelLarge),
      labelMedium: newTegomin(textStyle: textTheme.labelMedium),
      labelSmall: newTegomin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the News Cycle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/News+Cycle
  static TextStyle newsCycle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0089e0113f688ab959045468593016ffd93e6aef4eef731e0203c3c00087ab11',
        177388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82fdd1f50941b8a37647ff9c7f26340c46e81869e1e4f2350ca963e99a1973d2',
        59488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NewsCycle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the News Cycle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/News+Cycle
  static TextTheme newsCycleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: newsCycle(textStyle: textTheme.displayLarge),
      displayMedium: newsCycle(textStyle: textTheme.displayMedium),
      displaySmall: newsCycle(textStyle: textTheme.displaySmall),
      headlineLarge: newsCycle(textStyle: textTheme.headlineLarge),
      headlineMedium: newsCycle(textStyle: textTheme.headlineMedium),
      headlineSmall: newsCycle(textStyle: textTheme.headlineSmall),
      titleLarge: newsCycle(textStyle: textTheme.titleLarge),
      titleMedium: newsCycle(textStyle: textTheme.titleMedium),
      titleSmall: newsCycle(textStyle: textTheme.titleSmall),
      bodyLarge: newsCycle(textStyle: textTheme.bodyLarge),
      bodyMedium: newsCycle(textStyle: textTheme.bodyMedium),
      bodySmall: newsCycle(textStyle: textTheme.bodySmall),
      labelLarge: newsCycle(textStyle: textTheme.labelLarge),
      labelMedium: newsCycle(textStyle: textTheme.labelMedium),
      labelSmall: newsCycle(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Newsreader font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Newsreader
  static TextStyle newsreader({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8010516b35deae6b38dd2e00465da5ef812d4e6ee1a57e4c8fe8ae632df4fc00',
        110640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0b62a2a60d23804faeb08938fcdc32c502d59b5e7bc8dbecac809956d2920f6',
        110924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb1d20827484e0f138ad94da483464d6b174c38fe9c7e737d778d1a86bfd7068',
        110996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd95da69ed1c99245977ad62c3c5a51d058935f64e236f74817aa565164e56956',
        111536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65d3c1d0915b2ab3d14e625025001553a4e72db8f8373d5c8577c27c0483de86',
        111576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9060d309c94b9a4e0dda8671e96e810dc8cb1437853694ff58409c3f291edaac',
        111492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f024c1fd12a938f0abe289a1fefd45403a68594a15bd247c027988a9147397c',
        111488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5969620008a54d3eb6dc897be221e9f0c007c41979938397cdea2a215df2028f',
        121976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4169ef9d78482376f62e46f6c7aa010603fc4800d9bfa6a747e239c566a7e8d7',
        122104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a0bbdb1ea905c6c2998a81071d44568df6a40c810cf7a7a645d73c6b341fec61',
        121580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f97cb18a0f2a25436ac6ddc801537a8babe4466fa5bda3a2aa85afdba8929ab0',
        121908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'caecb02499dc36f7bff48a8bab0aafa82fbc5cefab9db625a320cc534f196bcf',
        122092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6c91edfbcc749f5e035065be9729aba165564f8e0eb8abfcdc220fe1064744db',
        122092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '58b9728cab89ad93c876dbda9f94e1564c89ed52f7b79664bf2d8e77f3c95a9d',
        121992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Newsreader',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Newsreader font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Newsreader
  static TextTheme newsreaderTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: newsreader(textStyle: textTheme.displayLarge),
      displayMedium: newsreader(textStyle: textTheme.displayMedium),
      displaySmall: newsreader(textStyle: textTheme.displaySmall),
      headlineLarge: newsreader(textStyle: textTheme.headlineLarge),
      headlineMedium: newsreader(textStyle: textTheme.headlineMedium),
      headlineSmall: newsreader(textStyle: textTheme.headlineSmall),
      titleLarge: newsreader(textStyle: textTheme.titleLarge),
      titleMedium: newsreader(textStyle: textTheme.titleMedium),
      titleSmall: newsreader(textStyle: textTheme.titleSmall),
      bodyLarge: newsreader(textStyle: textTheme.bodyLarge),
      bodyMedium: newsreader(textStyle: textTheme.bodyMedium),
      bodySmall: newsreader(textStyle: textTheme.bodySmall),
      labelLarge: newsreader(textStyle: textTheme.labelLarge),
      labelMedium: newsreader(textStyle: textTheme.labelMedium),
      labelSmall: newsreader(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Niconne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niconne
  static TextStyle niconne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e7ae6eb882a3a1b8f79978f6abdc7fd8efac27f8924182bd55cfd68365033e4',
        41456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Niconne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Niconne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niconne
  static TextTheme niconneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: niconne(textStyle: textTheme.displayLarge),
      displayMedium: niconne(textStyle: textTheme.displayMedium),
      displaySmall: niconne(textStyle: textTheme.displaySmall),
      headlineLarge: niconne(textStyle: textTheme.headlineLarge),
      headlineMedium: niconne(textStyle: textTheme.headlineMedium),
      headlineSmall: niconne(textStyle: textTheme.headlineSmall),
      titleLarge: niconne(textStyle: textTheme.titleLarge),
      titleMedium: niconne(textStyle: textTheme.titleMedium),
      titleSmall: niconne(textStyle: textTheme.titleSmall),
      bodyLarge: niconne(textStyle: textTheme.bodyLarge),
      bodyMedium: niconne(textStyle: textTheme.bodyMedium),
      bodySmall: niconne(textStyle: textTheme.bodySmall),
      labelLarge: niconne(textStyle: textTheme.labelLarge),
      labelMedium: niconne(textStyle: textTheme.labelMedium),
      labelSmall: niconne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Niramit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niramit
  static TextStyle niramit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed63ac26196d5c264153fcc115294828419e899e5fcfc0614dfee3b63bb0ee69',
        89528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a26007da3aa227e6ea58d3bdf7a396afb437888debe403de97af653b5a1a4679',
        92352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3134966cfc0cb894d6e7f1a12e1daf1827bd184a3f3f66859b5047c7c2cbddbe',
        89344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e4f5b469110ed6775f9e44bd6c7cef029e0a1e2e5b312b80fc031c66e3c8cfe5',
        91988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a268e1da7107a4e0eef31f952b1aaf133e17adb5139156ec906a10e95b406c33',
        89224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b7236a14adbca28d36e947beac5acc3cd7371010bafb12e55202773367fb691',
        91860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd31739ad592cfad2dee165e5fdd9bcbdd73f80eb0a445dc6a3c1d4e33dded9ab',
        89172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66f87031bb39a217a51a60cbfb72b98f06c118434ed71ec8d812ed8d720efe92',
        91624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '830dec96589fbb4b1cddbbcaf3b253fd9bd87d0d6698605766706c90846130c3',
        89112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2deebb9c6f8b1bc453f199de39c0e207f9bc2d30e844c5dec5edb1215767f934',
        91760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b30ec8f79dd957f2f830869b8b0f0a6ca66569834b5750ec757ef82f4cbe9ad',
        89328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a03dab539bdf1521767d51c32b68f396d2a5b5e845e2c2b7fb8deeb39c496cc',
        91772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Niramit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Niramit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niramit
  static TextTheme niramitTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: niramit(textStyle: textTheme.displayLarge),
      displayMedium: niramit(textStyle: textTheme.displayMedium),
      displaySmall: niramit(textStyle: textTheme.displaySmall),
      headlineLarge: niramit(textStyle: textTheme.headlineLarge),
      headlineMedium: niramit(textStyle: textTheme.headlineMedium),
      headlineSmall: niramit(textStyle: textTheme.headlineSmall),
      titleLarge: niramit(textStyle: textTheme.titleLarge),
      titleMedium: niramit(textStyle: textTheme.titleMedium),
      titleSmall: niramit(textStyle: textTheme.titleSmall),
      bodyLarge: niramit(textStyle: textTheme.bodyLarge),
      bodyMedium: niramit(textStyle: textTheme.bodyMedium),
      bodySmall: niramit(textStyle: textTheme.bodySmall),
      labelLarge: niramit(textStyle: textTheme.labelLarge),
      labelMedium: niramit(textStyle: textTheme.labelMedium),
      labelSmall: niramit(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nixie One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nixie+One
  static TextStyle nixieOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b46ee55f5dd908d16f21e63433c6d3553618c88c3797688d2a9558575973d66f',
        50900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NixieOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nixie One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nixie+One
  static TextTheme nixieOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nixieOne(textStyle: textTheme.displayLarge),
      displayMedium: nixieOne(textStyle: textTheme.displayMedium),
      displaySmall: nixieOne(textStyle: textTheme.displaySmall),
      headlineLarge: nixieOne(textStyle: textTheme.headlineLarge),
      headlineMedium: nixieOne(textStyle: textTheme.headlineMedium),
      headlineSmall: nixieOne(textStyle: textTheme.headlineSmall),
      titleLarge: nixieOne(textStyle: textTheme.titleLarge),
      titleMedium: nixieOne(textStyle: textTheme.titleMedium),
      titleSmall: nixieOne(textStyle: textTheme.titleSmall),
      bodyLarge: nixieOne(textStyle: textTheme.bodyLarge),
      bodyMedium: nixieOne(textStyle: textTheme.bodyMedium),
      bodySmall: nixieOne(textStyle: textTheme.bodySmall),
      labelLarge: nixieOne(textStyle: textTheme.labelLarge),
      labelMedium: nixieOne(textStyle: textTheme.labelMedium),
      labelSmall: nixieOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nobile font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nobile
  static TextStyle nobile({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2227947da6f488c1ef4fcabc8a556eb807d44b28b03fbdc42c4e87e19cda808',
        32420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8e5358281a233e3cf74c81c46a90b87a345818a99796b85d89d28c6ddb1ba1d',
        41368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '756ae5cf536c15ca97917892086bf8ebe5051830712e0036ab6cf7b708366f6f',
        36196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4bef821520c7f13d5112ecf986c0c33bf6f7829c90bae221c3631357cec726e7',
        41312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '090770c00ff48f8a7240e284a62690a2995f884d2d0ef7d939753fa7919c5234',
        31652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '628371d0bf26e91d0d5872980907ce7b420a69c87049400ce4fc36eea55a0105',
        41448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nobile',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nobile font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nobile
  static TextTheme nobileTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nobile(textStyle: textTheme.displayLarge),
      displayMedium: nobile(textStyle: textTheme.displayMedium),
      displaySmall: nobile(textStyle: textTheme.displaySmall),
      headlineLarge: nobile(textStyle: textTheme.headlineLarge),
      headlineMedium: nobile(textStyle: textTheme.headlineMedium),
      headlineSmall: nobile(textStyle: textTheme.headlineSmall),
      titleLarge: nobile(textStyle: textTheme.titleLarge),
      titleMedium: nobile(textStyle: textTheme.titleMedium),
      titleSmall: nobile(textStyle: textTheme.titleSmall),
      bodyLarge: nobile(textStyle: textTheme.bodyLarge),
      bodyMedium: nobile(textStyle: textTheme.bodyMedium),
      bodySmall: nobile(textStyle: textTheme.bodySmall),
      labelLarge: nobile(textStyle: textTheme.labelLarge),
      labelMedium: nobile(textStyle: textTheme.labelMedium),
      labelSmall: nobile(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nokora font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nokora
  static TextStyle nokora({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73fc01c7c59d0cf17efc538be65ae11bbb3bc07788d3317571c152bf76f713c3',
        33084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66081a8b50dfe136b6b60c8dbbc062ea33121bdc6d9af2e1e86a14145b277374',
        32028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2006cbb942776b3eed98b61fb710bc740daa4e2fb8893e522f5f05373bf205a2',
        33604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '962d86d3e4a1b24f27db28d0030fed3de2655de7f1f595610e43560662c1f032',
        32948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '706fc9970bcb8f83a837092142f056d7c58dbae61b4c33420e9055a89da980b7',
        33004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nokora',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nokora font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nokora
  static TextTheme nokoraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nokora(textStyle: textTheme.displayLarge),
      displayMedium: nokora(textStyle: textTheme.displayMedium),
      displaySmall: nokora(textStyle: textTheme.displaySmall),
      headlineLarge: nokora(textStyle: textTheme.headlineLarge),
      headlineMedium: nokora(textStyle: textTheme.headlineMedium),
      headlineSmall: nokora(textStyle: textTheme.headlineSmall),
      titleLarge: nokora(textStyle: textTheme.titleLarge),
      titleMedium: nokora(textStyle: textTheme.titleMedium),
      titleSmall: nokora(textStyle: textTheme.titleSmall),
      bodyLarge: nokora(textStyle: textTheme.bodyLarge),
      bodyMedium: nokora(textStyle: textTheme.bodyMedium),
      bodySmall: nokora(textStyle: textTheme.bodySmall),
      labelLarge: nokora(textStyle: textTheme.labelLarge),
      labelMedium: nokora(textStyle: textTheme.labelMedium),
      labelSmall: nokora(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Norican font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Norican
  static TextStyle norican({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dff2380d6bb89e82464656d44616895736da33e6f9c5c5c5af0d2d56754fee2',
        43456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Norican',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Norican font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Norican
  static TextTheme noricanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: norican(textStyle: textTheme.displayLarge),
      displayMedium: norican(textStyle: textTheme.displayMedium),
      displaySmall: norican(textStyle: textTheme.displaySmall),
      headlineLarge: norican(textStyle: textTheme.headlineLarge),
      headlineMedium: norican(textStyle: textTheme.headlineMedium),
      headlineSmall: norican(textStyle: textTheme.headlineSmall),
      titleLarge: norican(textStyle: textTheme.titleLarge),
      titleMedium: norican(textStyle: textTheme.titleMedium),
      titleSmall: norican(textStyle: textTheme.titleSmall),
      bodyLarge: norican(textStyle: textTheme.bodyLarge),
      bodyMedium: norican(textStyle: textTheme.bodyMedium),
      bodySmall: norican(textStyle: textTheme.bodySmall),
      labelLarge: norican(textStyle: textTheme.labelLarge),
      labelMedium: norican(textStyle: textTheme.labelMedium),
      labelSmall: norican(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nosifer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nosifer
  static TextStyle nosifer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51f2ff64324f9bfb46f8b6a33e7d14e4b653d11acbbb343a168aedf016b5f846',
        41152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nosifer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nosifer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nosifer
  static TextTheme nosiferTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nosifer(textStyle: textTheme.displayLarge),
      displayMedium: nosifer(textStyle: textTheme.displayMedium),
      displaySmall: nosifer(textStyle: textTheme.displaySmall),
      headlineLarge: nosifer(textStyle: textTheme.headlineLarge),
      headlineMedium: nosifer(textStyle: textTheme.headlineMedium),
      headlineSmall: nosifer(textStyle: textTheme.headlineSmall),
      titleLarge: nosifer(textStyle: textTheme.titleLarge),
      titleMedium: nosifer(textStyle: textTheme.titleMedium),
      titleSmall: nosifer(textStyle: textTheme.titleSmall),
      bodyLarge: nosifer(textStyle: textTheme.bodyLarge),
      bodyMedium: nosifer(textStyle: textTheme.bodyMedium),
      bodySmall: nosifer(textStyle: textTheme.bodySmall),
      labelLarge: nosifer(textStyle: textTheme.labelLarge),
      labelMedium: nosifer(textStyle: textTheme.labelMedium),
      labelSmall: nosifer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Notable font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Notable
  static TextStyle notable({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fa7af35d5805dd738d17de5e17895d6868f7b4320ee55fa7ee5de02e49c0a51',
        24588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Notable',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Notable font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Notable
  static TextTheme notableTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notable(textStyle: textTheme.displayLarge),
      displayMedium: notable(textStyle: textTheme.displayMedium),
      displaySmall: notable(textStyle: textTheme.displaySmall),
      headlineLarge: notable(textStyle: textTheme.headlineLarge),
      headlineMedium: notable(textStyle: textTheme.headlineMedium),
      headlineSmall: notable(textStyle: textTheme.headlineSmall),
      titleLarge: notable(textStyle: textTheme.titleLarge),
      titleMedium: notable(textStyle: textTheme.titleMedium),
      titleSmall: notable(textStyle: textTheme.titleSmall),
      bodyLarge: notable(textStyle: textTheme.bodyLarge),
      bodyMedium: notable(textStyle: textTheme.bodyMedium),
      bodySmall: notable(textStyle: textTheme.bodySmall),
      labelLarge: notable(textStyle: textTheme.labelLarge),
      labelMedium: notable(textStyle: textTheme.labelMedium),
      labelSmall: notable(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nothing You Could Do font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nothing+You+Could+Do
  static TextStyle nothingYouCouldDo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a41f6c0adff3f36a5b115b837a4565bd55f338ef9f7b864672066d063d05aa6',
        31648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NothingYouCouldDo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nothing You Could Do font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nothing+You+Could+Do
  static TextTheme nothingYouCouldDoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nothingYouCouldDo(textStyle: textTheme.displayLarge),
      displayMedium: nothingYouCouldDo(textStyle: textTheme.displayMedium),
      displaySmall: nothingYouCouldDo(textStyle: textTheme.displaySmall),
      headlineLarge: nothingYouCouldDo(textStyle: textTheme.headlineLarge),
      headlineMedium: nothingYouCouldDo(textStyle: textTheme.headlineMedium),
      headlineSmall: nothingYouCouldDo(textStyle: textTheme.headlineSmall),
      titleLarge: nothingYouCouldDo(textStyle: textTheme.titleLarge),
      titleMedium: nothingYouCouldDo(textStyle: textTheme.titleMedium),
      titleSmall: nothingYouCouldDo(textStyle: textTheme.titleSmall),
      bodyLarge: nothingYouCouldDo(textStyle: textTheme.bodyLarge),
      bodyMedium: nothingYouCouldDo(textStyle: textTheme.bodyMedium),
      bodySmall: nothingYouCouldDo(textStyle: textTheme.bodySmall),
      labelLarge: nothingYouCouldDo(textStyle: textTheme.labelLarge),
      labelMedium: nothingYouCouldDo(textStyle: textTheme.labelMedium),
      labelSmall: nothingYouCouldDo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noticia Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noticia+Text
  static TextStyle noticiaText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a6b0624004ff6f56f2f1113f003ed60720ca8b68025b6bafed6eed114440d9b',
        61616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a46a8d57965e4563a06bd3819575df42a02f47b861ccfb0aa66ad05d67e28194',
        62980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dc31f473cda60b764d6f694778479b4dbcb97ad540b8e5dc12ed01c1c04833b',
        60756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a50238388b7e42bd69c9bc67fb426e8e35afeb5fce0f35bf8875b9b9c230ff05',
        61952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NoticiaText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noticia Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noticia+Text
  static TextTheme noticiaTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: noticiaText(textStyle: textTheme.displayLarge),
      displayMedium: noticiaText(textStyle: textTheme.displayMedium),
      displaySmall: noticiaText(textStyle: textTheme.displaySmall),
      headlineLarge: noticiaText(textStyle: textTheme.headlineLarge),
      headlineMedium: noticiaText(textStyle: textTheme.headlineMedium),
      headlineSmall: noticiaText(textStyle: textTheme.headlineSmall),
      titleLarge: noticiaText(textStyle: textTheme.titleLarge),
      titleMedium: noticiaText(textStyle: textTheme.titleMedium),
      titleSmall: noticiaText(textStyle: textTheme.titleSmall),
      bodyLarge: noticiaText(textStyle: textTheme.bodyLarge),
      bodyMedium: noticiaText(textStyle: textTheme.bodyMedium),
      bodySmall: noticiaText(textStyle: textTheme.bodySmall),
      labelLarge: noticiaText(textStyle: textTheme.labelLarge),
      labelMedium: noticiaText(textStyle: textTheme.labelMedium),
      labelSmall: noticiaText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Color Emoji font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Color+Emoji
  static TextStyle notoColorEmoji({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c93f34c9bae6966eb1c7cf84556eba3cbc12f33085f594901c4fa1b08283da0',
        23745556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoColorEmoji',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Color Emoji font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Color+Emoji
  static TextTheme notoColorEmojiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoColorEmoji(textStyle: textTheme.displayLarge),
      displayMedium: notoColorEmoji(textStyle: textTheme.displayMedium),
      displaySmall: notoColorEmoji(textStyle: textTheme.displaySmall),
      headlineLarge: notoColorEmoji(textStyle: textTheme.headlineLarge),
      headlineMedium: notoColorEmoji(textStyle: textTheme.headlineMedium),
      headlineSmall: notoColorEmoji(textStyle: textTheme.headlineSmall),
      titleLarge: notoColorEmoji(textStyle: textTheme.titleLarge),
      titleMedium: notoColorEmoji(textStyle: textTheme.titleMedium),
      titleSmall: notoColorEmoji(textStyle: textTheme.titleSmall),
      bodyLarge: notoColorEmoji(textStyle: textTheme.bodyLarge),
      bodyMedium: notoColorEmoji(textStyle: textTheme.bodyMedium),
      bodySmall: notoColorEmoji(textStyle: textTheme.bodySmall),
      labelLarge: notoColorEmoji(textStyle: textTheme.labelLarge),
      labelMedium: notoColorEmoji(textStyle: textTheme.labelMedium),
      labelSmall: notoColorEmoji(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Emoji font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Emoji
  static TextStyle notoEmoji({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3c638a6dd16af7be203c392ac22ea5f2caade3ce70117a95380ea413661f537',
        877996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76265f243371d58d9894b937342ecf046b5a207e135266f2398a6cc6da05ffdc',
        877988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e459db86ade2e3833b4b39a44cef8fc1fbd5cf705d6e025bbeaa88d9d608ddec',
        878172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ef9bd29fc791fc9bd66d54df4583ca80fb2a13bb4dff8bf283deeaf6d7e7c2a',
        878024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd61b89360653b70b5f755d222649783bc417224b009b50b35fd82f5eb4d39a6f',
        876524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoEmoji',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Emoji font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Emoji
  static TextTheme notoEmojiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoEmoji(textStyle: textTheme.displayLarge),
      displayMedium: notoEmoji(textStyle: textTheme.displayMedium),
      displaySmall: notoEmoji(textStyle: textTheme.displaySmall),
      headlineLarge: notoEmoji(textStyle: textTheme.headlineLarge),
      headlineMedium: notoEmoji(textStyle: textTheme.headlineMedium),
      headlineSmall: notoEmoji(textStyle: textTheme.headlineSmall),
      titleLarge: notoEmoji(textStyle: textTheme.titleLarge),
      titleMedium: notoEmoji(textStyle: textTheme.titleMedium),
      titleSmall: notoEmoji(textStyle: textTheme.titleSmall),
      bodyLarge: notoEmoji(textStyle: textTheme.bodyLarge),
      bodyMedium: notoEmoji(textStyle: textTheme.bodyMedium),
      bodySmall: notoEmoji(textStyle: textTheme.bodySmall),
      labelLarge: notoEmoji(textStyle: textTheme.labelLarge),
      labelMedium: notoEmoji(textStyle: textTheme.labelMedium),
      labelSmall: notoEmoji(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Kufi Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Kufi+Arabic
  static TextStyle notoKufiArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e79d3b524be163ce3467273d1b6d1883a406f8f9045d79d1b450cc934857a9ae',
        119028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf1db84bdf4c37393e1176bfe1cd352398d4803e565b8660a8f4bf3c592e929d',
        119596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5da1000148b9479e3db18086686ed3952c1cfb1162dfaeef213acbe35d60842',
        119508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ecae1c3b24982df44d0adbae035a6c3b1dadfbecfc76c538da52adbb1c94a6e',
        118252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46e2eb404f116ec795440d1974b87920c79b344c1b7b7adb997e2668cca372c4',
        119052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3615371eebf356e6538f0e4a5527282e5b973d9fadcb7566dd2f5ab19d7e2b36',
        119144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c88963874eb11a72fb0f63f4727945ffe5c1ea32541ec9d1226948acc9dea4aa',
        118328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '917778a5ed997660c91200a9da843a2149b9a7df6f322abda8ef2976d0df293c',
        119904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc3890e51686839a2dd2e70a9da1ecac27fd0693810935ac716ffa616fdae844',
        119764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoKufiArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Kufi Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Kufi+Arabic
  static TextTheme notoKufiArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoKufiArabic(textStyle: textTheme.displayLarge),
      displayMedium: notoKufiArabic(textStyle: textTheme.displayMedium),
      displaySmall: notoKufiArabic(textStyle: textTheme.displaySmall),
      headlineLarge: notoKufiArabic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoKufiArabic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoKufiArabic(textStyle: textTheme.headlineSmall),
      titleLarge: notoKufiArabic(textStyle: textTheme.titleLarge),
      titleMedium: notoKufiArabic(textStyle: textTheme.titleMedium),
      titleSmall: notoKufiArabic(textStyle: textTheme.titleSmall),
      bodyLarge: notoKufiArabic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoKufiArabic(textStyle: textTheme.bodyMedium),
      bodySmall: notoKufiArabic(textStyle: textTheme.bodySmall),
      labelLarge: notoKufiArabic(textStyle: textTheme.labelLarge),
      labelMedium: notoKufiArabic(textStyle: textTheme.labelMedium),
      labelSmall: notoKufiArabic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Music font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Music
  static TextStyle notoMusic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd0c3c9a24908f253e35735b00f5892d999d6cda80c6dcef86a7b128eb5e12e1a',
        113672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoMusic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Music font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Music
  static TextTheme notoMusicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoMusic(textStyle: textTheme.displayLarge),
      displayMedium: notoMusic(textStyle: textTheme.displayMedium),
      displaySmall: notoMusic(textStyle: textTheme.displaySmall),
      headlineLarge: notoMusic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoMusic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoMusic(textStyle: textTheme.headlineSmall),
      titleLarge: notoMusic(textStyle: textTheme.titleLarge),
      titleMedium: notoMusic(textStyle: textTheme.titleMedium),
      titleSmall: notoMusic(textStyle: textTheme.titleSmall),
      bodyLarge: notoMusic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoMusic(textStyle: textTheme.bodyMedium),
      bodySmall: notoMusic(textStyle: textTheme.bodySmall),
      labelLarge: notoMusic(textStyle: textTheme.labelLarge),
      labelMedium: notoMusic(textStyle: textTheme.labelMedium),
      labelSmall: notoMusic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Naskh Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Naskh+Arabic
  static TextStyle notoNaskhArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9b19ea721911d4158bec0e2fdb8d389524ef56448d2a8e24e501abdccc53c9b',
        188564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc7be025a7e303d96ec4c5988dd7a636747da5abd0f676267ce5e1a414915e15',
        189280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8832db7567a4ceb8ff2add137a23d4a2caf7304f0b7d821f642acdf7fb9ea37',
        189180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b922a15359885fa82f62b2de4bbc38a0f7e14170e33f1f41fea2ed66f4802d85',
        188720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoNaskhArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Naskh Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Naskh+Arabic
  static TextTheme notoNaskhArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoNaskhArabic(textStyle: textTheme.displayLarge),
      displayMedium: notoNaskhArabic(textStyle: textTheme.displayMedium),
      displaySmall: notoNaskhArabic(textStyle: textTheme.displaySmall),
      headlineLarge: notoNaskhArabic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoNaskhArabic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoNaskhArabic(textStyle: textTheme.headlineSmall),
      titleLarge: notoNaskhArabic(textStyle: textTheme.titleLarge),
      titleMedium: notoNaskhArabic(textStyle: textTheme.titleMedium),
      titleSmall: notoNaskhArabic(textStyle: textTheme.titleSmall),
      bodyLarge: notoNaskhArabic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoNaskhArabic(textStyle: textTheme.bodyMedium),
      bodySmall: notoNaskhArabic(textStyle: textTheme.bodySmall),
      labelLarge: notoNaskhArabic(textStyle: textTheme.labelLarge),
      labelMedium: notoNaskhArabic(textStyle: textTheme.labelMedium),
      labelSmall: notoNaskhArabic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Nastaliq Urdu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Nastaliq+Urdu
  static TextStyle notoNastaliqUrdu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2aacf1112ffb91ed5fd97d9326dfbb3358dbeede2fb1d720b6b740e378c1a72',
        527596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b90b8121e265e1a3505cc387b283e0055bfcd22745bd3fb3ae99caddcc51225',
        529524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '245b10e3f362b133ebd939a152c0fbd1542aadd13641d5c6fe94f258aa4f37dc',
        529436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b515fb56f2e42b87ceedfc60c894104e6afd4905b97197842bbbe3d528a42544',
        528464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoNastaliqUrdu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Nastaliq Urdu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Nastaliq+Urdu
  static TextTheme notoNastaliqUrduTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoNastaliqUrdu(textStyle: textTheme.displayLarge),
      displayMedium: notoNastaliqUrdu(textStyle: textTheme.displayMedium),
      displaySmall: notoNastaliqUrdu(textStyle: textTheme.displaySmall),
      headlineLarge: notoNastaliqUrdu(textStyle: textTheme.headlineLarge),
      headlineMedium: notoNastaliqUrdu(textStyle: textTheme.headlineMedium),
      headlineSmall: notoNastaliqUrdu(textStyle: textTheme.headlineSmall),
      titleLarge: notoNastaliqUrdu(textStyle: textTheme.titleLarge),
      titleMedium: notoNastaliqUrdu(textStyle: textTheme.titleMedium),
      titleSmall: notoNastaliqUrdu(textStyle: textTheme.titleSmall),
      bodyLarge: notoNastaliqUrdu(textStyle: textTheme.bodyLarge),
      bodyMedium: notoNastaliqUrdu(textStyle: textTheme.bodyMedium),
      bodySmall: notoNastaliqUrdu(textStyle: textTheme.bodySmall),
      labelLarge: notoNastaliqUrdu(textStyle: textTheme.labelLarge),
      labelMedium: notoNastaliqUrdu(textStyle: textTheme.labelMedium),
      labelSmall: notoNastaliqUrdu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Rashi Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Rashi+Hebrew
  static TextStyle notoRashiHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab9382f6122f61816182efa4129aeef720f0dcaac78ad8a016cefadc91a284a8',
        47468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99b805fe37495bed315f34c4ce5c212f5995a48aea88dd6685c200d9463a07cd',
        47524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '342dd2dc03e229280c4fe0b468bed4c8f30a50252c080395a37a59dc375cf2e5',
        47504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c9819fe8079b3f64ffbcda78ca0ba2d184e8ea4e8cc2f0255a5af629174eff5',
        47492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7f0f6f8fab7ac60c9c869fa45305cbcb5526489e6ae4be1e92b9905d1e2110c',
        47512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f94a7cb8db625b79ec4d88998df04f1e5889403331f78d26d9530dbec0b8ddd',
        47556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '922c8e60bdc008b785387812285172ca13ccfc8dd8ea37c4991d8225ade60a4b',
        47524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c57aa91930696e4e640db7a80c7c000dc8d715b12258cf108c3b66b56ca859f',
        47604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0045d4b70f9631f313c832488e86e52f7b97280b70de73d8dda1d473c94266d7',
        47504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoRashiHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Rashi Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Rashi+Hebrew
  static TextTheme notoRashiHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoRashiHebrew(textStyle: textTheme.displayLarge),
      displayMedium: notoRashiHebrew(textStyle: textTheme.displayMedium),
      displaySmall: notoRashiHebrew(textStyle: textTheme.displaySmall),
      headlineLarge: notoRashiHebrew(textStyle: textTheme.headlineLarge),
      headlineMedium: notoRashiHebrew(textStyle: textTheme.headlineMedium),
      headlineSmall: notoRashiHebrew(textStyle: textTheme.headlineSmall),
      titleLarge: notoRashiHebrew(textStyle: textTheme.titleLarge),
      titleMedium: notoRashiHebrew(textStyle: textTheme.titleMedium),
      titleSmall: notoRashiHebrew(textStyle: textTheme.titleSmall),
      bodyLarge: notoRashiHebrew(textStyle: textTheme.bodyLarge),
      bodyMedium: notoRashiHebrew(textStyle: textTheme.bodyMedium),
      bodySmall: notoRashiHebrew(textStyle: textTheme.bodySmall),
      labelLarge: notoRashiHebrew(textStyle: textTheme.labelLarge),
      labelMedium: notoRashiHebrew(textStyle: textTheme.labelMedium),
      labelSmall: notoRashiHebrew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans
  static TextStyle notoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53613980c8471a6915fe04f2516bcacca366fac6258531b5dd8666efc35c9f1f',
        498864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6ea5ec1fa4947b7edecaeb852180ca2fca21cf99c90c3f4979154bc09d56518c',
        348744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f34791642a50786e2d067967458b0927e3467c5612506d3132258ecfed18148a',
        496580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '250fd09d6196d86f6aa87c06a2703f709fb6db7ecfbd3d6870572b6d78e5e171',
        346996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '085a8fd66014489c14638eab2448dc6460e8736cf1a819562f0c2fd7d324394f',
        492416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4db149030d92c294d10c1d2fad0882f86d1c5e15ed09cc319ec9e07cc37419a0',
        345012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '912536b62f7afaffd7d5af173e88dbc01582b403250971f4e2d265f43dfb937d',
        493756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c3985b0ab8265e5fce27aa012031e24f5fe1d46df3bf2c2695753e1d452abce6',
        343720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4bd3cda8b240433095e5da6ff8f2064c0627eb0a7b6933876d3faead73fd446',
        492856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '19ab38d7565ab8c67cf1c42fec5d178a4df70e8923dab7eaaa8328e28ad0b65d',
        342656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0224e760b403281bb3cf59a3b0ef36344bbc96f3c69b140108fb3ceda1f117c5',
        494364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '58f9b94e3f4eb50a9500198d2831bfda3c44e46114957e41c264ef08c0359a24',
        341316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18e3a4e5a713559a074e8c5482279ccad0cf81a0e5762304e0ddf94b5dd1ebac',
        494836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c79210997635e1a7a5cc13d63341994286562b660bbd3e14facba74825200add',
        341620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17c845373105b7e8de68bc3650b103222b967e031b2e02547a876223a17a13c6',
        494568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b8139e12e84999f7cc2dd8607d22d212338378a1cdfe7f85aad0af509ba1eced',
        341540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '972353c8b39caeffe65259395a385852fdd9ea591b5407d32adfee6fa046ba35',
        494104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '95f2ab6106c77ac5c516691e7b9b5581f2cbc13dd68a03425f290b7f38e6a6c9',
        342916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans
  static TextTheme notoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSans(textStyle: textTheme.displayLarge),
      displayMedium: notoSans(textStyle: textTheme.displayMedium),
      displaySmall: notoSans(textStyle: textTheme.displaySmall),
      headlineLarge: notoSans(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSans(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSans(textStyle: textTheme.headlineSmall),
      titleLarge: notoSans(textStyle: textTheme.titleLarge),
      titleMedium: notoSans(textStyle: textTheme.titleMedium),
      titleSmall: notoSans(textStyle: textTheme.titleSmall),
      bodyLarge: notoSans(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSans(textStyle: textTheme.bodyMedium),
      bodySmall: notoSans(textStyle: textTheme.bodySmall),
      labelLarge: notoSans(textStyle: textTheme.labelLarge),
      labelMedium: notoSans(textStyle: textTheme.labelMedium),
      labelSmall: notoSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Adlam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam
  static TextStyle notoSansAdlam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed453bc243b34031c3a2461c31db01f87974f70601bdc5715f5ad1cd100bd6da',
        85004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcf323dc364cee67277541a620af0e2e56f39b21e3631d3cb982181b1c9feb5f',
        85052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0aedf24019a3a23bc084be283f875e50896a01f2e8f681037cc18f2691fd8cdc',
        85064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fe27d153a8b9b466b3d13418d8254b07d178d8468d933595fab1f482fd302fd',
        84948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAdlam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Adlam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam
  static TextTheme notoSansAdlamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansAdlam(textStyle: textTheme.displayLarge),
      displayMedium: notoSansAdlam(textStyle: textTheme.displayMedium),
      displaySmall: notoSansAdlam(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansAdlam(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansAdlam(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansAdlam(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansAdlam(textStyle: textTheme.titleLarge),
      titleMedium: notoSansAdlam(textStyle: textTheme.titleMedium),
      titleSmall: notoSansAdlam(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansAdlam(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansAdlam(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansAdlam(textStyle: textTheme.bodySmall),
      labelLarge: notoSansAdlam(textStyle: textTheme.labelLarge),
      labelMedium: notoSansAdlam(textStyle: textTheme.labelMedium),
      labelSmall: notoSansAdlam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Adlam Unjoined font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam+Unjoined
  static TextStyle notoSansAdlamUnjoined({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bad08dd07ae4cac28eed4a883b8474e3d4b3efe04eca2b3010021ee46664b0fd',
        48340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb48e27c887c115ea62c23668395853aa0c38e7b817dd8ac98a23b7bad5d4df6',
        48392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1c21204d1e81cabc13e04f173dd96c93dcac92a1a2b41318b5763301c407408',
        48408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a231ab0ec7ca38fc98f49cd0cddd5da8c604bb8cee9f83b0f8eac8204d40435e',
        48308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAdlamUnjoined',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Adlam Unjoined font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam+Unjoined
  static TextTheme notoSansAdlamUnjoinedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansAdlamUnjoined(textStyle: textTheme.displayLarge),
      displayMedium: notoSansAdlamUnjoined(textStyle: textTheme.displayMedium),
      displaySmall: notoSansAdlamUnjoined(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansAdlamUnjoined(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansAdlamUnjoined(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansAdlamUnjoined(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansAdlamUnjoined(textStyle: textTheme.titleLarge),
      titleMedium: notoSansAdlamUnjoined(textStyle: textTheme.titleMedium),
      titleSmall: notoSansAdlamUnjoined(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansAdlamUnjoined(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansAdlamUnjoined(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansAdlamUnjoined(textStyle: textTheme.bodySmall),
      labelLarge: notoSansAdlamUnjoined(textStyle: textTheme.labelLarge),
      labelMedium: notoSansAdlamUnjoined(textStyle: textTheme.labelMedium),
      labelSmall: notoSansAdlamUnjoined(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Anatolian Hieroglyphs font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Anatolian+Hieroglyphs
  static TextStyle notoSansAnatolianHieroglyphs({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b7fec31fcf1999c0ed4806c3a1ba64c7301926c597bd38181f8d744a7fe8a7e',
        227240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAnatolianHieroglyphs',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Anatolian Hieroglyphs font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Anatolian+Hieroglyphs
  static TextTheme notoSansAnatolianHieroglyphsTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          notoSansAnatolianHieroglyphs(textStyle: textTheme.displayLarge),
      displayMedium:
          notoSansAnatolianHieroglyphs(textStyle: textTheme.displayMedium),
      displaySmall:
          notoSansAnatolianHieroglyphs(textStyle: textTheme.displaySmall),
      headlineLarge:
          notoSansAnatolianHieroglyphs(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansAnatolianHieroglyphs(textStyle: textTheme.headlineMedium),
      headlineSmall:
          notoSansAnatolianHieroglyphs(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansAnatolianHieroglyphs(textStyle: textTheme.titleLarge),
      titleMedium:
          notoSansAnatolianHieroglyphs(textStyle: textTheme.titleMedium),
      titleSmall: notoSansAnatolianHieroglyphs(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansAnatolianHieroglyphs(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansAnatolianHieroglyphs(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansAnatolianHieroglyphs(textStyle: textTheme.bodySmall),
      labelLarge: notoSansAnatolianHieroglyphs(textStyle: textTheme.labelLarge),
      labelMedium:
          notoSansAnatolianHieroglyphs(textStyle: textTheme.labelMedium),
      labelSmall: notoSansAnatolianHieroglyphs(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Arabic
  static TextStyle notoSansArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6cf2614bfc2885011fd9d47b2bcc7e5a576b3e35d379d4301d8247683a680245',
        162152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cecf509869241973813ea04cf6c437ff1e571722fcd54e329880185baf750b19',
        162412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5219bd6425340861eb21a05d40d54da31875cb534dd128d5799b6b83674b9d1',
        162324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25c2bf5bc8222800e2d8887c3af985f61d5803177bd92b355cb8bffa09c48862',
        161592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47f226b1505792703ac273600be1dbce8c3cc83cd1981b3db5ef15e0f09bdd8a',
        162156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '332c2d597ed4d1f4d1ed84ed493a341cf81515f5e4d392789a4764e084ff4f1f',
        162512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9235e0a73b449ef9a790df7bf5933644ede59c06099f7e96d8cda26c999641cd',
        162268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3614725eeafdb55d8eeabb81fb6fb294a807327fa01c2230b4e074f56922d0b5',
        162896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdbb85b809be063fb065f55b7226dc5161f4804795be56e007d7d3ce70208446',
        162668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Arabic
  static TextTheme notoSansArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansArabic(textStyle: textTheme.displayLarge),
      displayMedium: notoSansArabic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansArabic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansArabic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansArabic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansArabic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansArabic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansArabic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansArabic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansArabic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansArabic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansArabic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansArabic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansArabic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansArabic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Armenian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Armenian
  static TextStyle notoSansArmenian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17d7ef6230ed516f3be7560794328a4d9b8093bcff4ea0f65e6b3e0139b69d93',
        48692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6724349821abafdfcf0c9e7d16f093aef8b34aa42fb420a41786d82f1340990c',
        48752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d51892c66c63d49f5a1dd9f6f3a3cb37bbf552aff23203cbcf11959996988ac',
        48692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '552dab774074dd9a4d9c5b4757b49a9e7e4b5712271eeea1d34082a041cf9dcf',
        48648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb0c14f24754e2abfc1dc3736b6765ab3d7ab3e13cfc8e1f954e6de892ed477e',
        48688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9b82f6edb693fa9d875840e8b2f4d7e1b84c47d05ba68ced4a43fd3ba8ea962',
        48692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56070aaf5130012269a82d5b97f189b9ed33dddc52e3f0351e477c66d41e9bc8',
        48612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '965a6066d74fc52b248e64045b4b86cad6da573e3366353352a5949146754185',
        48664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '127bd14f0dc6302eca33e6589971171c1f008a0db68b56777e66b1178ae1b0b7',
        48616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansArmenian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Armenian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Armenian
  static TextTheme notoSansArmenianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansArmenian(textStyle: textTheme.displayLarge),
      displayMedium: notoSansArmenian(textStyle: textTheme.displayMedium),
      displaySmall: notoSansArmenian(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansArmenian(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansArmenian(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansArmenian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansArmenian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansArmenian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansArmenian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansArmenian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansArmenian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansArmenian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansArmenian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansArmenian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansArmenian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Avestan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Avestan
  static TextStyle notoSansAvestan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc51706add61fda7aaa2bf0947f49eb7295ec5f8c0aa6f5c583df0f2ec3fc157',
        39400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAvestan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Avestan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Avestan
  static TextTheme notoSansAvestanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansAvestan(textStyle: textTheme.displayLarge),
      displayMedium: notoSansAvestan(textStyle: textTheme.displayMedium),
      displaySmall: notoSansAvestan(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansAvestan(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansAvestan(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansAvestan(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansAvestan(textStyle: textTheme.titleLarge),
      titleMedium: notoSansAvestan(textStyle: textTheme.titleMedium),
      titleSmall: notoSansAvestan(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansAvestan(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansAvestan(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansAvestan(textStyle: textTheme.bodySmall),
      labelLarge: notoSansAvestan(textStyle: textTheme.labelLarge),
      labelMedium: notoSansAvestan(textStyle: textTheme.labelMedium),
      labelSmall: notoSansAvestan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Balinese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Balinese
  static TextStyle notoSansBalinese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6edddc1d9a02d8f69d3d10c37f8291ee96311725e3c03dfaba7e19d463e069ca',
        121876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec4eefcb6e02f26391242a8d79d18ed923af5e558c539f106dab922c110a94f5',
        122024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5414b316e49cc5ef80e90143dc3faf1ef8e7b85e87b426590e03bf19c792893',
        122056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfeaaf403d67cebea8d7bbc68d7ba7f95c686006f9d5559761a56e5e6f3dc4e5',
        121868,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBalinese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Balinese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Balinese
  static TextTheme notoSansBalineseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansBalinese(textStyle: textTheme.displayLarge),
      displayMedium: notoSansBalinese(textStyle: textTheme.displayMedium),
      displaySmall: notoSansBalinese(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansBalinese(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansBalinese(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansBalinese(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansBalinese(textStyle: textTheme.titleLarge),
      titleMedium: notoSansBalinese(textStyle: textTheme.titleMedium),
      titleSmall: notoSansBalinese(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansBalinese(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansBalinese(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansBalinese(textStyle: textTheme.bodySmall),
      labelLarge: notoSansBalinese(textStyle: textTheme.labelLarge),
      labelMedium: notoSansBalinese(textStyle: textTheme.labelMedium),
      labelSmall: notoSansBalinese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Bamum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bamum
  static TextStyle notoSansBamum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '872bdb35e8073b568d6ccb41647eda0b65c201af4338d7444735b80f316c5086',
        179836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bab640ec58310d4b76a983120db6e0446a08f1616d01df08a85dafe1281497ca',
        179840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2978eac489bcf4a1937179eaabc9b747b1089d79d2b6bb5b6c2ea04f88d9aea',
        179880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '533dde8b1fa42831c0f8e53dfcdc3e58727f2d5ed99561f95918ff72423fef88',
        179840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBamum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bamum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bamum
  static TextTheme notoSansBamumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansBamum(textStyle: textTheme.displayLarge),
      displayMedium: notoSansBamum(textStyle: textTheme.displayMedium),
      displaySmall: notoSansBamum(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansBamum(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansBamum(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansBamum(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansBamum(textStyle: textTheme.titleLarge),
      titleMedium: notoSansBamum(textStyle: textTheme.titleMedium),
      titleSmall: notoSansBamum(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansBamum(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansBamum(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansBamum(textStyle: textTheme.bodySmall),
      labelLarge: notoSansBamum(textStyle: textTheme.labelLarge),
      labelMedium: notoSansBamum(textStyle: textTheme.labelMedium),
      labelSmall: notoSansBamum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Bassa Vah font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bassa+Vah
  static TextStyle notoSansBassaVah({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f9e562c3e86e11eeb7176930bfae4799df88667028bed4e1e69d02e1ce9ef69',
        39520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '383e7b57d7bc5f4005b409269e58461dbde05e809707f7704a589ce540d133be',
        39564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac2d586d228c63817965b39e54225217966b079c34b3945a1afb2fdd55f22f5c',
        39568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe49bb4acd437be8876059db3c0de64b9f0b95c9741c2afea6f8e1c201c0fb34',
        39472,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBassaVah',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bassa Vah font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bassa+Vah
  static TextTheme notoSansBassaVahTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansBassaVah(textStyle: textTheme.displayLarge),
      displayMedium: notoSansBassaVah(textStyle: textTheme.displayMedium),
      displaySmall: notoSansBassaVah(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansBassaVah(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansBassaVah(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansBassaVah(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansBassaVah(textStyle: textTheme.titleLarge),
      titleMedium: notoSansBassaVah(textStyle: textTheme.titleMedium),
      titleSmall: notoSansBassaVah(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansBassaVah(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansBassaVah(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansBassaVah(textStyle: textTheme.bodySmall),
      labelLarge: notoSansBassaVah(textStyle: textTheme.labelLarge),
      labelMedium: notoSansBassaVah(textStyle: textTheme.labelMedium),
      labelSmall: notoSansBassaVah(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Batak font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Batak
  static TextStyle notoSansBatak({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '991967bb6bb52a6fa8f7f86dd62741d8d6750116db42786e1f6b5960fa6a0f08',
        49860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBatak',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Batak font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Batak
  static TextTheme notoSansBatakTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansBatak(textStyle: textTheme.displayLarge),
      displayMedium: notoSansBatak(textStyle: textTheme.displayMedium),
      displaySmall: notoSansBatak(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansBatak(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansBatak(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansBatak(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansBatak(textStyle: textTheme.titleLarge),
      titleMedium: notoSansBatak(textStyle: textTheme.titleMedium),
      titleSmall: notoSansBatak(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansBatak(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansBatak(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansBatak(textStyle: textTheme.bodySmall),
      labelLarge: notoSansBatak(textStyle: textTheme.labelLarge),
      labelMedium: notoSansBatak(textStyle: textTheme.labelMedium),
      labelSmall: notoSansBatak(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Bengali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bengali
  static TextStyle notoSansBengali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac2ddda5349f79c00e75045a96ad9c4fbbd48c37c953a58de151ce2feace96db',
        166560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b58df7ab4fa7bffd0a2e94e0828abf0d8154ea4deb4ecb1ad53896af34bfe506',
        166784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '076702a4afeff1b6a7ef465887bfa9a92c8385a24f0be50bc786f4202d5e78ef',
        166812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3dc6b3e4b19e7f42df44e0f70c8ab3274294f3b409c90ef12a67ed8e965a0aa',
        166544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14be02597af57bd3506d510f7352c9873dbac03f9f44c9c3aec6973d920b651e',
        166856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36eea003bd6914f7db6cc6fbfc1d41986fec5fc6b1db0cf32a21086304ca148a',
        166960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdc459ab686d4a03d3ac6c028afb1ba565ec5300210ddf75eb312a81bc9aff5a',
        166716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fba286dec7ae14fbb8b05a02ba50b50ff5633ed4c4792d9221d6ac1d338b7edf',
        166940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00e435b491d401949e5f44c406dc354069d34da6031528ce2f098bf93c66f880',
        166872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBengali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bengali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bengali
  static TextTheme notoSansBengaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansBengali(textStyle: textTheme.displayLarge),
      displayMedium: notoSansBengali(textStyle: textTheme.displayMedium),
      displaySmall: notoSansBengali(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansBengali(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansBengali(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansBengali(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansBengali(textStyle: textTheme.titleLarge),
      titleMedium: notoSansBengali(textStyle: textTheme.titleMedium),
      titleSmall: notoSansBengali(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansBengali(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansBengali(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansBengali(textStyle: textTheme.bodySmall),
      labelLarge: notoSansBengali(textStyle: textTheme.labelLarge),
      labelMedium: notoSansBengali(textStyle: textTheme.labelMedium),
      labelSmall: notoSansBengali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Bhaiksuki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bhaiksuki
  static TextStyle notoSansBhaiksuki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c50262a44c9cccdb6dfd6c4a569f0ab1250449d4d3ec28ae629aa6f1c9588f3',
        246156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBhaiksuki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bhaiksuki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bhaiksuki
  static TextTheme notoSansBhaiksukiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansBhaiksuki(textStyle: textTheme.displayLarge),
      displayMedium: notoSansBhaiksuki(textStyle: textTheme.displayMedium),
      displaySmall: notoSansBhaiksuki(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansBhaiksuki(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansBhaiksuki(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansBhaiksuki(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansBhaiksuki(textStyle: textTheme.titleLarge),
      titleMedium: notoSansBhaiksuki(textStyle: textTheme.titleMedium),
      titleSmall: notoSansBhaiksuki(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansBhaiksuki(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansBhaiksuki(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansBhaiksuki(textStyle: textTheme.bodySmall),
      labelLarge: notoSansBhaiksuki(textStyle: textTheme.labelLarge),
      labelMedium: notoSansBhaiksuki(textStyle: textTheme.labelMedium),
      labelSmall: notoSansBhaiksuki(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Brahmi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Brahmi
  static TextStyle notoSansBrahmi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac833cf856e3f461dacd1f9f4dbd05cfac3270402d1907c2b0a241ac68b44231',
        40808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBrahmi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Brahmi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Brahmi
  static TextTheme notoSansBrahmiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansBrahmi(textStyle: textTheme.displayLarge),
      displayMedium: notoSansBrahmi(textStyle: textTheme.displayMedium),
      displaySmall: notoSansBrahmi(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansBrahmi(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansBrahmi(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansBrahmi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansBrahmi(textStyle: textTheme.titleLarge),
      titleMedium: notoSansBrahmi(textStyle: textTheme.titleMedium),
      titleSmall: notoSansBrahmi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansBrahmi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansBrahmi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansBrahmi(textStyle: textTheme.bodySmall),
      labelLarge: notoSansBrahmi(textStyle: textTheme.labelLarge),
      labelMedium: notoSansBrahmi(textStyle: textTheme.labelMedium),
      labelSmall: notoSansBrahmi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Buginese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buginese
  static TextStyle notoSansBuginese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5821a2fc86de888404c615d4c0ad609885b0327e9efb529163d46f1daac73d4',
        35424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBuginese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Buginese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buginese
  static TextTheme notoSansBugineseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansBuginese(textStyle: textTheme.displayLarge),
      displayMedium: notoSansBuginese(textStyle: textTheme.displayMedium),
      displaySmall: notoSansBuginese(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansBuginese(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansBuginese(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansBuginese(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansBuginese(textStyle: textTheme.titleLarge),
      titleMedium: notoSansBuginese(textStyle: textTheme.titleMedium),
      titleSmall: notoSansBuginese(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansBuginese(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansBuginese(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansBuginese(textStyle: textTheme.bodySmall),
      labelLarge: notoSansBuginese(textStyle: textTheme.labelLarge),
      labelMedium: notoSansBuginese(textStyle: textTheme.labelMedium),
      labelSmall: notoSansBuginese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Buhid font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buhid
  static TextStyle notoSansBuhid({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9982dcdb6a665b970ec917ea155248fc6b000c239e6a16f4213bda014de61454',
        29928,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBuhid',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Buhid font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buhid
  static TextTheme notoSansBuhidTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansBuhid(textStyle: textTheme.displayLarge),
      displayMedium: notoSansBuhid(textStyle: textTheme.displayMedium),
      displaySmall: notoSansBuhid(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansBuhid(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansBuhid(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansBuhid(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansBuhid(textStyle: textTheme.titleLarge),
      titleMedium: notoSansBuhid(textStyle: textTheme.titleMedium),
      titleSmall: notoSansBuhid(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansBuhid(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansBuhid(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansBuhid(textStyle: textTheme.bodySmall),
      labelLarge: notoSansBuhid(textStyle: textTheme.labelLarge),
      labelMedium: notoSansBuhid(textStyle: textTheme.labelMedium),
      labelSmall: notoSansBuhid(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Canadian Aboriginal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Canadian+Aboriginal
  static TextStyle notoSansCanadianAboriginal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43f517feff85a58521d2b425991508871657199a7321de6f721f9639b3b1ba17',
        97236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c5e86d277527876e00b8600a038f29d494d07bb596a19c33e6eee9bf1210ada',
        97264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f89d46ad494cd21569c02f991a4ad29f4d841cb7e4a766dd2ac8a44114c06dd',
        97228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '061fa995adf32e5bdff476124d211b59bfa6f6de8f2882cfb9ff5d3dca9f4337',
        97144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'adc409d3458e2e20a399c74c30f2fe996fa23d0d0e96cc7e8f59d9e77772f4c8',
        97160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0e7442600fe41bfb94c99ae53f14a69b86344811d88022d6440f75e77b375a6',
        97104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f56be60a55fd6c02705ff94b149b99052e02019292a0440b39ff585b103cd34f',
        97024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bda0a5fb866823a969b8b95631f02e7737a2ebc5fdadeecfc379ada203ae803',
        97108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac04209f3456c95c0c2038488933197ca89eefa32346279ae2336d2aafcf03af',
        97000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCanadianAboriginal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Canadian Aboriginal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Canadian+Aboriginal
  static TextTheme notoSansCanadianAboriginalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          notoSansCanadianAboriginal(textStyle: textTheme.displayLarge),
      displayMedium:
          notoSansCanadianAboriginal(textStyle: textTheme.displayMedium),
      displaySmall:
          notoSansCanadianAboriginal(textStyle: textTheme.displaySmall),
      headlineLarge:
          notoSansCanadianAboriginal(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansCanadianAboriginal(textStyle: textTheme.headlineMedium),
      headlineSmall:
          notoSansCanadianAboriginal(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansCanadianAboriginal(textStyle: textTheme.titleLarge),
      titleMedium: notoSansCanadianAboriginal(textStyle: textTheme.titleMedium),
      titleSmall: notoSansCanadianAboriginal(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansCanadianAboriginal(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansCanadianAboriginal(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansCanadianAboriginal(textStyle: textTheme.bodySmall),
      labelLarge: notoSansCanadianAboriginal(textStyle: textTheme.labelLarge),
      labelMedium: notoSansCanadianAboriginal(textStyle: textTheme.labelMedium),
      labelSmall: notoSansCanadianAboriginal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Carian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Carian
  static TextStyle notoSansCarian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f91a0a8cd4ae5f183baf7ce214e9c21c01155a56c0ff62946d7e3920c8a663f3',
        5684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCarian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Carian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Carian
  static TextTheme notoSansCarianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansCarian(textStyle: textTheme.displayLarge),
      displayMedium: notoSansCarian(textStyle: textTheme.displayMedium),
      displaySmall: notoSansCarian(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansCarian(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansCarian(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansCarian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansCarian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansCarian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansCarian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansCarian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansCarian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansCarian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansCarian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansCarian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansCarian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Caucasian Albanian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Caucasian+Albanian
  static TextStyle notoSansCaucasianAlbanian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e24578e93314ce131d4096ee16b09535c2f948ef0847f72f05053fde8c7638ec',
        25676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCaucasianAlbanian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Caucasian Albanian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Caucasian+Albanian
  static TextTheme notoSansCaucasianAlbanianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          notoSansCaucasianAlbanian(textStyle: textTheme.displayLarge),
      displayMedium:
          notoSansCaucasianAlbanian(textStyle: textTheme.displayMedium),
      displaySmall:
          notoSansCaucasianAlbanian(textStyle: textTheme.displaySmall),
      headlineLarge:
          notoSansCaucasianAlbanian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansCaucasianAlbanian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          notoSansCaucasianAlbanian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansCaucasianAlbanian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansCaucasianAlbanian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansCaucasianAlbanian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansCaucasianAlbanian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansCaucasianAlbanian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansCaucasianAlbanian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansCaucasianAlbanian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansCaucasianAlbanian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansCaucasianAlbanian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Chakma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Chakma
  static TextStyle notoSansChakma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c13048601ef3a9c97db76d25e8e7c5a6401757cf6414c41337ea18c2913891d',
        84772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansChakma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Chakma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Chakma
  static TextTheme notoSansChakmaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansChakma(textStyle: textTheme.displayLarge),
      displayMedium: notoSansChakma(textStyle: textTheme.displayMedium),
      displaySmall: notoSansChakma(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansChakma(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansChakma(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansChakma(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansChakma(textStyle: textTheme.titleLarge),
      titleMedium: notoSansChakma(textStyle: textTheme.titleMedium),
      titleSmall: notoSansChakma(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansChakma(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansChakma(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansChakma(textStyle: textTheme.bodySmall),
      labelLarge: notoSansChakma(textStyle: textTheme.labelLarge),
      labelMedium: notoSansChakma(textStyle: textTheme.labelMedium),
      labelSmall: notoSansChakma(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Cham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cham
  static TextStyle notoSansCham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfb948dc309b32ea2c28ad1aa577648e3f89263450be81e6cc3be88e96f21e74',
        60188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a07bec718abc16142dda5bec7e53c1c8a827c93f33ec7e79bafdd73f360afcd',
        60536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50e9a3d84e707be17185a509fc72b9f90e1521dae9ae3c356d8c32080eee2227',
        60476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02badb3a987828801740f456bc52267d6bba5867c98810f70826b3699f8725d6',
        60264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '066726f7f30c4b1b1d16a6507497f0b12b67de90906f990cbd46fce87dceb6f1',
        60652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd604f5d0a71a2c17ea41b45c6fab23488d58a0bdae6dd6eb5a62dd5a8ac2fe0b',
        60684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cdf5c59b7f931ce4926b5f0bd1c748e0bb6d99891e2bf4a6dfcd1eeb3027a40',
        60576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77d953efad20bbee7c7c4301e703ff3b918e84f64e10fa031c4cfddb55c3fe09',
        60688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66f38adac19187b5d360c19d793df01e07d099d6a14b1ea22c964c29360f7d00',
        60516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cham
  static TextTheme notoSansChamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansCham(textStyle: textTheme.displayLarge),
      displayMedium: notoSansCham(textStyle: textTheme.displayMedium),
      displaySmall: notoSansCham(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansCham(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansCham(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansCham(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansCham(textStyle: textTheme.titleLarge),
      titleMedium: notoSansCham(textStyle: textTheme.titleMedium),
      titleSmall: notoSansCham(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansCham(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansCham(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansCham(textStyle: textTheme.bodySmall),
      labelLarge: notoSansCham(textStyle: textTheme.labelLarge),
      labelMedium: notoSansCham(textStyle: textTheme.labelMedium),
      labelSmall: notoSansCham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Cherokee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cherokee
  static TextStyle notoSansCherokee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bab30c8088336ad5741040551cfb74dc1c1e7020fb111f3cc1b041c802579f73',
        85384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d4ccd0e65afa08197af86cd38fa739a7ae3ab576bd4790623194d611033900b',
        85656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eede6e6c4266610312744262f94a0b0948da86e5d387c2e19d7533cc9cbfa800',
        85636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d8a9b95bf4d06cde28f75e65d4f6d9c87aa1b257cd77c2683d3b2b1a90624b4',
        85012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a5b5fc8dfe2f689b923310ed0269c6a5d5e4946f65509205b2b47d5a1010551',
        85168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bd048f2c755807d3f30d416ab367a843e28226d6614fca7b18f455b38bd4dc8',
        85296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6102875c6899c6cac531c2fd094951860e7920b4e567e21df17141f0c1847d04',
        85152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7291e6305fc22f3f3c87fb11840973d2d4b46fe904a3812d137ea87e7b27179e',
        85236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77539de09e783da64feb2abb0998fb0eb62854bf2203251971ea6ed35fc1a6d8',
        84924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCherokee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cherokee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cherokee
  static TextTheme notoSansCherokeeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansCherokee(textStyle: textTheme.displayLarge),
      displayMedium: notoSansCherokee(textStyle: textTheme.displayMedium),
      displaySmall: notoSansCherokee(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansCherokee(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansCherokee(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansCherokee(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansCherokee(textStyle: textTheme.titleLarge),
      titleMedium: notoSansCherokee(textStyle: textTheme.titleMedium),
      titleSmall: notoSansCherokee(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansCherokee(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansCherokee(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansCherokee(textStyle: textTheme.bodySmall),
      labelLarge: notoSansCherokee(textStyle: textTheme.labelLarge),
      labelMedium: notoSansCherokee(textStyle: textTheme.labelMedium),
      labelSmall: notoSansCherokee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Coptic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Coptic
  static TextStyle notoSansCoptic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '854895e2145e6e68ec717dd6694a067677156507de28e983a38659aaecce2de7',
        62464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCoptic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Coptic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Coptic
  static TextTheme notoSansCopticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansCoptic(textStyle: textTheme.displayLarge),
      displayMedium: notoSansCoptic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansCoptic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansCoptic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansCoptic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansCoptic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansCoptic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansCoptic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansCoptic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansCoptic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansCoptic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansCoptic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansCoptic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansCoptic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansCoptic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Cuneiform font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cuneiform
  static TextStyle notoSansCuneiform({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f2b2a0acebd7dfd14f13fe15e3f6a07aa5ce8171003a37235ff682b8668d15c',
        819140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCuneiform',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cuneiform font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cuneiform
  static TextTheme notoSansCuneiformTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansCuneiform(textStyle: textTheme.displayLarge),
      displayMedium: notoSansCuneiform(textStyle: textTheme.displayMedium),
      displaySmall: notoSansCuneiform(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansCuneiform(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansCuneiform(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansCuneiform(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansCuneiform(textStyle: textTheme.titleLarge),
      titleMedium: notoSansCuneiform(textStyle: textTheme.titleMedium),
      titleSmall: notoSansCuneiform(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansCuneiform(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansCuneiform(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansCuneiform(textStyle: textTheme.bodySmall),
      labelLarge: notoSansCuneiform(textStyle: textTheme.labelLarge),
      labelMedium: notoSansCuneiform(textStyle: textTheme.labelMedium),
      labelSmall: notoSansCuneiform(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Cypriot font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cypriot
  static TextStyle notoSansCypriot({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64224a8da42c7dbb5a28bf1fbff3531acb044d8bf5bc5e71bd69b706503d732c',
        7328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCypriot',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cypriot font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cypriot
  static TextTheme notoSansCypriotTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansCypriot(textStyle: textTheme.displayLarge),
      displayMedium: notoSansCypriot(textStyle: textTheme.displayMedium),
      displaySmall: notoSansCypriot(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansCypriot(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansCypriot(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansCypriot(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansCypriot(textStyle: textTheme.titleLarge),
      titleMedium: notoSansCypriot(textStyle: textTheme.titleMedium),
      titleSmall: notoSansCypriot(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansCypriot(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansCypriot(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansCypriot(textStyle: textTheme.bodySmall),
      labelLarge: notoSansCypriot(textStyle: textTheme.labelLarge),
      labelMedium: notoSansCypriot(textStyle: textTheme.labelMedium),
      labelSmall: notoSansCypriot(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Deseret font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Deseret
  static TextStyle notoSansDeseret({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd5d317ff72297736ce5816df14ca4ac568df2a12fe56cafff20c78c341be9eb',
        10088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDeseret',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Deseret font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Deseret
  static TextTheme notoSansDeseretTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansDeseret(textStyle: textTheme.displayLarge),
      displayMedium: notoSansDeseret(textStyle: textTheme.displayMedium),
      displaySmall: notoSansDeseret(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansDeseret(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansDeseret(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansDeseret(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansDeseret(textStyle: textTheme.titleLarge),
      titleMedium: notoSansDeseret(textStyle: textTheme.titleMedium),
      titleSmall: notoSansDeseret(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansDeseret(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansDeseret(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansDeseret(textStyle: textTheme.bodySmall),
      labelLarge: notoSansDeseret(textStyle: textTheme.labelLarge),
      labelMedium: notoSansDeseret(textStyle: textTheme.labelMedium),
      labelSmall: notoSansDeseret(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Devanagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Devanagari
  static TextStyle notoSansDevanagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50c27b60b9421ea84cfac8e96992f8ee327ac30f24f3f41dfda2d2969218faa1',
        203008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26763967dfbe465f19bf6f07410a95635ceaf999fbb68dc4b5a3a87b9e4e6242',
        203260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '164f1524cddea74dcf5967ea6538fbe4c68c3b05acd753cfa8bc8bdba15b8c79',
        203248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b85f86947b26542a67c1938c1a69cbb8ac2f36fceb74e3dfd3b64ffc911eae50',
        203008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97cde11428c5f127339287282216edfc0afd457657ca63253780aa33a270cb7f',
        203220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '335582f80b343debee418958db492864f04030322fbafcb16e7dfd0ccf85ed01',
        203256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63ed532e4fc28a9d146e542a0a40a476b487d6ff6ab6960830e930362acea226',
        203268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff18b6d3c1fc6aeed18bfdc27f6ce27f2dbb489b6255af48f933b57e2873a4c7',
        203440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3c2189c2c1811f8d52c7bdbf3159036764968b6b673374c4cd1b317a9797aec',
        203256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDevanagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Devanagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Devanagari
  static TextTheme notoSansDevanagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansDevanagari(textStyle: textTheme.displayLarge),
      displayMedium: notoSansDevanagari(textStyle: textTheme.displayMedium),
      displaySmall: notoSansDevanagari(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansDevanagari(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansDevanagari(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansDevanagari(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansDevanagari(textStyle: textTheme.titleLarge),
      titleMedium: notoSansDevanagari(textStyle: textTheme.titleMedium),
      titleSmall: notoSansDevanagari(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansDevanagari(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansDevanagari(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansDevanagari(textStyle: textTheme.bodySmall),
      labelLarge: notoSansDevanagari(textStyle: textTheme.labelLarge),
      labelMedium: notoSansDevanagari(textStyle: textTheme.labelMedium),
      labelSmall: notoSansDevanagari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Display
  static TextStyle notoSansDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7b5c341fe5771dcf9e682598c78cae7475c5b955a479aa921e45fbcfd7bb871',
        328296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1134bdfe54f78b39841bc3f68e7c93e17e94c2a04c241e6aca932c7b86214361',
        328644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a3a4c60525f76f6fba6fbd341aa8db9829fa892da22521818ab01d655168b23',
        328592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '626c1c90d949045c73a2d5cc5579a5a2debc98df486c002fcae5dcbdbaf435eb',
        327984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2730db348743fd4a86cf4a1d33f5c86f1fcb0bddd36564620255da24feefe088',
        328452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30aacdd857dcfd16cbd69c56d7c735466ebbf7edaccee8df315fe807b6c16190',
        328548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f42e50ebc8fe182d19b8920a0a69e4b2f2a72a7bd7beba186951797159c222a5',
        328248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c31f4316263d13fdb25780cae9d89c64cedfa38b57d632c2b246c42ba0e58b5',
        328724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f84e133aa6d57401b0b7c65d6ca4b60fe69e5e63bd44b8d7f97eec61ea253599',
        328764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9fdc2dfde4bdb8ea9c6d61f2110520c23323643cb9e8b11e06bfecab6380aa16',
        350752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8743d7dd1b692b1763c4b759cc73276ae4123950f54bc203b725235408f0517',
        351224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '983ff9bc8a5c5bbad88fa6baac6014b534b34a854c7a6a336d9106f4f9b396e4',
        350816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '830195c90e484ee9dc8844e183ae238e9b3b7ede173b4eb1167c6654ebd06f7d',
        349532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eb227c09ad0591b6492f6a7644b25580c92f692bda50e16452f45934cdd86d3e',
        349996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0a0d1cb7b9a8fa8e768b472ee391878dbf9232bdc734c8b3fe60bcaffec35d62',
        350104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b95ec211de9e560348430eaf28145f128f59010fed1df2e1fa0e51a99a605be',
        349660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8de2f7361e257950636625a421fb6c4d446d1b5b942348bd7f853314a5805eff',
        350328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '63a96cd6529aa23dbecb27e8266886658fd77b74a28be02ad5f9f7d183316636',
        350188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Display
  static TextTheme notoSansDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansDisplay(textStyle: textTheme.displayLarge),
      displayMedium: notoSansDisplay(textStyle: textTheme.displayMedium),
      displaySmall: notoSansDisplay(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansDisplay(textStyle: textTheme.titleLarge),
      titleMedium: notoSansDisplay(textStyle: textTheme.titleMedium),
      titleSmall: notoSansDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansDisplay(textStyle: textTheme.bodySmall),
      labelLarge: notoSansDisplay(textStyle: textTheme.labelLarge),
      labelMedium: notoSansDisplay(textStyle: textTheme.labelMedium),
      labelSmall: notoSansDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Duployan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Duployan
  static TextStyle notoSansDuployan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d65e0c35583d311f2fdef5c30714968e9d4a8323255cd4465cf5b89bd73439b',
        17464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDuployan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Duployan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Duployan
  static TextTheme notoSansDuployanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansDuployan(textStyle: textTheme.displayLarge),
      displayMedium: notoSansDuployan(textStyle: textTheme.displayMedium),
      displaySmall: notoSansDuployan(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansDuployan(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansDuployan(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansDuployan(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansDuployan(textStyle: textTheme.titleLarge),
      titleMedium: notoSansDuployan(textStyle: textTheme.titleMedium),
      titleSmall: notoSansDuployan(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansDuployan(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansDuployan(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansDuployan(textStyle: textTheme.bodySmall),
      labelLarge: notoSansDuployan(textStyle: textTheme.labelLarge),
      labelMedium: notoSansDuployan(textStyle: textTheme.labelMedium),
      labelSmall: notoSansDuployan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Egyptian Hieroglyphs font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Egyptian+Hieroglyphs
  static TextStyle notoSansEgyptianHieroglyphs({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8d8b24a7afab8914c32ed38152796f169fda238a2e0ae6e3275adf99c516b44',
        584220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansEgyptianHieroglyphs',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Egyptian Hieroglyphs font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Egyptian+Hieroglyphs
  static TextTheme notoSansEgyptianHieroglyphsTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          notoSansEgyptianHieroglyphs(textStyle: textTheme.displayLarge),
      displayMedium:
          notoSansEgyptianHieroglyphs(textStyle: textTheme.displayMedium),
      displaySmall:
          notoSansEgyptianHieroglyphs(textStyle: textTheme.displaySmall),
      headlineLarge:
          notoSansEgyptianHieroglyphs(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansEgyptianHieroglyphs(textStyle: textTheme.headlineMedium),
      headlineSmall:
          notoSansEgyptianHieroglyphs(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansEgyptianHieroglyphs(textStyle: textTheme.titleLarge),
      titleMedium:
          notoSansEgyptianHieroglyphs(textStyle: textTheme.titleMedium),
      titleSmall: notoSansEgyptianHieroglyphs(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansEgyptianHieroglyphs(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansEgyptianHieroglyphs(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansEgyptianHieroglyphs(textStyle: textTheme.bodySmall),
      labelLarge: notoSansEgyptianHieroglyphs(textStyle: textTheme.labelLarge),
      labelMedium:
          notoSansEgyptianHieroglyphs(textStyle: textTheme.labelMedium),
      labelSmall: notoSansEgyptianHieroglyphs(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Elbasan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elbasan
  static TextStyle notoSansElbasan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8db1829d7d68f7956f38788a63610b7fe34d4f5427bab75d6904ea9f4e8bc085',
        10260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansElbasan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Elbasan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elbasan
  static TextTheme notoSansElbasanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansElbasan(textStyle: textTheme.displayLarge),
      displayMedium: notoSansElbasan(textStyle: textTheme.displayMedium),
      displaySmall: notoSansElbasan(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansElbasan(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansElbasan(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansElbasan(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansElbasan(textStyle: textTheme.titleLarge),
      titleMedium: notoSansElbasan(textStyle: textTheme.titleMedium),
      titleSmall: notoSansElbasan(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansElbasan(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansElbasan(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansElbasan(textStyle: textTheme.bodySmall),
      labelLarge: notoSansElbasan(textStyle: textTheme.labelLarge),
      labelMedium: notoSansElbasan(textStyle: textTheme.labelMedium),
      labelSmall: notoSansElbasan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Elymaic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elymaic
  static TextStyle notoSansElymaic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2d50f9ce658090f90b8fa495cafda62832ac8ceadf0e68dc7eb792ae17e36f9',
        4720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansElymaic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Elymaic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elymaic
  static TextTheme notoSansElymaicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansElymaic(textStyle: textTheme.displayLarge),
      displayMedium: notoSansElymaic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansElymaic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansElymaic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansElymaic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansElymaic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansElymaic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansElymaic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansElymaic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansElymaic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansElymaic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansElymaic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansElymaic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansElymaic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansElymaic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Ethiopic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ethiopic
  static TextStyle notoSansEthiopic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2bc0bacefae0e58796fcd6c159c7f123824da7cf05d014f95ab595842c7e812e',
        365276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f7f1300df4d91c84ba480f8e7c5d36c7e3904363ecd5deb6424814621f8945d',
        365424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e108aa8e61a8fcaa7feb718f0c46dc296920cf7daaa1b629bb3eff7f7fcb5c00',
        365456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7352033c180fd85a7e4621d3233d66d97175ecefbe3d8ad87b3fdbb5d72d9c15',
        365340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36b4aff2e298fc77e496b7ad4cf5fc335f13c4ec6f540cf9d7a6b049b4fe16cc',
        365500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfd2fcd404409dddedfd7f2adbba54d6f08db6639375a1916a045928758243af',
        365344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69ab130cc3fcdc4d76c6be473f2533ba0100f1876ccce61a7b73ac0bc4a8cff3',
        365292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '797ed3c631d2b8be0cdf8b4aa8a5556204736564149976332f17a550b4f03858',
        365276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd8c5a4a323f5169d14b61bc48cf55ed6cd8879d5d694bec48229c535ebc3fc1',
        365280,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansEthiopic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ethiopic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ethiopic
  static TextTheme notoSansEthiopicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansEthiopic(textStyle: textTheme.displayLarge),
      displayMedium: notoSansEthiopic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansEthiopic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansEthiopic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansEthiopic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansEthiopic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansEthiopic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansEthiopic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansEthiopic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansEthiopic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansEthiopic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansEthiopic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansEthiopic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansEthiopic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansEthiopic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Georgian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Georgian
  static TextStyle notoSansGeorgian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '925ef9aa00e741194d04bd81a0e2779fbde5c5622f40c3df8460419991ea8d99',
        65508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '882f93af61e72a101812c10cabea7095673ff3ea712389b03393d4d477b99b5f',
        65572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6419524f973944acdda02a3a80e92a688bcd355cb1c6222c23fcfd2256db1ec7',
        65540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5fb39f854ff25a08d20a9b1aa10eea44dfb7c3ccf3877fd7efe12727ad08721',
        65488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a702a29dd841c2c31694a3d6c1077a5c59cf70a1653eafa94f726dfbccf67ae',
        65516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a194b584c44b912b8c3c1bb16ad214c940c326cc76e447c02b587cb947f6299',
        65524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '386a8e6aa2bb4d0bfea7def0e17578da928df9990268e6ce1d4fcd2ff3642eb2',
        65436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e52a62192b2ebf92ea74e1bb30cffcd8b9f933e336c45b58264abc055764ab3b',
        65456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '820ccf1d542c86ddd1351a3b05d9526cd66187c0618742d101634bc75eb5cd75',
        65404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGeorgian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Georgian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Georgian
  static TextTheme notoSansGeorgianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansGeorgian(textStyle: textTheme.displayLarge),
      displayMedium: notoSansGeorgian(textStyle: textTheme.displayMedium),
      displaySmall: notoSansGeorgian(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansGeorgian(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansGeorgian(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansGeorgian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansGeorgian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansGeorgian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansGeorgian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansGeorgian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansGeorgian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansGeorgian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansGeorgian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansGeorgian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansGeorgian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Glagolitic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Glagolitic
  static TextStyle notoSansGlagolitic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19a59c25a4ad15509971a871bb55fa977b00a705cb5d709e75ec4ce1807b9971',
        22288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGlagolitic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Glagolitic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Glagolitic
  static TextTheme notoSansGlagoliticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansGlagolitic(textStyle: textTheme.displayLarge),
      displayMedium: notoSansGlagolitic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansGlagolitic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansGlagolitic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansGlagolitic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansGlagolitic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansGlagolitic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansGlagolitic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansGlagolitic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansGlagolitic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansGlagolitic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansGlagolitic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansGlagolitic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansGlagolitic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansGlagolitic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gothic
  static TextStyle notoSansGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33e4a647c2f0d107e063a33cde8d7b165cc640527a11f421bf2b2a95c0d42e3e',
        5140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gothic
  static TextTheme notoSansGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansGothic(textStyle: textTheme.displayLarge),
      displayMedium: notoSansGothic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansGothic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansGothic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansGothic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansGothic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansGothic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansGothic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansGothic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansGothic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansGothic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansGothic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansGothic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Grantha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Grantha
  static TextStyle notoSansGrantha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dde4e46d993cb275de61ec4ccd8df9fa8a1b6e6372be0685ca06acee3abff62',
        291396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGrantha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Grantha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Grantha
  static TextTheme notoSansGranthaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansGrantha(textStyle: textTheme.displayLarge),
      displayMedium: notoSansGrantha(textStyle: textTheme.displayMedium),
      displaySmall: notoSansGrantha(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansGrantha(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansGrantha(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansGrantha(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansGrantha(textStyle: textTheme.titleLarge),
      titleMedium: notoSansGrantha(textStyle: textTheme.titleMedium),
      titleSmall: notoSansGrantha(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansGrantha(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansGrantha(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansGrantha(textStyle: textTheme.bodySmall),
      labelLarge: notoSansGrantha(textStyle: textTheme.labelLarge),
      labelMedium: notoSansGrantha(textStyle: textTheme.labelMedium),
      labelSmall: notoSansGrantha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Gujarati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gujarati
  static TextStyle notoSansGujarati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab9ee43de9f5a567f423c55a7530c3ebd7db88bc57288ea7befff5469c4bfccd',
        172312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1020427d64822aff396dd7ec5018a894cdb51c63f71a0ce83905108f385a6d0',
        172504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90952e72306a46f3e3e6acc3102d70b46e29774c9bf055fa1574b7bb256da34f',
        172560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b0e5c454e9174b0bbff9b451541a6851cdeb277e997cb4f4c565e484b76462b',
        172312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '356fb84b8d70f9238d6c15b8bbd4b840a0d176d6c9962db6126e77161be35962',
        172536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e19bfcbc2f41d81352f434289a4431dff18ec68257d919cec99e0338515e9f68',
        172552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14ccb276b13c5d9d9d05064b9ce839f64abf1224be0530e591577eddafc9ebf1',
        172476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eaf5f59a7498a8bd649c2e9a72f9a6d3d3d343071e0298aa050300ab10a5573c',
        172748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86e848ba032c61db1da51a482eb97c3d426b9abe3f164d496ec2ff396052d29c',
        172536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGujarati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gujarati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gujarati
  static TextTheme notoSansGujaratiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansGujarati(textStyle: textTheme.displayLarge),
      displayMedium: notoSansGujarati(textStyle: textTheme.displayMedium),
      displaySmall: notoSansGujarati(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansGujarati(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansGujarati(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansGujarati(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansGujarati(textStyle: textTheme.titleLarge),
      titleMedium: notoSansGujarati(textStyle: textTheme.titleMedium),
      titleSmall: notoSansGujarati(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansGujarati(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansGujarati(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansGujarati(textStyle: textTheme.bodySmall),
      labelLarge: notoSansGujarati(textStyle: textTheme.labelLarge),
      labelMedium: notoSansGujarati(textStyle: textTheme.labelMedium),
      labelSmall: notoSansGujarati(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Gunjala Gondi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gunjala+Gondi
  static TextStyle notoSansGunjalaGondi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3ae7923704e2060fcdcc69a151f360f8c6b7db71e8086550115b7981aea77a4',
        61064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGunjalaGondi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gunjala Gondi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gunjala+Gondi
  static TextTheme notoSansGunjalaGondiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansGunjalaGondi(textStyle: textTheme.displayLarge),
      displayMedium: notoSansGunjalaGondi(textStyle: textTheme.displayMedium),
      displaySmall: notoSansGunjalaGondi(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansGunjalaGondi(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansGunjalaGondi(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansGunjalaGondi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansGunjalaGondi(textStyle: textTheme.titleLarge),
      titleMedium: notoSansGunjalaGondi(textStyle: textTheme.titleMedium),
      titleSmall: notoSansGunjalaGondi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansGunjalaGondi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansGunjalaGondi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansGunjalaGondi(textStyle: textTheme.bodySmall),
      labelLarge: notoSansGunjalaGondi(textStyle: textTheme.labelLarge),
      labelMedium: notoSansGunjalaGondi(textStyle: textTheme.labelMedium),
      labelSmall: notoSansGunjalaGondi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Gurmukhi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gurmukhi
  static TextStyle notoSansGurmukhi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22f107245d8ddc2936b3ea1960b5a53b0feb704589da8cf42a72a484eceb5717',
        57616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8ca1b03071ae2c31e6a9355a9602c761a126d8175e651cb174f9f5f3f3c42b0',
        57772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c2be573d72202041aaadfc56677a137f69bb52696e151dd3048e24295f2f0d4',
        57692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '037add035e4dbe146a8e7d810e5d0d990327e28ed6156a8b5c6e0e1b9de568c9',
        57504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86eceacddc7ca9e205c878a794e9f572a9b08b50858e1717a64fb28d093b8c4b',
        57596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab39c2f738ca93a9f7168f9328b10bf14da3738050f7f25be94cda6cdcc6ff2f',
        57668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f0c1b8d7dcc0cdfe95b68017c0f25a3084ec5f4f6b8b9e535f636193f4767b3',
        57568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f53762eacf28b66a6cb0210b7d265b9f231b589d864afe5853360f90244371cd',
        57688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d99686606a15cfb7fe3cffc0c10ad4ae26a185ad76badaefed0c515640f5c3b',
        57536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGurmukhi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gurmukhi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gurmukhi
  static TextTheme notoSansGurmukhiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansGurmukhi(textStyle: textTheme.displayLarge),
      displayMedium: notoSansGurmukhi(textStyle: textTheme.displayMedium),
      displaySmall: notoSansGurmukhi(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansGurmukhi(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansGurmukhi(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansGurmukhi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansGurmukhi(textStyle: textTheme.titleLarge),
      titleMedium: notoSansGurmukhi(textStyle: textTheme.titleMedium),
      titleSmall: notoSansGurmukhi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansGurmukhi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansGurmukhi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansGurmukhi(textStyle: textTheme.bodySmall),
      labelLarge: notoSansGurmukhi(textStyle: textTheme.labelLarge),
      labelMedium: notoSansGurmukhi(textStyle: textTheme.labelMedium),
      labelSmall: notoSansGurmukhi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Hanifi Rohingya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanifi+Rohingya
  static TextStyle notoSansHanifiRohingya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bad41dae5e5554eff3a045570433b7c484fe24b057276aaa0a84ac9b0ecc4e3f',
        46312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9775a80c3cf1f5ce90921df9689d93c24d143dc56e11a4a9de986532dec6be30',
        46380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7cb9015da39e924a9a954526bce6572090372d5bb83d674a5e25f84bbd77382',
        46416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5868e4bc4bff58a144f403b5dbcefe57ce08a673a413f044776c97b647006b0',
        46336,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHanifiRohingya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hanifi Rohingya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanifi+Rohingya
  static TextTheme notoSansHanifiRohingyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansHanifiRohingya(textStyle: textTheme.displayLarge),
      displayMedium: notoSansHanifiRohingya(textStyle: textTheme.displayMedium),
      displaySmall: notoSansHanifiRohingya(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansHanifiRohingya(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansHanifiRohingya(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansHanifiRohingya(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansHanifiRohingya(textStyle: textTheme.titleLarge),
      titleMedium: notoSansHanifiRohingya(textStyle: textTheme.titleMedium),
      titleSmall: notoSansHanifiRohingya(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansHanifiRohingya(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansHanifiRohingya(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansHanifiRohingya(textStyle: textTheme.bodySmall),
      labelLarge: notoSansHanifiRohingya(textStyle: textTheme.labelLarge),
      labelMedium: notoSansHanifiRohingya(textStyle: textTheme.labelMedium),
      labelSmall: notoSansHanifiRohingya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Hanunoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanunoo
  static TextStyle notoSansHanunoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2178b2c6e787beedf2ef2566b22a83628ffb17e06b9a9835f9ca215d7e0ef9cb',
        34880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHanunoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hanunoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanunoo
  static TextTheme notoSansHanunooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansHanunoo(textStyle: textTheme.displayLarge),
      displayMedium: notoSansHanunoo(textStyle: textTheme.displayMedium),
      displaySmall: notoSansHanunoo(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansHanunoo(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansHanunoo(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansHanunoo(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansHanunoo(textStyle: textTheme.titleLarge),
      titleMedium: notoSansHanunoo(textStyle: textTheme.titleMedium),
      titleSmall: notoSansHanunoo(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansHanunoo(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansHanunoo(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansHanunoo(textStyle: textTheme.bodySmall),
      labelLarge: notoSansHanunoo(textStyle: textTheme.labelLarge),
      labelMedium: notoSansHanunoo(textStyle: textTheme.labelMedium),
      labelSmall: notoSansHanunoo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Hatran font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hatran
  static TextStyle notoSansHatran({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a34cac0fc3e9de2739b68efdcf44d7d372e844e161c47b51da98dbb015544515',
        3936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHatran',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hatran font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hatran
  static TextTheme notoSansHatranTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansHatran(textStyle: textTheme.displayLarge),
      displayMedium: notoSansHatran(textStyle: textTheme.displayMedium),
      displaySmall: notoSansHatran(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansHatran(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansHatran(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansHatran(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansHatran(textStyle: textTheme.titleLarge),
      titleMedium: notoSansHatran(textStyle: textTheme.titleMedium),
      titleSmall: notoSansHatran(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansHatran(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansHatran(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansHatran(textStyle: textTheme.bodySmall),
      labelLarge: notoSansHatran(textStyle: textTheme.labelLarge),
      labelMedium: notoSansHatran(textStyle: textTheme.labelMedium),
      labelSmall: notoSansHatran(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hebrew
  static TextStyle notoSansHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80104cfcf61b7dfa2283fd323241902874ddd2b525a84873ec3e318df61ca4f0',
        41328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65222d02adb149939e06717c0e9bfb24489899d7d7ff9f3788157542176bd098',
        41416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6bae022df5d83d71f5d732b8dcde72f02628f72bdf35ca2afb581a3b118fe2f',
        41328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4ce2493bbc8109fe79c07d36fe5023c7aed434c25ddfee9c1fe84fd59df6965',
        41296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a047a6be598aa6dd90cc01363a45381795cb263ccf6a39799aebcee18c02b8fb',
        41332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29d07ff087fb41862c5782a4a8ae09e518506089fb888ea9cc45b8cb944288ca',
        41356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f834222fa9633c9c5a67ae914527cabcbaad3e80b634e0c60c3cf1b79d81be4d',
        41216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad48aa976e76983737f8ef04c54955c22679920db0585134c81e2e1075a86cb0',
        41284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8bc82320c4550ea9c9759410849acb17e66f825e0604ac256de57aa85f4f880',
        41212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hebrew
  static TextTheme notoSansHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansHebrew(textStyle: textTheme.displayLarge),
      displayMedium: notoSansHebrew(textStyle: textTheme.displayMedium),
      displaySmall: notoSansHebrew(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansHebrew(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansHebrew(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansHebrew(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansHebrew(textStyle: textTheme.titleLarge),
      titleMedium: notoSansHebrew(textStyle: textTheme.titleMedium),
      titleSmall: notoSansHebrew(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansHebrew(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansHebrew(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansHebrew(textStyle: textTheme.bodySmall),
      labelLarge: notoSansHebrew(textStyle: textTheme.labelLarge),
      labelMedium: notoSansHebrew(textStyle: textTheme.labelMedium),
      labelSmall: notoSansHebrew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Imperial Aramaic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Imperial+Aramaic
  static TextStyle notoSansImperialAramaic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71d68e7f88e810673aa7152a814623ed781b2c484ed5ba0612fa4ffdddb51e47',
        5260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansImperialAramaic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Imperial Aramaic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Imperial+Aramaic
  static TextTheme notoSansImperialAramaicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansImperialAramaic(textStyle: textTheme.displayLarge),
      displayMedium:
          notoSansImperialAramaic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansImperialAramaic(textStyle: textTheme.displaySmall),
      headlineLarge:
          notoSansImperialAramaic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansImperialAramaic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          notoSansImperialAramaic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansImperialAramaic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansImperialAramaic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansImperialAramaic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansImperialAramaic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansImperialAramaic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansImperialAramaic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansImperialAramaic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansImperialAramaic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansImperialAramaic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Indic Siyaq Numbers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Indic+Siyaq+Numbers
  static TextStyle notoSansIndicSiyaqNumbers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8778de4424790282d0ddb573efe2cc256ddd84cd262e5c955ef7fb6ac758803',
        21412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansIndicSiyaqNumbers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Indic Siyaq Numbers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Indic+Siyaq+Numbers
  static TextTheme notoSansIndicSiyaqNumbersTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          notoSansIndicSiyaqNumbers(textStyle: textTheme.displayLarge),
      displayMedium:
          notoSansIndicSiyaqNumbers(textStyle: textTheme.displayMedium),
      displaySmall:
          notoSansIndicSiyaqNumbers(textStyle: textTheme.displaySmall),
      headlineLarge:
          notoSansIndicSiyaqNumbers(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansIndicSiyaqNumbers(textStyle: textTheme.headlineMedium),
      headlineSmall:
          notoSansIndicSiyaqNumbers(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansIndicSiyaqNumbers(textStyle: textTheme.titleLarge),
      titleMedium: notoSansIndicSiyaqNumbers(textStyle: textTheme.titleMedium),
      titleSmall: notoSansIndicSiyaqNumbers(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansIndicSiyaqNumbers(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansIndicSiyaqNumbers(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansIndicSiyaqNumbers(textStyle: textTheme.bodySmall),
      labelLarge: notoSansIndicSiyaqNumbers(textStyle: textTheme.labelLarge),
      labelMedium: notoSansIndicSiyaqNumbers(textStyle: textTheme.labelMedium),
      labelSmall: notoSansIndicSiyaqNumbers(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Inscriptional Pahlavi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Pahlavi
  static TextStyle notoSansInscriptionalPahlavi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdf5b6f1a8b597f7b8ab231369438a1c672d54982ffe35cf7795a5973a5ccee9',
        4804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansInscriptionalPahlavi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Inscriptional Pahlavi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Pahlavi
  static TextTheme notoSansInscriptionalPahlaviTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          notoSansInscriptionalPahlavi(textStyle: textTheme.displayLarge),
      displayMedium:
          notoSansInscriptionalPahlavi(textStyle: textTheme.displayMedium),
      displaySmall:
          notoSansInscriptionalPahlavi(textStyle: textTheme.displaySmall),
      headlineLarge:
          notoSansInscriptionalPahlavi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansInscriptionalPahlavi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          notoSansInscriptionalPahlavi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansInscriptionalPahlavi(textStyle: textTheme.titleLarge),
      titleMedium:
          notoSansInscriptionalPahlavi(textStyle: textTheme.titleMedium),
      titleSmall: notoSansInscriptionalPahlavi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansInscriptionalPahlavi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansInscriptionalPahlavi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansInscriptionalPahlavi(textStyle: textTheme.bodySmall),
      labelLarge: notoSansInscriptionalPahlavi(textStyle: textTheme.labelLarge),
      labelMedium:
          notoSansInscriptionalPahlavi(textStyle: textTheme.labelMedium),
      labelSmall: notoSansInscriptionalPahlavi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Inscriptional Parthian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Parthian
  static TextStyle notoSansInscriptionalParthian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcd697800a8f12c4eca32a89e51df6461b2581a979c420e02d9fbe40b72108fd',
        6564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansInscriptionalParthian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Inscriptional Parthian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Parthian
  static TextTheme notoSansInscriptionalParthianTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          notoSansInscriptionalParthian(textStyle: textTheme.displayLarge),
      displayMedium:
          notoSansInscriptionalParthian(textStyle: textTheme.displayMedium),
      displaySmall:
          notoSansInscriptionalParthian(textStyle: textTheme.displaySmall),
      headlineLarge:
          notoSansInscriptionalParthian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansInscriptionalParthian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          notoSansInscriptionalParthian(textStyle: textTheme.headlineSmall),
      titleLarge:
          notoSansInscriptionalParthian(textStyle: textTheme.titleLarge),
      titleMedium:
          notoSansInscriptionalParthian(textStyle: textTheme.titleMedium),
      titleSmall:
          notoSansInscriptionalParthian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansInscriptionalParthian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          notoSansInscriptionalParthian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansInscriptionalParthian(textStyle: textTheme.bodySmall),
      labelLarge:
          notoSansInscriptionalParthian(textStyle: textTheme.labelLarge),
      labelMedium:
          notoSansInscriptionalParthian(textStyle: textTheme.labelMedium),
      labelSmall:
          notoSansInscriptionalParthian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Javanese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Javanese
  static TextStyle notoSansJavanese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24154a4acacbd6ecf15d194b04e2f25e963e39f1d2768431ea39b4e14c38c9bd',
        151008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fb90019e54aa65098ec548b4e103a10d07fe0300ad1ef1051fca58288cd899a',
        151352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '415a3ad42461a539904972cf3152df041c5ee1e8bbce40787d184e672dd87ac5',
        151264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6b8249c575dca77e47ff87a488c13878e5f1c793ba7eff3a4a1a15fcbe30ca7',
        150564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansJavanese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Javanese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Javanese
  static TextTheme notoSansJavaneseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansJavanese(textStyle: textTheme.displayLarge),
      displayMedium: notoSansJavanese(textStyle: textTheme.displayMedium),
      displaySmall: notoSansJavanese(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansJavanese(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansJavanese(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansJavanese(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansJavanese(textStyle: textTheme.titleLarge),
      titleMedium: notoSansJavanese(textStyle: textTheme.titleMedium),
      titleSmall: notoSansJavanese(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansJavanese(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansJavanese(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansJavanese(textStyle: textTheme.bodySmall),
      labelLarge: notoSansJavanese(textStyle: textTheme.labelLarge),
      labelMedium: notoSansJavanese(textStyle: textTheme.labelMedium),
      labelSmall: notoSansJavanese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Kaithi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kaithi
  static TextStyle notoSansKaithi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf66bb4e97c9896f9ee4a5e143bbcd2f844d52858a988470fe2f5c99ec715b4a',
        41908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKaithi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kaithi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kaithi
  static TextTheme notoSansKaithiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansKaithi(textStyle: textTheme.displayLarge),
      displayMedium: notoSansKaithi(textStyle: textTheme.displayMedium),
      displaySmall: notoSansKaithi(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansKaithi(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansKaithi(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansKaithi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansKaithi(textStyle: textTheme.titleLarge),
      titleMedium: notoSansKaithi(textStyle: textTheme.titleMedium),
      titleSmall: notoSansKaithi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansKaithi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansKaithi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansKaithi(textStyle: textTheme.bodySmall),
      labelLarge: notoSansKaithi(textStyle: textTheme.labelLarge),
      labelMedium: notoSansKaithi(textStyle: textTheme.labelMedium),
      labelSmall: notoSansKaithi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Kannada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kannada
  static TextStyle notoSansKannada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90adf0be657afc741d52ced84093979940bd37fa41e8526fa1a7ae64c8081657',
        144108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5646cbb81e48d70e0372a45038b32529e5b1334e7a0d6f33a929cca5ccf5c193',
        144320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bbebf8b468393c8734a1deb4e1721dcc1e998f68723b61fab12240d0deb8ace',
        144212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cae909538479a0187ae7cc6c90b93747eb7264fa8016edf0698a4ab2d2d716c8',
        143892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4bfd0ef5ed4b88729b7001397a66b19942c2fa662f9365288eef0d9acc40a90b',
        144032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5a33070fc5e123bd551f784781a978ecdd189f242ebbaa1d7151cc77b6e5df1',
        144120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e46151fc55bb8f76bd785bd9f9b4b624e4623df4bfc9c3de20a8ae8af4b62b75',
        144064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7dff250ae792f4201aa16f55bfd7bc35e59f3afa6a0faeb22f9ced7e4043caf',
        144220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c210984cde2dd2ffc054961466042eef86ac52f4ecd9eea4d7d2e067c7c8bc3d',
        144208,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKannada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kannada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kannada
  static TextTheme notoSansKannadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansKannada(textStyle: textTheme.displayLarge),
      displayMedium: notoSansKannada(textStyle: textTheme.displayMedium),
      displaySmall: notoSansKannada(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansKannada(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansKannada(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansKannada(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansKannada(textStyle: textTheme.titleLarge),
      titleMedium: notoSansKannada(textStyle: textTheme.titleMedium),
      titleSmall: notoSansKannada(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansKannada(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansKannada(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansKannada(textStyle: textTheme.bodySmall),
      labelLarge: notoSansKannada(textStyle: textTheme.labelLarge),
      labelMedium: notoSansKannada(textStyle: textTheme.labelMedium),
      labelSmall: notoSansKannada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Kayah Li font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kayah+Li
  static TextStyle notoSansKayahLi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8b8b0cd6fe342c4a7fc93c24d626f829a5ee853e71ae0a817d097f4a71f53ed',
        33128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4b9ca4456599b24750f4284b4b6fcc9a5e71c1a4f9a147043374a6b6ad089dd',
        33208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d0538b217ebd0f8cad58bba4e9cf4aa4c4279e68e55a336dc55516678c66c15',
        33248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '905b5068c0c4f8572276e6a29352c4899fd898b68646069bd89472e23636b84a',
        33152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKayahLi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kayah Li font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kayah+Li
  static TextTheme notoSansKayahLiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansKayahLi(textStyle: textTheme.displayLarge),
      displayMedium: notoSansKayahLi(textStyle: textTheme.displayMedium),
      displaySmall: notoSansKayahLi(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansKayahLi(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansKayahLi(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansKayahLi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansKayahLi(textStyle: textTheme.titleLarge),
      titleMedium: notoSansKayahLi(textStyle: textTheme.titleMedium),
      titleSmall: notoSansKayahLi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansKayahLi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansKayahLi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansKayahLi(textStyle: textTheme.bodySmall),
      labelLarge: notoSansKayahLi(textStyle: textTheme.labelLarge),
      labelMedium: notoSansKayahLi(textStyle: textTheme.labelMedium),
      labelSmall: notoSansKayahLi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Kharoshthi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kharoshthi
  static TextStyle notoSansKharoshthi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b94814f220a98ae488817ea138d9436c643e6c3656ce951693ddfc0c269b95d',
        68856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKharoshthi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kharoshthi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kharoshthi
  static TextTheme notoSansKharoshthiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansKharoshthi(textStyle: textTheme.displayLarge),
      displayMedium: notoSansKharoshthi(textStyle: textTheme.displayMedium),
      displaySmall: notoSansKharoshthi(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansKharoshthi(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansKharoshthi(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansKharoshthi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansKharoshthi(textStyle: textTheme.titleLarge),
      titleMedium: notoSansKharoshthi(textStyle: textTheme.titleMedium),
      titleSmall: notoSansKharoshthi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansKharoshthi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansKharoshthi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansKharoshthi(textStyle: textTheme.bodySmall),
      labelLarge: notoSansKharoshthi(textStyle: textTheme.labelLarge),
      labelMedium: notoSansKharoshthi(textStyle: textTheme.labelMedium),
      labelSmall: notoSansKharoshthi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Khmer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khmer
  static TextStyle notoSansKhmer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '222f2fa2178d6a15413728ed32f08bfbb26ede11dd3c9848f5170ecb9933ecd0',
        100784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '547ee8eaede0bd260e0f5f3479d74110064a65a631cf2e4052aed202fb3e75ba',
        100804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7907f0dbecc5ff8a222d7d53a8c005400796e7338fa5525e656d2c242e14948',
        100716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2acd758b22a1bf6aebdec12b730de0dd7a2a24e767eebb2055ffaad9415b281',
        100088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c2aa89c619d029294372acaa19b04ee01755c8b463b6bb3a904dbec17caef74',
        100616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06ccf42fa2a20f957f86840c8481a5b956e170a7984b40ba9e5f29c7241f96a7',
        100628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a443a4ccfb3780a83adfdadd30c2b96361a56a98caa57a6efa07d058c0eb85c',
        100572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5e16c2e504ef83254b30f85061b7ade5a16cd7ecadeab768a9b7cb4e04d608a',
        100680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c6227a77f7af9e0d562f335b03ffb44a67920ccb2be75f8c54422c6c6fa87cf',
        100568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKhmer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Khmer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khmer
  static TextTheme notoSansKhmerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansKhmer(textStyle: textTheme.displayLarge),
      displayMedium: notoSansKhmer(textStyle: textTheme.displayMedium),
      displaySmall: notoSansKhmer(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansKhmer(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansKhmer(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansKhmer(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansKhmer(textStyle: textTheme.titleLarge),
      titleMedium: notoSansKhmer(textStyle: textTheme.titleMedium),
      titleSmall: notoSansKhmer(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansKhmer(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansKhmer(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansKhmer(textStyle: textTheme.bodySmall),
      labelLarge: notoSansKhmer(textStyle: textTheme.labelLarge),
      labelMedium: notoSansKhmer(textStyle: textTheme.labelMedium),
      labelSmall: notoSansKhmer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Khojki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khojki
  static TextStyle notoSansKhojki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5461ff34f0a13a0784f43e72cf4fb37e9a335f72465523ca61d3855fd3fded0d',
        73592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKhojki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Khojki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khojki
  static TextTheme notoSansKhojkiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansKhojki(textStyle: textTheme.displayLarge),
      displayMedium: notoSansKhojki(textStyle: textTheme.displayMedium),
      displaySmall: notoSansKhojki(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansKhojki(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansKhojki(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansKhojki(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansKhojki(textStyle: textTheme.titleLarge),
      titleMedium: notoSansKhojki(textStyle: textTheme.titleMedium),
      titleSmall: notoSansKhojki(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansKhojki(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansKhojki(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansKhojki(textStyle: textTheme.bodySmall),
      labelLarge: notoSansKhojki(textStyle: textTheme.labelLarge),
      labelMedium: notoSansKhojki(textStyle: textTheme.labelMedium),
      labelSmall: notoSansKhojki(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Khudawadi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khudawadi
  static TextStyle notoSansKhudawadi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd20aafa8d8070841fab37a855f0be7e10ff9e45c734ea4134d377176b09e27c4',
        17804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKhudawadi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Khudawadi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khudawadi
  static TextTheme notoSansKhudawadiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansKhudawadi(textStyle: textTheme.displayLarge),
      displayMedium: notoSansKhudawadi(textStyle: textTheme.displayMedium),
      displaySmall: notoSansKhudawadi(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansKhudawadi(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansKhudawadi(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansKhudawadi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansKhudawadi(textStyle: textTheme.titleLarge),
      titleMedium: notoSansKhudawadi(textStyle: textTheme.titleMedium),
      titleSmall: notoSansKhudawadi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansKhudawadi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansKhudawadi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansKhudawadi(textStyle: textTheme.bodySmall),
      labelLarge: notoSansKhudawadi(textStyle: textTheme.labelLarge),
      labelMedium: notoSansKhudawadi(textStyle: textTheme.labelMedium),
      labelSmall: notoSansKhudawadi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao
  static TextStyle notoSansLao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bee4f66693bafa21fe7a845aac97b3a7ea9feba0cc806140095ff34df903711',
        43604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92d28eef402f22169bbf98b6ab0822614555c967ea1e95daf915231e67b13097',
        43696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3069c5551c30ac92c6ec19ddfa6749a8a1d87ff9949b50b43c0dd6089f0fff70',
        43628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dff2b0d48ef2ae6808826716ac5a566380f09c8d0f33c552998805817281cb7',
        43480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5a09c2196e6bb57603106df0ca8a9053d20a6ecd8a222db3adc4b1e2ff028b8',
        43600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b3062a466e3fc0e0f7f59edcc198a89a11f215d432706cb1332955ceb5d5bbe',
        43600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fa1fedad4ee381ce5b672731ac22c84b5ab2d39738f3213a59b7901208f7d04',
        43524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5443186d3bc519745df45cd36fa35d8df1d3f4a93260547c6b89299eb5245a86',
        43596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc86600240a3d227777d2f5d1c85841e49f1002812676d9137c21c31a8852387',
        43496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao
  static TextTheme notoSansLaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansLao(textStyle: textTheme.displayLarge),
      displayMedium: notoSansLao(textStyle: textTheme.displayMedium),
      displaySmall: notoSansLao(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansLao(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansLao(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansLao(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansLao(textStyle: textTheme.titleLarge),
      titleMedium: notoSansLao(textStyle: textTheme.titleMedium),
      titleSmall: notoSansLao(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansLao(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansLao(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansLao(textStyle: textTheme.bodySmall),
      labelLarge: notoSansLao(textStyle: textTheme.labelLarge),
      labelMedium: notoSansLao(textStyle: textTheme.labelMedium),
      labelSmall: notoSansLao(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lao Looped font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao+Looped
  static TextStyle notoSansLaoLooped({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc44de6cc46befcdfcadca39b13908e03a4c1a66a11d520065b83f4fdb81dc59',
        58572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b1d10637581f64a956e3a2a6e481ed63875b4cbd803dd9a55c46bae55599220',
        58708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5eabd453ae4610d2ef269f73bec8bcf1346b2169fcb587e739b184aa785ac8e',
        58692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39ff9fac4585cbae531f9fc4c0bf8d3af19d8bda75e7abdb78e74a53a572767e',
        58612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '028fbd651ac6ba5772acb6e4b4e635d63aa47b24acf21b3d5c9a8c63d1ac4c52',
        59020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1fb55860db54d23e830ec70aa71489fc08d45620daefb76dce1336c80dcd6f5',
        60944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1b0471130c69d8f136e3d739d14b82a5d922f39dc0b369854ab013a9dc9905d',
        60876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '750c09d9253e8bbd1e0d9ed2a9ee1bc4dfc4366bcc0d10e9266230ae523d4fd2',
        60972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40a5139e2b7f22e3039a115cbb0250111ee07e475dc7ab12593a52373dd5e3e4',
        60892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLaoLooped',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lao Looped font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao+Looped
  static TextTheme notoSansLaoLoopedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansLaoLooped(textStyle: textTheme.displayLarge),
      displayMedium: notoSansLaoLooped(textStyle: textTheme.displayMedium),
      displaySmall: notoSansLaoLooped(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansLaoLooped(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansLaoLooped(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansLaoLooped(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansLaoLooped(textStyle: textTheme.titleLarge),
      titleMedium: notoSansLaoLooped(textStyle: textTheme.titleMedium),
      titleSmall: notoSansLaoLooped(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansLaoLooped(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansLaoLooped(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansLaoLooped(textStyle: textTheme.bodySmall),
      labelLarge: notoSansLaoLooped(textStyle: textTheme.labelLarge),
      labelMedium: notoSansLaoLooped(textStyle: textTheme.labelMedium),
      labelSmall: notoSansLaoLooped(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lepcha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lepcha
  static TextStyle notoSansLepcha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '327502fcadf4a82f646fe750a416020ccca75e36097f1965956a9feae2d6c444',
        52356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLepcha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lepcha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lepcha
  static TextTheme notoSansLepchaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansLepcha(textStyle: textTheme.displayLarge),
      displayMedium: notoSansLepcha(textStyle: textTheme.displayMedium),
      displaySmall: notoSansLepcha(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansLepcha(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansLepcha(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansLepcha(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansLepcha(textStyle: textTheme.titleLarge),
      titleMedium: notoSansLepcha(textStyle: textTheme.titleMedium),
      titleSmall: notoSansLepcha(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansLepcha(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansLepcha(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansLepcha(textStyle: textTheme.bodySmall),
      labelLarge: notoSansLepcha(textStyle: textTheme.labelLarge),
      labelMedium: notoSansLepcha(textStyle: textTheme.labelMedium),
      labelSmall: notoSansLepcha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Limbu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Limbu
  static TextStyle notoSansLimbu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c627924fe0ab05ac75287e4dd2c3c84b9faa5d74dadc024d49236dc1b5560142',
        40984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLimbu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Limbu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Limbu
  static TextTheme notoSansLimbuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansLimbu(textStyle: textTheme.displayLarge),
      displayMedium: notoSansLimbu(textStyle: textTheme.displayMedium),
      displaySmall: notoSansLimbu(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansLimbu(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansLimbu(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansLimbu(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansLimbu(textStyle: textTheme.titleLarge),
      titleMedium: notoSansLimbu(textStyle: textTheme.titleMedium),
      titleSmall: notoSansLimbu(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansLimbu(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansLimbu(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansLimbu(textStyle: textTheme.bodySmall),
      labelLarge: notoSansLimbu(textStyle: textTheme.labelLarge),
      labelMedium: notoSansLimbu(textStyle: textTheme.labelMedium),
      labelSmall: notoSansLimbu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Linear A font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+A
  static TextStyle notoSansLinearA({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1227f2e8ebf7d0e3fdc1fae2a3ae9d2f98b2d147c2947377683f565f8ec2f64f',
        57060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLinearA',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Linear A font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+A
  static TextTheme notoSansLinearATextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansLinearA(textStyle: textTheme.displayLarge),
      displayMedium: notoSansLinearA(textStyle: textTheme.displayMedium),
      displaySmall: notoSansLinearA(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansLinearA(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansLinearA(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansLinearA(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansLinearA(textStyle: textTheme.titleLarge),
      titleMedium: notoSansLinearA(textStyle: textTheme.titleMedium),
      titleSmall: notoSansLinearA(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansLinearA(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansLinearA(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansLinearA(textStyle: textTheme.bodySmall),
      labelLarge: notoSansLinearA(textStyle: textTheme.labelLarge),
      labelMedium: notoSansLinearA(textStyle: textTheme.labelMedium),
      labelSmall: notoSansLinearA(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Linear B font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+B
  static TextStyle notoSansLinearB({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7957267e2b3c2710bfeee8f4fa0aa2ab588b29491462ef69ef35cc073556b474',
        61784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLinearB',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Linear B font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+B
  static TextTheme notoSansLinearBTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansLinearB(textStyle: textTheme.displayLarge),
      displayMedium: notoSansLinearB(textStyle: textTheme.displayMedium),
      displaySmall: notoSansLinearB(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansLinearB(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansLinearB(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansLinearB(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansLinearB(textStyle: textTheme.titleLarge),
      titleMedium: notoSansLinearB(textStyle: textTheme.titleMedium),
      titleSmall: notoSansLinearB(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansLinearB(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansLinearB(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansLinearB(textStyle: textTheme.bodySmall),
      labelLarge: notoSansLinearB(textStyle: textTheme.labelLarge),
      labelMedium: notoSansLinearB(textStyle: textTheme.labelMedium),
      labelSmall: notoSansLinearB(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lisu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lisu
  static TextStyle notoSansLisu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c49432552e20e3f62ef040ffdc11002ea11fca72415b406cf631e29b07ef0be8',
        37180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3717115f5ad75c43529b5aa49d84523c71293c54c08cbf2d8d007bef0d9a67c5',
        37264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '878dc105eaf485ae63506fea0b7ce5973cce10d20279fe6a9ca8549a4baebbae',
        37216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90f61d4bbaf646bf4e596dcca1475ab64bf8103486645f142c5c5941e87b1ad9',
        37180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLisu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lisu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lisu
  static TextTheme notoSansLisuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansLisu(textStyle: textTheme.displayLarge),
      displayMedium: notoSansLisu(textStyle: textTheme.displayMedium),
      displaySmall: notoSansLisu(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansLisu(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansLisu(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansLisu(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansLisu(textStyle: textTheme.titleLarge),
      titleMedium: notoSansLisu(textStyle: textTheme.titleMedium),
      titleSmall: notoSansLisu(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansLisu(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansLisu(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansLisu(textStyle: textTheme.bodySmall),
      labelLarge: notoSansLisu(textStyle: textTheme.labelLarge),
      labelMedium: notoSansLisu(textStyle: textTheme.labelMedium),
      labelSmall: notoSansLisu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lycian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lycian
  static TextStyle notoSansLycian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df20c1793b03cf4d6caf915fad42333ef28a6a736083b45463ce7263e01329cf',
        3380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLycian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lycian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lycian
  static TextTheme notoSansLycianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansLycian(textStyle: textTheme.displayLarge),
      displayMedium: notoSansLycian(textStyle: textTheme.displayMedium),
      displaySmall: notoSansLycian(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansLycian(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansLycian(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansLycian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansLycian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansLycian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansLycian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansLycian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansLycian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansLycian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansLycian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansLycian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansLycian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lydian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lydian
  static TextStyle notoSansLydian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be20f86effa0edfe9e44af4bece86273f01401de2474475d3638020522375ab9',
        3416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLydian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lydian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lydian
  static TextTheme notoSansLydianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansLydian(textStyle: textTheme.displayLarge),
      displayMedium: notoSansLydian(textStyle: textTheme.displayMedium),
      displaySmall: notoSansLydian(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansLydian(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansLydian(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansLydian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansLydian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansLydian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansLydian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansLydian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansLydian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansLydian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansLydian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansLydian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansLydian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mahajani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mahajani
  static TextStyle notoSansMahajani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05fda04889edb50e9156b3e8cd76e1a18ae80cf358b080e27550506ee78df877',
        13188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMahajani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mahajani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mahajani
  static TextTheme notoSansMahajaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMahajani(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMahajani(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMahajani(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMahajani(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMahajani(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMahajani(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMahajani(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMahajani(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMahajani(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMahajani(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMahajani(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMahajani(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMahajani(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMahajani(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMahajani(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Malayalam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Malayalam
  static TextStyle notoSansMalayalam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b8d35194f940736f430a3a211a725f39a937884001097e2048f85805f46bd56',
        105632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e078b6431dbe71d939d2411922d374a2f8c80b3aa1ab6bc36af4925f6a7b5ca1',
        105708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d6d368b2ee426fb43849bb7085825c1b7e5ab87ecfa62c4d49218fc97c2cd08',
        105696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '221c8014db9d15c51bcc8d8b00996ed3cbcf4d4459e952877aa44a346163b895',
        105588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1264c2c17aed19e40c104e8673fbe55fedfcdc2cd1f87522dbaaaca4aa5aaf99',
        105628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77fb71010d276b5566431f68897d74251b2fedef8c5c8bfeb5dfa89ef5e10d4b',
        105652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec83d58af592372d1e32fe75b9662c77667c7d024c21a657ce331c54c615a141',
        105548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60916a193e6d1ffc49007dae5f9dcec7e28b675d52c833c7da0a91a012d64394',
        105664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a0fbbafead1251b45de6e2226a0ecc12207b51c5de792c688cd09bbf3308dbd',
        105580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMalayalam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Malayalam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Malayalam
  static TextTheme notoSansMalayalamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMalayalam(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMalayalam(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMalayalam(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMalayalam(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMalayalam(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMalayalam(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMalayalam(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMalayalam(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMalayalam(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMalayalam(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMalayalam(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMalayalam(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMalayalam(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMalayalam(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMalayalam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mandaic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mandaic
  static TextStyle notoSansMandaic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78fb7e8745af6b194703eabd0065aad9a2416b07929098e45d4d51dbdcb6255d',
        17580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMandaic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mandaic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mandaic
  static TextTheme notoSansMandaicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMandaic(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMandaic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMandaic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMandaic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMandaic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMandaic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMandaic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMandaic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMandaic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMandaic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMandaic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMandaic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMandaic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMandaic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMandaic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Manichaean font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Manichaean
  static TextStyle notoSansManichaean({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37a692a9908045f47cb605073ef7998afdfc6c08bc09411f94b36613a08253b0',
        30528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansManichaean',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Manichaean font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Manichaean
  static TextTheme notoSansManichaeanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansManichaean(textStyle: textTheme.displayLarge),
      displayMedium: notoSansManichaean(textStyle: textTheme.displayMedium),
      displaySmall: notoSansManichaean(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansManichaean(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansManichaean(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansManichaean(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansManichaean(textStyle: textTheme.titleLarge),
      titleMedium: notoSansManichaean(textStyle: textTheme.titleMedium),
      titleSmall: notoSansManichaean(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansManichaean(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansManichaean(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansManichaean(textStyle: textTheme.bodySmall),
      labelLarge: notoSansManichaean(textStyle: textTheme.labelLarge),
      labelMedium: notoSansManichaean(textStyle: textTheme.labelMedium),
      labelSmall: notoSansManichaean(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Marchen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Marchen
  static TextStyle notoSansMarchen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d31c71c74d9f12f7a49540daf0acaef930f175def7bb0745dcc7a7d3404c44b',
        130140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMarchen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Marchen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Marchen
  static TextTheme notoSansMarchenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMarchen(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMarchen(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMarchen(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMarchen(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMarchen(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMarchen(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMarchen(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMarchen(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMarchen(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMarchen(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMarchen(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMarchen(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMarchen(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMarchen(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMarchen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Masaram Gondi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Masaram+Gondi
  static TextStyle notoSansMasaramGondi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd54b271adf9dc8d313a02c15bd49f5095d5fd616ae922d3ba3060ccd154118c1',
        57696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMasaramGondi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Masaram Gondi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Masaram+Gondi
  static TextTheme notoSansMasaramGondiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMasaramGondi(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMasaramGondi(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMasaramGondi(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMasaramGondi(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMasaramGondi(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMasaramGondi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMasaramGondi(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMasaramGondi(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMasaramGondi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMasaramGondi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMasaramGondi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMasaramGondi(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMasaramGondi(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMasaramGondi(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMasaramGondi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Math font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Math
  static TextStyle notoSansMath({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58483f7c774ee00196ecfc9f293caa468f4ee7777943d47bfe4c4a0c0cc7b8b9',
        372264,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMath',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Math font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Math
  static TextTheme notoSansMathTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMath(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMath(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMath(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMath(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMath(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMath(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMath(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMath(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMath(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMath(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMath(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMath(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMath(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMath(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMath(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mayan Numerals font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mayan+Numerals
  static TextStyle notoSansMayanNumerals({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b07a0e7bdda2b80c6ce870eeb5239efa8389c65e4f51b02193cfc01a784bfba7',
        3608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMayanNumerals',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mayan Numerals font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mayan+Numerals
  static TextTheme notoSansMayanNumeralsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMayanNumerals(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMayanNumerals(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMayanNumerals(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMayanNumerals(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansMayanNumerals(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMayanNumerals(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMayanNumerals(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMayanNumerals(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMayanNumerals(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMayanNumerals(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMayanNumerals(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMayanNumerals(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMayanNumerals(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMayanNumerals(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMayanNumerals(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Medefaidrin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Medefaidrin
  static TextStyle notoSansMedefaidrin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab5d8ee17c3f3a6886f764ea3c8a8d0303359b095ea03711d0eee1a785e358fc',
        66120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cbc89a08b4cf33ecefe3f302b71825fcf9e9f6ace16a5c89cf18eae21791e04',
        66164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c85d8a6c334b756383321b8a9d9af79f79fd5af219c134a2b12ac03f33fda45f',
        66184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '722e3c89476f0f21248b51cc0f39d6aa475dc78d43f68a85c7d67767be6175cc',
        66096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMedefaidrin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Medefaidrin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Medefaidrin
  static TextTheme notoSansMedefaidrinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMedefaidrin(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMedefaidrin(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMedefaidrin(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMedefaidrin(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMedefaidrin(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMedefaidrin(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMedefaidrin(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMedefaidrin(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMedefaidrin(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMedefaidrin(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMedefaidrin(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMedefaidrin(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMedefaidrin(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMedefaidrin(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMedefaidrin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Meetei Mayek font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meetei+Mayek
  static TextStyle notoSansMeeteiMayek({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4a569b8421e68ca58a4869a57de0fb96af358dbeb45a003a1195ea37b6078df',
        45356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48568b87858b9868fc144798992692d0fd27bf7a2ea38dd86781bc6f632b328f',
        45444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94b186b406d91515a206900c950b50c7479accbff68a16e449cee66c4d197630',
        45420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18d3c23f38136b839994c55895a577234fca7af2075b9ef7f937cfc93d97ce85',
        45252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c82bfeeac03dc011e4c313c9bb78c272c2824787d6e6a27f14f0a5ef483094e4',
        45336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18f381f6e09e9632cd5c4a46405b8af3f6923e3adeef0ae2436ef00df40ebb8d',
        45312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba739b30a06706ae1ccaba7f84e85545fe3c5e46e7417588f406a6a0de25d556',
        45208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09db1ffcdc511f71d49a8d5758c65fb653c99b5ae083c85611f45a9db16c1f14',
        45352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14aac391106aa1e103e7818686fe78bcc03ebaaf2e06dc3566da10edf4506d57',
        45240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMeeteiMayek',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Meetei Mayek font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meetei+Mayek
  static TextTheme notoSansMeeteiMayekTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMeeteiMayek(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMeeteiMayek(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMeeteiMayek(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMeeteiMayek(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMeeteiMayek(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMeeteiMayek(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMeeteiMayek(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMeeteiMayek(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMeeteiMayek(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMeeteiMayek(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMeeteiMayek(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMeeteiMayek(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMeeteiMayek(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMeeteiMayek(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMeeteiMayek(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mende Kikakui font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mende+Kikakui
  static TextStyle notoSansMendeKikakui({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8e004c8ca5a1ce2847843459f584f5f8f94ac26c66e6c96cdb5bd705581e2d5',
        62832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMendeKikakui',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mende Kikakui font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mende+Kikakui
  static TextTheme notoSansMendeKikakuiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMendeKikakui(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMendeKikakui(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMendeKikakui(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMendeKikakui(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMendeKikakui(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMendeKikakui(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMendeKikakui(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMendeKikakui(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMendeKikakui(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMendeKikakui(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMendeKikakui(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMendeKikakui(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMendeKikakui(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMendeKikakui(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMendeKikakui(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Meroitic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meroitic
  static TextStyle notoSansMeroitic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e4b78790e277889349fc353d7649e5c3044d4819c84ada82f9b26fc9bb3b7bf',
        32356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMeroitic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Meroitic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meroitic
  static TextTheme notoSansMeroiticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMeroitic(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMeroitic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMeroitic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMeroitic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMeroitic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMeroitic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMeroitic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMeroitic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMeroitic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMeroitic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMeroitic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMeroitic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMeroitic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMeroitic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMeroitic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Miao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Miao
  static TextStyle notoSansMiao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9837d482b38755f7ef9a20d2b8988836c9bff601c6db41abfc207a479e197648',
        67504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMiao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Miao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Miao
  static TextTheme notoSansMiaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMiao(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMiao(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMiao(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMiao(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMiao(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMiao(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMiao(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMiao(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMiao(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMiao(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMiao(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMiao(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMiao(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMiao(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMiao(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Modi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Modi
  static TextStyle notoSansModi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8275cb9ad8e19b23924897d11706650f61e63dff308511598422a07bfd49bec5',
        76860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansModi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Modi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Modi
  static TextTheme notoSansModiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansModi(textStyle: textTheme.displayLarge),
      displayMedium: notoSansModi(textStyle: textTheme.displayMedium),
      displaySmall: notoSansModi(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansModi(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansModi(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansModi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansModi(textStyle: textTheme.titleLarge),
      titleMedium: notoSansModi(textStyle: textTheme.titleMedium),
      titleSmall: notoSansModi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansModi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansModi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansModi(textStyle: textTheme.bodySmall),
      labelLarge: notoSansModi(textStyle: textTheme.labelLarge),
      labelMedium: notoSansModi(textStyle: textTheme.labelMedium),
      labelSmall: notoSansModi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mongolian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mongolian
  static TextStyle notoSansMongolian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2777faa812809553a05342043cd5f972f737d4e135e9c3ec191883b793f7604b',
        214512,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMongolian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mongolian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mongolian
  static TextTheme notoSansMongolianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMongolian(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMongolian(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMongolian(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMongolian(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMongolian(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMongolian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMongolian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMongolian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMongolian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMongolian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMongolian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMongolian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMongolian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMongolian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMongolian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mono
  static TextStyle notoSansMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b1a9b40e4340f0eb17826be3618586b6dddbb066fc98e6bb6127fa399cb7681',
        367812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd9e75148d9e567e0ff99badc1accb48316b1663d5d56b0f917f91d4374ea12b',
        368256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3b113f51e145224f14da82a1126264fd21ee1a6bdf69b362d4002a8cab5a3cc',
        368180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db86a2eca822cc6924256a3f1d8c4c927c516b17c6dd4d51dacc3925ad27d1fc',
        367420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e64e9f20834a94f9b13523525553e474406f1e69effcee70dad60ff948fb25fb',
        367744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1453814bfab6d95ee8cfc04895d998c4c602fd2fced9991926cc01182b16cbb4',
        367600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5c0c4db46999f57b54a48b3c5e01af07075997af9fe45438aeb419ff67ed6d8',
        367076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '140ab417fbdf90811218bb113aaff3a639c8f57621e03e60890a73865880b32f',
        367340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a773805f9c69fea43973e5c571e1a1231d265561fbb3ae07a19cd5f9e352bfb',
        366932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mono
  static TextTheme notoSansMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMono(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMono(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMono(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMono(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMono(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMono(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMono(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMono(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMono(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMono(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMono(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMono(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMono(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMono(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mro
  static TextStyle notoSansMro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f7de89bd3a1bc57332bd6cf608afbd219b4d05c5cc045674efea380438013b4',
        36520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mro
  static TextTheme notoSansMroTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMro(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMro(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMro(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMro(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMro(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMro(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMro(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMro(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMro(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMro(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMro(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMro(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMro(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMro(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Multani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Multani
  static TextStyle notoSansMultani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c181c4209bcb48190187856c3f649b0abc6e8f3160877fa8e2188bec1ccced4b',
        39720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMultani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Multani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Multani
  static TextTheme notoSansMultaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMultani(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMultani(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMultani(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMultani(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMultani(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMultani(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMultani(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMultani(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMultani(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMultani(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMultani(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMultani(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMultani(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMultani(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMultani(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Myanmar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Myanmar
  static TextStyle notoSansMyanmar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f979ca37627e5212a79d2bf68419c85054e3310a5deeb5a1f7f34595f67b2a32',
        151988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c54a8217f763efd7148cefea05f798de6a49426516abec96d6a870ebabd883c8',
        150128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f9ef0623535f1522ec0af734d5b5e58696e2416e832a693ea927c903f850034',
        148240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0c9d06b2ef6a27c0e3c893cc3dc749b36045d249dcfb4d8eb1a68fe9534aadd',
        146952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd0c67134ef7337f8c3de5c53c0672c44e9aae5a1eb120f214f79af21524755e',
        145836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c88e9603fb22b1377132e7f92cdc51ad336270e3726f7ecfa218d03d69f5288',
        145144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32aef232e66dde0e3267acfc4a25118e5a5c2c9d553038fea849acb7d5ef35f7',
        144628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee98aabb35c85d90e8784df4e8d25761da43eea2c5965e6e798f97d58d1d40e6',
        144580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70d87a8150edd32cc0b125045824f270b9406e6d30f9f8a69821655dc20be43d',
        146152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMyanmar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Myanmar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Myanmar
  static TextTheme notoSansMyanmarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansMyanmar(textStyle: textTheme.displayLarge),
      displayMedium: notoSansMyanmar(textStyle: textTheme.displayMedium),
      displaySmall: notoSansMyanmar(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansMyanmar(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansMyanmar(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansMyanmar(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansMyanmar(textStyle: textTheme.titleLarge),
      titleMedium: notoSansMyanmar(textStyle: textTheme.titleMedium),
      titleSmall: notoSansMyanmar(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansMyanmar(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansMyanmar(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansMyanmar(textStyle: textTheme.bodySmall),
      labelLarge: notoSansMyanmar(textStyle: textTheme.labelLarge),
      labelMedium: notoSansMyanmar(textStyle: textTheme.labelMedium),
      labelSmall: notoSansMyanmar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans NKo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+NKo
  static TextStyle notoSansNKo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bdb1556ff6f6b16175c47927c3459b8427be26be0c506bf7cba2d823bc17128',
        50736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNKo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans NKo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+NKo
  static TextTheme notoSansNKoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansNKo(textStyle: textTheme.displayLarge),
      displayMedium: notoSansNKo(textStyle: textTheme.displayMedium),
      displaySmall: notoSansNKo(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansNKo(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansNKo(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansNKo(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansNKo(textStyle: textTheme.titleLarge),
      titleMedium: notoSansNKo(textStyle: textTheme.titleMedium),
      titleSmall: notoSansNKo(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansNKo(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansNKo(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansNKo(textStyle: textTheme.bodySmall),
      labelLarge: notoSansNKo(textStyle: textTheme.labelLarge),
      labelMedium: notoSansNKo(textStyle: textTheme.labelMedium),
      labelSmall: notoSansNKo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Nabataean font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nabataean
  static TextStyle notoSansNabataean({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e8c3449feabfa772702ad83fc3dd0856914f08ceecd16b5f4c1a92276210d04',
        7220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNabataean',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Nabataean font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nabataean
  static TextTheme notoSansNabataeanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansNabataean(textStyle: textTheme.displayLarge),
      displayMedium: notoSansNabataean(textStyle: textTheme.displayMedium),
      displaySmall: notoSansNabataean(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansNabataean(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansNabataean(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansNabataean(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansNabataean(textStyle: textTheme.titleLarge),
      titleMedium: notoSansNabataean(textStyle: textTheme.titleMedium),
      titleSmall: notoSansNabataean(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansNabataean(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansNabataean(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansNabataean(textStyle: textTheme.bodySmall),
      labelLarge: notoSansNabataean(textStyle: textTheme.labelLarge),
      labelMedium: notoSansNabataean(textStyle: textTheme.labelMedium),
      labelSmall: notoSansNabataean(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Nag Mundari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nag+Mundari
  static TextStyle notoSansNagMundari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48a6a54980082ead7cfe5d7f05972b580dc364579d539725d60e2970f1acb90f',
        38972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15f0fc6e40917910ddaa4f142a6bcc3c97e5b6506c4ef9e4700d80cb84b00636',
        39064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c76bb09164db44ed68049ca489da74175ff1e9dc221073037bc8b23d5c0b9bc3',
        39000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27dcaff2ae83936e031e108eea0b0ba105e4354b4159d447edc23e45f59196b6',
        38948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNagMundari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Nag Mundari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nag+Mundari
  static TextTheme notoSansNagMundariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansNagMundari(textStyle: textTheme.displayLarge),
      displayMedium: notoSansNagMundari(textStyle: textTheme.displayMedium),
      displaySmall: notoSansNagMundari(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansNagMundari(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansNagMundari(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansNagMundari(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansNagMundari(textStyle: textTheme.titleLarge),
      titleMedium: notoSansNagMundari(textStyle: textTheme.titleMedium),
      titleSmall: notoSansNagMundari(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansNagMundari(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansNagMundari(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansNagMundari(textStyle: textTheme.bodySmall),
      labelLarge: notoSansNagMundari(textStyle: textTheme.labelLarge),
      labelMedium: notoSansNagMundari(textStyle: textTheme.labelMedium),
      labelSmall: notoSansNagMundari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Nandinagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nandinagari
  static TextStyle notoSansNandinagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f165eb1d180f5e55d359d77fdaaca8a6562afe2c197d8c79ba384bb5a328d9d4',
        121676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNandinagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Nandinagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nandinagari
  static TextTheme notoSansNandinagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansNandinagari(textStyle: textTheme.displayLarge),
      displayMedium: notoSansNandinagari(textStyle: textTheme.displayMedium),
      displaySmall: notoSansNandinagari(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansNandinagari(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansNandinagari(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansNandinagari(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansNandinagari(textStyle: textTheme.titleLarge),
      titleMedium: notoSansNandinagari(textStyle: textTheme.titleMedium),
      titleSmall: notoSansNandinagari(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansNandinagari(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansNandinagari(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansNandinagari(textStyle: textTheme.bodySmall),
      labelLarge: notoSansNandinagari(textStyle: textTheme.labelLarge),
      labelMedium: notoSansNandinagari(textStyle: textTheme.labelMedium),
      labelSmall: notoSansNandinagari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans New Tai Lue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+New+Tai+Lue
  static TextStyle notoSansNewTaiLue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22c3be9b36a203cf7d1d1f990bf34b78d4def2075c58885f9955042dbfa1b221',
        46348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c6a59dd58b4510f86edcfb26101a9ffd84b7aca38e411785724ad91988448b7',
        46396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5c30670c4fa2c41cc518a4a89f37dd975c111be3279879bafd5c1e9f3bc1a7e',
        46376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f50d1e8f228549fe0ac15a13bdda851f443ab784331afb0dbb5c592ae1ade1f6',
        46328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNewTaiLue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans New Tai Lue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+New+Tai+Lue
  static TextTheme notoSansNewTaiLueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansNewTaiLue(textStyle: textTheme.displayLarge),
      displayMedium: notoSansNewTaiLue(textStyle: textTheme.displayMedium),
      displaySmall: notoSansNewTaiLue(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansNewTaiLue(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansNewTaiLue(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansNewTaiLue(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansNewTaiLue(textStyle: textTheme.titleLarge),
      titleMedium: notoSansNewTaiLue(textStyle: textTheme.titleMedium),
      titleSmall: notoSansNewTaiLue(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansNewTaiLue(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansNewTaiLue(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansNewTaiLue(textStyle: textTheme.bodySmall),
      labelLarge: notoSansNewTaiLue(textStyle: textTheme.labelLarge),
      labelMedium: notoSansNewTaiLue(textStyle: textTheme.labelMedium),
      labelSmall: notoSansNewTaiLue(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Newa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Newa
  static TextStyle notoSansNewa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7ef336ff8fffff798690cfdc96b3bf2cc2ab22bd39d074a678835fb3a550e24',
        185192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNewa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Newa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Newa
  static TextTheme notoSansNewaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansNewa(textStyle: textTheme.displayLarge),
      displayMedium: notoSansNewa(textStyle: textTheme.displayMedium),
      displaySmall: notoSansNewa(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansNewa(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansNewa(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansNewa(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansNewa(textStyle: textTheme.titleLarge),
      titleMedium: notoSansNewa(textStyle: textTheme.titleMedium),
      titleSmall: notoSansNewa(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansNewa(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansNewa(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansNewa(textStyle: textTheme.bodySmall),
      labelLarge: notoSansNewa(textStyle: textTheme.labelLarge),
      labelMedium: notoSansNewa(textStyle: textTheme.labelMedium),
      labelSmall: notoSansNewa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Nushu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nushu
  static TextStyle notoSansNushu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67b1fdb30eccba7cfc579ad0ca1ecaa499410f2bf9cc0a23625486f0be7d4e66',
        147252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNushu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Nushu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nushu
  static TextTheme notoSansNushuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansNushu(textStyle: textTheme.displayLarge),
      displayMedium: notoSansNushu(textStyle: textTheme.displayMedium),
      displaySmall: notoSansNushu(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansNushu(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansNushu(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansNushu(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansNushu(textStyle: textTheme.titleLarge),
      titleMedium: notoSansNushu(textStyle: textTheme.titleMedium),
      titleSmall: notoSansNushu(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansNushu(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansNushu(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansNushu(textStyle: textTheme.bodySmall),
      labelLarge: notoSansNushu(textStyle: textTheme.labelLarge),
      labelMedium: notoSansNushu(textStyle: textTheme.labelMedium),
      labelSmall: notoSansNushu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Ogham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ogham
  static TextStyle notoSansOgham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '294effb5be358f3c23b989a8494391ee075c64a16199eed47f2f68a0c3bf2cdd',
        3576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOgham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ogham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ogham
  static TextTheme notoSansOghamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansOgham(textStyle: textTheme.displayLarge),
      displayMedium: notoSansOgham(textStyle: textTheme.displayMedium),
      displaySmall: notoSansOgham(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansOgham(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansOgham(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansOgham(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansOgham(textStyle: textTheme.titleLarge),
      titleMedium: notoSansOgham(textStyle: textTheme.titleMedium),
      titleSmall: notoSansOgham(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansOgham(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansOgham(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansOgham(textStyle: textTheme.bodySmall),
      labelLarge: notoSansOgham(textStyle: textTheme.labelLarge),
      labelMedium: notoSansOgham(textStyle: textTheme.labelMedium),
      labelSmall: notoSansOgham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Ol Chiki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ol+Chiki
  static TextStyle notoSansOlChiki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '328739990d6b01cfefced3de84f88e43e628ec1399f3e48401a72913cf72285c',
        35788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cec5f5b161612264145a80b3629e056ea597efd6cfe697b03087ff8e4e808c2a',
        35836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1dbece7965aeedc5bee0f2ca3cb7afb12671819b2cb1d186086f1ac5417cbfc',
        35832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ccfdecad1ea5c0654dfcc1d8068ef6ec01bc64e1ea9c444b8bffbcf32e40cd0f',
        35764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOlChiki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ol Chiki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ol+Chiki
  static TextTheme notoSansOlChikiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansOlChiki(textStyle: textTheme.displayLarge),
      displayMedium: notoSansOlChiki(textStyle: textTheme.displayMedium),
      displaySmall: notoSansOlChiki(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansOlChiki(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansOlChiki(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansOlChiki(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansOlChiki(textStyle: textTheme.titleLarge),
      titleMedium: notoSansOlChiki(textStyle: textTheme.titleMedium),
      titleSmall: notoSansOlChiki(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansOlChiki(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansOlChiki(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansOlChiki(textStyle: textTheme.bodySmall),
      labelLarge: notoSansOlChiki(textStyle: textTheme.labelLarge),
      labelMedium: notoSansOlChiki(textStyle: textTheme.labelMedium),
      labelSmall: notoSansOlChiki(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Hungarian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Hungarian
  static TextStyle notoSansOldHungarian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9bdbb5dadef6da77dab44efa6ee39f42b1f05e6c9ae248d564d4bc3eb304270',
        51516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldHungarian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Hungarian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Hungarian
  static TextTheme notoSansOldHungarianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansOldHungarian(textStyle: textTheme.displayLarge),
      displayMedium: notoSansOldHungarian(textStyle: textTheme.displayMedium),
      displaySmall: notoSansOldHungarian(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansOldHungarian(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansOldHungarian(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansOldHungarian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansOldHungarian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansOldHungarian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansOldHungarian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansOldHungarian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansOldHungarian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansOldHungarian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansOldHungarian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansOldHungarian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansOldHungarian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Italic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Italic
  static TextStyle notoSansOldItalic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd972f97bde9d9beb1c5523f012d1a922b2404825cc97c7abca5ff3195a99fbe',
        6468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldItalic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Italic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Italic
  static TextTheme notoSansOldItalicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansOldItalic(textStyle: textTheme.displayLarge),
      displayMedium: notoSansOldItalic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansOldItalic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansOldItalic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansOldItalic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansOldItalic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansOldItalic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansOldItalic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansOldItalic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansOldItalic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansOldItalic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansOldItalic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansOldItalic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansOldItalic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansOldItalic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old North Arabian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+North+Arabian
  static TextStyle notoSansOldNorthArabian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbba4bfcba4ee5c7ebd24e3846976091dc9b8645dad791da43258929d7e17f8e',
        6052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldNorthArabian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old North Arabian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+North+Arabian
  static TextTheme notoSansOldNorthArabianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansOldNorthArabian(textStyle: textTheme.displayLarge),
      displayMedium:
          notoSansOldNorthArabian(textStyle: textTheme.displayMedium),
      displaySmall: notoSansOldNorthArabian(textStyle: textTheme.displaySmall),
      headlineLarge:
          notoSansOldNorthArabian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansOldNorthArabian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          notoSansOldNorthArabian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansOldNorthArabian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansOldNorthArabian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansOldNorthArabian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansOldNorthArabian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansOldNorthArabian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansOldNorthArabian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansOldNorthArabian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansOldNorthArabian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansOldNorthArabian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Permic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Permic
  static TextStyle notoSansOldPermic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56d277d03f0f1e1452a9a355a3e3cb48770eeac59a3a3bfa9d3069d3ea208f4e',
        8896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldPermic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Permic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Permic
  static TextTheme notoSansOldPermicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansOldPermic(textStyle: textTheme.displayLarge),
      displayMedium: notoSansOldPermic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansOldPermic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansOldPermic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansOldPermic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansOldPermic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansOldPermic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansOldPermic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansOldPermic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansOldPermic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansOldPermic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansOldPermic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansOldPermic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansOldPermic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansOldPermic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Persian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Persian
  static TextStyle notoSansOldPersian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '528ce03546fe77eb57753de610acf14ff09997fbb209f719ab59cc0071beadad',
        11600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldPersian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Persian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Persian
  static TextTheme notoSansOldPersianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansOldPersian(textStyle: textTheme.displayLarge),
      displayMedium: notoSansOldPersian(textStyle: textTheme.displayMedium),
      displaySmall: notoSansOldPersian(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansOldPersian(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansOldPersian(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansOldPersian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansOldPersian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansOldPersian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansOldPersian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansOldPersian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansOldPersian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansOldPersian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansOldPersian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansOldPersian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansOldPersian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Sogdian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Sogdian
  static TextStyle notoSansOldSogdian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f119c713211e3d8bf6be1de794962b8ee716e107bb141f0deaca2c217ac9326e',
        10808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldSogdian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Sogdian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Sogdian
  static TextTheme notoSansOldSogdianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansOldSogdian(textStyle: textTheme.displayLarge),
      displayMedium: notoSansOldSogdian(textStyle: textTheme.displayMedium),
      displaySmall: notoSansOldSogdian(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansOldSogdian(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansOldSogdian(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansOldSogdian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansOldSogdian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansOldSogdian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansOldSogdian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansOldSogdian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansOldSogdian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansOldSogdian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansOldSogdian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansOldSogdian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansOldSogdian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old South Arabian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+South+Arabian
  static TextStyle notoSansOldSouthArabian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ee26c031ce58b213f95a4622e9cc71cafee3721cbc5bf950748660a755e6b34',
        4100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldSouthArabian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old South Arabian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+South+Arabian
  static TextTheme notoSansOldSouthArabianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansOldSouthArabian(textStyle: textTheme.displayLarge),
      displayMedium:
          notoSansOldSouthArabian(textStyle: textTheme.displayMedium),
      displaySmall: notoSansOldSouthArabian(textStyle: textTheme.displaySmall),
      headlineLarge:
          notoSansOldSouthArabian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansOldSouthArabian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          notoSansOldSouthArabian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansOldSouthArabian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansOldSouthArabian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansOldSouthArabian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansOldSouthArabian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansOldSouthArabian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansOldSouthArabian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansOldSouthArabian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansOldSouthArabian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansOldSouthArabian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Turkic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Turkic
  static TextStyle notoSansOldTurkic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4df21a3b450dd95c0f4cac89e752c00575932aa0b504a0bc481b1e746e10bb6',
        7368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldTurkic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Turkic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Turkic
  static TextTheme notoSansOldTurkicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansOldTurkic(textStyle: textTheme.displayLarge),
      displayMedium: notoSansOldTurkic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansOldTurkic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansOldTurkic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansOldTurkic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansOldTurkic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansOldTurkic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansOldTurkic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansOldTurkic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansOldTurkic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansOldTurkic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansOldTurkic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansOldTurkic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansOldTurkic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansOldTurkic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Oriya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Oriya
  static TextStyle notoSansOriya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af3422efa99ae4c107a9ff6fef352ee04d1d691ff40a56c79e5099f0e34b7ecb',
        134544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8d32500940161078fb023786dc7be3842ef8afd0675afc494da7e5628c86233',
        135160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e877ca19a892a6f9c1540386bc946258cf12e5a8f18da74b5cdc59bc760275f8',
        135164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e857bed812397e04264515925bfc5afc2c59e969f65122f1b534865b40ce110',
        135012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24606adbaff42c3a85e6c8547441a34ebc646bc6bff478a8086e5a3cea2058b9',
        135100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7eb869144f8f2ad6a2e3c0ce7a701c568339b673fc0f5355ec1771dec7d9273a',
        135144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae06645639ebc20327f5067f07bde398bcfec1ddf3ccc860b5fafa5d7d508681',
        135128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b73a566e2b70c84d238bd40f86114e0e1c5dbd8df496607ed26d26e7d0eaa77a',
        125048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0c2ce1a3b86fb46dc2d7c790cf34c2a8ac32d015c3d063bfec85d36d51c262e',
        124872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOriya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Oriya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Oriya
  static TextTheme notoSansOriyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansOriya(textStyle: textTheme.displayLarge),
      displayMedium: notoSansOriya(textStyle: textTheme.displayMedium),
      displaySmall: notoSansOriya(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansOriya(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansOriya(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansOriya(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansOriya(textStyle: textTheme.titleLarge),
      titleMedium: notoSansOriya(textStyle: textTheme.titleMedium),
      titleSmall: notoSansOriya(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansOriya(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansOriya(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansOriya(textStyle: textTheme.bodySmall),
      labelLarge: notoSansOriya(textStyle: textTheme.labelLarge),
      labelMedium: notoSansOriya(textStyle: textTheme.labelMedium),
      labelSmall: notoSansOriya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Osage font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osage
  static TextStyle notoSansOsage({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fe5c4030d622866e99d796f6a016019ce0bae06924e0c81d7aa89acca895d5f',
        40412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOsage',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Osage font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osage
  static TextTheme notoSansOsageTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansOsage(textStyle: textTheme.displayLarge),
      displayMedium: notoSansOsage(textStyle: textTheme.displayMedium),
      displaySmall: notoSansOsage(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansOsage(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansOsage(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansOsage(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansOsage(textStyle: textTheme.titleLarge),
      titleMedium: notoSansOsage(textStyle: textTheme.titleMedium),
      titleSmall: notoSansOsage(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansOsage(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansOsage(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansOsage(textStyle: textTheme.bodySmall),
      labelLarge: notoSansOsage(textStyle: textTheme.labelLarge),
      labelMedium: notoSansOsage(textStyle: textTheme.labelMedium),
      labelSmall: notoSansOsage(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Osmanya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osmanya
  static TextStyle notoSansOsmanya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8025fe4ffd39f53709b44fc8c97b72575c6ee96b54452990bb23ec0625af4ddc',
        38124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOsmanya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Osmanya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osmanya
  static TextTheme notoSansOsmanyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansOsmanya(textStyle: textTheme.displayLarge),
      displayMedium: notoSansOsmanya(textStyle: textTheme.displayMedium),
      displaySmall: notoSansOsmanya(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansOsmanya(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansOsmanya(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansOsmanya(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansOsmanya(textStyle: textTheme.titleLarge),
      titleMedium: notoSansOsmanya(textStyle: textTheme.titleMedium),
      titleSmall: notoSansOsmanya(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansOsmanya(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansOsmanya(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansOsmanya(textStyle: textTheme.bodySmall),
      labelLarge: notoSansOsmanya(textStyle: textTheme.labelLarge),
      labelMedium: notoSansOsmanya(textStyle: textTheme.labelMedium),
      labelSmall: notoSansOsmanya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Pahawh Hmong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pahawh+Hmong
  static TextStyle notoSansPahawhHmong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4cc6d458cb4c5ac77c53b15c4a87297db60f7004feec8e6c8db50fbc5e507d82',
        49248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPahawhHmong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Pahawh Hmong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pahawh+Hmong
  static TextTheme notoSansPahawhHmongTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansPahawhHmong(textStyle: textTheme.displayLarge),
      displayMedium: notoSansPahawhHmong(textStyle: textTheme.displayMedium),
      displaySmall: notoSansPahawhHmong(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansPahawhHmong(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansPahawhHmong(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansPahawhHmong(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansPahawhHmong(textStyle: textTheme.titleLarge),
      titleMedium: notoSansPahawhHmong(textStyle: textTheme.titleMedium),
      titleSmall: notoSansPahawhHmong(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansPahawhHmong(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansPahawhHmong(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansPahawhHmong(textStyle: textTheme.bodySmall),
      labelLarge: notoSansPahawhHmong(textStyle: textTheme.labelLarge),
      labelMedium: notoSansPahawhHmong(textStyle: textTheme.labelMedium),
      labelSmall: notoSansPahawhHmong(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Palmyrene font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Palmyrene
  static TextStyle notoSansPalmyrene({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6baf5aae853c00199a1ca94a0984a6cb1e2a9117b6a04bd069167b1fff053b53',
        7644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPalmyrene',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Palmyrene font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Palmyrene
  static TextTheme notoSansPalmyreneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansPalmyrene(textStyle: textTheme.displayLarge),
      displayMedium: notoSansPalmyrene(textStyle: textTheme.displayMedium),
      displaySmall: notoSansPalmyrene(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansPalmyrene(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansPalmyrene(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansPalmyrene(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansPalmyrene(textStyle: textTheme.titleLarge),
      titleMedium: notoSansPalmyrene(textStyle: textTheme.titleMedium),
      titleSmall: notoSansPalmyrene(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansPalmyrene(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansPalmyrene(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansPalmyrene(textStyle: textTheme.bodySmall),
      labelLarge: notoSansPalmyrene(textStyle: textTheme.labelLarge),
      labelMedium: notoSansPalmyrene(textStyle: textTheme.labelMedium),
      labelSmall: notoSansPalmyrene(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Pau Cin Hau font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pau+Cin+Hau
  static TextStyle notoSansPauCinHau({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd24e66a902aff59ccfd06ff94e59ebdf769453820635485433fb8c86c2c97504',
        38976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPauCinHau',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Pau Cin Hau font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pau+Cin+Hau
  static TextTheme notoSansPauCinHauTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansPauCinHau(textStyle: textTheme.displayLarge),
      displayMedium: notoSansPauCinHau(textStyle: textTheme.displayMedium),
      displaySmall: notoSansPauCinHau(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansPauCinHau(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansPauCinHau(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansPauCinHau(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansPauCinHau(textStyle: textTheme.titleLarge),
      titleMedium: notoSansPauCinHau(textStyle: textTheme.titleMedium),
      titleSmall: notoSansPauCinHau(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansPauCinHau(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansPauCinHau(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansPauCinHau(textStyle: textTheme.bodySmall),
      labelLarge: notoSansPauCinHau(textStyle: textTheme.labelLarge),
      labelMedium: notoSansPauCinHau(textStyle: textTheme.labelMedium),
      labelSmall: notoSansPauCinHau(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Phags Pa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phags+Pa
  static TextStyle notoSansPhagsPa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11c550113dacfd66111e57e09469834b626d011947d89275b23eb84ba35af1f7',
        38180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPhagsPa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Phags Pa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phags+Pa
  static TextTheme notoSansPhagsPaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansPhagsPa(textStyle: textTheme.displayLarge),
      displayMedium: notoSansPhagsPa(textStyle: textTheme.displayMedium),
      displaySmall: notoSansPhagsPa(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansPhagsPa(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansPhagsPa(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansPhagsPa(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansPhagsPa(textStyle: textTheme.titleLarge),
      titleMedium: notoSansPhagsPa(textStyle: textTheme.titleMedium),
      titleSmall: notoSansPhagsPa(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansPhagsPa(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansPhagsPa(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansPhagsPa(textStyle: textTheme.bodySmall),
      labelLarge: notoSansPhagsPa(textStyle: textTheme.labelLarge),
      labelMedium: notoSansPhagsPa(textStyle: textTheme.labelMedium),
      labelSmall: notoSansPhagsPa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Phoenician font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phoenician
  static TextStyle notoSansPhoenician({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bd17d1dbba92b5a391fced2df69da9531df480c6bcb5d9c081fc9b34db67c25',
        5084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPhoenician',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Phoenician font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phoenician
  static TextTheme notoSansPhoenicianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansPhoenician(textStyle: textTheme.displayLarge),
      displayMedium: notoSansPhoenician(textStyle: textTheme.displayMedium),
      displaySmall: notoSansPhoenician(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansPhoenician(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansPhoenician(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansPhoenician(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansPhoenician(textStyle: textTheme.titleLarge),
      titleMedium: notoSansPhoenician(textStyle: textTheme.titleMedium),
      titleSmall: notoSansPhoenician(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansPhoenician(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansPhoenician(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansPhoenician(textStyle: textTheme.bodySmall),
      labelLarge: notoSansPhoenician(textStyle: textTheme.labelLarge),
      labelMedium: notoSansPhoenician(textStyle: textTheme.labelMedium),
      labelSmall: notoSansPhoenician(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Psalter Pahlavi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Psalter+Pahlavi
  static TextStyle notoSansPsalterPahlavi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eefea62df4bff86236cfd0645d22235acc2135a2a4661878c94c2444184307fb',
        20704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPsalterPahlavi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Psalter Pahlavi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Psalter+Pahlavi
  static TextTheme notoSansPsalterPahlaviTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansPsalterPahlavi(textStyle: textTheme.displayLarge),
      displayMedium: notoSansPsalterPahlavi(textStyle: textTheme.displayMedium),
      displaySmall: notoSansPsalterPahlavi(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansPsalterPahlavi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansPsalterPahlavi(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansPsalterPahlavi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansPsalterPahlavi(textStyle: textTheme.titleLarge),
      titleMedium: notoSansPsalterPahlavi(textStyle: textTheme.titleMedium),
      titleSmall: notoSansPsalterPahlavi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansPsalterPahlavi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansPsalterPahlavi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansPsalterPahlavi(textStyle: textTheme.bodySmall),
      labelLarge: notoSansPsalterPahlavi(textStyle: textTheme.labelLarge),
      labelMedium: notoSansPsalterPahlavi(textStyle: textTheme.labelMedium),
      labelSmall: notoSansPsalterPahlavi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Rejang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Rejang
  static TextStyle notoSansRejang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c154a691927c2e1317d721743da06e4a67865afe7036fca66c7408193749fce',
        37328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansRejang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Rejang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Rejang
  static TextTheme notoSansRejangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansRejang(textStyle: textTheme.displayLarge),
      displayMedium: notoSansRejang(textStyle: textTheme.displayMedium),
      displaySmall: notoSansRejang(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansRejang(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansRejang(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansRejang(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansRejang(textStyle: textTheme.titleLarge),
      titleMedium: notoSansRejang(textStyle: textTheme.titleMedium),
      titleSmall: notoSansRejang(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansRejang(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansRejang(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansRejang(textStyle: textTheme.bodySmall),
      labelLarge: notoSansRejang(textStyle: textTheme.labelLarge),
      labelMedium: notoSansRejang(textStyle: textTheme.labelMedium),
      labelSmall: notoSansRejang(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Runic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Runic
  static TextStyle notoSansRunic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '566ee9e53d3557252c8c79fa2f468d026464006200b332c972006fa696095c33',
        7936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansRunic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Runic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Runic
  static TextTheme notoSansRunicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansRunic(textStyle: textTheme.displayLarge),
      displayMedium: notoSansRunic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansRunic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansRunic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansRunic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansRunic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansRunic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansRunic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansRunic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansRunic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansRunic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansRunic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansRunic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansRunic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansRunic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Samaritan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Samaritan
  static TextStyle notoSansSamaritan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '920a2c02a0e2c2fab6c34f318613b5ee6587a116e4158a955b55006c58a1f3b6',
        10012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSamaritan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Samaritan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Samaritan
  static TextTheme notoSansSamaritanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSamaritan(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSamaritan(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSamaritan(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSamaritan(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSamaritan(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSamaritan(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSamaritan(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSamaritan(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSamaritan(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSamaritan(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSamaritan(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSamaritan(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSamaritan(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSamaritan(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSamaritan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Saurashtra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Saurashtra
  static TextStyle notoSansSaurashtra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '849abe50bb5d1a86a5c313e3352642022ab099f3e36ec38da14678ea087d7877',
        48172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSaurashtra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Saurashtra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Saurashtra
  static TextTheme notoSansSaurashtraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSaurashtra(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSaurashtra(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSaurashtra(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSaurashtra(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSaurashtra(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSaurashtra(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSaurashtra(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSaurashtra(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSaurashtra(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSaurashtra(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSaurashtra(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSaurashtra(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSaurashtra(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSaurashtra(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSaurashtra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sharada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sharada
  static TextStyle notoSansSharada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '480540d514a7c1fbf019b379f09b7c2b192e5598d42f43418d614917d6a9cc86',
        85140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSharada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sharada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sharada
  static TextTheme notoSansSharadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSharada(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSharada(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSharada(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSharada(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSharada(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSharada(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSharada(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSharada(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSharada(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSharada(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSharada(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSharada(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSharada(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSharada(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSharada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Shavian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Shavian
  static TextStyle notoSansShavian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '835fe7e7c393b0ca630d753a483e51e5c256f4e8535bb9e693376922a7470091',
        5724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansShavian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Shavian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Shavian
  static TextTheme notoSansShavianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansShavian(textStyle: textTheme.displayLarge),
      displayMedium: notoSansShavian(textStyle: textTheme.displayMedium),
      displaySmall: notoSansShavian(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansShavian(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansShavian(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansShavian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansShavian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansShavian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansShavian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansShavian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansShavian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansShavian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansShavian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansShavian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansShavian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Siddham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Siddham
  static TextStyle notoSansSiddham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '946791b0a0eabdf0915a38574ce33e52c1f35a2506ffc321a5569f2e99b01a23',
        149720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSiddham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Siddham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Siddham
  static TextTheme notoSansSiddhamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSiddham(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSiddham(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSiddham(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSiddham(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSiddham(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSiddham(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSiddham(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSiddham(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSiddham(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSiddham(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSiddham(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSiddham(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSiddham(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSiddham(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSiddham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans SignWriting font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+SignWriting
  static TextStyle notoSansSignWriting({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40cd412cb6cf69ffc1d920f19727a749067ee6b27838153bc944574eff98d65d',
        5323872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSignWriting',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans SignWriting font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+SignWriting
  static TextTheme notoSansSignWritingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSignWriting(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSignWriting(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSignWriting(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSignWriting(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSignWriting(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSignWriting(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSignWriting(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSignWriting(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSignWriting(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSignWriting(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSignWriting(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSignWriting(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSignWriting(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSignWriting(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSignWriting(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sinhala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sinhala
  static TextStyle notoSansSinhala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dd79d0635bc28369441bfbc6287c18e275ff7d433497d682ab61e96be1b703d',
        235976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a41be88a59ddf1bf554c56a443164dac2942771aae9510b36e2d6722a0138e99',
        236000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e03d16330f7e8a8a0ae53dc01c0b016e732a23dd8f472d2c86cd740d903b5c3f',
        236068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0830738b7bf94cff7d13486a59a376e0f37dc3855412a01c45dca26795db140',
        235904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31a77ba663d918ad98f62c8e38dc9784a5b6d59c411c6d95021d9853cf95bc6a',
        235976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ae9aca8aa428f5c8d001059f55324f7b4a87c1e718dfeda03164d42b7e4d75d',
        235904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4684ab5e1fa2fe363b37a9140235836c38155cc2dfb54cc12853610a1ea92a4',
        235576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '879d1e363d8c5cc52018eafb5e3746c8501c8e32ed4dd37c1a4be602b09d35c5',
        235612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0979722dabb0164244f681007c997588598f391089646b02cbe1178246659f93',
        235276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSinhala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sinhala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sinhala
  static TextTheme notoSansSinhalaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSinhala(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSinhala(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSinhala(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSinhala(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSinhala(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSinhala(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSinhala(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSinhala(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSinhala(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSinhala(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSinhala(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSinhala(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSinhala(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSinhala(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSinhala(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sogdian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sogdian
  static TextStyle notoSansSogdian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '574fabb53f2fd5d310d2d6779bb40f17024a3f3dcc3e3d6a59a3f0f22c7320ed',
        63808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSogdian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sogdian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sogdian
  static TextTheme notoSansSogdianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSogdian(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSogdian(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSogdian(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSogdian(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSogdian(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSogdian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSogdian(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSogdian(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSogdian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSogdian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSogdian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSogdian(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSogdian(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSogdian(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSogdian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sora Sompeng font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sora+Sompeng
  static TextStyle notoSansSoraSompeng({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f192190273196b165d833b154581945079f79ac26c6f22eca2ebcc220cbb2829',
        39220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bba68e5c2ec7e1d9b26363aca99e6952a9b7924021461995b1deda974500b846',
        39332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c15d2dfc7bde5ce5ca9afcd49c6c36256d94975610cadbb4520c1b384feac35',
        39276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cbd1fed93130128ac53240429a64039b85ab11a41a7b64ffe9c8b898befce24a',
        39228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSoraSompeng',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sora Sompeng font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sora+Sompeng
  static TextTheme notoSansSoraSompengTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSoraSompeng(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSoraSompeng(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSoraSompeng(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSoraSompeng(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSoraSompeng(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSoraSompeng(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSoraSompeng(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSoraSompeng(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSoraSompeng(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSoraSompeng(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSoraSompeng(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSoraSompeng(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSoraSompeng(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSoraSompeng(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSoraSompeng(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Soyombo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Soyombo
  static TextStyle notoSansSoyombo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f02d35b6efba6a045abf92f6f60e73ac11b35c6773ba5383fcb441ab028bafb',
        65788,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSoyombo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Soyombo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Soyombo
  static TextTheme notoSansSoyomboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSoyombo(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSoyombo(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSoyombo(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSoyombo(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSoyombo(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSoyombo(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSoyombo(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSoyombo(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSoyombo(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSoyombo(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSoyombo(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSoyombo(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSoyombo(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSoyombo(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSoyombo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sundanese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sundanese
  static TextStyle notoSansSundanese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f3b66b3c2dea535f7f9f7c5f6310b63175f3578d5f931c335bee01ede841705',
        38620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b0fe79a3ab92bdb81d2dd54ed935b37c459860f7d045641730ccbedaaa464b4',
        38660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e065484c4cb945e6214c1eee78dc4a3caba4f2d3b09f8de0f29260726346a250',
        38644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f2f9819024f38e9cbcfe0756dd0668bb8dc77ad50dd500b4f63038f6f4f468f',
        38608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSundanese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sundanese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sundanese
  static TextTheme notoSansSundaneseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSundanese(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSundanese(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSundanese(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSundanese(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSundanese(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSundanese(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSundanese(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSundanese(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSundanese(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSundanese(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSundanese(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSundanese(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSundanese(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSundanese(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSundanese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Syloti Nagri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syloti+Nagri
  static TextStyle notoSansSylotiNagri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67d1583c490e73682fb5462b073dc393dddf32c8772030ef201de1c416b301dc',
        45088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSylotiNagri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Syloti Nagri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syloti+Nagri
  static TextTheme notoSansSylotiNagriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSylotiNagri(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSylotiNagri(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSylotiNagri(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSylotiNagri(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSylotiNagri(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSylotiNagri(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSylotiNagri(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSylotiNagri(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSylotiNagri(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSylotiNagri(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSylotiNagri(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSylotiNagri(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSylotiNagri(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSylotiNagri(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSylotiNagri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Symbols font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols
  static TextStyle notoSansSymbols({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '412f1ad3c36832a0c1b9dafcfa7a695c49ddd0e89eb30a37781ed42c4545d42b',
        202240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e0a2c3d22a69ba68d1deb82d192d14df0476bf75eb8670aab7885f6eda8019b',
        202316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bbdd76d1ec3999022a4a742d3cc0c29309a42c02f4a3d59823ef752faa23a15',
        202280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd976afd46667653649e592fc2c7664f2380012a0bbb1c0634d4cb9c475a4b107',
        202052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea207b52946e6229f5a8640b778116c0f998d058e2503ba5dc77cb76f543be4d',
        202012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b373baf6d673ed093845419e7385a1ab22f364365c088bfb0b46ceb31366667b',
        201936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '177aecd1d7136aba5565472fa43eb2216a5ea194d798de22a05c09858d52ec71',
        201680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b174b8623849a439af14f71aec71a2907edcbae92b5c270b6295efea0d381da7',
        201636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96930d7d1e981ed4c9e9abbef09d80d5e5f6d9cd9804c328053df18282bcc8aa',
        201476,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSymbols',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Symbols font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols
  static TextTheme notoSansSymbolsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSymbols(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSymbols(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSymbols(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSymbols(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSymbols(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSymbols(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSymbols(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSymbols(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSymbols(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSymbols(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSymbols(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSymbols(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSymbols(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSymbols(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSymbols(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Symbols 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols+2
  static TextStyle notoSansSymbols2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e4d5d7857483c6b38e26fb0e51763e147c26e4e847a8fefaeedd1c25851f583',
        691356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSymbols2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Symbols 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols+2
  static TextTheme notoSansSymbols2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSymbols2(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSymbols2(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSymbols2(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSymbols2(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSymbols2(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSymbols2(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSymbols2(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSymbols2(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSymbols2(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSymbols2(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSymbols2(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSymbols2(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSymbols2(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSymbols2(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSymbols2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Syriac font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syriac
  static TextStyle notoSansSyriac({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5f3e781fbea1261bee6913c0c0bee6f257388a886d7fda6506dc648d6062731',
        83144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d6d70880e79dacd920253ffd686eb5a8c0ebe8cd5ba4c57fed3ae96526feb34',
        83232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1fb1c2457c12b9c1e63eef764987ef41484c0e241b77bdd171116a2677c82755',
        83244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9582524ac8df22e9dc2d63a454914815ab1731737de113dc7f91a26ac5d26183',
        82840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acc178be7f92aeda5b41699a4d1de9470e731a24b444629c89debeead9ccc669',
        83128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '331e28f0ac9bc3b17a1638bfbff0ed454065c60b4c5217ab9047d4d14ddbd3f0',
        83256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a65ff98e5d27ded8822e182b52739836b273da15c087fc60f42c14265499946',
        83172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f28ca9d1a3caf93e4b1eb94c492a3386154bb794709a112e69654d29fe8f918',
        83248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3cc0e68b7ceab0d2861227657a0cc5771ea83f80613b8a5f6eb21621c51b246',
        83160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSyriac',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Syriac font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syriac
  static TextTheme notoSansSyriacTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansSyriac(textStyle: textTheme.displayLarge),
      displayMedium: notoSansSyriac(textStyle: textTheme.displayMedium),
      displaySmall: notoSansSyriac(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansSyriac(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansSyriac(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansSyriac(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansSyriac(textStyle: textTheme.titleLarge),
      titleMedium: notoSansSyriac(textStyle: textTheme.titleMedium),
      titleSmall: notoSansSyriac(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansSyriac(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansSyriac(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansSyriac(textStyle: textTheme.bodySmall),
      labelLarge: notoSansSyriac(textStyle: textTheme.labelLarge),
      labelMedium: notoSansSyriac(textStyle: textTheme.labelMedium),
      labelSmall: notoSansSyriac(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tagalog font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagalog
  static TextStyle notoSansTagalog({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0538354d8eea8db65bafad4bb3d5b43be65efd7abaceacf0f5cd8188883e6a38',
        35864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTagalog',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tagalog font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagalog
  static TextTheme notoSansTagalogTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansTagalog(textStyle: textTheme.displayLarge),
      displayMedium: notoSansTagalog(textStyle: textTheme.displayMedium),
      displaySmall: notoSansTagalog(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansTagalog(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansTagalog(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansTagalog(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansTagalog(textStyle: textTheme.titleLarge),
      titleMedium: notoSansTagalog(textStyle: textTheme.titleMedium),
      titleSmall: notoSansTagalog(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansTagalog(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansTagalog(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansTagalog(textStyle: textTheme.bodySmall),
      labelLarge: notoSansTagalog(textStyle: textTheme.labelLarge),
      labelMedium: notoSansTagalog(textStyle: textTheme.labelMedium),
      labelSmall: notoSansTagalog(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tagbanwa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagbanwa
  static TextStyle notoSansTagbanwa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f021729d9bbe929461b774595c146cef1ab19d31fee5c543c645eed2a0143874',
        29616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTagbanwa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tagbanwa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagbanwa
  static TextTheme notoSansTagbanwaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansTagbanwa(textStyle: textTheme.displayLarge),
      displayMedium: notoSansTagbanwa(textStyle: textTheme.displayMedium),
      displaySmall: notoSansTagbanwa(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansTagbanwa(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansTagbanwa(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansTagbanwa(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansTagbanwa(textStyle: textTheme.titleLarge),
      titleMedium: notoSansTagbanwa(textStyle: textTheme.titleMedium),
      titleSmall: notoSansTagbanwa(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansTagbanwa(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansTagbanwa(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansTagbanwa(textStyle: textTheme.bodySmall),
      labelLarge: notoSansTagbanwa(textStyle: textTheme.labelLarge),
      labelMedium: notoSansTagbanwa(textStyle: textTheme.labelMedium),
      labelSmall: notoSansTagbanwa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tai Le font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Le
  static TextStyle notoSansTaiLe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32d017c911f472b42fc7e84338c8d7b2338340c4c908d0ce41bf1563d535ef1f',
        38484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTaiLe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tai Le font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Le
  static TextTheme notoSansTaiLeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansTaiLe(textStyle: textTheme.displayLarge),
      displayMedium: notoSansTaiLe(textStyle: textTheme.displayMedium),
      displaySmall: notoSansTaiLe(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansTaiLe(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansTaiLe(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansTaiLe(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansTaiLe(textStyle: textTheme.titleLarge),
      titleMedium: notoSansTaiLe(textStyle: textTheme.titleMedium),
      titleSmall: notoSansTaiLe(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansTaiLe(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansTaiLe(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansTaiLe(textStyle: textTheme.bodySmall),
      labelLarge: notoSansTaiLe(textStyle: textTheme.labelLarge),
      labelMedium: notoSansTaiLe(textStyle: textTheme.labelMedium),
      labelSmall: notoSansTaiLe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tai Tham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Tham
  static TextStyle notoSansTaiTham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a45d2872639d0d08b871a3c829bd17ec2712761caccec84a13a7558bb1d611a1',
        117668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '857c486edb1ae795e0bed9b8880f24b3d156bc81e2933d08d36ea5b90821062d',
        117716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '589aca20e96093a275f60be03be4107191fc6043a9c3565917815eba36d682c1',
        117704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '511b9f7251c26a99cc0e43f36b6b62036fe81837ca1730df1f8651d32e19d938',
        117592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTaiTham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tai Tham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Tham
  static TextTheme notoSansTaiThamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansTaiTham(textStyle: textTheme.displayLarge),
      displayMedium: notoSansTaiTham(textStyle: textTheme.displayMedium),
      displaySmall: notoSansTaiTham(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansTaiTham(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansTaiTham(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansTaiTham(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansTaiTham(textStyle: textTheme.titleLarge),
      titleMedium: notoSansTaiTham(textStyle: textTheme.titleMedium),
      titleSmall: notoSansTaiTham(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansTaiTham(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansTaiTham(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansTaiTham(textStyle: textTheme.bodySmall),
      labelLarge: notoSansTaiTham(textStyle: textTheme.labelLarge),
      labelMedium: notoSansTaiTham(textStyle: textTheme.labelMedium),
      labelSmall: notoSansTaiTham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tai Viet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Viet
  static TextStyle notoSansTaiViet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c62e6bb9c35a3be91fa83abcb120f180104ac6e0b0a4e83b3849e7c81196be4',
        44956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTaiViet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tai Viet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Viet
  static TextTheme notoSansTaiVietTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansTaiViet(textStyle: textTheme.displayLarge),
      displayMedium: notoSansTaiViet(textStyle: textTheme.displayMedium),
      displaySmall: notoSansTaiViet(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansTaiViet(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansTaiViet(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansTaiViet(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansTaiViet(textStyle: textTheme.titleLarge),
      titleMedium: notoSansTaiViet(textStyle: textTheme.titleMedium),
      titleSmall: notoSansTaiViet(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansTaiViet(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansTaiViet(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansTaiViet(textStyle: textTheme.bodySmall),
      labelLarge: notoSansTaiViet(textStyle: textTheme.labelLarge),
      labelMedium: notoSansTaiViet(textStyle: textTheme.labelMedium),
      labelSmall: notoSansTaiViet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Takri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Takri
  static TextStyle notoSansTakri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3c64d19a9331b7c42eb6d8a6a70656f61be4a2aadafcaf9b4f14d41bf26bb75',
        46492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTakri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Takri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Takri
  static TextTheme notoSansTakriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansTakri(textStyle: textTheme.displayLarge),
      displayMedium: notoSansTakri(textStyle: textTheme.displayMedium),
      displaySmall: notoSansTakri(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansTakri(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansTakri(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansTakri(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansTakri(textStyle: textTheme.titleLarge),
      titleMedium: notoSansTakri(textStyle: textTheme.titleMedium),
      titleSmall: notoSansTakri(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansTakri(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansTakri(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansTakri(textStyle: textTheme.bodySmall),
      labelLarge: notoSansTakri(textStyle: textTheme.labelLarge),
      labelMedium: notoSansTakri(textStyle: textTheme.labelMedium),
      labelSmall: notoSansTakri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tamil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil
  static TextStyle notoSansTamil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd50ea6f6fa46f41360b2f47653e6526e675445b53164da4600240c91e3392d99',
        77816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14454605d727a1065e3e5a486b556c98d95d53ca23ea9d5d9d16c805f6b36124',
        77940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb1515ad1ca7138c7a7360ffb7aa01fdc19585e8f0fba750557b65d6149277fd',
        77896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1cd0dcb53397c750762c62c6fe588404026168981807487ca6c2335288f9668',
        77700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08db862cd8e271d25c4b8f8f6045ac7912cc9a1f5cb706e42e636706a1faec8e',
        77848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b804880bb1d39bf6dcee0bf33ec65955738296e99149d4ab7a71ab657bac89d',
        77836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00059fb513dd325589b4c928258b7910a3e82ab160d405f40ac5015e1753dbbe',
        77732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f76898aad72851f305e35d6b8ae0ff6fbb0944c281ba41149a57b2c302ab1d1',
        77840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '051bf0813c79c410ece3ed560042464248bff51262e0bf42124f3496f35416a8',
        77748,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTamil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tamil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil
  static TextTheme notoSansTamilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansTamil(textStyle: textTheme.displayLarge),
      displayMedium: notoSansTamil(textStyle: textTheme.displayMedium),
      displaySmall: notoSansTamil(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansTamil(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansTamil(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansTamil(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansTamil(textStyle: textTheme.titleLarge),
      titleMedium: notoSansTamil(textStyle: textTheme.titleMedium),
      titleSmall: notoSansTamil(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansTamil(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansTamil(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansTamil(textStyle: textTheme.bodySmall),
      labelLarge: notoSansTamil(textStyle: textTheme.labelLarge),
      labelMedium: notoSansTamil(textStyle: textTheme.labelMedium),
      labelSmall: notoSansTamil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tamil Supplement font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil+Supplement
  static TextStyle notoSansTamilSupplement({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f348d8c6df01afb3c86986e2e48509bf954f3a1c36cebc2cf14620e8875d64c',
        14812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTamilSupplement',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tamil Supplement font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil+Supplement
  static TextTheme notoSansTamilSupplementTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansTamilSupplement(textStyle: textTheme.displayLarge),
      displayMedium:
          notoSansTamilSupplement(textStyle: textTheme.displayMedium),
      displaySmall: notoSansTamilSupplement(textStyle: textTheme.displaySmall),
      headlineLarge:
          notoSansTamilSupplement(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansTamilSupplement(textStyle: textTheme.headlineMedium),
      headlineSmall:
          notoSansTamilSupplement(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansTamilSupplement(textStyle: textTheme.titleLarge),
      titleMedium: notoSansTamilSupplement(textStyle: textTheme.titleMedium),
      titleSmall: notoSansTamilSupplement(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansTamilSupplement(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansTamilSupplement(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansTamilSupplement(textStyle: textTheme.bodySmall),
      labelLarge: notoSansTamilSupplement(textStyle: textTheme.labelLarge),
      labelMedium: notoSansTamilSupplement(textStyle: textTheme.labelMedium),
      labelSmall: notoSansTamilSupplement(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tangsa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tangsa
  static TextStyle notoSansTangsa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '627de0cfe1dcbd7e5d2bc0dcd55a1a6df2b1544586ba91e372df86319a896826',
        55440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4f4fe5b2d758e9b1cf25b9d3c42df7c5c03248fa27b39aab346a62917c289e0',
        55584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '760b0365789be095c7c71a23815998814a6c44b71eea3bebb2040d45bb5b739e',
        55588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d90c7c5f1b011cf2013ec4c78bcedbf918bfb047aa22b6b27ad24a7f97bb767',
        55504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTangsa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tangsa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tangsa
  static TextTheme notoSansTangsaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansTangsa(textStyle: textTheme.displayLarge),
      displayMedium: notoSansTangsa(textStyle: textTheme.displayMedium),
      displaySmall: notoSansTangsa(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansTangsa(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansTangsa(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansTangsa(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansTangsa(textStyle: textTheme.titleLarge),
      titleMedium: notoSansTangsa(textStyle: textTheme.titleMedium),
      titleSmall: notoSansTangsa(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansTangsa(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansTangsa(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansTangsa(textStyle: textTheme.bodySmall),
      labelLarge: notoSansTangsa(textStyle: textTheme.labelLarge),
      labelMedium: notoSansTangsa(textStyle: textTheme.labelMedium),
      labelSmall: notoSansTangsa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Telugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Telugu
  static TextStyle notoSansTelugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '266ed64477c8cffb8c5a29566cd647b6d1f2b5cdb2b544365fdca95a9b9c87ec',
        177944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f25336cf095671843a1ffc338e6d975bde04111650c043e79fa9c8b77fbea331',
        178248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '636edf769a9abde669d9e5c87adbf58e90b4b1ffc4608d00761c9f40cd118fbc',
        178148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dd1e5988a558099b04661ce7b0a768458725e585186502d402e61aee94c2cd7',
        177488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '278f94774fb350decafbebae18389d27430a51ca46fa12bde62aa59055844b32',
        178132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba86a9688e3606f1705abc28a01f9581c84ba46d3c4cbb0971a1fb47e5db145a',
        178196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d1ef5607ecd9b47172fa3a327cb3ace21bc5513947d2f9880baf6871786e600',
        177936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0c57c387db49337b77b999278de90664d2c797f8f7d94e502b4c5d7386a452d',
        178216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5137a15407f98bff431cac321124459f245182a3f846b90893a17996ee06fd1f',
        178120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTelugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Telugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Telugu
  static TextTheme notoSansTeluguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansTelugu(textStyle: textTheme.displayLarge),
      displayMedium: notoSansTelugu(textStyle: textTheme.displayMedium),
      displaySmall: notoSansTelugu(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansTelugu(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansTelugu(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansTelugu(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansTelugu(textStyle: textTheme.titleLarge),
      titleMedium: notoSansTelugu(textStyle: textTheme.titleMedium),
      titleSmall: notoSansTelugu(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansTelugu(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansTelugu(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansTelugu(textStyle: textTheme.bodySmall),
      labelLarge: notoSansTelugu(textStyle: textTheme.labelLarge),
      labelMedium: notoSansTelugu(textStyle: textTheme.labelMedium),
      labelSmall: notoSansTelugu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Thaana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thaana
  static TextStyle notoSansThaana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfc7f974030881f877e0fac57d820d9354f9a807b7d630c2d7b6e078dc77b125',
        43112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e09d605f916b6afca6f8e84316f2b05a6f34cf43f520f933bc5144c337724525',
        43160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a780934b0c4350c81888497cedc19c9080ed8ae3ae6bbc4d2aa61eeccd406203',
        43124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31195f17aa504c1f2113744000c9d660e7f92b5b61366fa567700b89b393ca75',
        43060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe32b47f4a3ff647b4d06ea3e10c2711965994c2fd83cc45227ef6b77e4b28a5',
        43116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87e02d9db09bf43027846ffd8953e16dc0055903763ef012ee41e3d07add8e8d',
        43112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e338aa25af862f20bb4e5f91e00aae74b26bb013487022ff3ff1911cf8122a7',
        43004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68b281420f972cdf85dd45a31a6dcbfb31dd511429195c78731cef1b1dfb16b3',
        43120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '404759badc6f5cb0e9891383730e2e5e72cb2bd6b38c3ce6ec59aec5a8fcdb65',
        43088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansThaana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Thaana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thaana
  static TextTheme notoSansThaanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansThaana(textStyle: textTheme.displayLarge),
      displayMedium: notoSansThaana(textStyle: textTheme.displayMedium),
      displaySmall: notoSansThaana(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansThaana(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansThaana(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansThaana(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansThaana(textStyle: textTheme.titleLarge),
      titleMedium: notoSansThaana(textStyle: textTheme.titleMedium),
      titleSmall: notoSansThaana(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansThaana(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansThaana(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansThaana(textStyle: textTheme.bodySmall),
      labelLarge: notoSansThaana(textStyle: textTheme.labelLarge),
      labelMedium: notoSansThaana(textStyle: textTheme.labelMedium),
      labelSmall: notoSansThaana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Thai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai
  static TextStyle notoSansThai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9bb95c7d2456d2e99dea00c6d86ec222d3672babe48e7bbf267f7884a64fb8f',
        46384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a85051089bb20b3db13a65d67f33047c1f54f9af07f92094de9b49b58eefae2f',
        46492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '317788877d5c5b8f8a8143d8e6b49ea5ae3b25323507cab1d9bcdb1008cd003a',
        46428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11264110486bd9ad9fa4acba4992309c66b02b4ae90949d5dd8e4b67d35af180',
        46356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b0fb1da7190f0f997eabb541c82bf11c4381281e1293a79bb90f61d83e50cc2',
        46424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b87d990dcd629c0af9fe29b43212e0710d0752e8d130825539af968d1d6d4f00',
        46428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f43a775a0b7b76f8563995b98887cde34eb6d60e5e84b55222a3339c1553a044',
        46340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e594721b9039d062952697c5e95adf7cc14c8665c4e799bad49b2818246c6b6',
        46396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f216d5c4df511e35fab2ea3889c0d0591c6a8ef2c16329c3e90f77183fd56a5d',
        46280,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansThai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Thai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai
  static TextTheme notoSansThaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansThai(textStyle: textTheme.displayLarge),
      displayMedium: notoSansThai(textStyle: textTheme.displayMedium),
      displaySmall: notoSansThai(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansThai(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansThai(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansThai(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansThai(textStyle: textTheme.titleLarge),
      titleMedium: notoSansThai(textStyle: textTheme.titleMedium),
      titleSmall: notoSansThai(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansThai(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansThai(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansThai(textStyle: textTheme.bodySmall),
      labelLarge: notoSansThai(textStyle: textTheme.labelLarge),
      labelMedium: notoSansThai(textStyle: textTheme.labelMedium),
      labelSmall: notoSansThai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Thai Looped font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai+Looped
  static TextStyle notoSansThaiLooped({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a64e0e1ff568c362a0bc61cbe02d779ebe114ae5b4f7f5431e55d393fb63d459',
        63572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd193457dcbb7cb93fd82d3a8787417ac3742d90f9bf435a01f15dc2ebf65fff6',
        63168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29e9a7daf53728c2947cfb8e65594b65f686ec393bbf648d1a680c42621c33be',
        62624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1cded4b6ff57bcd44468cdad2c23ed9813447c846b1a0d165025157ce266cb9',
        61476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '711a4fdb4f6cbeb5c9e29e189ffa2513609c8a1cdc18c1d61dd0c0e2b31074ca',
        61320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fead3b4a2fdd2937fce7df6a853c477e690f53a32b005b8ff7e9e15f3260982',
        61904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1dc2262556e130a1a3aeb62efb2ed12cb4a8d64c4ce3415ac9bacef9ceda347',
        61840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c5246fe6eb20072bbe26ba01fbe1715b09d24a96dfc1997580c1ec0092f67d4',
        61840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '206db11b7d2ffd563e9e799b375b50f513512ea2c5e9a9dfcb5c568c6d1fc339',
        61788,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansThaiLooped',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Thai Looped font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai+Looped
  static TextTheme notoSansThaiLoopedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansThaiLooped(textStyle: textTheme.displayLarge),
      displayMedium: notoSansThaiLooped(textStyle: textTheme.displayMedium),
      displaySmall: notoSansThaiLooped(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansThaiLooped(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansThaiLooped(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansThaiLooped(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansThaiLooped(textStyle: textTheme.titleLarge),
      titleMedium: notoSansThaiLooped(textStyle: textTheme.titleMedium),
      titleSmall: notoSansThaiLooped(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansThaiLooped(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansThaiLooped(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansThaiLooped(textStyle: textTheme.bodySmall),
      labelLarge: notoSansThaiLooped(textStyle: textTheme.labelLarge),
      labelMedium: notoSansThaiLooped(textStyle: textTheme.labelMedium),
      labelSmall: notoSansThaiLooped(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tifinagh font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tifinagh
  static TextStyle notoSansTifinagh({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb1d4292daa91f2ce6eb88e240894ba2e2353740da6f1dade2edb72b24f016c2',
        57780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTifinagh',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tifinagh font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tifinagh
  static TextTheme notoSansTifinaghTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansTifinagh(textStyle: textTheme.displayLarge),
      displayMedium: notoSansTifinagh(textStyle: textTheme.displayMedium),
      displaySmall: notoSansTifinagh(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansTifinagh(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansTifinagh(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansTifinagh(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansTifinagh(textStyle: textTheme.titleLarge),
      titleMedium: notoSansTifinagh(textStyle: textTheme.titleMedium),
      titleSmall: notoSansTifinagh(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansTifinagh(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansTifinagh(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansTifinagh(textStyle: textTheme.bodySmall),
      labelLarge: notoSansTifinagh(textStyle: textTheme.labelLarge),
      labelMedium: notoSansTifinagh(textStyle: textTheme.labelMedium),
      labelSmall: notoSansTifinagh(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tirhuta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tirhuta
  static TextStyle notoSansTirhuta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efa07c6b3f157b258dd2ac796311d3d0468e6c104d124c30186e8d10d29c1298',
        66912,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTirhuta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tirhuta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tirhuta
  static TextTheme notoSansTirhutaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansTirhuta(textStyle: textTheme.displayLarge),
      displayMedium: notoSansTirhuta(textStyle: textTheme.displayMedium),
      displaySmall: notoSansTirhuta(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansTirhuta(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansTirhuta(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansTirhuta(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansTirhuta(textStyle: textTheme.titleLarge),
      titleMedium: notoSansTirhuta(textStyle: textTheme.titleMedium),
      titleSmall: notoSansTirhuta(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansTirhuta(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansTirhuta(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansTirhuta(textStyle: textTheme.bodySmall),
      labelLarge: notoSansTirhuta(textStyle: textTheme.labelLarge),
      labelMedium: notoSansTirhuta(textStyle: textTheme.labelMedium),
      labelSmall: notoSansTirhuta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Ugaritic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ugaritic
  static TextStyle notoSansUgaritic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d9f37689815afee098c7697688ae1020a16706942a7110b8c6b3b0f6c6332fd',
        6192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansUgaritic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ugaritic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ugaritic
  static TextTheme notoSansUgariticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansUgaritic(textStyle: textTheme.displayLarge),
      displayMedium: notoSansUgaritic(textStyle: textTheme.displayMedium),
      displaySmall: notoSansUgaritic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansUgaritic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansUgaritic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansUgaritic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansUgaritic(textStyle: textTheme.titleLarge),
      titleMedium: notoSansUgaritic(textStyle: textTheme.titleMedium),
      titleSmall: notoSansUgaritic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansUgaritic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansUgaritic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansUgaritic(textStyle: textTheme.bodySmall),
      labelLarge: notoSansUgaritic(textStyle: textTheme.labelLarge),
      labelMedium: notoSansUgaritic(textStyle: textTheme.labelMedium),
      labelSmall: notoSansUgaritic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Vai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Vai
  static TextStyle notoSansVai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '211b25836b74b707326a59ffacc949268826d58cb9a6df8a00c1a45903d5dfc7',
        81408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansVai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Vai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Vai
  static TextTheme notoSansVaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansVai(textStyle: textTheme.displayLarge),
      displayMedium: notoSansVai(textStyle: textTheme.displayMedium),
      displaySmall: notoSansVai(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansVai(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansVai(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansVai(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansVai(textStyle: textTheme.titleLarge),
      titleMedium: notoSansVai(textStyle: textTheme.titleMedium),
      titleSmall: notoSansVai(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansVai(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansVai(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansVai(textStyle: textTheme.bodySmall),
      labelLarge: notoSansVai(textStyle: textTheme.labelLarge),
      labelMedium: notoSansVai(textStyle: textTheme.labelMedium),
      labelSmall: notoSansVai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Wancho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Wancho
  static TextStyle notoSansWancho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21c486de3f2e1cf29de43ada5752c1f262d97c53aeddedd8d381d18cf13a91ee',
        44632,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansWancho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Wancho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Wancho
  static TextTheme notoSansWanchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansWancho(textStyle: textTheme.displayLarge),
      displayMedium: notoSansWancho(textStyle: textTheme.displayMedium),
      displaySmall: notoSansWancho(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansWancho(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansWancho(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansWancho(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansWancho(textStyle: textTheme.titleLarge),
      titleMedium: notoSansWancho(textStyle: textTheme.titleMedium),
      titleSmall: notoSansWancho(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansWancho(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansWancho(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansWancho(textStyle: textTheme.bodySmall),
      labelLarge: notoSansWancho(textStyle: textTheme.labelLarge),
      labelMedium: notoSansWancho(textStyle: textTheme.labelMedium),
      labelSmall: notoSansWancho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Warang Citi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Warang+Citi
  static TextStyle notoSansWarangCiti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4404b68cb22941176fbbd425a35ed3a042452b88a4a74e4c8fdfac723b1c5635',
        61444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansWarangCiti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Warang Citi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Warang+Citi
  static TextTheme notoSansWarangCitiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansWarangCiti(textStyle: textTheme.displayLarge),
      displayMedium: notoSansWarangCiti(textStyle: textTheme.displayMedium),
      displaySmall: notoSansWarangCiti(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansWarangCiti(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansWarangCiti(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansWarangCiti(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansWarangCiti(textStyle: textTheme.titleLarge),
      titleMedium: notoSansWarangCiti(textStyle: textTheme.titleMedium),
      titleSmall: notoSansWarangCiti(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansWarangCiti(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansWarangCiti(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansWarangCiti(textStyle: textTheme.bodySmall),
      labelLarge: notoSansWarangCiti(textStyle: textTheme.labelLarge),
      labelMedium: notoSansWarangCiti(textStyle: textTheme.labelMedium),
      labelSmall: notoSansWarangCiti(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Yi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Yi
  static TextStyle notoSansYi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42b3257b807027d08ea8422470e41ceac749ddaaf7fafe4e646c39f865e3efc0',
        210160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansYi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Yi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Yi
  static TextTheme notoSansYiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansYi(textStyle: textTheme.displayLarge),
      displayMedium: notoSansYi(textStyle: textTheme.displayMedium),
      displaySmall: notoSansYi(textStyle: textTheme.displaySmall),
      headlineLarge: notoSansYi(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSansYi(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSansYi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansYi(textStyle: textTheme.titleLarge),
      titleMedium: notoSansYi(textStyle: textTheme.titleMedium),
      titleSmall: notoSansYi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansYi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansYi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansYi(textStyle: textTheme.bodySmall),
      labelLarge: notoSansYi(textStyle: textTheme.labelLarge),
      labelMedium: notoSansYi(textStyle: textTheme.labelMedium),
      labelSmall: notoSansYi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Zanabazar Square font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Zanabazar+Square
  static TextStyle notoSansZanabazarSquare({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96f1f5efe4bf49b841bd90cf3eade3d6c2e003c45741d791d51f81934379b2c9',
        46328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansZanabazarSquare',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Zanabazar Square font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Zanabazar+Square
  static TextTheme notoSansZanabazarSquareTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSansZanabazarSquare(textStyle: textTheme.displayLarge),
      displayMedium:
          notoSansZanabazarSquare(textStyle: textTheme.displayMedium),
      displaySmall: notoSansZanabazarSquare(textStyle: textTheme.displaySmall),
      headlineLarge:
          notoSansZanabazarSquare(textStyle: textTheme.headlineLarge),
      headlineMedium:
          notoSansZanabazarSquare(textStyle: textTheme.headlineMedium),
      headlineSmall:
          notoSansZanabazarSquare(textStyle: textTheme.headlineSmall),
      titleLarge: notoSansZanabazarSquare(textStyle: textTheme.titleLarge),
      titleMedium: notoSansZanabazarSquare(textStyle: textTheme.titleMedium),
      titleSmall: notoSansZanabazarSquare(textStyle: textTheme.titleSmall),
      bodyLarge: notoSansZanabazarSquare(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSansZanabazarSquare(textStyle: textTheme.bodyMedium),
      bodySmall: notoSansZanabazarSquare(textStyle: textTheme.bodySmall),
      labelLarge: notoSansZanabazarSquare(textStyle: textTheme.labelLarge),
      labelMedium: notoSansZanabazarSquare(textStyle: textTheme.labelMedium),
      labelSmall: notoSansZanabazarSquare(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif
  static TextStyle notoSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a5be5264ec79b04fbdf0cc7539b6f2b76bb688af4fb0a935b31114ca4f32197',
        245132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c77141ccb7e46b999b2ec567b0ffd15868f49f1e5206ff5c8a9e7386004b899e',
        247988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e4918ed0e89a5e49432cafc9f4b66350d24d7ea9c6d33fd9c8d7def64430f54',
        246032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01e0d5c835c58708f4b96199949783c81fd202953c056c3ca5fc6faab9e676f4',
        261112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif
  static TextTheme notoSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerif(textStyle: textTheme.displayLarge),
      displayMedium: notoSerif(textStyle: textTheme.displayMedium),
      displaySmall: notoSerif(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerif(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerif(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerif(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerif(textStyle: textTheme.titleLarge),
      titleMedium: notoSerif(textStyle: textTheme.titleMedium),
      titleSmall: notoSerif(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerif(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerif(textStyle: textTheme.bodySmall),
      labelLarge: notoSerif(textStyle: textTheme.labelLarge),
      labelMedium: notoSerif(textStyle: textTheme.labelMedium),
      labelSmall: notoSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Ahom font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ahom
  static TextStyle notoSerifAhom({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1196f67c78f8eac917d18deafbb3405accfa758fd016fc15efe239f117181b5b',
        59304,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifAhom',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Ahom font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ahom
  static TextTheme notoSerifAhomTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifAhom(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifAhom(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifAhom(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifAhom(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifAhom(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifAhom(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifAhom(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifAhom(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifAhom(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifAhom(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifAhom(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifAhom(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifAhom(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifAhom(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifAhom(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Armenian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Armenian
  static TextStyle notoSerifArmenian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6732df9752be37612413c907128d8345b1a3847cfec3f017daddc3e81475a8f',
        52944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1f0cf0ad3ac3a1dce0169e330cb30b4517e898eb3bfdaf84a40fc908712ea2b',
        53000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '913c35617cbc519357c3c83a5a97217bf6f4e4fcc2b602cfc19524b0338042aa',
        52956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6c004508a28b95b846b2d662921f623e1faa4039b25ed9ded9e3b1d01f8a1ce',
        52916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14997393e6769283191d64459307dffd7f905d417f02d13b0e3f87013620a0f7',
        52972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb2cf96d3168555e5e7f618156e5009ff9b56dda46101d588ba53b32e6ed2229',
        53012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa184a906154afaeb8001c8eabbb3a7ada8fcdd760506617328c01dd25c8dd5d',
        52928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a33fc6a28865d296c091e015eb9b46a4bed2301ec527a6cb3328e285cdc6e8d',
        53060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c0cf65d3c12790c1fb886ee61abaa0deaa15f55a9b45dbfc42baa3c9f0b821f',
        53024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifArmenian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Armenian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Armenian
  static TextTheme notoSerifArmenianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifArmenian(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifArmenian(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifArmenian(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifArmenian(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifArmenian(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifArmenian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifArmenian(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifArmenian(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifArmenian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifArmenian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifArmenian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifArmenian(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifArmenian(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifArmenian(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifArmenian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Balinese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Balinese
  static TextStyle notoSerifBalinese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b845e0a39410727d93e26a2df2d02ccbe0211f693585d975d9508f76d5c7507',
        87552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifBalinese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Balinese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Balinese
  static TextTheme notoSerifBalineseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifBalinese(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifBalinese(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifBalinese(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifBalinese(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifBalinese(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifBalinese(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifBalinese(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifBalinese(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifBalinese(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifBalinese(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifBalinese(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifBalinese(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifBalinese(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifBalinese(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifBalinese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Bengali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Bengali
  static TextStyle notoSerifBengali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1682690ca9054c175b7baebab19ff2c37d445ef5370b0dcdaa04279d1c47702',
        205168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75cbd95d5194218ec78c1f1c8eb4130243bc8416ca0280d233edf15164c80349',
        206208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b8905e7200fdac4e552a043b93fa813310ed6bb1dd9c451c24ff5f13881344f',
        206168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c614b3c3a31b66924754ce54af7d255ef83677c7fda8d92b0d54f35f0417049e',
        205588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c85a535780e513519a39977cfa04dd10adc133074275637bb832f4ed638574ff',
        206884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb452679317f6247c5e5f18fa28db00780d382aead10dd24d479b2c483a83553',
        207308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06181ed43a9557b9eb41a7a985aaa7941d8f719e10a6e1c0105aa58be15780ea',
        207484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb9e8f54bac76f3f05e7507d8a3b61df88e8d06e88a1d834dcd5376a56baa24b',
        207584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c7c9fc677bf1aa3544fdc54cb8032902ada197ac0d4607409ba0c5714b8205b2',
        207168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifBengali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Bengali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Bengali
  static TextTheme notoSerifBengaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifBengali(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifBengali(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifBengali(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifBengali(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifBengali(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifBengali(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifBengali(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifBengali(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifBengali(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifBengali(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifBengali(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifBengali(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifBengali(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifBengali(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifBengali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Devanagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Devanagari
  static TextStyle notoSerifDevanagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '706b6f0fd2a7635a1ae9ef3ca53f57d799394351a3e0ed377a90a2e9de6a34e7',
        227892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a17169e761bdd19e1c5c29d9644bdd8d1cbda71ef3f624419d81ec5a705a2a5',
        228240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fc4c1d0a046723d8ed1799227965b717e8e782479ce864b282bb17ed6b4ba6f',
        228268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'afa276a5f19cb805b629d79a171a485dd9d6980add38c8cc34e09d98c05c476c',
        228004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb47e7bb626f665ba1c8f5c4636894e32f83741759d2b604635596b2f7075cdb',
        228540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f139b269321bf5f80fe83a194b477ace9eb83ff4866c7dac31e4c41894bc1a13',
        228512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9acb6c1d6f69132404d371db2c3ec9196815c3ee85bbacfa72f1472a88532cf9',
        228360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de81ef835a794ee906a82be9f3b7d976d691ec7570af03f99f6851bdb48fd8b5',
        228732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0bc49ea762462fbbfe5052f6c3a9320b56c7f5b59c228b2875d97b66a8ca010a',
        228632,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifDevanagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Devanagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Devanagari
  static TextTheme notoSerifDevanagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifDevanagari(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifDevanagari(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifDevanagari(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifDevanagari(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifDevanagari(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifDevanagari(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifDevanagari(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifDevanagari(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifDevanagari(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifDevanagari(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifDevanagari(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifDevanagari(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifDevanagari(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifDevanagari(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifDevanagari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Display
  static TextStyle notoSerifDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09496789f455b508e9e2fcb034f09dcbf993778871b15776e4a5f65e0fe29ed6',
        397740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dffa5e31ecd6b7ed1dfa70c92e9a4d385f75e9d7918942a6ef8cc75fe65990a0',
        398264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6725eafcb9a75a6e0a5ea5d63d6f6eb2b9ecb79c581869bf10f9c8bb1e54a420',
        398412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fea030e164b734431a4198ab13e947e84f17f086a9f9ff78040494d8e466718',
        397456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '278b7cf95a6dd77c3362828b3fcea11eb575f29b8d00e986b3a2311af41e6f0b',
        398416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82ac0c36fdec281f2e74bf9957a2bb48b43e319d6f35d6e6f86d7c3f0987a28a',
        398064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc7a0b934b8f2dc85a266d8d58f9302dd149d6cc6adec725af980117013afef4',
        397628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f0549f6edeb2a40634d139ce919d6b57517effd59c605b040dbf9bccef1d3bb',
        399136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d39b884ebad48cf076fe0888a635bb6d41ecb995a3af622032c590161e47941',
        399260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14df5251afbc45b5ff4237073022888a1f75999fc00a766bd26ae1d7c6764b18',
        417292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e7723868364cda1888bd564b21014bd4a6ecbff7bd500cf94b298972e2a79bbc',
        417880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e39297379cfa44253768e9c46a8d0c3251eeda47d8fe7acfc1ecc6f40de5fb73',
        417912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '42adc9826b9f7af86243bef4b068f6c94a75e7bd9e29f99799d12b60923146ac',
        416612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b89baec738ce94e711675448108f1f88321543cfe14bb98bea5174c2d28ca6b',
        417520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '441023feff19a3f739a89f6362a0f14179f02b6b587430a6c0736350623fd75f',
        417812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ae3d942963d6c42aebb7e2850d8b3ff420b90cba2ec0b088c5798abce5fc509b',
        417140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4ca134e40a4efb475e3e126bbcad9b9ee5f85890e4f5724457a1110fc3f9cd08',
        418276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '54ff6d69fe2947c703194508ac298cae7412b1ca27bdf38ee833d784efcc005b',
        418088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Display
  static TextTheme notoSerifDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifDisplay(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifDisplay(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifDisplay(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifDisplay(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifDisplay(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifDisplay(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifDisplay(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifDisplay(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Dogra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Dogra
  static TextStyle notoSerifDogra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '861d3fa005d5e07807519d816a1cf6cbb6317e2c925c46e791b417f0a26b84b7',
        17188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifDogra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Dogra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Dogra
  static TextTheme notoSerifDograTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifDogra(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifDogra(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifDogra(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifDogra(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifDogra(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifDogra(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifDogra(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifDogra(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifDogra(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifDogra(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifDogra(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifDogra(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifDogra(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifDogra(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifDogra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Ethiopic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ethiopic
  static TextStyle notoSerifEthiopic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08d7dce1191625a4518510348526ebf8551e6f326d8c15aa727e7af94172e7ce',
        302672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32025861028fd9d2f1019c90f5f683586da1f4a624345b8c3dc84bb0619ba9e7',
        302840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67ad5ae190b1e613ae6045cfade3bbe22b3afd646928ef072b64ab3d90f1c01a',
        303084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b13a884306387fbb0ed8f3f8604815d275360ace8ef575fbcd0d3d295a77f948',
        303116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1ec4afa5221cd47927f6b023c7b2868922c1f4ec96f5aabb7cf0bf9d316867d',
        303328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '537fc5926ee99eb51997ac1bc7b29a3efa28d5f7e3762320cfb7a49c0912e71f',
        303468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a46d1da5bff7de5911bdf12ee9193378a0eed5848704866a14e46f9fdcd591d',
        303464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e695ea4aa60fa369ce69a9026029a39be222ef5ad46a4a3df2fd2c6f78dc498',
        303532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b2e70c709971f7edb51c59811083f14b17bd2568ec6d6d5ed70ce99f6f99ca99',
        303492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifEthiopic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Ethiopic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ethiopic
  static TextTheme notoSerifEthiopicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifEthiopic(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifEthiopic(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifEthiopic(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifEthiopic(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifEthiopic(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifEthiopic(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifEthiopic(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifEthiopic(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifEthiopic(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifEthiopic(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifEthiopic(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifEthiopic(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifEthiopic(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifEthiopic(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifEthiopic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Georgian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Georgian
  static TextStyle notoSerifGeorgian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98342d166f1dc52ea0aa6cb3300f386e379b8bab6f9ae48e5173c73b61a06264',
        79740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e5171783a434143d65c34e5a4ac5726b0d569a7426acac95bb3af8bdd48205c',
        79780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1bd6b7def52336e4f209224f2ac186d4dbe45647d374a5df0b3d8c8b29c51a9',
        79708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4207e117b8f9297f611b329df5bf6a5903984010bb30cb0004ff17db0eaf06ae',
        79656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '094eaf4f7cd3717fbe706ec41cc4309325295d22e7e98bb784f7ec45c45680cf',
        79728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '299f4087161d4e456dbe7bfcf7f4c5d7f87b770f057c61643207b00c23c20ae2',
        79744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01e8871ac258558519733774eb1583536e0919def46ad65e8d6d9fa93760d2ce',
        79636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4dcd6037132d9f78d23f3fcdbbb4050567a31d566afa031386cd46334f853e7',
        79756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25f6437092427fd0ba91ec4294301e608c375de02d7918be71019b7247d83317',
        79736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGeorgian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Georgian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Georgian
  static TextTheme notoSerifGeorgianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifGeorgian(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifGeorgian(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifGeorgian(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifGeorgian(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifGeorgian(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifGeorgian(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifGeorgian(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifGeorgian(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifGeorgian(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifGeorgian(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifGeorgian(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifGeorgian(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifGeorgian(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifGeorgian(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifGeorgian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Grantha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Grantha
  static TextStyle notoSerifGrantha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35cd8486d3f431e8ccf5a3e75dd1d4b13dfae9d132ce06ebde9a297641467d41',
        317072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGrantha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Grantha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Grantha
  static TextTheme notoSerifGranthaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifGrantha(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifGrantha(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifGrantha(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifGrantha(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifGrantha(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifGrantha(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifGrantha(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifGrantha(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifGrantha(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifGrantha(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifGrantha(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifGrantha(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifGrantha(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifGrantha(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifGrantha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Gujarati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gujarati
  static TextStyle notoSerifGujarati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99cfac21cf27ab6d5cb9289201b3bd3ccb311778b1c6354e47eebcc9c0f007ea',
        139712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53537970282a4c552542211514107a89689f18ed491fa0011eb3315cb97ebaeb',
        140300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5eeac3794da372f859ff56e3ed0b0c6c49f5061a09cd0b96a1862e70b975f70b',
        140280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47f98d9820897e978effd97492c1fa994cf7b63b8e4f7c0119eea35bfd76f998',
        139784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '133bc81c2c834c23f4f18af9a552827f462b49511c7ef1e89e902b42ffeac3ce',
        140208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d31462be1219a11be5145b91f8d425b72e7e63e768585c05653823b03003d60',
        140164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5400396fc309179871c681b8499c8ec955f2dd7a543d416c37038bcea1f376bb',
        139704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ca6c84f392d2ecf2aca696e7f85d6717e33629ff263fd6ddd1ced101818b520',
        140172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e49d0e0f7abfbb7ad0d92ac8e6f091f16bdf7c79386e57b4657f298281545ab',
        139964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGujarati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Gujarati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gujarati
  static TextTheme notoSerifGujaratiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifGujarati(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifGujarati(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifGujarati(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifGujarati(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifGujarati(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifGujarati(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifGujarati(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifGujarati(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifGujarati(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifGujarati(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifGujarati(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifGujarati(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifGujarati(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifGujarati(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifGujarati(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Gurmukhi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gurmukhi
  static TextStyle notoSerifGurmukhi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b961861a281cd0139258925d5bcc9a7bbf76e6dd939c9114ee576ec2cd22b06',
        65940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11cc4deaf5eb420bbe2dd3ec96cbee15aa8f575e5d253de1e205952384fe0e81',
        66156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51834b2eedee0519d5da88c1b0ab20a8453c4b3c6fc5e132b2ee1ddbc3631303',
        66140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f56f73f48a2476faaa7fc0ca0168a0dbc508c20b0b7d736c41c77094e8abebf',
        66000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b91943d17200b4cabe4f32d18d41fac264dc84db4d7ace1cba71c8e4fccc4c35',
        66076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd863930a9b53a6cccab1775f458f23439798588ae15787d3d98a6268c4dfe2c9',
        66092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f05ea3f96d32d8b8c2532b1d1d95dd712b02e1b0695f91d01e176999786b191',
        65976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a8ada8d4d184624724f000b62f47d626c75fd515e726004e625fd69d4bdb60e',
        66180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50c87cc367ca82622e829879f3de8025f5fefa1b3a2cc3a446c8359591aa078d',
        66060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGurmukhi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Gurmukhi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gurmukhi
  static TextTheme notoSerifGurmukhiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifGurmukhi(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifGurmukhi(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifGurmukhi(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifGurmukhi(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifGurmukhi(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifGurmukhi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifGurmukhi(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifGurmukhi(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifGurmukhi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifGurmukhi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifGurmukhi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifGurmukhi(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifGurmukhi(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifGurmukhi(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifGurmukhi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif HK font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+HK
  static TextStyle notoSerifHk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa18f4ac32f8b96e3e9efe0c6c1c4b62579c84088aeb87b692d7232ab4221a2b',
        35063028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '187ce87ea920319caf9258772fa74a7055a873868fdff3db8123173b707cd76d',
        35075216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67c7cff06ce976bb3d387421b16fa4d3e3d5306d2c434fcad9f7adb437fbf754',
        35079044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ff88103c2d940bef81ef7e277cfabb54fcf8d61f16e5734b2e559c222bf1a5b',
        35089064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eabf90b6877bd7df0cb5665d3a82794b3100f4432b115ccdb0a0dc3679ffc46e',
        35087908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b59b37d42e4019dcecee79a8ef4cd7bf6777b9e88d7c043787d0616a6e243ea9',
        35086016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1db7655beb2e737128ec8dfaedb5a6f66d537c5352f41f62dda1a7260ba64ed9',
        35085416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17c7584b0f73220baa28fa5435e083a89b9c58aaaea8f96fe9bc0b900c004ae7',
        35081100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifHK',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif HK font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+HK
  static TextTheme notoSerifHkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifHk(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifHk(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifHk(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifHk(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifHk(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifHk(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifHk(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifHk(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifHk(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifHk(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifHk(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifHk(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifHk(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifHk(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifHk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Hebrew
  static TextStyle notoSerifHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '304a8f0b5fa585fe4bf508e9ab89f1de6e27c171bf7abdbd0790f9fa3212b4c0',
        50204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a1f648a2072c33a1d5bb1bd517c1e0aebe37f1109a0d67556502d69a1e99279',
        50272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07f984e019a19477a748c0e7a3ac8c37077235b7745428af9e65c820eb457acf',
        50340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d583f4da742e187c516626f5a880c44c438189b86a218cb5b6b8d157236570f',
        50220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25676a3bcc236a518b42d116c4b8568fd07096cfb76663eeca8dc635f6f102fc',
        50272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30108a533ec29d5a6c147ebe055371ac3d6cbd7b4c6a9588a5ca5bd727ca6a38',
        50276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b8d418f0f05366823ea4d1c5c2037ead9dd394d63f385547f17ef954755f34d',
        50256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a95a0f875cd41e8dd0ce4b2e71f0c0e27610560613cd2652a35457238fa8f592',
        50360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e2b3104e2f127cdc56c2f9c42c3f6574ac3ad060a6ea8e8af38276f7728a9bb',
        50268,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Hebrew
  static TextTheme notoSerifHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifHebrew(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifHebrew(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifHebrew(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifHebrew(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifHebrew(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifHebrew(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifHebrew(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifHebrew(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifHebrew(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifHebrew(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifHebrew(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifHebrew(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifHebrew(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifHebrew(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifHebrew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Kannada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Kannada
  static TextStyle notoSerifKannada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e930f343c9b0d7e835219057d38a0ba7be6f98c7cc6f2abc674d75cd823067f4',
        169492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f71965cff6e7841469ebed62e711aeb0cfbda0323b211a8b1fdf1f291cb773a',
        169840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f27c30f6b5aa38edddd9e0f47af1527c5f433782d76662a97f55f2ac5b53cdc',
        169876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e68198a232820c7804ea2660fb0a4863ec5e69c762c7783d6ad944917487583',
        169568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dd0dd7305e1ce65169bc5e0943b69672004136ef4736e88a68fc855128215d0',
        169960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f54e0309e8cba42dcdc73d5beb255f6952ae9294da082477bfecfa237dbbd9ef',
        169856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c0a67f640261d5e33c49a1037247c81ff0a7ff5d48ffd67b3460f40e45cf779',
        169616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '103ee4c40dfa2e2b780b2fa0956932ff785a7e453775da3413bc8e78fe3b8487',
        170208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed3dc0b9aeed715cd4f617721a487ada8998f30bc76352e2e799b2b37198dc49',
        169856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifKannada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Kannada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Kannada
  static TextTheme notoSerifKannadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifKannada(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifKannada(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifKannada(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifKannada(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifKannada(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifKannada(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifKannada(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifKannada(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifKannada(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifKannada(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifKannada(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifKannada(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifKannada(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifKannada(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifKannada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Khmer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khmer
  static TextStyle notoSerifKhmer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2bf905bce7fcf649893779f0a9fa3bd49520e5cca9199a51bb4e58bde6e53cae',
        135536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '417e19c5fd243cfaa8d0503d24bf47603c2cba64957794073527f09d9023fe0d',
        135680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6dbe81939d9897ef5f54a93114f13670f6c5c77f105f95113f00264aa2bdb400',
        135680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef0eb46e149b1a88669c416644b7d71438114f5263031e56168cd6a6d8b11e59',
        135352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '944c9298062f0de260ad42aaacc16edd1baaab52007b30e6109c6f11824b17c0',
        135520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5803fe4d5b61a2e471d0471071698a3746e9744cfe62e436925e9f31b62ec156',
        135652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da7e11186f2c0acd72ef3cdd694562a2207ed95c1c39585029134ca00b0c04f7',
        135544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d633b10a64932c09b342bb3f05f8ee7e40c7e648c12a5079888f5c159fd3933',
        135604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48916db2ba43bad0e355e06b9c41e8743498cc1224bee52aa98d493494d75a1b',
        135452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifKhmer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Khmer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khmer
  static TextTheme notoSerifKhmerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifKhmer(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifKhmer(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifKhmer(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifKhmer(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifKhmer(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifKhmer(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifKhmer(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifKhmer(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifKhmer(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifKhmer(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifKhmer(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifKhmer(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifKhmer(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifKhmer(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifKhmer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Khojki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khojki
  static TextStyle notoSerifKhojki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fb79c6ca595823f0d8bda88d9ca736346b0e245de5dcd47224207d11b25945a',
        139488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4ae1381fb95716f26fcf2e6e17ee3cde9c4347b24fdbe961851b273cbe0265d',
        139924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '984ffee2460b80baaf9cfdf64fee7dc21368a822b15a0b3a493e350f41bcb09d',
        139936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08f6c09d754d88e93d0cd0f94ac1d412f520ec66b91248e97f9bfab467af5b75',
        139696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifKhojki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Khojki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khojki
  static TextTheme notoSerifKhojkiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifKhojki(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifKhojki(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifKhojki(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifKhojki(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifKhojki(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifKhojki(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifKhojki(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifKhojki(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifKhojki(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifKhojki(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifKhojki(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifKhojki(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifKhojki(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifKhojki(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifKhojki(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Lao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Lao
  static TextStyle notoSerifLao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2189c4a5e5e03cb51500192cb2dc19234dc0d9325c1e7154139198f1bfdf9735',
        54004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44e1358df853e602943dfd8407c8c83734b38120a982aabc3f2444767c1c0873',
        54076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37612739c5b0bd685343ca6da2ef834a6e3b42acda386f2b0d3fc08479665faf',
        54068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc2acb00938e787bd92a2f04f4155cff37f87e0b51cee460914d0f5fdfcb267a',
        53980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e14d4913f1352485b2391f993629692d9dd207cc0b44d8808d42d6e21f32bbf',
        54100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0dda44d1054afa08f5defe9d54e1f81a87daa472f9d10e63648d5953a9627cef',
        54156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9bf22ba84aa9cf090579726962fb4d1288e0584016b0744daf901795496203b',
        54084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '041bf58a25b708521a3d7e4c75c9fc796ad19e2837b61d80c2ed12255d95378a',
        54168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd9107e888d5d658104c8fdad7eec7c6701b19b6e9bfc14fff5d21b09eba3d6e',
        54064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifLao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Lao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Lao
  static TextTheme notoSerifLaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifLao(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifLao(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifLao(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifLao(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifLao(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifLao(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifLao(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifLao(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifLao(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifLao(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifLao(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifLao(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifLao(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifLao(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifLao(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Malayalam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Malayalam
  static TextStyle notoSerifMalayalam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59e507fea491ed3e8a5becfeac7c11bd99f6c0a569efe110b01e7d3cdaa62db6',
        104340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cee2501219fbf6edb0416d09979419cafbc6a0d416986ae740309171d1c4f8d6',
        104392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '525bc34daceccb51763bc13110cc1e51342e682be0056da31f7aea280ae0f8bc',
        104368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45295e776e0ab178ba904b09c0744872c4d86c4c4293776f55ff9f5b83bda26c',
        104300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcd13251cc29655f5e8e4fd0b241e3dbec7bc69acddf35aa00fb026aac78263d',
        104408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ffd19de47a0bd59cf75c254ab2fcf19fc43ced7de6fe3b13f6f336ec845f1f5',
        104356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e6621e7a87692b3a7155750f6cbe5aa66bffcb924c78c28ed2f7e47c282f899',
        104308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e631b2fb5965a750b347ee6aa75e36b0997c8a18bbcfe0f9401686ac21c4770',
        104500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11bed958dfe172efe4d27f93f6930c459a343fbaed7d4fc95df2391a7b6096ed',
        104456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifMalayalam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Malayalam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Malayalam
  static TextTheme notoSerifMalayalamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifMalayalam(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifMalayalam(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifMalayalam(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifMalayalam(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifMalayalam(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifMalayalam(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifMalayalam(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifMalayalam(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifMalayalam(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifMalayalam(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifMalayalam(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifMalayalam(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifMalayalam(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifMalayalam(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifMalayalam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Myanmar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Myanmar
  static TextStyle notoSerifMyanmar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '438218d60c4be2c3a7d215f784fb7cd714e30f5ef18080ed7ab1478cee957c5c',
        185260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e2b5b12588f36092bc455f6e4d546e81faec9d2cca283d27919c666691081a8',
        184624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c91ef89e0f5d2c61287249037d0d20f00ce8856c5cdaa067812a6e4d45d637d4',
        192084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee046657538eeb83e39f8738059ee2580f8daab6fe65c436b304c79c6a2a6d4d',
        190336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a50f892970c9784f79c1f1e002935141b5d31fd2cea06ce0a9980fa3d3fb6f5',
        183092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe3a066a6f537609693b6e1fc626190d0844b9ceda1c43a279ef5e8725ef0dc7',
        183192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d97d67e018337923faa5b9cc681cb22a11a72503757587836a6057cdb7532c4',
        192236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '891c886c13564ec9edbbc0928d135cb4c8ff239a57131b64a2fe18013a56d369',
        184844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f07b66049bf83967df91919bcfa4ed222319ef1d691a07da30536671c4b6b67e',
        185012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifMyanmar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Myanmar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Myanmar
  static TextTheme notoSerifMyanmarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifMyanmar(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifMyanmar(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifMyanmar(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifMyanmar(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifMyanmar(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifMyanmar(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifMyanmar(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifMyanmar(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifMyanmar(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifMyanmar(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifMyanmar(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifMyanmar(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifMyanmar(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifMyanmar(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifMyanmar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif NP Hmong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+NP+Hmong
  static TextStyle notoSerifNpHmong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18da59c16fe94289fbdbef0ebee360c74d5bd67f79d8e396b5eeb8a08a27c7ac',
        54680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0789992cf2e05be8cdcc1d4ee9d36f51aad16244eaed3c5200148c30e1137965',
        54768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7eb16bf9c7448f5d8efe247bd4baf9b6b037e86353b6ef63777c8e281d882bd6',
        54652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '669e8c057afed7f891f69d91950bc98e34e4ef76e8c08dcdae287543023c3bf4',
        54540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifNPHmong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif NP Hmong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+NP+Hmong
  static TextTheme notoSerifNpHmongTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifNpHmong(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifNpHmong(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifNpHmong(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifNpHmong(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifNpHmong(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifNpHmong(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifNpHmong(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifNpHmong(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifNpHmong(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifNpHmong(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifNpHmong(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifNpHmong(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifNpHmong(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifNpHmong(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifNpHmong(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Oriya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Oriya
  static TextStyle notoSerifOriya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21b19ba18bd073f91e40ca2b212021029e4c015621a09f00b5e33c88ba63f596',
        146656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b2c3afaea47c4cb633631fac33ad6b9506f5407f6b871d198cde8c3dd3a7d64',
        146968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '320e37aa13de5fa441eb0b38b11a7992092803cea7301f68db89918bb401cc2e',
        146976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f988b3ee234a13e0449ae53838c315979e44e029b63d18738eeb83de7339dd6b',
        146420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifOriya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Oriya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Oriya
  static TextTheme notoSerifOriyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifOriya(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifOriya(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifOriya(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifOriya(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifOriya(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifOriya(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifOriya(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifOriya(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifOriya(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifOriya(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifOriya(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifOriya(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifOriya(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifOriya(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifOriya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Sinhala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Sinhala
  static TextStyle notoSerifSinhala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a4ae388a874758f08e60ca58491a862c7fb817de7ce2d7b97121c19a43764c2',
        242772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0652c00c00aa3ed098f36fff9f02ed9ea8106cec81994000952a19aee890900f',
        242876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8dae3a378a162202f3964ab7a18bc6d69adfab46a22579844df335402dd96f5',
        242988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '674d7e0bca32ac37ce3c49d6c34eb979322485e567dfed41d3069780ae379d8f',
        242724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3a8359dbfc035647427440cbd8ad3046030973702d55d9bc9db18d96f57b26f',
        242820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3f3cefea2e0f349cb256f166017736ffd0b3912067b23e9a375cb45c14949f3',
        242828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c60b00bfcc07796d641021c7f1e3bbc524cb32401b9c970c31c4a8876096d12',
        242796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe89e37d9042da476cba2f499d35675fe2fed4745c5181f1f4f2747cf76b768f',
        242840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f04dabb03ce55622a1c424b5007ed696a7006dc298b32db85df88192b430e10',
        242816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifSinhala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Sinhala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Sinhala
  static TextTheme notoSerifSinhalaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifSinhala(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifSinhala(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifSinhala(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifSinhala(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifSinhala(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifSinhala(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifSinhala(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifSinhala(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifSinhala(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifSinhala(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifSinhala(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifSinhala(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifSinhala(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifSinhala(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifSinhala(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Tamil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tamil
  static TextStyle notoSerifTamil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac65de4bb44c36c15437541a3fd05c9456f48fac3487596e0d229fa576092abb',
        88616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe8092c824be5f5bcbd9c50cbbd521372ee45254671b4911f555dbb542aa6d68',
        88804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a727ca106555dd9cd00ee5469dd5372d2682b3ba1b633f8ab053b3f2dc1fa8c0',
        88724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74efd725b5e611028bb513062d35dcd6c6fd4251df5b9464f690719c4695a6c4',
        88548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbb81c82b15ab98e827e5c14e2b48f2aea66937f28bafb7150218888983a103e',
        88712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4de0813ad43f3ede1f85221e031177c0d6194246768d1b04206eb71e2af6dac',
        88668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '947c3da3448338c172f8dbc9ca072a46fa907409f002650afedb4b3e3f8ddb6f',
        88524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0376fa8cd913dbd82b832caca64ba23218413145f52da5c9c35bc55cf95cf964',
        88944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c018ff7c8f62a9e7ad8bf201704a0fdce75e1c9c0a8496f98b3007488f66d9c7',
        88896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '549dc166392a7bd4a7ad31ef472fdbe92e7bde5f4ffcf82e3a86b9e6caec0973',
        88860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'beff57eef91baa936ca0d59b2c7ad9bf0f2f54c5e805c58eab713e335f98c7ad',
        89068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b071444dddf209a1452ed8188549aaad5080ca2ca7aa67e35a4b667c990ab83',
        88996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dafe2b3586f4389eb0445ab2ff59db5feb811d1a2fff46ac11329ef07c059fc1',
        88816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cd6e31bfcc320f2fd3802a9f4d0ebda031e7025f78623a56b6cc718a1fba23a5',
        89052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7e7510b4229b3d648bc8ca173a1dcdcc43d9c014ffc4b4ca09571fc0a465397e',
        88964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2f63eb24815c6d4ea8c00c2d2e507d3bf6f18a40147ae9da43d4feac5388b6ed',
        88796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4930522a8bde336647b8f552c3f65c0e1b57e6eac4765f71ea113911510c46c1',
        89228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6406a9ce1d41120a9324a32359e4760f7869e594fe519fb47179f8e992e534f3',
        89204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTamil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Tamil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tamil
  static TextTheme notoSerifTamilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifTamil(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifTamil(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifTamil(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifTamil(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifTamil(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifTamil(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifTamil(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifTamil(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifTamil(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifTamil(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifTamil(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifTamil(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifTamil(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifTamil(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifTamil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Tangut font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tangut
  static TextStyle notoSerifTangut({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '024d9681f91ec8979de208aebd8b3ef0e5c42106cb1281d9fcb3eea68fb487f2',
        3417888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTangut',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Tangut font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tangut
  static TextTheme notoSerifTangutTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifTangut(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifTangut(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifTangut(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifTangut(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifTangut(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifTangut(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifTangut(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifTangut(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifTangut(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifTangut(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifTangut(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifTangut(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifTangut(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifTangut(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifTangut(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Telugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Telugu
  static TextStyle notoSerifTelugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '440af5aeec8fafa12e4614e0fdfe90267b7ff160d88397bea89a3f7cd92b37b8',
        239776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '219f1b22f2aef34c129367ac0962494231ba8a4e9831775266b38485a312f078',
        240788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9f79897547d95846edf276c68a7e739df083f47b4421becc6a239acbc5629cb',
        241104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99e2ed9082d9b80ff901695c8a0f413e35e3123aae57ace16eddfa2aa74131ef',
        240888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26a1e290a28c3a5476b2615106820a95b7c50e56f002c2dd750d2be46fc805ab',
        241200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc8f82607d9fc75f2b33fdedc25bbb2b9c8b072a14b17f19a0c631b966a226e0',
        241316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1e9ed76726ff482d053aa359e79dd909d5d9bf8d7a0fcb8e8c11f0173f987fb',
        241148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7a9ed7dc7a15dd251f3a1b8765c91edff8f82bd78ba3d6af1da3e097cb5be66',
        241428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42710f2563a0d2c1c31d850547607c462ab192a530a2c521dd09d2d79bbe1575',
        241380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTelugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Telugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Telugu
  static TextTheme notoSerifTeluguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifTelugu(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifTelugu(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifTelugu(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifTelugu(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifTelugu(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifTelugu(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifTelugu(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifTelugu(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifTelugu(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifTelugu(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifTelugu(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifTelugu(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifTelugu(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifTelugu(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifTelugu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Thai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Thai
  static TextStyle notoSerifThai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd8262c877647aef83dbddf094af22601ec7965426848d4924ee4d4f0ac30db2',
        57992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '407e934bdd7da6544b8450ad2fcb40a558d366bc40dc2f059808004685ec0b73',
        58100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0baae4e42b8a854408b15747c0fe514423cdb95eeee85d7c9f1f2d1d92c0624b',
        58036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '370a68ba2b32793443a5751eea5e3762ac33c75913ba685919850e5c2490c33f',
        57904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b224a600967a12a18da35ff0cb10636ff5f82e7844aefeacd999b968633271f',
        58060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bfc8bcb227a20c6d9921b99891cabd78661c83989f63a88ee48eab00231fe70',
        58108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '845a440f9c4609f9ed18664edd48c28915c50ca436037547c0fa25725303ea8c',
        58068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74ea10b820953b09ff17a68fbec51ad60fa0f3bcf418dd31a3fba2a690da79fa',
        58196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58a21266351ab13f1215f3720f0adfee2d9b498f7e2e4e48f3ff0130ca6b6d2c',
        58132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifThai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Thai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Thai
  static TextTheme notoSerifThaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifThai(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifThai(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifThai(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifThai(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifThai(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifThai(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifThai(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifThai(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifThai(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifThai(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifThai(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifThai(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifThai(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifThai(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifThai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Tibetan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tibetan
  static TextStyle notoSerifTibetan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b07b780e8ef4aac1e95ce9b81c6f4a3a65de187a414e8e59f778e3e46a23c4d',
        734832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e953604db9e998a856456ff79f72240c65b6d52353e7faf2b3e1d9d2add63e0',
        736368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2f1e792140623b81f3b6300e2d60707352410f1e2de028748ccdfa9d19e4a97',
        736160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0a225febb24e86ee92e6fd7feef5b988bb6c638c130ba2182e99bc5d257e458',
        735232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '585ec81f6afbf23713d97535a16034f192341fede2fd6c62f3c6deb05e8d4520',
        737600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '535e3d4433260d584e92f3a8d9aefca6541c2a854863a5ecbbd19e3c9d7e3851',
        738032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f465fe203f9cb4c59b283ceca569aadd8e433470abf7fa7af131530a2d0ff09',
        737824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '261b379dc61a4f2c44b05f3a32161191b2e73debf320cff4c4f35f7311687a17',
        739352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80f8e9f929a490a7cb48ad01f04f98717e4b2975815b62a227ce53209e0e92a0',
        738928,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTibetan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Tibetan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tibetan
  static TextTheme notoSerifTibetanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifTibetan(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifTibetan(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifTibetan(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifTibetan(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifTibetan(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifTibetan(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifTibetan(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifTibetan(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifTibetan(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifTibetan(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifTibetan(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifTibetan(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifTibetan(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifTibetan(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifTibetan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Toto font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Toto
  static TextStyle notoSerifToto({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05c71db1d934e6135181c69605976909c84faba061a81f2fa14d0e152a4c724f',
        43232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dcc3510796b20cf7eb5b2e9a67785b8506f9b5bcb113ff7d938ad522b849df6',
        43336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7359614d75c2c8098704cba73bb0388ea1b35ddc40f31fa250327d83831fc58c',
        43248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba7d8516241ccbbbc04279e0df461f8948bfafd909a68703b2bdd36ec17fc47b',
        43156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifToto',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Toto font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Toto
  static TextTheme notoSerifTotoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifToto(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifToto(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifToto(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifToto(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifToto(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifToto(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifToto(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifToto(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifToto(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifToto(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifToto(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifToto(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifToto(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifToto(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifToto(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Yezidi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Yezidi
  static TextStyle notoSerifYezidi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43e8f895b225bdbc5cafb32d375ee6c1518a30a377685a8c508c29a49705b538',
        9416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4601212af33ed4cccc6a83e8e1b3fa6be13d10fe6b36a976a7b05462c983d8b3',
        9452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '079d317d39cb00e3f0055da212df45025e6a7b2749847a1b69a3529eadc59388',
        9468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc7ab49672f45a2033d17998bfe3ce17fe37620aab8ff156195f8df0de3bd614',
        9400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifYezidi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Yezidi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Yezidi
  static TextTheme notoSerifYezidiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoSerifYezidi(textStyle: textTheme.displayLarge),
      displayMedium: notoSerifYezidi(textStyle: textTheme.displayMedium),
      displaySmall: notoSerifYezidi(textStyle: textTheme.displaySmall),
      headlineLarge: notoSerifYezidi(textStyle: textTheme.headlineLarge),
      headlineMedium: notoSerifYezidi(textStyle: textTheme.headlineMedium),
      headlineSmall: notoSerifYezidi(textStyle: textTheme.headlineSmall),
      titleLarge: notoSerifYezidi(textStyle: textTheme.titleLarge),
      titleMedium: notoSerifYezidi(textStyle: textTheme.titleMedium),
      titleSmall: notoSerifYezidi(textStyle: textTheme.titleSmall),
      bodyLarge: notoSerifYezidi(textStyle: textTheme.bodyLarge),
      bodyMedium: notoSerifYezidi(textStyle: textTheme.bodyMedium),
      bodySmall: notoSerifYezidi(textStyle: textTheme.bodySmall),
      labelLarge: notoSerifYezidi(textStyle: textTheme.labelLarge),
      labelMedium: notoSerifYezidi(textStyle: textTheme.labelMedium),
      labelSmall: notoSerifYezidi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Traditional Nushu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Traditional+Nushu
  static TextStyle notoTraditionalNushu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fed09fc212bb50538e272bd8c2c4b76ef015f1bdf06f1570b7f16317810c88db',
        204860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoTraditionalNushu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Traditional Nushu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Traditional+Nushu
  static TextTheme notoTraditionalNushuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: notoTraditionalNushu(textStyle: textTheme.displayLarge),
      displayMedium: notoTraditionalNushu(textStyle: textTheme.displayMedium),
      displaySmall: notoTraditionalNushu(textStyle: textTheme.displaySmall),
      headlineLarge: notoTraditionalNushu(textStyle: textTheme.headlineLarge),
      headlineMedium: notoTraditionalNushu(textStyle: textTheme.headlineMedium),
      headlineSmall: notoTraditionalNushu(textStyle: textTheme.headlineSmall),
      titleLarge: notoTraditionalNushu(textStyle: textTheme.titleLarge),
      titleMedium: notoTraditionalNushu(textStyle: textTheme.titleMedium),
      titleSmall: notoTraditionalNushu(textStyle: textTheme.titleSmall),
      bodyLarge: notoTraditionalNushu(textStyle: textTheme.bodyLarge),
      bodyMedium: notoTraditionalNushu(textStyle: textTheme.bodyMedium),
      bodySmall: notoTraditionalNushu(textStyle: textTheme.bodySmall),
      labelLarge: notoTraditionalNushu(textStyle: textTheme.labelLarge),
      labelMedium: notoTraditionalNushu(textStyle: textTheme.labelMedium),
      labelSmall: notoTraditionalNushu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Cut font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Cut
  static TextStyle novaCut({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c46a956de0d26486e7af31eeaa101b5a4f655c34ae4eea3df1ca508f23067d1',
        50548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaCut',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Cut font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Cut
  static TextTheme novaCutTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: novaCut(textStyle: textTheme.displayLarge),
      displayMedium: novaCut(textStyle: textTheme.displayMedium),
      displaySmall: novaCut(textStyle: textTheme.displaySmall),
      headlineLarge: novaCut(textStyle: textTheme.headlineLarge),
      headlineMedium: novaCut(textStyle: textTheme.headlineMedium),
      headlineSmall: novaCut(textStyle: textTheme.headlineSmall),
      titleLarge: novaCut(textStyle: textTheme.titleLarge),
      titleMedium: novaCut(textStyle: textTheme.titleMedium),
      titleSmall: novaCut(textStyle: textTheme.titleSmall),
      bodyLarge: novaCut(textStyle: textTheme.bodyLarge),
      bodyMedium: novaCut(textStyle: textTheme.bodyMedium),
      bodySmall: novaCut(textStyle: textTheme.bodySmall),
      labelLarge: novaCut(textStyle: textTheme.labelLarge),
      labelMedium: novaCut(textStyle: textTheme.labelMedium),
      labelSmall: novaCut(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Flat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Flat
  static TextStyle novaFlat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b33bd6915530aeb47f09774df48ac44bad12780f541ed15757afba9229168c7',
        51672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaFlat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Flat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Flat
  static TextTheme novaFlatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: novaFlat(textStyle: textTheme.displayLarge),
      displayMedium: novaFlat(textStyle: textTheme.displayMedium),
      displaySmall: novaFlat(textStyle: textTheme.displaySmall),
      headlineLarge: novaFlat(textStyle: textTheme.headlineLarge),
      headlineMedium: novaFlat(textStyle: textTheme.headlineMedium),
      headlineSmall: novaFlat(textStyle: textTheme.headlineSmall),
      titleLarge: novaFlat(textStyle: textTheme.titleLarge),
      titleMedium: novaFlat(textStyle: textTheme.titleMedium),
      titleSmall: novaFlat(textStyle: textTheme.titleSmall),
      bodyLarge: novaFlat(textStyle: textTheme.bodyLarge),
      bodyMedium: novaFlat(textStyle: textTheme.bodyMedium),
      bodySmall: novaFlat(textStyle: textTheme.bodySmall),
      labelLarge: novaFlat(textStyle: textTheme.labelLarge),
      labelMedium: novaFlat(textStyle: textTheme.labelMedium),
      labelSmall: novaFlat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Mono
  static TextStyle novaMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e02d031e7313ecfa888c02acf70261f9ced82988ca4a05bcd3450101d6f0d4b3',
        152484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Mono
  static TextTheme novaMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: novaMono(textStyle: textTheme.displayLarge),
      displayMedium: novaMono(textStyle: textTheme.displayMedium),
      displaySmall: novaMono(textStyle: textTheme.displaySmall),
      headlineLarge: novaMono(textStyle: textTheme.headlineLarge),
      headlineMedium: novaMono(textStyle: textTheme.headlineMedium),
      headlineSmall: novaMono(textStyle: textTheme.headlineSmall),
      titleLarge: novaMono(textStyle: textTheme.titleLarge),
      titleMedium: novaMono(textStyle: textTheme.titleMedium),
      titleSmall: novaMono(textStyle: textTheme.titleSmall),
      bodyLarge: novaMono(textStyle: textTheme.bodyLarge),
      bodyMedium: novaMono(textStyle: textTheme.bodyMedium),
      bodySmall: novaMono(textStyle: textTheme.bodySmall),
      labelLarge: novaMono(textStyle: textTheme.labelLarge),
      labelMedium: novaMono(textStyle: textTheme.labelMedium),
      labelSmall: novaMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Oval font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Oval
  static TextStyle novaOval({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '915b1b00d17791228c7f4d6678d44ff2c3357d6dceba4409c710e37c6d3d0172',
        54196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaOval',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Oval font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Oval
  static TextTheme novaOvalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: novaOval(textStyle: textTheme.displayLarge),
      displayMedium: novaOval(textStyle: textTheme.displayMedium),
      displaySmall: novaOval(textStyle: textTheme.displaySmall),
      headlineLarge: novaOval(textStyle: textTheme.headlineLarge),
      headlineMedium: novaOval(textStyle: textTheme.headlineMedium),
      headlineSmall: novaOval(textStyle: textTheme.headlineSmall),
      titleLarge: novaOval(textStyle: textTheme.titleLarge),
      titleMedium: novaOval(textStyle: textTheme.titleMedium),
      titleSmall: novaOval(textStyle: textTheme.titleSmall),
      bodyLarge: novaOval(textStyle: textTheme.bodyLarge),
      bodyMedium: novaOval(textStyle: textTheme.bodyMedium),
      bodySmall: novaOval(textStyle: textTheme.bodySmall),
      labelLarge: novaOval(textStyle: textTheme.labelLarge),
      labelMedium: novaOval(textStyle: textTheme.labelMedium),
      labelSmall: novaOval(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Round font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Round
  static TextStyle novaRound({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c636608b49ecb130609aeae53e7e3ad903a39ab8b7b367253f3b2b9799c3677',
        51408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaRound',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Round font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Round
  static TextTheme novaRoundTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: novaRound(textStyle: textTheme.displayLarge),
      displayMedium: novaRound(textStyle: textTheme.displayMedium),
      displaySmall: novaRound(textStyle: textTheme.displaySmall),
      headlineLarge: novaRound(textStyle: textTheme.headlineLarge),
      headlineMedium: novaRound(textStyle: textTheme.headlineMedium),
      headlineSmall: novaRound(textStyle: textTheme.headlineSmall),
      titleLarge: novaRound(textStyle: textTheme.titleLarge),
      titleMedium: novaRound(textStyle: textTheme.titleMedium),
      titleSmall: novaRound(textStyle: textTheme.titleSmall),
      bodyLarge: novaRound(textStyle: textTheme.bodyLarge),
      bodyMedium: novaRound(textStyle: textTheme.bodyMedium),
      bodySmall: novaRound(textStyle: textTheme.bodySmall),
      labelLarge: novaRound(textStyle: textTheme.labelLarge),
      labelMedium: novaRound(textStyle: textTheme.labelMedium),
      labelSmall: novaRound(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Script
  static TextStyle novaScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8636ed31dd547b704d0607522db713452bf9e16b031a6f140632c56e1ba6d578',
        64716,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Script
  static TextTheme novaScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: novaScript(textStyle: textTheme.displayLarge),
      displayMedium: novaScript(textStyle: textTheme.displayMedium),
      displaySmall: novaScript(textStyle: textTheme.displaySmall),
      headlineLarge: novaScript(textStyle: textTheme.headlineLarge),
      headlineMedium: novaScript(textStyle: textTheme.headlineMedium),
      headlineSmall: novaScript(textStyle: textTheme.headlineSmall),
      titleLarge: novaScript(textStyle: textTheme.titleLarge),
      titleMedium: novaScript(textStyle: textTheme.titleMedium),
      titleSmall: novaScript(textStyle: textTheme.titleSmall),
      bodyLarge: novaScript(textStyle: textTheme.bodyLarge),
      bodyMedium: novaScript(textStyle: textTheme.bodyMedium),
      bodySmall: novaScript(textStyle: textTheme.bodySmall),
      labelLarge: novaScript(textStyle: textTheme.labelLarge),
      labelMedium: novaScript(textStyle: textTheme.labelMedium),
      labelSmall: novaScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Slim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Slim
  static TextStyle novaSlim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a621948157ef912403e535debfc9f5fdabefd7cdd608f386145fb10a7f67749',
        51448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaSlim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Slim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Slim
  static TextTheme novaSlimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: novaSlim(textStyle: textTheme.displayLarge),
      displayMedium: novaSlim(textStyle: textTheme.displayMedium),
      displaySmall: novaSlim(textStyle: textTheme.displaySmall),
      headlineLarge: novaSlim(textStyle: textTheme.headlineLarge),
      headlineMedium: novaSlim(textStyle: textTheme.headlineMedium),
      headlineSmall: novaSlim(textStyle: textTheme.headlineSmall),
      titleLarge: novaSlim(textStyle: textTheme.titleLarge),
      titleMedium: novaSlim(textStyle: textTheme.titleMedium),
      titleSmall: novaSlim(textStyle: textTheme.titleSmall),
      bodyLarge: novaSlim(textStyle: textTheme.bodyLarge),
      bodyMedium: novaSlim(textStyle: textTheme.bodyMedium),
      bodySmall: novaSlim(textStyle: textTheme.bodySmall),
      labelLarge: novaSlim(textStyle: textTheme.labelLarge),
      labelMedium: novaSlim(textStyle: textTheme.labelMedium),
      labelSmall: novaSlim(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Square font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Square
  static TextStyle novaSquare({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f12427d5a0a7c28ae2e285419ace837d6888bebbdd1354f3c93e4f710275420',
        46800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaSquare',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Square font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Square
  static TextTheme novaSquareTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: novaSquare(textStyle: textTheme.displayLarge),
      displayMedium: novaSquare(textStyle: textTheme.displayMedium),
      displaySmall: novaSquare(textStyle: textTheme.displaySmall),
      headlineLarge: novaSquare(textStyle: textTheme.headlineLarge),
      headlineMedium: novaSquare(textStyle: textTheme.headlineMedium),
      headlineSmall: novaSquare(textStyle: textTheme.headlineSmall),
      titleLarge: novaSquare(textStyle: textTheme.titleLarge),
      titleMedium: novaSquare(textStyle: textTheme.titleMedium),
      titleSmall: novaSquare(textStyle: textTheme.titleSmall),
      bodyLarge: novaSquare(textStyle: textTheme.bodyLarge),
      bodyMedium: novaSquare(textStyle: textTheme.bodyMedium),
      bodySmall: novaSquare(textStyle: textTheme.bodySmall),
      labelLarge: novaSquare(textStyle: textTheme.labelLarge),
      labelMedium: novaSquare(textStyle: textTheme.labelMedium),
      labelSmall: novaSquare(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Numans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Numans
  static TextStyle numans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76e8c6d6849d0932e39ea64ccefff66a0af4efbc39d45cddcb7a009aae32fb25',
        35960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Numans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Numans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Numans
  static TextTheme numansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: numans(textStyle: textTheme.displayLarge),
      displayMedium: numans(textStyle: textTheme.displayMedium),
      displaySmall: numans(textStyle: textTheme.displaySmall),
      headlineLarge: numans(textStyle: textTheme.headlineLarge),
      headlineMedium: numans(textStyle: textTheme.headlineMedium),
      headlineSmall: numans(textStyle: textTheme.headlineSmall),
      titleLarge: numans(textStyle: textTheme.titleLarge),
      titleMedium: numans(textStyle: textTheme.titleMedium),
      titleSmall: numans(textStyle: textTheme.titleSmall),
      bodyLarge: numans(textStyle: textTheme.bodyLarge),
      bodyMedium: numans(textStyle: textTheme.bodyMedium),
      bodySmall: numans(textStyle: textTheme.bodySmall),
      labelLarge: numans(textStyle: textTheme.labelLarge),
      labelMedium: numans(textStyle: textTheme.labelMedium),
      labelSmall: numans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nunito font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito
  static TextStyle nunito({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aba3aec5c1937c89e85737361694784fe94f7e6c453aa435fbda065b866ad51b',
        125376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97ee70c294e5e40d2528d45d91210eae074b7227785790c0a86b62f601051df2',
        125528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6461c35055a5c0f37ff2a046002ca747fc2120e9070ad00e352de94a94c642f5',
        125492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '393723bfbe6a0bda78a237d95a3979a689bdbfb3c0cd2bbcff83421e214456aa',
        125616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e86a54da6ece581b44c65e1a134878058c59ce26ca2d0f8d15f804379b989387',
        125500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbca84a0a6bf145e05dde1e02b140632b338f1e394bb1bead7c17610389f5750',
        125428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73d02c073d3f9e63a896342053c380815cd1d369542fb753ab51052858be65eb',
        125380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75089d4592c459a37eb64c043ebf867ec1c522f15ad97daf69045f09af8871f3',
        125340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1a6e2941a47709575af5838c0a8e7ba83cbd28d4603f6b24ac4ad6e33b83d228',
        128236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cfd245dc3b871b3c7f8d002d749f72d7a3ec7b3f43e301b6f6be2660eb33a251',
        128496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9df0db8e7f195cb6199f01f3575aa0345959093a30bb1f112286107cb59be7ec',
        128364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66cdbfccf1033ed49a3c6343c2bf065379041975e7acd25b6a8255b7909263e2',
        128428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ee66e5933b159965a5faf2ce64b83c3d0e35eb6665a1841bfec0ed2a7dd484f0',
        128292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '74d3470bb1fc49b281b9bc655e587a099f179126cd2fdd66f99a2ca6f74f1d42',
        128232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b12b8b565c9d896b9f3ab5392f0392fc73df5df98485a8507061c06f1e97e6f3',
        128268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e2bcfef6f39231b556f13dcfab5daeb84102745728810758e7dc6fb0dd0ab14c',
        128176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nunito',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nunito font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito
  static TextTheme nunitoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nunito(textStyle: textTheme.displayLarge),
      displayMedium: nunito(textStyle: textTheme.displayMedium),
      displaySmall: nunito(textStyle: textTheme.displaySmall),
      headlineLarge: nunito(textStyle: textTheme.headlineLarge),
      headlineMedium: nunito(textStyle: textTheme.headlineMedium),
      headlineSmall: nunito(textStyle: textTheme.headlineSmall),
      titleLarge: nunito(textStyle: textTheme.titleLarge),
      titleMedium: nunito(textStyle: textTheme.titleMedium),
      titleSmall: nunito(textStyle: textTheme.titleSmall),
      bodyLarge: nunito(textStyle: textTheme.bodyLarge),
      bodyMedium: nunito(textStyle: textTheme.bodyMedium),
      bodySmall: nunito(textStyle: textTheme.bodySmall),
      labelLarge: nunito(textStyle: textTheme.labelLarge),
      labelMedium: nunito(textStyle: textTheme.labelMedium),
      labelSmall: nunito(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nunito Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito+Sans
  static TextStyle nunitoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5c5ada6ef95cf1c13032cdd482d1b5b9117898ed48e6e6251cc409409bfb531',
        106596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec5dcab16249c6f62ad7636785d7efa6eab623110bcc9692a35b23c0dee43e99',
        106732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1563a052d1d6552b3b802f10aa4efb3208d7fc91c701b61dbe1edb0548c1c1fa',
        106736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f794d51704fe75cd5d5fd0d3c8d96d719f5fd2326479b865c6124f0e13bee17',
        106812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94bbbb4ad81df4d26a044fcd34bd878ec319798c7f45882f83e19bc6e2ec5228',
        106844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24cd7544420c66af7de45de56c6d14cbc4bf01c7aaf352666a4669a64acbfc44',
        106828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4a6a8295fe3163bf8c5fcbed4dbf83ad774d4996abd0d73a4c72539ba3ea519',
        106816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f0464ef61461f7f4a40cde4f3f8c89d3050330519ef1fb01eeb3fd14246ee73',
        106796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c540eb7e51462250810adf1f09ce677351d1e39169c8aa94f0d2c8fe1c0551ac',
        109488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1e2356039d88c4ba18ca602db9ff1fd2a00b323ef531c1afb21d3e5017698382',
        109672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'efc6750348e451c17a6e0dddba2c07225332e740d43a24c5a5f70089edf5b2f5',
        109552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '92babb02554f640b034d27a53897148dbb320f06046f49d0149ba0a3c9d7a539',
        109612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6cf4c21fcc300343602fa4d216e6af94ab694e4bec30d20fb77384fc1dd9c99d',
        109592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8fdc285e940a7fc7092160ea88aa30866ad5e706f2220dc38728dedb577ece25',
        109548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4b073774dac831c613f9c44e1bd159729f0bd3576336b49b60703f1ce48c883a',
        109640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '45a78e8d6e5faad0529a856e832f8baaf7fb3a51d5190485926197c41ba2c31c',
        109572,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NunitoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nunito Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito+Sans
  static TextTheme nunitoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nunitoSans(textStyle: textTheme.displayLarge),
      displayMedium: nunitoSans(textStyle: textTheme.displayMedium),
      displaySmall: nunitoSans(textStyle: textTheme.displaySmall),
      headlineLarge: nunitoSans(textStyle: textTheme.headlineLarge),
      headlineMedium: nunitoSans(textStyle: textTheme.headlineMedium),
      headlineSmall: nunitoSans(textStyle: textTheme.headlineSmall),
      titleLarge: nunitoSans(textStyle: textTheme.titleLarge),
      titleMedium: nunitoSans(textStyle: textTheme.titleMedium),
      titleSmall: nunitoSans(textStyle: textTheme.titleSmall),
      bodyLarge: nunitoSans(textStyle: textTheme.bodyLarge),
      bodyMedium: nunitoSans(textStyle: textTheme.bodyMedium),
      bodySmall: nunitoSans(textStyle: textTheme.bodySmall),
      labelLarge: nunitoSans(textStyle: textTheme.labelLarge),
      labelMedium: nunitoSans(textStyle: textTheme.labelMedium),
      labelSmall: nunitoSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nuosu SIL font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nuosu+SIL
  static TextStyle nuosuSil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff221cd5711453322dd44afffaee3becc128ab0fabd1f4dea7013343f45b1b80',
        251700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NuosuSIL',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nuosu SIL font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nuosu+SIL
  static TextTheme nuosuSilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: nuosuSil(textStyle: textTheme.displayLarge),
      displayMedium: nuosuSil(textStyle: textTheme.displayMedium),
      displaySmall: nuosuSil(textStyle: textTheme.displaySmall),
      headlineLarge: nuosuSil(textStyle: textTheme.headlineLarge),
      headlineMedium: nuosuSil(textStyle: textTheme.headlineMedium),
      headlineSmall: nuosuSil(textStyle: textTheme.headlineSmall),
      titleLarge: nuosuSil(textStyle: textTheme.titleLarge),
      titleMedium: nuosuSil(textStyle: textTheme.titleMedium),
      titleSmall: nuosuSil(textStyle: textTheme.titleSmall),
      bodyLarge: nuosuSil(textStyle: textTheme.bodyLarge),
      bodyMedium: nuosuSil(textStyle: textTheme.bodyMedium),
      bodySmall: nuosuSil(textStyle: textTheme.bodySmall),
      labelLarge: nuosuSil(textStyle: textTheme.labelLarge),
      labelMedium: nuosuSil(textStyle: textTheme.labelMedium),
      labelSmall: nuosuSil(textStyle: textTheme.labelSmall),
    );
  }
}
